package org.cinco.generator.plugin.popup.actions;

import org.cinco.generator.plugin.RepositoryGeneratorConstants;
import org.cinco.generator.plugin.jobs.UML2SEAMJob;
import org.eclipse.core.resources.IFile;
import org.eclipse.core.runtime.QualifiedName;
import org.eclipse.core.runtime.jobs.IJobChangeEvent;
import org.eclipse.core.runtime.jobs.Job;
import org.eclipse.core.runtime.jobs.JobChangeAdapter;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.ui.IActionDelegate;
import org.eclipse.ui.IObjectActionDelegate;
import org.eclipse.ui.IWorkbenchPart;

public class UML2SEAMAction implements IObjectActionDelegate {

	private ISelection selection;

	/**
	 * Constructor for Action1.
	 */
	public UML2SEAMAction() {
		super();
	}

	/**
	 * @see IObjectActionDelegate#setActivePart(IAction, IWorkbenchPart)
	 */
	public void setActivePart(IAction action, IWorkbenchPart targetPart) {
		targetPart.getSite().getShell();
	}

	/**
	 * @see IActionDelegate#run(IAction)
	 */
	public void run(IAction action) {
		Job job = new UML2SEAMJob(
				"UML2SEAM");
		job.setProperty(new QualifiedName(null,
				RepositoryGeneratorConstants.UML_IFILE), getFile());
		job.setUser(true);
		job.schedule();
		
		job.addJobChangeListener(new JobChangeAdapter() {
			public void done(IJobChangeEvent event) {
				if (event.getResult().isOK()) {
					System.out.println("UML2SEAM successful.");
				} else {
					System.err.println("UML2SEAM failed!");
				}
			}
		});

	}

	/**
	 * @see IActionDelegate#selectionChanged(IAction, ISelection)
	 */
	public void selectionChanged(IAction action, ISelection selection) {
		this.selection = selection;
	}

	private IFile getFile() {
		return (IFile) ((IStructuredSelection) selection).getFirstElement();
	}
}
