package org.cinco.mdplugin.seam;

import com.nomagic.actions.AMConfigurator;
import com.nomagic.actions.ActionsCategory;
import com.nomagic.actions.ActionsManager;
import com.nomagic.actions.NMAction;
import com.nomagic.magicdraw.actions.MDActionsCategory;

public class MainMenuConfigurator implements AMConfigurator {

	private static final String SEAM = "SEAM";
	private NMAction action;

	public MainMenuConfigurator(NMAction action) {
		this.action = action;
	}

	@Override
	public int getPriority() {
		return AMConfigurator.MEDIUM_PRIORITY;
	}

	@Override
	public void configure(ActionsManager mngr) {
		// searching for Examples action category
		ActionsCategory category = (ActionsCategory) mngr.getActionFor(SEAM);

		if (category == null) {
			// creating new category
			category = new MDActionsCategory(SEAM, SEAM);
			category.setNested(true);
			mngr.addCategory(category);
		}
		category.addAction(action);

	}

}
