/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.cinco.metamodel.ecosystem.domainontology;

import org.cinco.metamodel.ecosystem.domainontology.concepts.ConceptsPackage;

import org.cinco.metamodel.ecosystem.foundations.models.ModelsPackage;

import org.cinco.metamodel.ecosystem.foundations.relationships.RelationshipsPackage;

import org.cinco.metamodel.ecosystem.foundations.systems.SystemsPackage;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see org.cinco.metamodel.ecosystem.domainontology.DomainontologyFactory
 * @model kind="package"
 * @generated
 */
public interface DomainontologyPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "domainontology";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http:///ecosystem/domainontology.ecore";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "ecosystem.domainontology";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	DomainontologyPackage eINSTANCE = org.cinco.metamodel.ecosystem.domainontology.impl.DomainontologyPackageImpl.init();

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.domainontology.impl.DomainOntologyElementImpl <em>Domain Ontology Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.domainontology.impl.DomainOntologyElementImpl
	 * @see org.cinco.metamodel.ecosystem.domainontology.impl.DomainontologyPackageImpl#getDomainOntologyElement()
	 * @generated
	 */
	int DOMAIN_ONTOLOGY_ELEMENT = 1;

	/**
	 * The feature id for the '<em><b>Conforms To</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOMAIN_ONTOLOGY_ELEMENT__CONFORMS_TO = SystemsPackage.ABSTRACT_SYSTEM__CONFORMS_TO;

	/**
	 * The feature id for the '<em><b>Representation Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOMAIN_ONTOLOGY_ELEMENT__REPRESENTATION_OF = SystemsPackage.ABSTRACT_SYSTEM__REPRESENTATION_OF;

	/**
	 * The feature id for the '<em><b>Element Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOMAIN_ONTOLOGY_ELEMENT__ELEMENT_OF = SystemsPackage.ABSTRACT_SYSTEM__ELEMENT_OF;

	/**
	 * The feature id for the '<em><b>Intension</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOMAIN_ONTOLOGY_ELEMENT__INTENSION = SystemsPackage.ABSTRACT_SYSTEM__INTENSION;

	/**
	 * The feature id for the '<em><b>Extension</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOMAIN_ONTOLOGY_ELEMENT__EXTENSION = SystemsPackage.ABSTRACT_SYSTEM__EXTENSION;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOMAIN_ONTOLOGY_ELEMENT__NAME = SystemsPackage.ABSTRACT_SYSTEM_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Domain Ontology Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOMAIN_ONTOLOGY_ELEMENT_FEATURE_COUNT = SystemsPackage.ABSTRACT_SYSTEM_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.domainontology.impl.DomainConceptImpl <em>Domain Concept</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.domainontology.impl.DomainConceptImpl
	 * @see org.cinco.metamodel.ecosystem.domainontology.impl.DomainontologyPackageImpl#getDomainConcept()
	 * @generated
	 */
	int DOMAIN_CONCEPT = 0;

	/**
	 * The feature id for the '<em><b>Conforms To</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOMAIN_CONCEPT__CONFORMS_TO = ConceptsPackage.CONCEPT__CONFORMS_TO;

	/**
	 * The feature id for the '<em><b>Representation Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOMAIN_CONCEPT__REPRESENTATION_OF = ConceptsPackage.CONCEPT__REPRESENTATION_OF;

	/**
	 * The feature id for the '<em><b>Element Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOMAIN_CONCEPT__ELEMENT_OF = ConceptsPackage.CONCEPT__ELEMENT_OF;

	/**
	 * The feature id for the '<em><b>Intension</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOMAIN_CONCEPT__INTENSION = ConceptsPackage.CONCEPT__INTENSION;

	/**
	 * The feature id for the '<em><b>Extension</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOMAIN_CONCEPT__EXTENSION = ConceptsPackage.CONCEPT__EXTENSION;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOMAIN_CONCEPT__NAME = ConceptsPackage.CONCEPT__NAME;

	/**
	 * The feature id for the '<em><b>General</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOMAIN_CONCEPT__GENERAL = ConceptsPackage.CONCEPT__GENERAL;

	/**
	 * The feature id for the '<em><b>Is Abstract</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOMAIN_CONCEPT__IS_ABSTRACT = ConceptsPackage.CONCEPT__IS_ABSTRACT;

	/**
	 * The feature id for the '<em><b>Identifier</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOMAIN_CONCEPT__IDENTIFIER = ConceptsPackage.CONCEPT__IDENTIFIER;

	/**
	 * The feature id for the '<em><b>Is Dynamic</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOMAIN_CONCEPT__IS_DYNAMIC = ConceptsPackage.CONCEPT__IS_DYNAMIC;

	/**
	 * The number of structural features of the '<em>Domain Concept</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOMAIN_CONCEPT_FEATURE_COUNT = ConceptsPackage.CONCEPT_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.domainontology.impl.IdentifiedElementImpl <em>Identified Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.domainontology.impl.IdentifiedElementImpl
	 * @see org.cinco.metamodel.ecosystem.domainontology.impl.DomainontologyPackageImpl#getIdentifiedElement()
	 * @generated
	 */
	int IDENTIFIED_ELEMENT = 2;

	/**
	 * The feature id for the '<em><b>Identifier</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IDENTIFIED_ELEMENT__IDENTIFIER = 0;

	/**
	 * The number of structural features of the '<em>Identified Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IDENTIFIED_ELEMENT_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.domainontology.impl.IdentifierImpl <em>Identifier</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.domainontology.impl.IdentifierImpl
	 * @see org.cinco.metamodel.ecosystem.domainontology.impl.DomainontologyPackageImpl#getIdentifier()
	 * @generated
	 */
	int IDENTIFIER = 3;

	/**
	 * The feature id for the '<em><b>Conforms To</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IDENTIFIER__CONFORMS_TO = SystemsPackage.ABSTRACT_SYSTEM__CONFORMS_TO;

	/**
	 * The feature id for the '<em><b>Representation Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IDENTIFIER__REPRESENTATION_OF = SystemsPackage.ABSTRACT_SYSTEM__REPRESENTATION_OF;

	/**
	 * The feature id for the '<em><b>Element Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IDENTIFIER__ELEMENT_OF = SystemsPackage.ABSTRACT_SYSTEM__ELEMENT_OF;

	/**
	 * The feature id for the '<em><b>Intension</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IDENTIFIER__INTENSION = SystemsPackage.ABSTRACT_SYSTEM__INTENSION;

	/**
	 * The feature id for the '<em><b>Extension</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IDENTIFIER__EXTENSION = SystemsPackage.ABSTRACT_SYSTEM__EXTENSION;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IDENTIFIER__VALUE = SystemsPackage.ABSTRACT_SYSTEM_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Identifier</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IDENTIFIER_FEATURE_COUNT = SystemsPackage.ABSTRACT_SYSTEM_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.domainontology.impl.IdentityImpl <em>Identity</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.domainontology.impl.IdentityImpl
	 * @see org.cinco.metamodel.ecosystem.domainontology.impl.DomainontologyPackageImpl#getIdentity()
	 * @generated
	 */
	int IDENTITY = 4;

	/**
	 * The feature id for the '<em><b>Conforms To</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IDENTITY__CONFORMS_TO = IDENTIFIER__CONFORMS_TO;

	/**
	 * The feature id for the '<em><b>Representation Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IDENTITY__REPRESENTATION_OF = IDENTIFIER__REPRESENTATION_OF;

	/**
	 * The feature id for the '<em><b>Element Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IDENTITY__ELEMENT_OF = IDENTIFIER__ELEMENT_OF;

	/**
	 * The feature id for the '<em><b>Intension</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IDENTITY__INTENSION = IDENTIFIER__INTENSION;

	/**
	 * The feature id for the '<em><b>Extension</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IDENTITY__EXTENSION = IDENTIFIER__EXTENSION;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IDENTITY__VALUE = IDENTIFIER__VALUE;

	/**
	 * The number of structural features of the '<em>Identity</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IDENTITY_FEATURE_COUNT = IDENTIFIER_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.domainontology.impl.DomainOntologyModelImpl <em>Domain Ontology Model</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.domainontology.impl.DomainOntologyModelImpl
	 * @see org.cinco.metamodel.ecosystem.domainontology.impl.DomainontologyPackageImpl#getDomainOntologyModel()
	 * @generated
	 */
	int DOMAIN_ONTOLOGY_MODEL = 5;

	/**
	 * The feature id for the '<em><b>Conforms To</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOMAIN_ONTOLOGY_MODEL__CONFORMS_TO = ModelsPackage.MODEL__CONFORMS_TO;

	/**
	 * The feature id for the '<em><b>Representation Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOMAIN_ONTOLOGY_MODEL__REPRESENTATION_OF = ModelsPackage.MODEL__REPRESENTATION_OF;

	/**
	 * The feature id for the '<em><b>Element Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOMAIN_ONTOLOGY_MODEL__ELEMENT_OF = ModelsPackage.MODEL__ELEMENT_OF;

	/**
	 * The feature id for the '<em><b>Intension</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOMAIN_ONTOLOGY_MODEL__INTENSION = ModelsPackage.MODEL__INTENSION;

	/**
	 * The feature id for the '<em><b>Extension</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOMAIN_ONTOLOGY_MODEL__EXTENSION = ModelsPackage.MODEL__EXTENSION;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOMAIN_ONTOLOGY_MODEL__NAME = ModelsPackage.MODEL__NAME;

	/**
	 * The feature id for the '<em><b>Elements</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOMAIN_ONTOLOGY_MODEL__ELEMENTS = ModelsPackage.MODEL__ELEMENTS;

	/**
	 * The number of structural features of the '<em>Domain Ontology Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOMAIN_ONTOLOGY_MODEL_FEATURE_COUNT = ModelsPackage.MODEL_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.domainontology.impl.ConceptRelationshipImpl <em>Concept Relationship</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.domainontology.impl.ConceptRelationshipImpl
	 * @see org.cinco.metamodel.ecosystem.domainontology.impl.DomainontologyPackageImpl#getConceptRelationship()
	 * @generated
	 */
	int CONCEPT_RELATIONSHIP = 6;

	/**
	 * The feature id for the '<em><b>Conforms To</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT_RELATIONSHIP__CONFORMS_TO = RelationshipsPackage.RELATIONSHIP__CONFORMS_TO;

	/**
	 * The feature id for the '<em><b>Representation Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT_RELATIONSHIP__REPRESENTATION_OF = RelationshipsPackage.RELATIONSHIP__REPRESENTATION_OF;

	/**
	 * The feature id for the '<em><b>Element Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT_RELATIONSHIP__ELEMENT_OF = RelationshipsPackage.RELATIONSHIP__ELEMENT_OF;

	/**
	 * The feature id for the '<em><b>Intension</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT_RELATIONSHIP__INTENSION = RelationshipsPackage.RELATIONSHIP__INTENSION;

	/**
	 * The feature id for the '<em><b>Extension</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT_RELATIONSHIP__EXTENSION = RelationshipsPackage.RELATIONSHIP__EXTENSION;

	/**
	 * The feature id for the '<em><b>Target</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT_RELATIONSHIP__TARGET = RelationshipsPackage.RELATIONSHIP__TARGET;

	/**
	 * The feature id for the '<em><b>Source</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT_RELATIONSHIP__SOURCE = RelationshipsPackage.RELATIONSHIP__SOURCE;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT_RELATIONSHIP__NAME = RelationshipsPackage.RELATIONSHIP_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Opposite Of</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT_RELATIONSHIP__OPPOSITE_OF = RelationshipsPackage.RELATIONSHIP_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT_RELATIONSHIP__LOWER_BOUND = RelationshipsPackage.RELATIONSHIP_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Upper Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT_RELATIONSHIP__UPPER_BOUND = RelationshipsPackage.RELATIONSHIP_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Concept Relationship</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT_RELATIONSHIP_FEATURE_COUNT = RelationshipsPackage.RELATIONSHIP_FEATURE_COUNT + 4;


	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.domainontology.DomainConcept <em>Domain Concept</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Domain Concept</em>'.
	 * @see org.cinco.metamodel.ecosystem.domainontology.DomainConcept
	 * @generated
	 */
	EClass getDomainConcept();

	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.domainontology.DomainOntologyElement <em>Domain Ontology Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Domain Ontology Element</em>'.
	 * @see org.cinco.metamodel.ecosystem.domainontology.DomainOntologyElement
	 * @generated
	 */
	EClass getDomainOntologyElement();

	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.domainontology.IdentifiedElement <em>Identified Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Identified Element</em>'.
	 * @see org.cinco.metamodel.ecosystem.domainontology.IdentifiedElement
	 * @generated
	 */
	EClass getIdentifiedElement();

	/**
	 * Returns the meta object for the containment reference '{@link org.cinco.metamodel.ecosystem.domainontology.IdentifiedElement#getIdentifier <em>Identifier</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Identifier</em>'.
	 * @see org.cinco.metamodel.ecosystem.domainontology.IdentifiedElement#getIdentifier()
	 * @see #getIdentifiedElement()
	 * @generated
	 */
	EReference getIdentifiedElement_Identifier();

	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.domainontology.Identifier <em>Identifier</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Identifier</em>'.
	 * @see org.cinco.metamodel.ecosystem.domainontology.Identifier
	 * @generated
	 */
	EClass getIdentifier();

	/**
	 * Returns the meta object for the attribute '{@link org.cinco.metamodel.ecosystem.domainontology.Identifier#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see org.cinco.metamodel.ecosystem.domainontology.Identifier#getValue()
	 * @see #getIdentifier()
	 * @generated
	 */
	EAttribute getIdentifier_Value();

	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.domainontology.Identity <em>Identity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Identity</em>'.
	 * @see org.cinco.metamodel.ecosystem.domainontology.Identity
	 * @generated
	 */
	EClass getIdentity();

	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.domainontology.DomainOntologyModel <em>Domain Ontology Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Domain Ontology Model</em>'.
	 * @see org.cinco.metamodel.ecosystem.domainontology.DomainOntologyModel
	 * @generated
	 */
	EClass getDomainOntologyModel();

	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.domainontology.ConceptRelationship <em>Concept Relationship</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Concept Relationship</em>'.
	 * @see org.cinco.metamodel.ecosystem.domainontology.ConceptRelationship
	 * @generated
	 */
	EClass getConceptRelationship();

	/**
	 * Returns the meta object for the reference '{@link org.cinco.metamodel.ecosystem.domainontology.ConceptRelationship#getOppositeOf <em>Opposite Of</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Opposite Of</em>'.
	 * @see org.cinco.metamodel.ecosystem.domainontology.ConceptRelationship#getOppositeOf()
	 * @see #getConceptRelationship()
	 * @generated
	 */
	EReference getConceptRelationship_OppositeOf();

	/**
	 * Returns the meta object for the attribute '{@link org.cinco.metamodel.ecosystem.domainontology.ConceptRelationship#getLowerBound <em>Lower Bound</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Lower Bound</em>'.
	 * @see org.cinco.metamodel.ecosystem.domainontology.ConceptRelationship#getLowerBound()
	 * @see #getConceptRelationship()
	 * @generated
	 */
	EAttribute getConceptRelationship_LowerBound();

	/**
	 * Returns the meta object for the attribute '{@link org.cinco.metamodel.ecosystem.domainontology.ConceptRelationship#getUpperBound <em>Upper Bound</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Upper Bound</em>'.
	 * @see org.cinco.metamodel.ecosystem.domainontology.ConceptRelationship#getUpperBound()
	 * @see #getConceptRelationship()
	 * @generated
	 */
	EAttribute getConceptRelationship_UpperBound();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	DomainontologyFactory getDomainontologyFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.domainontology.impl.DomainConceptImpl <em>Domain Concept</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.domainontology.impl.DomainConceptImpl
		 * @see org.cinco.metamodel.ecosystem.domainontology.impl.DomainontologyPackageImpl#getDomainConcept()
		 * @generated
		 */
		EClass DOMAIN_CONCEPT = eINSTANCE.getDomainConcept();

		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.domainontology.impl.DomainOntologyElementImpl <em>Domain Ontology Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.domainontology.impl.DomainOntologyElementImpl
		 * @see org.cinco.metamodel.ecosystem.domainontology.impl.DomainontologyPackageImpl#getDomainOntologyElement()
		 * @generated
		 */
		EClass DOMAIN_ONTOLOGY_ELEMENT = eINSTANCE.getDomainOntologyElement();

		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.domainontology.impl.IdentifiedElementImpl <em>Identified Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.domainontology.impl.IdentifiedElementImpl
		 * @see org.cinco.metamodel.ecosystem.domainontology.impl.DomainontologyPackageImpl#getIdentifiedElement()
		 * @generated
		 */
		EClass IDENTIFIED_ELEMENT = eINSTANCE.getIdentifiedElement();

		/**
		 * The meta object literal for the '<em><b>Identifier</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference IDENTIFIED_ELEMENT__IDENTIFIER = eINSTANCE.getIdentifiedElement_Identifier();

		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.domainontology.impl.IdentifierImpl <em>Identifier</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.domainontology.impl.IdentifierImpl
		 * @see org.cinco.metamodel.ecosystem.domainontology.impl.DomainontologyPackageImpl#getIdentifier()
		 * @generated
		 */
		EClass IDENTIFIER = eINSTANCE.getIdentifier();

		/**
		 * The meta object literal for the '<em><b>Value</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute IDENTIFIER__VALUE = eINSTANCE.getIdentifier_Value();

		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.domainontology.impl.IdentityImpl <em>Identity</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.domainontology.impl.IdentityImpl
		 * @see org.cinco.metamodel.ecosystem.domainontology.impl.DomainontologyPackageImpl#getIdentity()
		 * @generated
		 */
		EClass IDENTITY = eINSTANCE.getIdentity();

		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.domainontology.impl.DomainOntologyModelImpl <em>Domain Ontology Model</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.domainontology.impl.DomainOntologyModelImpl
		 * @see org.cinco.metamodel.ecosystem.domainontology.impl.DomainontologyPackageImpl#getDomainOntologyModel()
		 * @generated
		 */
		EClass DOMAIN_ONTOLOGY_MODEL = eINSTANCE.getDomainOntologyModel();

		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.domainontology.impl.ConceptRelationshipImpl <em>Concept Relationship</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.domainontology.impl.ConceptRelationshipImpl
		 * @see org.cinco.metamodel.ecosystem.domainontology.impl.DomainontologyPackageImpl#getConceptRelationship()
		 * @generated
		 */
		EClass CONCEPT_RELATIONSHIP = eINSTANCE.getConceptRelationship();

		/**
		 * The meta object literal for the '<em><b>Opposite Of</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CONCEPT_RELATIONSHIP__OPPOSITE_OF = eINSTANCE.getConceptRelationship_OppositeOf();

		/**
		 * The meta object literal for the '<em><b>Lower Bound</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CONCEPT_RELATIONSHIP__LOWER_BOUND = eINSTANCE.getConceptRelationship_LowerBound();

		/**
		 * The meta object literal for the '<em><b>Upper Bound</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CONCEPT_RELATIONSHIP__UPPER_BOUND = eINSTANCE.getConceptRelationship_UpperBound();

	}

} //DomainontologyPackage
