/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.cinco.metamodel.ecosystem.domainontology.channels;

import org.cinco.metamodel.ecosystem.domainontology.concepts.ConceptsPackage;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see org.cinco.metamodel.ecosystem.domainontology.channels.ChannelsFactory
 * @model kind="package"
 * @generated
 */
public interface ChannelsPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "channels";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http:///ecosystem/domainontology/channels.ecore";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "ecosystem.domainontology.channels";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	ChannelsPackage eINSTANCE = org.cinco.metamodel.ecosystem.domainontology.channels.impl.ChannelsPackageImpl.init();

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.domainontology.channels.impl.ServiceChannelImpl <em>Service Channel</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.domainontology.channels.impl.ServiceChannelImpl
	 * @see org.cinco.metamodel.ecosystem.domainontology.channels.impl.ChannelsPackageImpl#getServiceChannel()
	 * @generated
	 */
	int SERVICE_CHANNEL = 0;

	/**
	 * The feature id for the '<em><b>Conforms To</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_CHANNEL__CONFORMS_TO = ConceptsPackage.CONCEPT__CONFORMS_TO;

	/**
	 * The feature id for the '<em><b>Representation Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_CHANNEL__REPRESENTATION_OF = ConceptsPackage.CONCEPT__REPRESENTATION_OF;

	/**
	 * The feature id for the '<em><b>Element Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_CHANNEL__ELEMENT_OF = ConceptsPackage.CONCEPT__ELEMENT_OF;

	/**
	 * The feature id for the '<em><b>Intension</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_CHANNEL__INTENSION = ConceptsPackage.CONCEPT__INTENSION;

	/**
	 * The feature id for the '<em><b>Extension</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_CHANNEL__EXTENSION = ConceptsPackage.CONCEPT__EXTENSION;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_CHANNEL__NAME = ConceptsPackage.CONCEPT__NAME;

	/**
	 * The feature id for the '<em><b>General</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_CHANNEL__GENERAL = ConceptsPackage.CONCEPT__GENERAL;

	/**
	 * The feature id for the '<em><b>Is Abstract</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_CHANNEL__IS_ABSTRACT = ConceptsPackage.CONCEPT__IS_ABSTRACT;

	/**
	 * The feature id for the '<em><b>Identifier</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_CHANNEL__IDENTIFIER = ConceptsPackage.CONCEPT__IDENTIFIER;

	/**
	 * The feature id for the '<em><b>Is Dynamic</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_CHANNEL__IS_DYNAMIC = ConceptsPackage.CONCEPT__IS_DYNAMIC;

	/**
	 * The number of structural features of the '<em>Service Channel</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_CHANNEL_FEATURE_COUNT = ConceptsPackage.CONCEPT_FEATURE_COUNT + 0;


	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.domainontology.channels.ServiceChannel <em>Service Channel</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Service Channel</em>'.
	 * @see org.cinco.metamodel.ecosystem.domainontology.channels.ServiceChannel
	 * @generated
	 */
	EClass getServiceChannel();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	ChannelsFactory getChannelsFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.domainontology.channels.impl.ServiceChannelImpl <em>Service Channel</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.domainontology.channels.impl.ServiceChannelImpl
		 * @see org.cinco.metamodel.ecosystem.domainontology.channels.impl.ChannelsPackageImpl#getServiceChannel()
		 * @generated
		 */
		EClass SERVICE_CHANNEL = eINSTANCE.getServiceChannel();

	}

} //ChannelsPackage
