/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.cinco.metamodel.ecosystem.domainontology.concepts;

import org.cinco.metamodel.ecosystem.domainontology.DomainontologyPackage;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see org.cinco.metamodel.ecosystem.domainontology.concepts.ConceptsFactory
 * @model kind="package"
 * @generated
 */
public interface ConceptsPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "concepts";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http:///ecosystem/domainontology/concepts.ecore";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "ecosystem.domainontology.concepts";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	ConceptsPackage eINSTANCE = org.cinco.metamodel.ecosystem.domainontology.concepts.impl.ConceptsPackageImpl.init();

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.domainontology.concepts.impl.ConceptImpl <em>Concept</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.domainontology.concepts.impl.ConceptImpl
	 * @see org.cinco.metamodel.ecosystem.domainontology.concepts.impl.ConceptsPackageImpl#getConcept()
	 * @generated
	 */
	int CONCEPT = 0;

	/**
	 * The feature id for the '<em><b>Conforms To</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT__CONFORMS_TO = DomainontologyPackage.DOMAIN_ONTOLOGY_ELEMENT__CONFORMS_TO;

	/**
	 * The feature id for the '<em><b>Representation Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT__REPRESENTATION_OF = DomainontologyPackage.DOMAIN_ONTOLOGY_ELEMENT__REPRESENTATION_OF;

	/**
	 * The feature id for the '<em><b>Element Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT__ELEMENT_OF = DomainontologyPackage.DOMAIN_ONTOLOGY_ELEMENT__ELEMENT_OF;

	/**
	 * The feature id for the '<em><b>Intension</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT__INTENSION = DomainontologyPackage.DOMAIN_ONTOLOGY_ELEMENT__INTENSION;

	/**
	 * The feature id for the '<em><b>Extension</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT__EXTENSION = DomainontologyPackage.DOMAIN_ONTOLOGY_ELEMENT__EXTENSION;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT__NAME = DomainontologyPackage.DOMAIN_ONTOLOGY_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>General</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT__GENERAL = DomainontologyPackage.DOMAIN_ONTOLOGY_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Is Abstract</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT__IS_ABSTRACT = DomainontologyPackage.DOMAIN_ONTOLOGY_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Identifier</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT__IDENTIFIER = DomainontologyPackage.DOMAIN_ONTOLOGY_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Is Dynamic</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT__IS_DYNAMIC = DomainontologyPackage.DOMAIN_ONTOLOGY_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Concept</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT_FEATURE_COUNT = DomainontologyPackage.DOMAIN_ONTOLOGY_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.domainontology.concepts.impl.ConceptSetImpl <em>Concept Set</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.domainontology.concepts.impl.ConceptSetImpl
	 * @see org.cinco.metamodel.ecosystem.domainontology.concepts.impl.ConceptsPackageImpl#getConceptSet()
	 * @generated
	 */
	int CONCEPT_SET = 1;

	/**
	 * The feature id for the '<em><b>Conforms To</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT_SET__CONFORMS_TO = CONCEPT__CONFORMS_TO;

	/**
	 * The feature id for the '<em><b>Representation Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT_SET__REPRESENTATION_OF = CONCEPT__REPRESENTATION_OF;

	/**
	 * The feature id for the '<em><b>Element Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT_SET__ELEMENT_OF = CONCEPT__ELEMENT_OF;

	/**
	 * The feature id for the '<em><b>Intension</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT_SET__INTENSION = CONCEPT__INTENSION;

	/**
	 * The feature id for the '<em><b>Extension</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT_SET__EXTENSION = CONCEPT__EXTENSION;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT_SET__NAME = CONCEPT__NAME;

	/**
	 * The feature id for the '<em><b>General</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT_SET__GENERAL = CONCEPT__GENERAL;

	/**
	 * The feature id for the '<em><b>Is Abstract</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT_SET__IS_ABSTRACT = CONCEPT__IS_ABSTRACT;

	/**
	 * The feature id for the '<em><b>Identifier</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT_SET__IDENTIFIER = CONCEPT__IDENTIFIER;

	/**
	 * The feature id for the '<em><b>Is Dynamic</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT_SET__IS_DYNAMIC = CONCEPT__IS_DYNAMIC;

	/**
	 * The feature id for the '<em><b>Included In</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT_SET__INCLUDED_IN = CONCEPT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT_SET__ELEMENT = CONCEPT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Concept Set</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONCEPT_SET_FEATURE_COUNT = CONCEPT_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.domainontology.concepts.impl.GeneralizableElementImpl <em>Generalizable Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.domainontology.concepts.impl.GeneralizableElementImpl
	 * @see org.cinco.metamodel.ecosystem.domainontology.concepts.impl.ConceptsPackageImpl#getGeneralizableElement()
	 * @generated
	 */
	int GENERALIZABLE_ELEMENT = 2;

	/**
	 * The feature id for the '<em><b>General</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GENERALIZABLE_ELEMENT__GENERAL = 0;

	/**
	 * The feature id for the '<em><b>Is Abstract</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GENERALIZABLE_ELEMENT__IS_ABSTRACT = 1;

	/**
	 * The number of structural features of the '<em>Generalizable Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GENERALIZABLE_ELEMENT_FEATURE_COUNT = 2;


	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.domainontology.concepts.Concept <em>Concept</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Concept</em>'.
	 * @see org.cinco.metamodel.ecosystem.domainontology.concepts.Concept
	 * @generated
	 */
	EClass getConcept();

	/**
	 * Returns the meta object for the attribute '{@link org.cinco.metamodel.ecosystem.domainontology.concepts.Concept#isDynamic <em>Is Dynamic</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Is Dynamic</em>'.
	 * @see org.cinco.metamodel.ecosystem.domainontology.concepts.Concept#isDynamic()
	 * @see #getConcept()
	 * @generated
	 */
	EAttribute getConcept_IsDynamic();

	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.domainontology.concepts.ConceptSet <em>Concept Set</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Concept Set</em>'.
	 * @see org.cinco.metamodel.ecosystem.domainontology.concepts.ConceptSet
	 * @generated
	 */
	EClass getConceptSet();

	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.domainontology.concepts.GeneralizableElement <em>Generalizable Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Generalizable Element</em>'.
	 * @see org.cinco.metamodel.ecosystem.domainontology.concepts.GeneralizableElement
	 * @generated
	 */
	EClass getGeneralizableElement();

	/**
	 * Returns the meta object for the reference list '{@link org.cinco.metamodel.ecosystem.domainontology.concepts.GeneralizableElement#getGeneral <em>General</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>General</em>'.
	 * @see org.cinco.metamodel.ecosystem.domainontology.concepts.GeneralizableElement#getGeneral()
	 * @see #getGeneralizableElement()
	 * @generated
	 */
	EReference getGeneralizableElement_General();

	/**
	 * Returns the meta object for the attribute '{@link org.cinco.metamodel.ecosystem.domainontology.concepts.GeneralizableElement#isAbstract <em>Is Abstract</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Is Abstract</em>'.
	 * @see org.cinco.metamodel.ecosystem.domainontology.concepts.GeneralizableElement#isAbstract()
	 * @see #getGeneralizableElement()
	 * @generated
	 */
	EAttribute getGeneralizableElement_IsAbstract();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	ConceptsFactory getConceptsFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.domainontology.concepts.impl.ConceptImpl <em>Concept</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.domainontology.concepts.impl.ConceptImpl
		 * @see org.cinco.metamodel.ecosystem.domainontology.concepts.impl.ConceptsPackageImpl#getConcept()
		 * @generated
		 */
		EClass CONCEPT = eINSTANCE.getConcept();

		/**
		 * The meta object literal for the '<em><b>Is Dynamic</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CONCEPT__IS_DYNAMIC = eINSTANCE.getConcept_IsDynamic();

		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.domainontology.concepts.impl.ConceptSetImpl <em>Concept Set</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.domainontology.concepts.impl.ConceptSetImpl
		 * @see org.cinco.metamodel.ecosystem.domainontology.concepts.impl.ConceptsPackageImpl#getConceptSet()
		 * @generated
		 */
		EClass CONCEPT_SET = eINSTANCE.getConceptSet();

		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.domainontology.concepts.impl.GeneralizableElementImpl <em>Generalizable Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.domainontology.concepts.impl.GeneralizableElementImpl
		 * @see org.cinco.metamodel.ecosystem.domainontology.concepts.impl.ConceptsPackageImpl#getGeneralizableElement()
		 * @generated
		 */
		EClass GENERALIZABLE_ELEMENT = eINSTANCE.getGeneralizableElement();

		/**
		 * The meta object literal for the '<em><b>General</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference GENERALIZABLE_ELEMENT__GENERAL = eINSTANCE.getGeneralizableElement_General();

		/**
		 * The meta object literal for the '<em><b>Is Abstract</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute GENERALIZABLE_ELEMENT__IS_ABSTRACT = eINSTANCE.getGeneralizableElement_IsAbstract();

	}

} //ConceptsPackage
