/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.cinco.metamodel.ecosystem.domainontology.entities;

import org.cinco.metamodel.ecosystem.domainontology.concepts.ConceptsPackage;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see org.cinco.metamodel.ecosystem.domainontology.entities.EntitiesFactory
 * @model kind="package"
 * @generated
 */
public interface EntitiesPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "entities";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http:///ecosystem/domainontology/entities.ecore";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "ecosystem.domainontology.entities";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	EntitiesPackage eINSTANCE = org.cinco.metamodel.ecosystem.domainontology.entities.impl.EntitiesPackageImpl.init();

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.domainontology.entities.impl.EntityImpl <em>Entity</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.EntityImpl
	 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.EntitiesPackageImpl#getEntity()
	 * @generated
	 */
	int ENTITY = 1;

	/**
	 * The feature id for the '<em><b>Conforms To</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY__CONFORMS_TO = ConceptsPackage.CONCEPT__CONFORMS_TO;

	/**
	 * The feature id for the '<em><b>Representation Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY__REPRESENTATION_OF = ConceptsPackage.CONCEPT__REPRESENTATION_OF;

	/**
	 * The feature id for the '<em><b>Element Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY__ELEMENT_OF = ConceptsPackage.CONCEPT__ELEMENT_OF;

	/**
	 * The feature id for the '<em><b>Intension</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY__INTENSION = ConceptsPackage.CONCEPT__INTENSION;

	/**
	 * The feature id for the '<em><b>Extension</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY__EXTENSION = ConceptsPackage.CONCEPT__EXTENSION;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY__NAME = ConceptsPackage.CONCEPT__NAME;

	/**
	 * The feature id for the '<em><b>General</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY__GENERAL = ConceptsPackage.CONCEPT__GENERAL;

	/**
	 * The feature id for the '<em><b>Is Abstract</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY__IS_ABSTRACT = ConceptsPackage.CONCEPT__IS_ABSTRACT;

	/**
	 * The feature id for the '<em><b>Identifier</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY__IDENTIFIER = ConceptsPackage.CONCEPT__IDENTIFIER;

	/**
	 * The feature id for the '<em><b>Is Dynamic</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY__IS_DYNAMIC = ConceptsPackage.CONCEPT__IS_DYNAMIC;

	/**
	 * The feature id for the '<em><b>Identity</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY__IDENTITY = ConceptsPackage.CONCEPT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Entity</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY_FEATURE_COUNT = ConceptsPackage.CONCEPT_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.domainontology.entities.impl.ServiceEntityImpl <em>Service Entity</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.ServiceEntityImpl
	 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.EntitiesPackageImpl#getServiceEntity()
	 * @generated
	 */
	int SERVICE_ENTITY = 0;

	/**
	 * The feature id for the '<em><b>Conforms To</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_ENTITY__CONFORMS_TO = ENTITY__CONFORMS_TO;

	/**
	 * The feature id for the '<em><b>Representation Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_ENTITY__REPRESENTATION_OF = ENTITY__REPRESENTATION_OF;

	/**
	 * The feature id for the '<em><b>Element Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_ENTITY__ELEMENT_OF = ENTITY__ELEMENT_OF;

	/**
	 * The feature id for the '<em><b>Intension</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_ENTITY__INTENSION = ENTITY__INTENSION;

	/**
	 * The feature id for the '<em><b>Extension</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_ENTITY__EXTENSION = ENTITY__EXTENSION;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_ENTITY__NAME = ENTITY__NAME;

	/**
	 * The feature id for the '<em><b>General</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_ENTITY__GENERAL = ENTITY__GENERAL;

	/**
	 * The feature id for the '<em><b>Is Abstract</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_ENTITY__IS_ABSTRACT = ENTITY__IS_ABSTRACT;

	/**
	 * The feature id for the '<em><b>Identifier</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_ENTITY__IDENTIFIER = ENTITY__IDENTIFIER;

	/**
	 * The feature id for the '<em><b>Is Dynamic</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_ENTITY__IS_DYNAMIC = ENTITY__IS_DYNAMIC;

	/**
	 * The feature id for the '<em><b>Identity</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_ENTITY__IDENTITY = ENTITY__IDENTITY;

	/**
	 * The number of structural features of the '<em>Service Entity</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_ENTITY_FEATURE_COUNT = ENTITY_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.domainontology.entities.impl.InformationEntityImpl <em>Information Entity</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.InformationEntityImpl
	 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.EntitiesPackageImpl#getInformationEntity()
	 * @generated
	 */
	int INFORMATION_ENTITY = 3;

	/**
	 * The feature id for the '<em><b>Conforms To</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INFORMATION_ENTITY__CONFORMS_TO = ENTITY__CONFORMS_TO;

	/**
	 * The feature id for the '<em><b>Representation Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INFORMATION_ENTITY__REPRESENTATION_OF = ENTITY__REPRESENTATION_OF;

	/**
	 * The feature id for the '<em><b>Element Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INFORMATION_ENTITY__ELEMENT_OF = ENTITY__ELEMENT_OF;

	/**
	 * The feature id for the '<em><b>Intension</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INFORMATION_ENTITY__INTENSION = ENTITY__INTENSION;

	/**
	 * The feature id for the '<em><b>Extension</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INFORMATION_ENTITY__EXTENSION = ENTITY__EXTENSION;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INFORMATION_ENTITY__NAME = ENTITY__NAME;

	/**
	 * The feature id for the '<em><b>General</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INFORMATION_ENTITY__GENERAL = ENTITY__GENERAL;

	/**
	 * The feature id for the '<em><b>Is Abstract</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INFORMATION_ENTITY__IS_ABSTRACT = ENTITY__IS_ABSTRACT;

	/**
	 * The feature id for the '<em><b>Identifier</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INFORMATION_ENTITY__IDENTIFIER = ENTITY__IDENTIFIER;

	/**
	 * The feature id for the '<em><b>Is Dynamic</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INFORMATION_ENTITY__IS_DYNAMIC = ENTITY__IS_DYNAMIC;

	/**
	 * The feature id for the '<em><b>Identity</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INFORMATION_ENTITY__IDENTITY = ENTITY__IDENTITY;

	/**
	 * The number of structural features of the '<em>Information Entity</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INFORMATION_ENTITY_FEATURE_COUNT = ENTITY_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.domainontology.entities.impl.BusinessDocumentImpl <em>Business Document</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.BusinessDocumentImpl
	 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.EntitiesPackageImpl#getBusinessDocument()
	 * @generated
	 */
	int BUSINESS_DOCUMENT = 2;

	/**
	 * The feature id for the '<em><b>Conforms To</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_DOCUMENT__CONFORMS_TO = INFORMATION_ENTITY__CONFORMS_TO;

	/**
	 * The feature id for the '<em><b>Representation Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_DOCUMENT__REPRESENTATION_OF = INFORMATION_ENTITY__REPRESENTATION_OF;

	/**
	 * The feature id for the '<em><b>Element Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_DOCUMENT__ELEMENT_OF = INFORMATION_ENTITY__ELEMENT_OF;

	/**
	 * The feature id for the '<em><b>Intension</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_DOCUMENT__INTENSION = INFORMATION_ENTITY__INTENSION;

	/**
	 * The feature id for the '<em><b>Extension</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_DOCUMENT__EXTENSION = INFORMATION_ENTITY__EXTENSION;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_DOCUMENT__NAME = INFORMATION_ENTITY__NAME;

	/**
	 * The feature id for the '<em><b>General</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_DOCUMENT__GENERAL = INFORMATION_ENTITY__GENERAL;

	/**
	 * The feature id for the '<em><b>Is Abstract</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_DOCUMENT__IS_ABSTRACT = INFORMATION_ENTITY__IS_ABSTRACT;

	/**
	 * The feature id for the '<em><b>Identifier</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_DOCUMENT__IDENTIFIER = INFORMATION_ENTITY__IDENTIFIER;

	/**
	 * The feature id for the '<em><b>Is Dynamic</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_DOCUMENT__IS_DYNAMIC = INFORMATION_ENTITY__IS_DYNAMIC;

	/**
	 * The feature id for the '<em><b>Identity</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_DOCUMENT__IDENTITY = INFORMATION_ENTITY__IDENTITY;

	/**
	 * The number of structural features of the '<em>Business Document</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_DOCUMENT_FEATURE_COUNT = INFORMATION_ENTITY_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.domainontology.entities.impl.LegalEntityImpl <em>Legal Entity</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.LegalEntityImpl
	 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.EntitiesPackageImpl#getLegalEntity()
	 * @generated
	 */
	int LEGAL_ENTITY = 4;

	/**
	 * The feature id for the '<em><b>Conforms To</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEGAL_ENTITY__CONFORMS_TO = ENTITY__CONFORMS_TO;

	/**
	 * The feature id for the '<em><b>Representation Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEGAL_ENTITY__REPRESENTATION_OF = ENTITY__REPRESENTATION_OF;

	/**
	 * The feature id for the '<em><b>Element Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEGAL_ENTITY__ELEMENT_OF = ENTITY__ELEMENT_OF;

	/**
	 * The feature id for the '<em><b>Intension</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEGAL_ENTITY__INTENSION = ENTITY__INTENSION;

	/**
	 * The feature id for the '<em><b>Extension</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEGAL_ENTITY__EXTENSION = ENTITY__EXTENSION;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEGAL_ENTITY__NAME = ENTITY__NAME;

	/**
	 * The feature id for the '<em><b>General</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEGAL_ENTITY__GENERAL = ENTITY__GENERAL;

	/**
	 * The feature id for the '<em><b>Is Abstract</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEGAL_ENTITY__IS_ABSTRACT = ENTITY__IS_ABSTRACT;

	/**
	 * The feature id for the '<em><b>Identifier</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEGAL_ENTITY__IDENTIFIER = ENTITY__IDENTIFIER;

	/**
	 * The feature id for the '<em><b>Is Dynamic</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEGAL_ENTITY__IS_DYNAMIC = ENTITY__IS_DYNAMIC;

	/**
	 * The feature id for the '<em><b>Identity</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEGAL_ENTITY__IDENTITY = ENTITY__IDENTITY;

	/**
	 * The number of structural features of the '<em>Legal Entity</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEGAL_ENTITY_FEATURE_COUNT = ENTITY_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.domainontology.entities.impl.EndpointEntityImpl <em>Endpoint Entity</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.EndpointEntityImpl
	 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.EntitiesPackageImpl#getEndpointEntity()
	 * @generated
	 */
	int ENDPOINT_ENTITY = 5;

	/**
	 * The feature id for the '<em><b>Conforms To</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENDPOINT_ENTITY__CONFORMS_TO = ENTITY__CONFORMS_TO;

	/**
	 * The feature id for the '<em><b>Representation Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENDPOINT_ENTITY__REPRESENTATION_OF = ENTITY__REPRESENTATION_OF;

	/**
	 * The feature id for the '<em><b>Element Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENDPOINT_ENTITY__ELEMENT_OF = ENTITY__ELEMENT_OF;

	/**
	 * The feature id for the '<em><b>Intension</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENDPOINT_ENTITY__INTENSION = ENTITY__INTENSION;

	/**
	 * The feature id for the '<em><b>Extension</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENDPOINT_ENTITY__EXTENSION = ENTITY__EXTENSION;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENDPOINT_ENTITY__NAME = ENTITY__NAME;

	/**
	 * The feature id for the '<em><b>General</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENDPOINT_ENTITY__GENERAL = ENTITY__GENERAL;

	/**
	 * The feature id for the '<em><b>Is Abstract</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENDPOINT_ENTITY__IS_ABSTRACT = ENTITY__IS_ABSTRACT;

	/**
	 * The feature id for the '<em><b>Identifier</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENDPOINT_ENTITY__IDENTIFIER = ENTITY__IDENTIFIER;

	/**
	 * The feature id for the '<em><b>Is Dynamic</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENDPOINT_ENTITY__IS_DYNAMIC = ENTITY__IS_DYNAMIC;

	/**
	 * The feature id for the '<em><b>Identity</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENDPOINT_ENTITY__IDENTITY = ENTITY__IDENTITY;

	/**
	 * The number of structural features of the '<em>Endpoint Entity</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENDPOINT_ENTITY_FEATURE_COUNT = ENTITY_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.domainontology.entities.impl.ComponentServiceImpl <em>Component Service</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.ComponentServiceImpl
	 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.EntitiesPackageImpl#getComponentService()
	 * @generated
	 */
	int COMPONENT_SERVICE = 6;

	/**
	 * The feature id for the '<em><b>Conforms To</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_SERVICE__CONFORMS_TO = SERVICE_ENTITY__CONFORMS_TO;

	/**
	 * The feature id for the '<em><b>Representation Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_SERVICE__REPRESENTATION_OF = SERVICE_ENTITY__REPRESENTATION_OF;

	/**
	 * The feature id for the '<em><b>Element Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_SERVICE__ELEMENT_OF = SERVICE_ENTITY__ELEMENT_OF;

	/**
	 * The feature id for the '<em><b>Intension</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_SERVICE__INTENSION = SERVICE_ENTITY__INTENSION;

	/**
	 * The feature id for the '<em><b>Extension</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_SERVICE__EXTENSION = SERVICE_ENTITY__EXTENSION;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_SERVICE__NAME = SERVICE_ENTITY__NAME;

	/**
	 * The feature id for the '<em><b>General</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_SERVICE__GENERAL = SERVICE_ENTITY__GENERAL;

	/**
	 * The feature id for the '<em><b>Is Abstract</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_SERVICE__IS_ABSTRACT = SERVICE_ENTITY__IS_ABSTRACT;

	/**
	 * The feature id for the '<em><b>Identifier</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_SERVICE__IDENTIFIER = SERVICE_ENTITY__IDENTIFIER;

	/**
	 * The feature id for the '<em><b>Is Dynamic</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_SERVICE__IS_DYNAMIC = SERVICE_ENTITY__IS_DYNAMIC;

	/**
	 * The feature id for the '<em><b>Identity</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_SERVICE__IDENTITY = SERVICE_ENTITY__IDENTITY;

	/**
	 * The feature id for the '<em><b>Interfaces</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_SERVICE__INTERFACES = SERVICE_ENTITY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Component Service</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_SERVICE_FEATURE_COUNT = SERVICE_ENTITY_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.domainontology.entities.impl.ServiceEndpointImpl <em>Service Endpoint</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.ServiceEndpointImpl
	 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.EntitiesPackageImpl#getServiceEndpoint()
	 * @generated
	 */
	int SERVICE_ENDPOINT = 7;

	/**
	 * The feature id for the '<em><b>Conforms To</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_ENDPOINT__CONFORMS_TO = ENDPOINT_ENTITY__CONFORMS_TO;

	/**
	 * The feature id for the '<em><b>Representation Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_ENDPOINT__REPRESENTATION_OF = ENDPOINT_ENTITY__REPRESENTATION_OF;

	/**
	 * The feature id for the '<em><b>Element Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_ENDPOINT__ELEMENT_OF = ENDPOINT_ENTITY__ELEMENT_OF;

	/**
	 * The feature id for the '<em><b>Intension</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_ENDPOINT__INTENSION = ENDPOINT_ENTITY__INTENSION;

	/**
	 * The feature id for the '<em><b>Extension</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_ENDPOINT__EXTENSION = ENDPOINT_ENTITY__EXTENSION;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_ENDPOINT__NAME = ENDPOINT_ENTITY__NAME;

	/**
	 * The feature id for the '<em><b>General</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_ENDPOINT__GENERAL = ENDPOINT_ENTITY__GENERAL;

	/**
	 * The feature id for the '<em><b>Is Abstract</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_ENDPOINT__IS_ABSTRACT = ENDPOINT_ENTITY__IS_ABSTRACT;

	/**
	 * The feature id for the '<em><b>Identifier</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_ENDPOINT__IDENTIFIER = ENDPOINT_ENTITY__IDENTIFIER;

	/**
	 * The feature id for the '<em><b>Is Dynamic</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_ENDPOINT__IS_DYNAMIC = ENDPOINT_ENTITY__IS_DYNAMIC;

	/**
	 * The feature id for the '<em><b>Identity</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_ENDPOINT__IDENTITY = ENDPOINT_ENTITY__IDENTITY;

	/**
	 * The number of structural features of the '<em>Service Endpoint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_ENDPOINT_FEATURE_COUNT = ENDPOINT_ENTITY_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.domainontology.entities.impl.BusinessServiceImpl <em>Business Service</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.BusinessServiceImpl
	 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.EntitiesPackageImpl#getBusinessService()
	 * @generated
	 */
	int BUSINESS_SERVICE = 8;

	/**
	 * The feature id for the '<em><b>Conforms To</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_SERVICE__CONFORMS_TO = SERVICE_ENTITY__CONFORMS_TO;

	/**
	 * The feature id for the '<em><b>Representation Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_SERVICE__REPRESENTATION_OF = SERVICE_ENTITY__REPRESENTATION_OF;

	/**
	 * The feature id for the '<em><b>Element Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_SERVICE__ELEMENT_OF = SERVICE_ENTITY__ELEMENT_OF;

	/**
	 * The feature id for the '<em><b>Intension</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_SERVICE__INTENSION = SERVICE_ENTITY__INTENSION;

	/**
	 * The feature id for the '<em><b>Extension</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_SERVICE__EXTENSION = SERVICE_ENTITY__EXTENSION;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_SERVICE__NAME = SERVICE_ENTITY__NAME;

	/**
	 * The feature id for the '<em><b>General</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_SERVICE__GENERAL = SERVICE_ENTITY__GENERAL;

	/**
	 * The feature id for the '<em><b>Is Abstract</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_SERVICE__IS_ABSTRACT = SERVICE_ENTITY__IS_ABSTRACT;

	/**
	 * The feature id for the '<em><b>Identifier</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_SERVICE__IDENTIFIER = SERVICE_ENTITY__IDENTIFIER;

	/**
	 * The feature id for the '<em><b>Is Dynamic</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_SERVICE__IS_DYNAMIC = SERVICE_ENTITY__IS_DYNAMIC;

	/**
	 * The feature id for the '<em><b>Identity</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_SERVICE__IDENTITY = SERVICE_ENTITY__IDENTITY;

	/**
	 * The feature id for the '<em><b>Commitmentoperation</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_SERVICE__COMMITMENTOPERATION = SERVICE_ENTITY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Business Service</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_SERVICE_FEATURE_COUNT = SERVICE_ENTITY_FEATURE_COUNT + 1;


	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.domainontology.entities.ServiceEntity <em>Service Entity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Service Entity</em>'.
	 * @see org.cinco.metamodel.ecosystem.domainontology.entities.ServiceEntity
	 * @generated
	 */
	EClass getServiceEntity();

	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.domainontology.entities.Entity <em>Entity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Entity</em>'.
	 * @see org.cinco.metamodel.ecosystem.domainontology.entities.Entity
	 * @generated
	 */
	EClass getEntity();

	/**
	 * Returns the meta object for the containment reference '{@link org.cinco.metamodel.ecosystem.domainontology.entities.Entity#getIdentity <em>Identity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Identity</em>'.
	 * @see org.cinco.metamodel.ecosystem.domainontology.entities.Entity#getIdentity()
	 * @see #getEntity()
	 * @generated
	 */
	EReference getEntity_Identity();

	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.domainontology.entities.BusinessDocument <em>Business Document</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Business Document</em>'.
	 * @see org.cinco.metamodel.ecosystem.domainontology.entities.BusinessDocument
	 * @generated
	 */
	EClass getBusinessDocument();

	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.domainontology.entities.InformationEntity <em>Information Entity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Information Entity</em>'.
	 * @see org.cinco.metamodel.ecosystem.domainontology.entities.InformationEntity
	 * @generated
	 */
	EClass getInformationEntity();

	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.domainontology.entities.LegalEntity <em>Legal Entity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Legal Entity</em>'.
	 * @see org.cinco.metamodel.ecosystem.domainontology.entities.LegalEntity
	 * @generated
	 */
	EClass getLegalEntity();

	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.domainontology.entities.EndpointEntity <em>Endpoint Entity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Endpoint Entity</em>'.
	 * @see org.cinco.metamodel.ecosystem.domainontology.entities.EndpointEntity
	 * @generated
	 */
	EClass getEndpointEntity();

	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.domainontology.entities.ComponentService <em>Component Service</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Component Service</em>'.
	 * @see org.cinco.metamodel.ecosystem.domainontology.entities.ComponentService
	 * @generated
	 */
	EClass getComponentService();

	/**
	 * Returns the meta object for the containment reference list '{@link org.cinco.metamodel.ecosystem.domainontology.entities.ComponentService#getInterfaces <em>Interfaces</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Interfaces</em>'.
	 * @see org.cinco.metamodel.ecosystem.domainontology.entities.ComponentService#getInterfaces()
	 * @see #getComponentService()
	 * @generated
	 */
	EReference getComponentService_Interfaces();

	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.domainontology.entities.ServiceEndpoint <em>Service Endpoint</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Service Endpoint</em>'.
	 * @see org.cinco.metamodel.ecosystem.domainontology.entities.ServiceEndpoint
	 * @generated
	 */
	EClass getServiceEndpoint();

	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.domainontology.entities.BusinessService <em>Business Service</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Business Service</em>'.
	 * @see org.cinco.metamodel.ecosystem.domainontology.entities.BusinessService
	 * @generated
	 */
	EClass getBusinessService();

	/**
	 * Returns the meta object for the containment reference list '{@link org.cinco.metamodel.ecosystem.domainontology.entities.BusinessService#getCommitmentoperation <em>Commitmentoperation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Commitmentoperation</em>'.
	 * @see org.cinco.metamodel.ecosystem.domainontology.entities.BusinessService#getCommitmentoperation()
	 * @see #getBusinessService()
	 * @generated
	 */
	EReference getBusinessService_Commitmentoperation();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	EntitiesFactory getEntitiesFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.domainontology.entities.impl.ServiceEntityImpl <em>Service Entity</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.ServiceEntityImpl
		 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.EntitiesPackageImpl#getServiceEntity()
		 * @generated
		 */
		EClass SERVICE_ENTITY = eINSTANCE.getServiceEntity();

		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.domainontology.entities.impl.EntityImpl <em>Entity</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.EntityImpl
		 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.EntitiesPackageImpl#getEntity()
		 * @generated
		 */
		EClass ENTITY = eINSTANCE.getEntity();

		/**
		 * The meta object literal for the '<em><b>Identity</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ENTITY__IDENTITY = eINSTANCE.getEntity_Identity();

		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.domainontology.entities.impl.BusinessDocumentImpl <em>Business Document</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.BusinessDocumentImpl
		 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.EntitiesPackageImpl#getBusinessDocument()
		 * @generated
		 */
		EClass BUSINESS_DOCUMENT = eINSTANCE.getBusinessDocument();

		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.domainontology.entities.impl.InformationEntityImpl <em>Information Entity</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.InformationEntityImpl
		 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.EntitiesPackageImpl#getInformationEntity()
		 * @generated
		 */
		EClass INFORMATION_ENTITY = eINSTANCE.getInformationEntity();

		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.domainontology.entities.impl.LegalEntityImpl <em>Legal Entity</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.LegalEntityImpl
		 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.EntitiesPackageImpl#getLegalEntity()
		 * @generated
		 */
		EClass LEGAL_ENTITY = eINSTANCE.getLegalEntity();

		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.domainontology.entities.impl.EndpointEntityImpl <em>Endpoint Entity</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.EndpointEntityImpl
		 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.EntitiesPackageImpl#getEndpointEntity()
		 * @generated
		 */
		EClass ENDPOINT_ENTITY = eINSTANCE.getEndpointEntity();

		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.domainontology.entities.impl.ComponentServiceImpl <em>Component Service</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.ComponentServiceImpl
		 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.EntitiesPackageImpl#getComponentService()
		 * @generated
		 */
		EClass COMPONENT_SERVICE = eINSTANCE.getComponentService();

		/**
		 * The meta object literal for the '<em><b>Interfaces</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPONENT_SERVICE__INTERFACES = eINSTANCE.getComponentService_Interfaces();

		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.domainontology.entities.impl.ServiceEndpointImpl <em>Service Endpoint</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.ServiceEndpointImpl
		 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.EntitiesPackageImpl#getServiceEndpoint()
		 * @generated
		 */
		EClass SERVICE_ENDPOINT = eINSTANCE.getServiceEndpoint();

		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.domainontology.entities.impl.BusinessServiceImpl <em>Business Service</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.BusinessServiceImpl
		 * @see org.cinco.metamodel.ecosystem.domainontology.entities.impl.EntitiesPackageImpl#getBusinessService()
		 * @generated
		 */
		EClass BUSINESS_SERVICE = eINSTANCE.getBusinessService();

		/**
		 * The meta object literal for the '<em><b>Commitmentoperation</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BUSINESS_SERVICE__COMMITMENTOPERATION = eINSTANCE.getBusinessService_Commitmentoperation();

	}

} //EntitiesPackage
