/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.cinco.metamodel.ecosystem.domainontology.entities.util;

import java.util.List;

import org.cinco.metamodel.ecosystem.domainontology.DomainOntologyElement;
import org.cinco.metamodel.ecosystem.domainontology.IdentifiedElement;

import org.cinco.metamodel.ecosystem.domainontology.concepts.Concept;
import org.cinco.metamodel.ecosystem.domainontology.concepts.GeneralizableElement;

import org.cinco.metamodel.ecosystem.domainontology.entities.*;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.BindingTarget;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.ContractualPropertyTarget;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.CooperativePropertyTarget;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.PropertyBindingTarget;

import org.cinco.metamodel.ecosystem.foundations.NamedElement;

import org.cinco.metamodel.ecosystem.foundations.models.ModelElement;

import org.cinco.metamodel.ecosystem.foundations.systems.AbstractSystem;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see org.cinco.metamodel.ecosystem.domainontology.entities.EntitiesPackage
 * @generated
 */
public class EntitiesSwitch {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static EntitiesPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EntitiesSwitch() {
		if (modelPackage == null) {
			modelPackage = EntitiesPackage.eINSTANCE;
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	public Object doSwitch(EObject theEObject) {
		return doSwitch(theEObject.eClass(), theEObject);
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected Object doSwitch(EClass theEClass, EObject theEObject) {
		if (theEClass.eContainer() == modelPackage) {
			return doSwitch(theEClass.getClassifierID(), theEObject);
		}
		else {
			List eSuperTypes = theEClass.getESuperTypes();
			return
				eSuperTypes.isEmpty() ?
					defaultCase(theEObject) :
					doSwitch((EClass)eSuperTypes.get(0), theEObject);
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected Object doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case EntitiesPackage.SERVICE_ENTITY: {
				ServiceEntity serviceEntity = (ServiceEntity)theEObject;
				Object result = caseServiceEntity(serviceEntity);
				if (result == null) result = caseEntity(serviceEntity);
				if (result == null) result = caseConcept(serviceEntity);
				if (result == null) result = caseDomainOntologyElement(serviceEntity);
				if (result == null) result = caseGeneralizableElement(serviceEntity);
				if (result == null) result = caseIdentifiedElement(serviceEntity);
				if (result == null) result = caseAbstractSystem(serviceEntity);
				if (result == null) result = caseModelElement(serviceEntity);
				if (result == null) result = caseSystem(serviceEntity);
				if (result == null) result = caseNamedElement(serviceEntity);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EntitiesPackage.ENTITY: {
				Entity entity = (Entity)theEObject;
				Object result = caseEntity(entity);
				if (result == null) result = caseConcept(entity);
				if (result == null) result = caseDomainOntologyElement(entity);
				if (result == null) result = caseGeneralizableElement(entity);
				if (result == null) result = caseIdentifiedElement(entity);
				if (result == null) result = caseAbstractSystem(entity);
				if (result == null) result = caseModelElement(entity);
				if (result == null) result = caseSystem(entity);
				if (result == null) result = caseNamedElement(entity);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EntitiesPackage.BUSINESS_DOCUMENT: {
				BusinessDocument businessDocument = (BusinessDocument)theEObject;
				Object result = caseBusinessDocument(businessDocument);
				if (result == null) result = caseInformationEntity(businessDocument);
				if (result == null) result = caseEntity(businessDocument);
				if (result == null) result = caseConcept(businessDocument);
				if (result == null) result = caseDomainOntologyElement(businessDocument);
				if (result == null) result = caseGeneralizableElement(businessDocument);
				if (result == null) result = caseIdentifiedElement(businessDocument);
				if (result == null) result = caseAbstractSystem(businessDocument);
				if (result == null) result = caseModelElement(businessDocument);
				if (result == null) result = caseSystem(businessDocument);
				if (result == null) result = caseNamedElement(businessDocument);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EntitiesPackage.INFORMATION_ENTITY: {
				InformationEntity informationEntity = (InformationEntity)theEObject;
				Object result = caseInformationEntity(informationEntity);
				if (result == null) result = caseEntity(informationEntity);
				if (result == null) result = caseConcept(informationEntity);
				if (result == null) result = caseDomainOntologyElement(informationEntity);
				if (result == null) result = caseGeneralizableElement(informationEntity);
				if (result == null) result = caseIdentifiedElement(informationEntity);
				if (result == null) result = caseAbstractSystem(informationEntity);
				if (result == null) result = caseModelElement(informationEntity);
				if (result == null) result = caseSystem(informationEntity);
				if (result == null) result = caseNamedElement(informationEntity);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EntitiesPackage.LEGAL_ENTITY: {
				LegalEntity legalEntity = (LegalEntity)theEObject;
				Object result = caseLegalEntity(legalEntity);
				if (result == null) result = caseEntity(legalEntity);
				if (result == null) result = caseCooperativePropertyTarget(legalEntity);
				if (result == null) result = caseConcept(legalEntity);
				if (result == null) result = casePropertyBindingTarget(legalEntity);
				if (result == null) result = caseDomainOntologyElement(legalEntity);
				if (result == null) result = caseGeneralizableElement(legalEntity);
				if (result == null) result = caseIdentifiedElement(legalEntity);
				if (result == null) result = caseBindingTarget(legalEntity);
				if (result == null) result = caseAbstractSystem(legalEntity);
				if (result == null) result = caseModelElement(legalEntity);
				if (result == null) result = caseSystem(legalEntity);
				if (result == null) result = caseNamedElement(legalEntity);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EntitiesPackage.ENDPOINT_ENTITY: {
				EndpointEntity endpointEntity = (EndpointEntity)theEObject;
				Object result = caseEndpointEntity(endpointEntity);
				if (result == null) result = caseEntity(endpointEntity);
				if (result == null) result = caseConcept(endpointEntity);
				if (result == null) result = caseDomainOntologyElement(endpointEntity);
				if (result == null) result = caseGeneralizableElement(endpointEntity);
				if (result == null) result = caseIdentifiedElement(endpointEntity);
				if (result == null) result = caseAbstractSystem(endpointEntity);
				if (result == null) result = caseModelElement(endpointEntity);
				if (result == null) result = caseSystem(endpointEntity);
				if (result == null) result = caseNamedElement(endpointEntity);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EntitiesPackage.COMPONENT_SERVICE: {
				ComponentService componentService = (ComponentService)theEObject;
				Object result = caseComponentService(componentService);
				if (result == null) result = caseServiceEntity(componentService);
				if (result == null) result = caseEntity(componentService);
				if (result == null) result = caseConcept(componentService);
				if (result == null) result = caseDomainOntologyElement(componentService);
				if (result == null) result = caseGeneralizableElement(componentService);
				if (result == null) result = caseIdentifiedElement(componentService);
				if (result == null) result = caseAbstractSystem(componentService);
				if (result == null) result = caseModelElement(componentService);
				if (result == null) result = caseSystem(componentService);
				if (result == null) result = caseNamedElement(componentService);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EntitiesPackage.SERVICE_ENDPOINT: {
				ServiceEndpoint serviceEndpoint = (ServiceEndpoint)theEObject;
				Object result = caseServiceEndpoint(serviceEndpoint);
				if (result == null) result = caseEndpointEntity(serviceEndpoint);
				if (result == null) result = caseEntity(serviceEndpoint);
				if (result == null) result = caseConcept(serviceEndpoint);
				if (result == null) result = caseDomainOntologyElement(serviceEndpoint);
				if (result == null) result = caseGeneralizableElement(serviceEndpoint);
				if (result == null) result = caseIdentifiedElement(serviceEndpoint);
				if (result == null) result = caseAbstractSystem(serviceEndpoint);
				if (result == null) result = caseModelElement(serviceEndpoint);
				if (result == null) result = caseSystem(serviceEndpoint);
				if (result == null) result = caseNamedElement(serviceEndpoint);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EntitiesPackage.BUSINESS_SERVICE: {
				BusinessService businessService = (BusinessService)theEObject;
				Object result = caseBusinessService(businessService);
				if (result == null) result = caseServiceEntity(businessService);
				if (result == null) result = caseContractualPropertyTarget(businessService);
				if (result == null) result = caseEntity(businessService);
				if (result == null) result = casePropertyBindingTarget(businessService);
				if (result == null) result = caseConcept(businessService);
				if (result == null) result = caseBindingTarget(businessService);
				if (result == null) result = caseDomainOntologyElement(businessService);
				if (result == null) result = caseGeneralizableElement(businessService);
				if (result == null) result = caseIdentifiedElement(businessService);
				if (result == null) result = caseAbstractSystem(businessService);
				if (result == null) result = caseModelElement(businessService);
				if (result == null) result = caseSystem(businessService);
				if (result == null) result = caseNamedElement(businessService);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Service Entity</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Service Entity</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseServiceEntity(ServiceEntity object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Entity</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Entity</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEntity(Entity object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Business Document</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Business Document</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBusinessDocument(BusinessDocument object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Information Entity</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Information Entity</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseInformationEntity(InformationEntity object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Legal Entity</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Legal Entity</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseLegalEntity(LegalEntity object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Endpoint Entity</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Endpoint Entity</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEndpointEntity(EndpointEntity object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Component Service</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Component Service</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseComponentService(ComponentService object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Service Endpoint</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Service Endpoint</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseServiceEndpoint(ServiceEndpoint object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Business Service</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Business Service</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBusinessService(BusinessService object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>System</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>System</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseSystem(org.cinco.metamodel.ecosystem.foundations.systems.System object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Abstract System</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Abstract System</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseAbstractSystem(AbstractSystem object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseNamedElement(NamedElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseModelElement(ModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Domain Ontology Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Domain Ontology Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseDomainOntologyElement(DomainOntologyElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Generalizable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Generalizable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseGeneralizableElement(GeneralizableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Identified Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Identified Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseIdentifiedElement(IdentifiedElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Concept</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Concept</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseConcept(Concept object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Binding Target</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Binding Target</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBindingTarget(BindingTarget object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Property Binding Target</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Property Binding Target</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object casePropertyBindingTarget(PropertyBindingTarget object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Cooperative Property Target</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Cooperative Property Target</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCooperativePropertyTarget(CooperativePropertyTarget object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Contractual Property Target</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Contractual Property Target</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseContractualPropertyTarget(ContractualPropertyTarget object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	public Object defaultCase(EObject object) {
		return null;
	}

} //EntitiesSwitch
