/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.cinco.metamodel.ecosystem.domainontology.entitykinds.util;

import java.util.List;

import org.cinco.metamodel.ecosystem.domainontology.DomainOntologyElement;
import org.cinco.metamodel.ecosystem.domainontology.IdentifiedElement;

import org.cinco.metamodel.ecosystem.domainontology.concepts.Concept;
import org.cinco.metamodel.ecosystem.domainontology.concepts.GeneralizableElement;

import org.cinco.metamodel.ecosystem.domainontology.entitykinds.*;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.BindingTarget;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.ContractualFeatureTarget;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.FeatureBindingTarget;

import org.cinco.metamodel.ecosystem.ecosystemmodel.Service;

import org.cinco.metamodel.ecosystem.foundations.NamedElement;

import org.cinco.metamodel.ecosystem.foundations.models.ModelElement;

import org.cinco.metamodel.ecosystem.foundations.systems.AbstractSystem;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see org.cinco.metamodel.ecosystem.domainontology.entitykinds.EntitykindsPackage
 * @generated
 */
public class EntitykindsSwitch {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static EntitykindsPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EntitykindsSwitch() {
		if (modelPackage == null) {
			modelPackage = EntitykindsPackage.eINSTANCE;
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	public Object doSwitch(EObject theEObject) {
		return doSwitch(theEObject.eClass(), theEObject);
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected Object doSwitch(EClass theEClass, EObject theEObject) {
		if (theEClass.eContainer() == modelPackage) {
			return doSwitch(theEClass.getClassifierID(), theEObject);
		}
		else {
			List eSuperTypes = theEClass.getESuperTypes();
			return
				eSuperTypes.isEmpty() ?
					defaultCase(theEObject) :
					doSwitch((EClass)eSuperTypes.get(0), theEObject);
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected Object doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case EntitykindsPackage.BUSINESS_SERVICE_KIND: {
				BusinessServiceKind businessServiceKind = (BusinessServiceKind)theEObject;
				Object result = caseBusinessServiceKind(businessServiceKind);
				if (result == null) result = caseServiceEntityKind(businessServiceKind);
				if (result == null) result = caseContractualFeatureTarget(businessServiceKind);
				if (result == null) result = caseEntityKind(businessServiceKind);
				if (result == null) result = caseService(businessServiceKind);
				if (result == null) result = caseFeatureBindingTarget(businessServiceKind);
				if (result == null) result = caseConcept(businessServiceKind);
				if (result == null) result = caseBindingTarget(businessServiceKind);
				if (result == null) result = caseDomainOntologyElement(businessServiceKind);
				if (result == null) result = caseGeneralizableElement(businessServiceKind);
				if (result == null) result = caseIdentifiedElement(businessServiceKind);
				if (result == null) result = caseAbstractSystem(businessServiceKind);
				if (result == null) result = caseModelElement(businessServiceKind);
				if (result == null) result = caseSystem(businessServiceKind);
				if (result == null) result = caseNamedElement(businessServiceKind);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EntitykindsPackage.SERVICE_ENTITY_KIND: {
				ServiceEntityKind serviceEntityKind = (ServiceEntityKind)theEObject;
				Object result = caseServiceEntityKind(serviceEntityKind);
				if (result == null) result = caseEntityKind(serviceEntityKind);
				if (result == null) result = caseService(serviceEntityKind);
				if (result == null) result = caseConcept(serviceEntityKind);
				if (result == null) result = caseDomainOntologyElement(serviceEntityKind);
				if (result == null) result = caseGeneralizableElement(serviceEntityKind);
				if (result == null) result = caseIdentifiedElement(serviceEntityKind);
				if (result == null) result = caseAbstractSystem(serviceEntityKind);
				if (result == null) result = caseModelElement(serviceEntityKind);
				if (result == null) result = caseSystem(serviceEntityKind);
				if (result == null) result = caseNamedElement(serviceEntityKind);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EntitykindsPackage.BUSINESS_DOCUMENT_KIND: {
				BusinessDocumentKind businessDocumentKind = (BusinessDocumentKind)theEObject;
				Object result = caseBusinessDocumentKind(businessDocumentKind);
				if (result == null) result = caseInformationEntityKind(businessDocumentKind);
				if (result == null) result = caseEntityKind(businessDocumentKind);
				if (result == null) result = caseConcept(businessDocumentKind);
				if (result == null) result = caseDomainOntologyElement(businessDocumentKind);
				if (result == null) result = caseGeneralizableElement(businessDocumentKind);
				if (result == null) result = caseIdentifiedElement(businessDocumentKind);
				if (result == null) result = caseAbstractSystem(businessDocumentKind);
				if (result == null) result = caseModelElement(businessDocumentKind);
				if (result == null) result = caseSystem(businessDocumentKind);
				if (result == null) result = caseNamedElement(businessDocumentKind);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EntitykindsPackage.INFORMATION_ENTITY_KIND: {
				InformationEntityKind informationEntityKind = (InformationEntityKind)theEObject;
				Object result = caseInformationEntityKind(informationEntityKind);
				if (result == null) result = caseEntityKind(informationEntityKind);
				if (result == null) result = caseConcept(informationEntityKind);
				if (result == null) result = caseDomainOntologyElement(informationEntityKind);
				if (result == null) result = caseGeneralizableElement(informationEntityKind);
				if (result == null) result = caseIdentifiedElement(informationEntityKind);
				if (result == null) result = caseAbstractSystem(informationEntityKind);
				if (result == null) result = caseModelElement(informationEntityKind);
				if (result == null) result = caseSystem(informationEntityKind);
				if (result == null) result = caseNamedElement(informationEntityKind);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EntitykindsPackage.LEGAL_ENTITY_KIND: {
				LegalEntityKind legalEntityKind = (LegalEntityKind)theEObject;
				Object result = caseLegalEntityKind(legalEntityKind);
				if (result == null) result = caseEntityKind(legalEntityKind);
				if (result == null) result = caseConcept(legalEntityKind);
				if (result == null) result = caseDomainOntologyElement(legalEntityKind);
				if (result == null) result = caseGeneralizableElement(legalEntityKind);
				if (result == null) result = caseIdentifiedElement(legalEntityKind);
				if (result == null) result = caseAbstractSystem(legalEntityKind);
				if (result == null) result = caseModelElement(legalEntityKind);
				if (result == null) result = caseSystem(legalEntityKind);
				if (result == null) result = caseNamedElement(legalEntityKind);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EntitykindsPackage.ENDPOINT_KIND: {
				EndpointKind endpointKind = (EndpointKind)theEObject;
				Object result = caseEndpointKind(endpointKind);
				if (result == null) result = caseEntityKind(endpointKind);
				if (result == null) result = caseConcept(endpointKind);
				if (result == null) result = caseDomainOntologyElement(endpointKind);
				if (result == null) result = caseGeneralizableElement(endpointKind);
				if (result == null) result = caseIdentifiedElement(endpointKind);
				if (result == null) result = caseAbstractSystem(endpointKind);
				if (result == null) result = caseModelElement(endpointKind);
				if (result == null) result = caseSystem(endpointKind);
				if (result == null) result = caseNamedElement(endpointKind);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EntitykindsPackage.SERVICE_ENDPOINT_KIND: {
				ServiceEndpointKind serviceEndpointKind = (ServiceEndpointKind)theEObject;
				Object result = caseServiceEndpointKind(serviceEndpointKind);
				if (result == null) result = caseEndpointKind(serviceEndpointKind);
				if (result == null) result = caseEntityKind(serviceEndpointKind);
				if (result == null) result = caseConcept(serviceEndpointKind);
				if (result == null) result = caseDomainOntologyElement(serviceEndpointKind);
				if (result == null) result = caseGeneralizableElement(serviceEndpointKind);
				if (result == null) result = caseIdentifiedElement(serviceEndpointKind);
				if (result == null) result = caseAbstractSystem(serviceEndpointKind);
				if (result == null) result = caseModelElement(serviceEndpointKind);
				if (result == null) result = caseSystem(serviceEndpointKind);
				if (result == null) result = caseNamedElement(serviceEndpointKind);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EntitykindsPackage.COMPONENT_SERVICE_KIND: {
				ComponentServiceKind componentServiceKind = (ComponentServiceKind)theEObject;
				Object result = caseComponentServiceKind(componentServiceKind);
				if (result == null) result = caseServiceEntityKind(componentServiceKind);
				if (result == null) result = caseEntityKind(componentServiceKind);
				if (result == null) result = caseService(componentServiceKind);
				if (result == null) result = caseConcept(componentServiceKind);
				if (result == null) result = caseDomainOntologyElement(componentServiceKind);
				if (result == null) result = caseGeneralizableElement(componentServiceKind);
				if (result == null) result = caseIdentifiedElement(componentServiceKind);
				if (result == null) result = caseAbstractSystem(componentServiceKind);
				if (result == null) result = caseModelElement(componentServiceKind);
				if (result == null) result = caseSystem(componentServiceKind);
				if (result == null) result = caseNamedElement(componentServiceKind);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EntitykindsPackage.ENTITY_KIND: {
				EntityKind entityKind = (EntityKind)theEObject;
				Object result = caseEntityKind(entityKind);
				if (result == null) result = caseConcept(entityKind);
				if (result == null) result = caseDomainOntologyElement(entityKind);
				if (result == null) result = caseGeneralizableElement(entityKind);
				if (result == null) result = caseIdentifiedElement(entityKind);
				if (result == null) result = caseAbstractSystem(entityKind);
				if (result == null) result = caseModelElement(entityKind);
				if (result == null) result = caseSystem(entityKind);
				if (result == null) result = caseNamedElement(entityKind);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Business Service Kind</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Business Service Kind</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBusinessServiceKind(BusinessServiceKind object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Service Entity Kind</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Service Entity Kind</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseServiceEntityKind(ServiceEntityKind object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Business Document Kind</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Business Document Kind</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBusinessDocumentKind(BusinessDocumentKind object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Information Entity Kind</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Information Entity Kind</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseInformationEntityKind(InformationEntityKind object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Legal Entity Kind</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Legal Entity Kind</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseLegalEntityKind(LegalEntityKind object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Endpoint Kind</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Endpoint Kind</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEndpointKind(EndpointKind object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Service Endpoint Kind</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Service Endpoint Kind</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseServiceEndpointKind(ServiceEndpointKind object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Component Service Kind</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Component Service Kind</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseComponentServiceKind(ComponentServiceKind object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Entity Kind</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Entity Kind</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEntityKind(EntityKind object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>System</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>System</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseSystem(org.cinco.metamodel.ecosystem.foundations.systems.System object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Abstract System</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Abstract System</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseAbstractSystem(AbstractSystem object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseNamedElement(NamedElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseModelElement(ModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Domain Ontology Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Domain Ontology Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseDomainOntologyElement(DomainOntologyElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Generalizable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Generalizable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseGeneralizableElement(GeneralizableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Identified Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Identified Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseIdentifiedElement(IdentifiedElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Concept</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Concept</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseConcept(Concept object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Service</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Service</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseService(Service object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Binding Target</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Binding Target</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBindingTarget(BindingTarget object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Feature Binding Target</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Feature Binding Target</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseFeatureBindingTarget(FeatureBindingTarget object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Contractual Feature Target</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Contractual Feature Target</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseContractualFeatureTarget(ContractualFeatureTarget object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	public Object defaultCase(EObject object) {
		return null;
	}

} //EntitykindsSwitch
