/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.cinco.metamodel.ecosystem.domainontology.facilities;

import org.cinco.metamodel.ecosystem.domainontology.concepts.ConceptsPackage;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see org.cinco.metamodel.ecosystem.domainontology.facilities.FacilitiesFactory
 * @model kind="package"
 * @generated
 */
public interface FacilitiesPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "facilities";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http:///ecosystem/domainontology/facilities.ecore";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "ecosystem.domainontology.facilities";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	FacilitiesPackage eINSTANCE = org.cinco.metamodel.ecosystem.domainontology.facilities.impl.FacilitiesPackageImpl.init();

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.domainontology.facilities.impl.CooperationFacilityImpl <em>Cooperation Facility</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.domainontology.facilities.impl.CooperationFacilityImpl
	 * @see org.cinco.metamodel.ecosystem.domainontology.facilities.impl.FacilitiesPackageImpl#getCooperationFacility()
	 * @generated
	 */
	int COOPERATION_FACILITY = 0;

	/**
	 * The feature id for the '<em><b>Conforms To</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COOPERATION_FACILITY__CONFORMS_TO = ConceptsPackage.CONCEPT__CONFORMS_TO;

	/**
	 * The feature id for the '<em><b>Representation Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COOPERATION_FACILITY__REPRESENTATION_OF = ConceptsPackage.CONCEPT__REPRESENTATION_OF;

	/**
	 * The feature id for the '<em><b>Element Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COOPERATION_FACILITY__ELEMENT_OF = ConceptsPackage.CONCEPT__ELEMENT_OF;

	/**
	 * The feature id for the '<em><b>Intension</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COOPERATION_FACILITY__INTENSION = ConceptsPackage.CONCEPT__INTENSION;

	/**
	 * The feature id for the '<em><b>Extension</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COOPERATION_FACILITY__EXTENSION = ConceptsPackage.CONCEPT__EXTENSION;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COOPERATION_FACILITY__NAME = ConceptsPackage.CONCEPT__NAME;

	/**
	 * The feature id for the '<em><b>General</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COOPERATION_FACILITY__GENERAL = ConceptsPackage.CONCEPT__GENERAL;

	/**
	 * The feature id for the '<em><b>Is Abstract</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COOPERATION_FACILITY__IS_ABSTRACT = ConceptsPackage.CONCEPT__IS_ABSTRACT;

	/**
	 * The feature id for the '<em><b>Identifier</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COOPERATION_FACILITY__IDENTIFIER = ConceptsPackage.CONCEPT__IDENTIFIER;

	/**
	 * The feature id for the '<em><b>Is Dynamic</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COOPERATION_FACILITY__IS_DYNAMIC = ConceptsPackage.CONCEPT__IS_DYNAMIC;

	/**
	 * The feature id for the '<em><b>Delivers</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COOPERATION_FACILITY__DELIVERS = ConceptsPackage.CONCEPT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Cooperation Facility</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COOPERATION_FACILITY_FEATURE_COUNT = ConceptsPackage.CONCEPT_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.domainontology.facilities.impl.ChannelTypeImpl <em>Channel Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.domainontology.facilities.impl.ChannelTypeImpl
	 * @see org.cinco.metamodel.ecosystem.domainontology.facilities.impl.FacilitiesPackageImpl#getChannelType()
	 * @generated
	 */
	int CHANNEL_TYPE = 1;

	/**
	 * The feature id for the '<em><b>Conforms To</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_TYPE__CONFORMS_TO = COOPERATION_FACILITY__CONFORMS_TO;

	/**
	 * The feature id for the '<em><b>Representation Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_TYPE__REPRESENTATION_OF = COOPERATION_FACILITY__REPRESENTATION_OF;

	/**
	 * The feature id for the '<em><b>Element Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_TYPE__ELEMENT_OF = COOPERATION_FACILITY__ELEMENT_OF;

	/**
	 * The feature id for the '<em><b>Intension</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_TYPE__INTENSION = COOPERATION_FACILITY__INTENSION;

	/**
	 * The feature id for the '<em><b>Extension</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_TYPE__EXTENSION = COOPERATION_FACILITY__EXTENSION;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_TYPE__NAME = COOPERATION_FACILITY__NAME;

	/**
	 * The feature id for the '<em><b>General</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_TYPE__GENERAL = COOPERATION_FACILITY__GENERAL;

	/**
	 * The feature id for the '<em><b>Is Abstract</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_TYPE__IS_ABSTRACT = COOPERATION_FACILITY__IS_ABSTRACT;

	/**
	 * The feature id for the '<em><b>Identifier</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_TYPE__IDENTIFIER = COOPERATION_FACILITY__IDENTIFIER;

	/**
	 * The feature id for the '<em><b>Is Dynamic</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_TYPE__IS_DYNAMIC = COOPERATION_FACILITY__IS_DYNAMIC;

	/**
	 * The feature id for the '<em><b>Delivers</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_TYPE__DELIVERS = COOPERATION_FACILITY__DELIVERS;

	/**
	 * The number of structural features of the '<em>Channel Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_TYPE_FEATURE_COUNT = COOPERATION_FACILITY_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.domainontology.facilities.impl.BindingTypeImpl <em>Binding Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.domainontology.facilities.impl.BindingTypeImpl
	 * @see org.cinco.metamodel.ecosystem.domainontology.facilities.impl.FacilitiesPackageImpl#getBindingType()
	 * @generated
	 */
	int BINDING_TYPE = 2;

	/**
	 * The feature id for the '<em><b>Conforms To</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BINDING_TYPE__CONFORMS_TO = COOPERATION_FACILITY__CONFORMS_TO;

	/**
	 * The feature id for the '<em><b>Representation Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BINDING_TYPE__REPRESENTATION_OF = COOPERATION_FACILITY__REPRESENTATION_OF;

	/**
	 * The feature id for the '<em><b>Element Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BINDING_TYPE__ELEMENT_OF = COOPERATION_FACILITY__ELEMENT_OF;

	/**
	 * The feature id for the '<em><b>Intension</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BINDING_TYPE__INTENSION = COOPERATION_FACILITY__INTENSION;

	/**
	 * The feature id for the '<em><b>Extension</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BINDING_TYPE__EXTENSION = COOPERATION_FACILITY__EXTENSION;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BINDING_TYPE__NAME = COOPERATION_FACILITY__NAME;

	/**
	 * The feature id for the '<em><b>General</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BINDING_TYPE__GENERAL = COOPERATION_FACILITY__GENERAL;

	/**
	 * The feature id for the '<em><b>Is Abstract</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BINDING_TYPE__IS_ABSTRACT = COOPERATION_FACILITY__IS_ABSTRACT;

	/**
	 * The feature id for the '<em><b>Identifier</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BINDING_TYPE__IDENTIFIER = COOPERATION_FACILITY__IDENTIFIER;

	/**
	 * The feature id for the '<em><b>Is Dynamic</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BINDING_TYPE__IS_DYNAMIC = COOPERATION_FACILITY__IS_DYNAMIC;

	/**
	 * The feature id for the '<em><b>Delivers</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BINDING_TYPE__DELIVERS = COOPERATION_FACILITY__DELIVERS;

	/**
	 * The number of structural features of the '<em>Binding Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BINDING_TYPE_FEATURE_COUNT = COOPERATION_FACILITY_FEATURE_COUNT + 0;


	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.domainontology.facilities.CooperationFacility <em>Cooperation Facility</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Cooperation Facility</em>'.
	 * @see org.cinco.metamodel.ecosystem.domainontology.facilities.CooperationFacility
	 * @generated
	 */
	EClass getCooperationFacility();

	/**
	 * Returns the meta object for the reference '{@link org.cinco.metamodel.ecosystem.domainontology.facilities.CooperationFacility#getDelivers <em>Delivers</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Delivers</em>'.
	 * @see org.cinco.metamodel.ecosystem.domainontology.facilities.CooperationFacility#getDelivers()
	 * @see #getCooperationFacility()
	 * @generated
	 */
	EReference getCooperationFacility_Delivers();

	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.domainontology.facilities.ChannelType <em>Channel Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Channel Type</em>'.
	 * @see org.cinco.metamodel.ecosystem.domainontology.facilities.ChannelType
	 * @generated
	 */
	EClass getChannelType();

	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.domainontology.facilities.BindingType <em>Binding Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Binding Type</em>'.
	 * @see org.cinco.metamodel.ecosystem.domainontology.facilities.BindingType
	 * @generated
	 */
	EClass getBindingType();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	FacilitiesFactory getFacilitiesFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.domainontology.facilities.impl.CooperationFacilityImpl <em>Cooperation Facility</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.domainontology.facilities.impl.CooperationFacilityImpl
		 * @see org.cinco.metamodel.ecosystem.domainontology.facilities.impl.FacilitiesPackageImpl#getCooperationFacility()
		 * @generated
		 */
		EClass COOPERATION_FACILITY = eINSTANCE.getCooperationFacility();

		/**
		 * The meta object literal for the '<em><b>Delivers</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COOPERATION_FACILITY__DELIVERS = eINSTANCE.getCooperationFacility_Delivers();

		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.domainontology.facilities.impl.ChannelTypeImpl <em>Channel Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.domainontology.facilities.impl.ChannelTypeImpl
		 * @see org.cinco.metamodel.ecosystem.domainontology.facilities.impl.FacilitiesPackageImpl#getChannelType()
		 * @generated
		 */
		EClass CHANNEL_TYPE = eINSTANCE.getChannelType();

		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.domainontology.facilities.impl.BindingTypeImpl <em>Binding Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.domainontology.facilities.impl.BindingTypeImpl
		 * @see org.cinco.metamodel.ecosystem.domainontology.facilities.impl.FacilitiesPackageImpl#getBindingType()
		 * @generated
		 */
		EClass BINDING_TYPE = eINSTANCE.getBindingType();

	}

} //FacilitiesPackage
