/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.cinco.metamodel.ecosystem.domainontology.impl;

import org.cinco.metamodel.ecosystem.domainontology.ConceptRelationship;
import org.cinco.metamodel.ecosystem.domainontology.DomainConcept;
import org.cinco.metamodel.ecosystem.domainontology.DomainOntologyElement;
import org.cinco.metamodel.ecosystem.domainontology.DomainOntologyModel;
import org.cinco.metamodel.ecosystem.domainontology.DomainontologyFactory;
import org.cinco.metamodel.ecosystem.domainontology.DomainontologyPackage;
import org.cinco.metamodel.ecosystem.domainontology.IdentifiedElement;
import org.cinco.metamodel.ecosystem.domainontology.Identifier;
import org.cinco.metamodel.ecosystem.domainontology.Identity;

import org.cinco.metamodel.ecosystem.domainontology.channels.ChannelsPackage;

import org.cinco.metamodel.ecosystem.domainontology.channels.impl.ChannelsPackageImpl;

import org.cinco.metamodel.ecosystem.domainontology.concepts.ConceptsPackage;

import org.cinco.metamodel.ecosystem.domainontology.concepts.impl.ConceptsPackageImpl;

import org.cinco.metamodel.ecosystem.domainontology.contracting.ContractingPackage;

import org.cinco.metamodel.ecosystem.domainontology.contracting.impl.ContractingPackageImpl;

import org.cinco.metamodel.ecosystem.domainontology.entities.EntitiesPackage;

import org.cinco.metamodel.ecosystem.domainontology.entities.impl.EntitiesPackageImpl;

import org.cinco.metamodel.ecosystem.domainontology.entitykinds.EntitykindsPackage;

import org.cinco.metamodel.ecosystem.domainontology.entitykinds.impl.EntitykindsPackageImpl;

import org.cinco.metamodel.ecosystem.domainontology.facilities.FacilitiesPackage;

import org.cinco.metamodel.ecosystem.domainontology.facilities.impl.FacilitiesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.EcosystemintensionmodelPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.BindingsPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.impl.BindingsPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.FeaturesPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.contractualfeatures.ContractualfeaturesPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.contractualfeatures.impl.ContractualfeaturesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.cooperativefeatures.CooperativefeaturesPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.cooperativefeatures.impl.CooperativefeaturesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.extrafunctionalfeatures.ExtrafunctionalfeaturesPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.extrafunctionalfeatures.impl.ExtrafunctionalfeaturesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.facilityfeatures.FacilityfeaturesPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.facilityfeatures.impl.FacilityfeaturesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.functionalfeatures.FunctionalfeaturesPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.functionalfeatures.impl.FunctionalfeaturesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.impl.FeaturesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.impl.EcosystemintensionmodelPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.intensions.IntensionsPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.intensions.impl.IntensionsPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.PropertiesPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.contractualproperties.ContractualpropertiesPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.contractualproperties.impl.ContractualpropertiesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.cooperativeproperties.CooperativepropertiesPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.cooperativeproperties.impl.CooperativepropertiesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.facilityproperties.FacilitypropertiesPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.facilityproperties.impl.FacilitypropertiesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.functionalproperties.FunctionalpropertiesPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.functionalproperties.impl.FunctionalpropertiesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.impl.PropertiesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemmodel.EcosystemmodelPackage;

import org.cinco.metamodel.ecosystem.ecosystemmodel.choreographies.ChoreographiesPackage;

import org.cinco.metamodel.ecosystem.ecosystemmodel.choreographies.impl.ChoreographiesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemmodel.impl.EcosystemmodelPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemmodel.lifecycle.LifecyclePackage;

import org.cinco.metamodel.ecosystem.ecosystemmodel.lifecycle.impl.LifecyclePackageImpl;

import org.cinco.metamodel.ecosystem.engineeringmodel.EngineeringmodelPackage;

import org.cinco.metamodel.ecosystem.engineeringmodel.engineeringcapability.EngineeringcapabilityPackage;

import org.cinco.metamodel.ecosystem.engineeringmodel.engineeringcapability.impl.EngineeringcapabilityPackageImpl;

import org.cinco.metamodel.ecosystem.engineeringmodel.engineeringspace.EngineeringspacePackage;

import org.cinco.metamodel.ecosystem.engineeringmodel.engineeringspace.impl.EngineeringspacePackageImpl;

import org.cinco.metamodel.ecosystem.engineeringmodel.impl.EngineeringmodelPackageImpl;

import org.cinco.metamodel.ecosystem.foundations.FoundationsPackage;

import org.cinco.metamodel.ecosystem.foundations.behaviour.BehaviourPackage;

import org.cinco.metamodel.ecosystem.foundations.behaviour.impl.BehaviourPackageImpl;

import org.cinco.metamodel.ecosystem.foundations.impl.FoundationsPackageImpl;

import org.cinco.metamodel.ecosystem.foundations.models.ModelsPackage;

import org.cinco.metamodel.ecosystem.foundations.models.impl.ModelsPackageImpl;

import org.cinco.metamodel.ecosystem.foundations.modeltransformations.ModeltransformationsPackage;

import org.cinco.metamodel.ecosystem.foundations.modeltransformations.impl.ModeltransformationsPackageImpl;

import org.cinco.metamodel.ecosystem.foundations.relationships.RelationshipsPackage;

import org.cinco.metamodel.ecosystem.foundations.relationships.impl.RelationshipsPackageImpl;

import org.cinco.metamodel.ecosystem.foundations.systems.SystemsPackage;

import org.cinco.metamodel.ecosystem.foundations.systems.impl.SystemsPackageImpl;

import org.cinco.metamodel.ecosystem.knowledgemanagementmodel.KnowledgemanagementmodelPackage;

import org.cinco.metamodel.ecosystem.knowledgemanagementmodel.impl.KnowledgemanagementmodelPackageImpl;

import org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.RepositoriesPackage;

import org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.RepositoriesPackageImpl;

import org.cinco.metamodel.ecosystem.seadescription.SeadescriptionPackage;

import org.cinco.metamodel.ecosystem.seadescription.impl.SeadescriptionPackageImpl;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import org.eclipse.emf.ecore.impl.EPackageImpl;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Package</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class DomainontologyPackageImpl extends EPackageImpl implements DomainontologyPackage {
	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass domainConceptEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass domainOntologyElementEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass identifiedElementEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass identifierEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass identityEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass domainOntologyModelEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass conceptRelationshipEClass = null;

	/**
	 * Creates an instance of the model <b>Package</b>, registered with
	 * {@link org.eclipse.emf.ecore.EPackage.Registry EPackage.Registry} by the package
	 * package URI value.
	 * <p>Note: the correct way to create the package is via the static
	 * factory method {@link #init init()}, which also performs
	 * initialization of the package, or returns the registered package,
	 * if one already exists.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.emf.ecore.EPackage.Registry
	 * @see org.cinco.metamodel.ecosystem.domainontology.DomainontologyPackage#eNS_URI
	 * @see #init()
	 * @generated
	 */
	private DomainontologyPackageImpl() {
		super(eNS_URI, DomainontologyFactory.eINSTANCE);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static boolean isInited = false;

	/**
	 * Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.
	 * 
	 * <p>This method is used to initialize {@link DomainontologyPackage#eINSTANCE} when that field is accessed.
	 * Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #eNS_URI
	 * @see #createPackageContents()
	 * @see #initializePackageContents()
	 * @generated
	 */
	public static DomainontologyPackage init() {
		if (isInited) return (DomainontologyPackage)EPackage.Registry.INSTANCE.getEPackage(DomainontologyPackage.eNS_URI);

		// Obtain or create and register package
		DomainontologyPackageImpl theDomainontologyPackage = (DomainontologyPackageImpl)(EPackage.Registry.INSTANCE.get(eNS_URI) instanceof DomainontologyPackageImpl ? EPackage.Registry.INSTANCE.get(eNS_URI) : new DomainontologyPackageImpl());

		isInited = true;

		// Obtain or create and register interdependencies
		EcosystemmodelPackageImpl theEcosystemmodelPackage = (EcosystemmodelPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(EcosystemmodelPackage.eNS_URI) instanceof EcosystemmodelPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(EcosystemmodelPackage.eNS_URI) : EcosystemmodelPackage.eINSTANCE);
		LifecyclePackageImpl theLifecyclePackage = (LifecyclePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(LifecyclePackage.eNS_URI) instanceof LifecyclePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(LifecyclePackage.eNS_URI) : LifecyclePackage.eINSTANCE);
		ChoreographiesPackageImpl theChoreographiesPackage = (ChoreographiesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ChoreographiesPackage.eNS_URI) instanceof ChoreographiesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ChoreographiesPackage.eNS_URI) : ChoreographiesPackage.eINSTANCE);
		FoundationsPackageImpl theFoundationsPackage = (FoundationsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FoundationsPackage.eNS_URI) instanceof FoundationsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FoundationsPackage.eNS_URI) : FoundationsPackage.eINSTANCE);
		RelationshipsPackageImpl theRelationshipsPackage = (RelationshipsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(RelationshipsPackage.eNS_URI) instanceof RelationshipsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(RelationshipsPackage.eNS_URI) : RelationshipsPackage.eINSTANCE);
		SystemsPackageImpl theSystemsPackage = (SystemsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SystemsPackage.eNS_URI) instanceof SystemsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SystemsPackage.eNS_URI) : SystemsPackage.eINSTANCE);
		ModeltransformationsPackageImpl theModeltransformationsPackage = (ModeltransformationsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ModeltransformationsPackage.eNS_URI) instanceof ModeltransformationsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ModeltransformationsPackage.eNS_URI) : ModeltransformationsPackage.eINSTANCE);
		BehaviourPackageImpl theBehaviourPackage = (BehaviourPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(BehaviourPackage.eNS_URI) instanceof BehaviourPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(BehaviourPackage.eNS_URI) : BehaviourPackage.eINSTANCE);
		ModelsPackageImpl theModelsPackage = (ModelsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ModelsPackage.eNS_URI) instanceof ModelsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ModelsPackage.eNS_URI) : ModelsPackage.eINSTANCE);
		EcosystemintensionmodelPackageImpl theEcosystemintensionmodelPackage = (EcosystemintensionmodelPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(EcosystemintensionmodelPackage.eNS_URI) instanceof EcosystemintensionmodelPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(EcosystemintensionmodelPackage.eNS_URI) : EcosystemintensionmodelPackage.eINSTANCE);
		FeaturesPackageImpl theFeaturesPackage = (FeaturesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FeaturesPackage.eNS_URI) instanceof FeaturesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FeaturesPackage.eNS_URI) : FeaturesPackage.eINSTANCE);
		ContractualfeaturesPackageImpl theContractualfeaturesPackage = (ContractualfeaturesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ContractualfeaturesPackage.eNS_URI) instanceof ContractualfeaturesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ContractualfeaturesPackage.eNS_URI) : ContractualfeaturesPackage.eINSTANCE);
		FunctionalfeaturesPackageImpl theFunctionalfeaturesPackage = (FunctionalfeaturesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FunctionalfeaturesPackage.eNS_URI) instanceof FunctionalfeaturesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FunctionalfeaturesPackage.eNS_URI) : FunctionalfeaturesPackage.eINSTANCE);
		CooperativefeaturesPackageImpl theCooperativefeaturesPackage = (CooperativefeaturesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(CooperativefeaturesPackage.eNS_URI) instanceof CooperativefeaturesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(CooperativefeaturesPackage.eNS_URI) : CooperativefeaturesPackage.eINSTANCE);
		FacilityfeaturesPackageImpl theFacilityfeaturesPackage = (FacilityfeaturesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FacilityfeaturesPackage.eNS_URI) instanceof FacilityfeaturesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FacilityfeaturesPackage.eNS_URI) : FacilityfeaturesPackage.eINSTANCE);
		ExtrafunctionalfeaturesPackageImpl theExtrafunctionalfeaturesPackage = (ExtrafunctionalfeaturesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ExtrafunctionalfeaturesPackage.eNS_URI) instanceof ExtrafunctionalfeaturesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ExtrafunctionalfeaturesPackage.eNS_URI) : ExtrafunctionalfeaturesPackage.eINSTANCE);
		IntensionsPackageImpl theIntensionsPackage = (IntensionsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(IntensionsPackage.eNS_URI) instanceof IntensionsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(IntensionsPackage.eNS_URI) : IntensionsPackage.eINSTANCE);
		BindingsPackageImpl theBindingsPackage = (BindingsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(BindingsPackage.eNS_URI) instanceof BindingsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(BindingsPackage.eNS_URI) : BindingsPackage.eINSTANCE);
		PropertiesPackageImpl thePropertiesPackage = (PropertiesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(PropertiesPackage.eNS_URI) instanceof PropertiesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(PropertiesPackage.eNS_URI) : PropertiesPackage.eINSTANCE);
		ContractualpropertiesPackageImpl theContractualpropertiesPackage = (ContractualpropertiesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ContractualpropertiesPackage.eNS_URI) instanceof ContractualpropertiesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ContractualpropertiesPackage.eNS_URI) : ContractualpropertiesPackage.eINSTANCE);
		CooperativepropertiesPackageImpl theCooperativepropertiesPackage = (CooperativepropertiesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(CooperativepropertiesPackage.eNS_URI) instanceof CooperativepropertiesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(CooperativepropertiesPackage.eNS_URI) : CooperativepropertiesPackage.eINSTANCE);
		FacilitypropertiesPackageImpl theFacilitypropertiesPackage = (FacilitypropertiesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FacilitypropertiesPackage.eNS_URI) instanceof FacilitypropertiesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FacilitypropertiesPackage.eNS_URI) : FacilitypropertiesPackage.eINSTANCE);
		FunctionalpropertiesPackageImpl theFunctionalpropertiesPackage = (FunctionalpropertiesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FunctionalpropertiesPackage.eNS_URI) instanceof FunctionalpropertiesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FunctionalpropertiesPackage.eNS_URI) : FunctionalpropertiesPackage.eINSTANCE);
		ContractingPackageImpl theContractingPackage = (ContractingPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ContractingPackage.eNS_URI) instanceof ContractingPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ContractingPackage.eNS_URI) : ContractingPackage.eINSTANCE);
		EntitiesPackageImpl theEntitiesPackage = (EntitiesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(EntitiesPackage.eNS_URI) instanceof EntitiesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(EntitiesPackage.eNS_URI) : EntitiesPackage.eINSTANCE);
		EntitykindsPackageImpl theEntitykindsPackage = (EntitykindsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(EntitykindsPackage.eNS_URI) instanceof EntitykindsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(EntitykindsPackage.eNS_URI) : EntitykindsPackage.eINSTANCE);
		ChannelsPackageImpl theChannelsPackage = (ChannelsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ChannelsPackage.eNS_URI) instanceof ChannelsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ChannelsPackage.eNS_URI) : ChannelsPackage.eINSTANCE);
		FacilitiesPackageImpl theFacilitiesPackage = (FacilitiesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FacilitiesPackage.eNS_URI) instanceof FacilitiesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FacilitiesPackage.eNS_URI) : FacilitiesPackage.eINSTANCE);
		ConceptsPackageImpl theConceptsPackage = (ConceptsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ConceptsPackage.eNS_URI) instanceof ConceptsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ConceptsPackage.eNS_URI) : ConceptsPackage.eINSTANCE);
		KnowledgemanagementmodelPackageImpl theKnowledgemanagementmodelPackage = (KnowledgemanagementmodelPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(KnowledgemanagementmodelPackage.eNS_URI) instanceof KnowledgemanagementmodelPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(KnowledgemanagementmodelPackage.eNS_URI) : KnowledgemanagementmodelPackage.eINSTANCE);
		RepositoriesPackageImpl theRepositoriesPackage = (RepositoriesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(RepositoriesPackage.eNS_URI) instanceof RepositoriesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(RepositoriesPackage.eNS_URI) : RepositoriesPackage.eINSTANCE);
		EngineeringmodelPackageImpl theEngineeringmodelPackage = (EngineeringmodelPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(EngineeringmodelPackage.eNS_URI) instanceof EngineeringmodelPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(EngineeringmodelPackage.eNS_URI) : EngineeringmodelPackage.eINSTANCE);
		EngineeringcapabilityPackageImpl theEngineeringcapabilityPackage = (EngineeringcapabilityPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(EngineeringcapabilityPackage.eNS_URI) instanceof EngineeringcapabilityPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(EngineeringcapabilityPackage.eNS_URI) : EngineeringcapabilityPackage.eINSTANCE);
		EngineeringspacePackageImpl theEngineeringspacePackage = (EngineeringspacePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(EngineeringspacePackage.eNS_URI) instanceof EngineeringspacePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(EngineeringspacePackage.eNS_URI) : EngineeringspacePackage.eINSTANCE);
		SeadescriptionPackageImpl theSeadescriptionPackage = (SeadescriptionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SeadescriptionPackage.eNS_URI) instanceof SeadescriptionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SeadescriptionPackage.eNS_URI) : SeadescriptionPackage.eINSTANCE);

		// Create package meta-data objects
		theDomainontologyPackage.createPackageContents();
		theEcosystemmodelPackage.createPackageContents();
		theLifecyclePackage.createPackageContents();
		theChoreographiesPackage.createPackageContents();
		theFoundationsPackage.createPackageContents();
		theRelationshipsPackage.createPackageContents();
		theSystemsPackage.createPackageContents();
		theModeltransformationsPackage.createPackageContents();
		theBehaviourPackage.createPackageContents();
		theModelsPackage.createPackageContents();
		theEcosystemintensionmodelPackage.createPackageContents();
		theFeaturesPackage.createPackageContents();
		theContractualfeaturesPackage.createPackageContents();
		theFunctionalfeaturesPackage.createPackageContents();
		theCooperativefeaturesPackage.createPackageContents();
		theFacilityfeaturesPackage.createPackageContents();
		theExtrafunctionalfeaturesPackage.createPackageContents();
		theIntensionsPackage.createPackageContents();
		theBindingsPackage.createPackageContents();
		thePropertiesPackage.createPackageContents();
		theContractualpropertiesPackage.createPackageContents();
		theCooperativepropertiesPackage.createPackageContents();
		theFacilitypropertiesPackage.createPackageContents();
		theFunctionalpropertiesPackage.createPackageContents();
		theContractingPackage.createPackageContents();
		theEntitiesPackage.createPackageContents();
		theEntitykindsPackage.createPackageContents();
		theChannelsPackage.createPackageContents();
		theFacilitiesPackage.createPackageContents();
		theConceptsPackage.createPackageContents();
		theKnowledgemanagementmodelPackage.createPackageContents();
		theRepositoriesPackage.createPackageContents();
		theEngineeringmodelPackage.createPackageContents();
		theEngineeringcapabilityPackage.createPackageContents();
		theEngineeringspacePackage.createPackageContents();
		theSeadescriptionPackage.createPackageContents();

		// Initialize created meta-data
		theDomainontologyPackage.initializePackageContents();
		theEcosystemmodelPackage.initializePackageContents();
		theLifecyclePackage.initializePackageContents();
		theChoreographiesPackage.initializePackageContents();
		theFoundationsPackage.initializePackageContents();
		theRelationshipsPackage.initializePackageContents();
		theSystemsPackage.initializePackageContents();
		theModeltransformationsPackage.initializePackageContents();
		theBehaviourPackage.initializePackageContents();
		theModelsPackage.initializePackageContents();
		theEcosystemintensionmodelPackage.initializePackageContents();
		theFeaturesPackage.initializePackageContents();
		theContractualfeaturesPackage.initializePackageContents();
		theFunctionalfeaturesPackage.initializePackageContents();
		theCooperativefeaturesPackage.initializePackageContents();
		theFacilityfeaturesPackage.initializePackageContents();
		theExtrafunctionalfeaturesPackage.initializePackageContents();
		theIntensionsPackage.initializePackageContents();
		theBindingsPackage.initializePackageContents();
		thePropertiesPackage.initializePackageContents();
		theContractualpropertiesPackage.initializePackageContents();
		theCooperativepropertiesPackage.initializePackageContents();
		theFacilitypropertiesPackage.initializePackageContents();
		theFunctionalpropertiesPackage.initializePackageContents();
		theContractingPackage.initializePackageContents();
		theEntitiesPackage.initializePackageContents();
		theEntitykindsPackage.initializePackageContents();
		theChannelsPackage.initializePackageContents();
		theFacilitiesPackage.initializePackageContents();
		theConceptsPackage.initializePackageContents();
		theKnowledgemanagementmodelPackage.initializePackageContents();
		theRepositoriesPackage.initializePackageContents();
		theEngineeringmodelPackage.initializePackageContents();
		theEngineeringcapabilityPackage.initializePackageContents();
		theEngineeringspacePackage.initializePackageContents();
		theSeadescriptionPackage.initializePackageContents();

		// Mark meta-data to indicate it can't be changed
		theDomainontologyPackage.freeze();

  
		// Update the registry and return the package
		EPackage.Registry.INSTANCE.put(DomainontologyPackage.eNS_URI, theDomainontologyPackage);
		return theDomainontologyPackage;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getDomainConcept() {
		return domainConceptEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getDomainOntologyElement() {
		return domainOntologyElementEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getIdentifiedElement() {
		return identifiedElementEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getIdentifiedElement_Identifier() {
		return (EReference)identifiedElementEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getIdentifier() {
		return identifierEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getIdentifier_Value() {
		return (EAttribute)identifierEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getIdentity() {
		return identityEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getDomainOntologyModel() {
		return domainOntologyModelEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getConceptRelationship() {
		return conceptRelationshipEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getConceptRelationship_OppositeOf() {
		return (EReference)conceptRelationshipEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getConceptRelationship_LowerBound() {
		return (EAttribute)conceptRelationshipEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getConceptRelationship_UpperBound() {
		return (EAttribute)conceptRelationshipEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DomainontologyFactory getDomainontologyFactory() {
		return (DomainontologyFactory)getEFactoryInstance();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private boolean isCreated = false;

	/**
	 * Creates the meta-model objects for the package.  This method is
	 * guarded to have no affect on any invocation but its first.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void createPackageContents() {
		if (isCreated) return;
		isCreated = true;

		// Create classes and their features
		domainConceptEClass = createEClass(DOMAIN_CONCEPT);

		domainOntologyElementEClass = createEClass(DOMAIN_ONTOLOGY_ELEMENT);

		identifiedElementEClass = createEClass(IDENTIFIED_ELEMENT);
		createEReference(identifiedElementEClass, IDENTIFIED_ELEMENT__IDENTIFIER);

		identifierEClass = createEClass(IDENTIFIER);
		createEAttribute(identifierEClass, IDENTIFIER__VALUE);

		identityEClass = createEClass(IDENTITY);

		domainOntologyModelEClass = createEClass(DOMAIN_ONTOLOGY_MODEL);

		conceptRelationshipEClass = createEClass(CONCEPT_RELATIONSHIP);
		createEReference(conceptRelationshipEClass, CONCEPT_RELATIONSHIP__OPPOSITE_OF);
		createEAttribute(conceptRelationshipEClass, CONCEPT_RELATIONSHIP__LOWER_BOUND);
		createEAttribute(conceptRelationshipEClass, CONCEPT_RELATIONSHIP__UPPER_BOUND);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private boolean isInitialized = false;

	/**
	 * Complete the initialization of the package and its meta-model.  This
	 * method is guarded to have no affect on any invocation but its first.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void initializePackageContents() {
		if (isInitialized) return;
		isInitialized = true;

		// Initialize package
		setName(eNAME);
		setNsPrefix(eNS_PREFIX);
		setNsURI(eNS_URI);

		// Obtain other dependent packages
		ContractingPackage theContractingPackage = (ContractingPackage)EPackage.Registry.INSTANCE.getEPackage(ContractingPackage.eNS_URI);
		EntitiesPackage theEntitiesPackage = (EntitiesPackage)EPackage.Registry.INSTANCE.getEPackage(EntitiesPackage.eNS_URI);
		EntitykindsPackage theEntitykindsPackage = (EntitykindsPackage)EPackage.Registry.INSTANCE.getEPackage(EntitykindsPackage.eNS_URI);
		ChannelsPackage theChannelsPackage = (ChannelsPackage)EPackage.Registry.INSTANCE.getEPackage(ChannelsPackage.eNS_URI);
		FacilitiesPackage theFacilitiesPackage = (FacilitiesPackage)EPackage.Registry.INSTANCE.getEPackage(FacilitiesPackage.eNS_URI);
		ConceptsPackage theConceptsPackage = (ConceptsPackage)EPackage.Registry.INSTANCE.getEPackage(ConceptsPackage.eNS_URI);
		SystemsPackage theSystemsPackage = (SystemsPackage)EPackage.Registry.INSTANCE.getEPackage(SystemsPackage.eNS_URI);
		ModelsPackage theModelsPackage = (ModelsPackage)EPackage.Registry.INSTANCE.getEPackage(ModelsPackage.eNS_URI);
		SeadescriptionPackage theSeadescriptionPackage = (SeadescriptionPackage)EPackage.Registry.INSTANCE.getEPackage(SeadescriptionPackage.eNS_URI);
		RelationshipsPackage theRelationshipsPackage = (RelationshipsPackage)EPackage.Registry.INSTANCE.getEPackage(RelationshipsPackage.eNS_URI);

		// Add subpackages
		getESubpackages().add(theContractingPackage);
		getESubpackages().add(theEntitiesPackage);
		getESubpackages().add(theEntitykindsPackage);
		getESubpackages().add(theChannelsPackage);
		getESubpackages().add(theFacilitiesPackage);
		getESubpackages().add(theConceptsPackage);

		// Add supertypes to classes
		domainConceptEClass.getESuperTypes().add(theConceptsPackage.getConcept());
		domainOntologyElementEClass.getESuperTypes().add(theSystemsPackage.getAbstractSystem());
		domainOntologyElementEClass.getESuperTypes().add(theModelsPackage.getModelElement());
		identifierEClass.getESuperTypes().add(theSystemsPackage.getAbstractSystem());
		identityEClass.getESuperTypes().add(this.getIdentifier());
		domainOntologyModelEClass.getESuperTypes().add(theModelsPackage.getModel());
		domainOntologyModelEClass.getESuperTypes().add(theSeadescriptionPackage.getSEAModel());
		conceptRelationshipEClass.getESuperTypes().add(theRelationshipsPackage.getRelationship());
		conceptRelationshipEClass.getESuperTypes().add(this.getDomainOntologyElement());
		conceptRelationshipEClass.getESuperTypes().add(theSystemsPackage.getAbstractSystem());

		// Initialize classes and features; add operations and parameters
		initEClass(domainConceptEClass, DomainConcept.class, "DomainConcept", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

		initEClass(domainOntologyElementEClass, DomainOntologyElement.class, "DomainOntologyElement", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

		initEClass(identifiedElementEClass, IdentifiedElement.class, "IdentifiedElement", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getIdentifiedElement_Identifier(), this.getIdentifier(), null, "identifier", null, 1, 1, IdentifiedElement.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);

		initEClass(identifierEClass, Identifier.class, "Identifier", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getIdentifier_Value(), ecorePackage.getEString(), "value", null, 1, 1, Identifier.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);

		initEClass(identityEClass, Identity.class, "Identity", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

		initEClass(domainOntologyModelEClass, DomainOntologyModel.class, "DomainOntologyModel", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

		initEClass(conceptRelationshipEClass, ConceptRelationship.class, "ConceptRelationship", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getConceptRelationship_OppositeOf(), this.getConceptRelationship(), null, "oppositeOf", null, 0, 1, ConceptRelationship.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
		initEAttribute(getConceptRelationship_LowerBound(), ecorePackage.getEInt(), "lowerBound", "0", 1, 1, ConceptRelationship.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
		initEAttribute(getConceptRelationship_UpperBound(), ecorePackage.getEInt(), "upperBound", "1", 1, 1, ConceptRelationship.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);

		// Create resource
		createResource(eNS_URI);
	}

} //DomainontologyPackageImpl
