/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.cinco.metamodel.ecosystem.domainontology.util;

import org.cinco.metamodel.ecosystem.domainontology.*;

import org.cinco.metamodel.ecosystem.domainontology.concepts.Concept;
import org.cinco.metamodel.ecosystem.domainontology.concepts.GeneralizableElement;

import org.cinco.metamodel.ecosystem.foundations.NamedElement;

import org.cinco.metamodel.ecosystem.foundations.models.Model;
import org.cinco.metamodel.ecosystem.foundations.models.ModelElement;

import org.cinco.metamodel.ecosystem.foundations.relationships.Relationship;

import org.cinco.metamodel.ecosystem.foundations.systems.AbstractSystem;

import org.cinco.metamodel.ecosystem.seadescription.SEAModel;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see org.cinco.metamodel.ecosystem.domainontology.DomainontologyPackage
 * @generated
 */
public class DomainontologyAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static DomainontologyPackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DomainontologyAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = DomainontologyPackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected DomainontologySwitch modelSwitch =
		new DomainontologySwitch() {
			public Object caseDomainConcept(DomainConcept object) {
				return createDomainConceptAdapter();
			}
			public Object caseDomainOntologyElement(DomainOntologyElement object) {
				return createDomainOntologyElementAdapter();
			}
			public Object caseIdentifiedElement(IdentifiedElement object) {
				return createIdentifiedElementAdapter();
			}
			public Object caseIdentifier(Identifier object) {
				return createIdentifierAdapter();
			}
			public Object caseIdentity(Identity object) {
				return createIdentityAdapter();
			}
			public Object caseDomainOntologyModel(DomainOntologyModel object) {
				return createDomainOntologyModelAdapter();
			}
			public Object caseConceptRelationship(ConceptRelationship object) {
				return createConceptRelationshipAdapter();
			}
			public Object caseSystem(org.cinco.metamodel.ecosystem.foundations.systems.System object) {
				return createSystemAdapter();
			}
			public Object caseAbstractSystem(AbstractSystem object) {
				return createAbstractSystemAdapter();
			}
			public Object caseNamedElement(NamedElement object) {
				return createNamedElementAdapter();
			}
			public Object caseModelElement(ModelElement object) {
				return createModelElementAdapter();
			}
			public Object caseGeneralizableElement(GeneralizableElement object) {
				return createGeneralizableElementAdapter();
			}
			public Object caseConcept(Concept object) {
				return createConceptAdapter();
			}
			public Object caseModel(Model object) {
				return createModelAdapter();
			}
			public Object caseSEAModel(SEAModel object) {
				return createSEAModelAdapter();
			}
			public Object caseRelationship(Relationship object) {
				return createRelationshipAdapter();
			}
			public Object defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	public Adapter createAdapter(Notifier target) {
		return (Adapter)modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.domainontology.DomainConcept <em>Domain Concept</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.domainontology.DomainConcept
	 * @generated
	 */
	public Adapter createDomainConceptAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.domainontology.DomainOntologyElement <em>Domain Ontology Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.domainontology.DomainOntologyElement
	 * @generated
	 */
	public Adapter createDomainOntologyElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.domainontology.IdentifiedElement <em>Identified Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.domainontology.IdentifiedElement
	 * @generated
	 */
	public Adapter createIdentifiedElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.domainontology.Identifier <em>Identifier</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.domainontology.Identifier
	 * @generated
	 */
	public Adapter createIdentifierAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.domainontology.Identity <em>Identity</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.domainontology.Identity
	 * @generated
	 */
	public Adapter createIdentityAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.domainontology.DomainOntologyModel <em>Domain Ontology Model</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.domainontology.DomainOntologyModel
	 * @generated
	 */
	public Adapter createDomainOntologyModelAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.domainontology.ConceptRelationship <em>Concept Relationship</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.domainontology.ConceptRelationship
	 * @generated
	 */
	public Adapter createConceptRelationshipAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.foundations.systems.System <em>System</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.foundations.systems.System
	 * @generated
	 */
	public Adapter createSystemAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.foundations.systems.AbstractSystem <em>Abstract System</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.foundations.systems.AbstractSystem
	 * @generated
	 */
	public Adapter createAbstractSystemAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.foundations.NamedElement <em>Named Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.foundations.NamedElement
	 * @generated
	 */
	public Adapter createNamedElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.foundations.models.ModelElement <em>Model Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.foundations.models.ModelElement
	 * @generated
	 */
	public Adapter createModelElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.domainontology.concepts.GeneralizableElement <em>Generalizable Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.domainontology.concepts.GeneralizableElement
	 * @generated
	 */
	public Adapter createGeneralizableElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.domainontology.concepts.Concept <em>Concept</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.domainontology.concepts.Concept
	 * @generated
	 */
	public Adapter createConceptAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.foundations.models.Model <em>Model</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.foundations.models.Model
	 * @generated
	 */
	public Adapter createModelAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.seadescription.SEAModel <em>SEA Model</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.seadescription.SEAModel
	 * @generated
	 */
	public Adapter createSEAModelAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.foundations.relationships.Relationship <em>Relationship</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.foundations.relationships.Relationship
	 * @generated
	 */
	public Adapter createRelationshipAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //DomainontologyAdapterFactory
