/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.util;

import java.util.List;

import org.cinco.metamodel.ecosystem.domainontology.concepts.GeneralizableElement;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.ExtendableElement;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.ExtensionType;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.InstantiatableElement;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.IntensionModelElement;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.*;

import org.cinco.metamodel.ecosystem.engineeringmodel.EngineeringModelElement;

import org.cinco.metamodel.ecosystem.engineeringmodel.engineeringspace.EngineeringElement;

import org.cinco.metamodel.ecosystem.foundations.NamedElement;

import org.cinco.metamodel.ecosystem.foundations.models.ModelElement;

import org.cinco.metamodel.ecosystem.foundations.systems.AbstractSystem;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.BindingsPackage
 * @generated
 */
public class BindingsSwitch {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static BindingsPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BindingsSwitch() {
		if (modelPackage == null) {
			modelPackage = BindingsPackage.eINSTANCE;
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	public Object doSwitch(EObject theEObject) {
		return doSwitch(theEObject.eClass(), theEObject);
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected Object doSwitch(EClass theEClass, EObject theEObject) {
		if (theEClass.eContainer() == modelPackage) {
			return doSwitch(theEClass.getClassifierID(), theEObject);
		}
		else {
			List eSuperTypes = theEClass.getESuperTypes();
			return
				eSuperTypes.isEmpty() ?
					defaultCase(theEObject) :
					doSwitch((EClass)eSuperTypes.get(0), theEObject);
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected Object doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case BindingsPackage.PROPERTY_BINDING: {
				PropertyBinding propertyBinding = (PropertyBinding)theEObject;
				Object result = casePropertyBinding(propertyBinding);
				if (result == null) result = caseInstantiatableElement(propertyBinding);
				if (result == null) result = caseBindingSpecification(propertyBinding);
				if (result == null) result = caseExtendableElement(propertyBinding);
				if (result == null) result = caseGeneralizableElement(propertyBinding);
				if (result == null) result = caseIntensionModelElement(propertyBinding);
				if (result == null) result = caseEngineeringElement(propertyBinding);
				if (result == null) result = caseAbstractSystem(propertyBinding);
				if (result == null) result = caseExtensionType(propertyBinding);
				if (result == null) result = caseEngineeringModelElement(propertyBinding);
				if (result == null) result = caseSystem(propertyBinding);
				if (result == null) result = caseModelElement(propertyBinding);
				if (result == null) result = caseNamedElement(propertyBinding);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case BindingsPackage.BINDING_SPECIFICATION: {
				BindingSpecification bindingSpecification = (BindingSpecification)theEObject;
				Object result = caseBindingSpecification(bindingSpecification);
				if (result == null) result = caseEngineeringElement(bindingSpecification);
				if (result == null) result = caseAbstractSystem(bindingSpecification);
				if (result == null) result = caseEngineeringModelElement(bindingSpecification);
				if (result == null) result = caseSystem(bindingSpecification);
				if (result == null) result = caseModelElement(bindingSpecification);
				if (result == null) result = caseNamedElement(bindingSpecification);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case BindingsPackage.PROPERTY_BINDING_TARGET: {
				PropertyBindingTarget propertyBindingTarget = (PropertyBindingTarget)theEObject;
				Object result = casePropertyBindingTarget(propertyBindingTarget);
				if (result == null) result = caseBindingTarget(propertyBindingTarget);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case BindingsPackage.BINDING_TARGET: {
				BindingTarget bindingTarget = (BindingTarget)theEObject;
				Object result = caseBindingTarget(bindingTarget);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case BindingsPackage.BINDABLE_PROPERTY: {
				BindableProperty bindableProperty = (BindableProperty)theEObject;
				Object result = caseBindableProperty(bindableProperty);
				if (result == null) result = caseBindableElement(bindableProperty);
				if (result == null) result = caseEngineeringElement(bindableProperty);
				if (result == null) result = caseAbstractSystem(bindableProperty);
				if (result == null) result = caseEngineeringModelElement(bindableProperty);
				if (result == null) result = caseSystem(bindableProperty);
				if (result == null) result = caseModelElement(bindableProperty);
				if (result == null) result = caseNamedElement(bindableProperty);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case BindingsPackage.BINDABLE_ELEMENT: {
				BindableElement bindableElement = (BindableElement)theEObject;
				Object result = caseBindableElement(bindableElement);
				if (result == null) result = caseEngineeringElement(bindableElement);
				if (result == null) result = caseAbstractSystem(bindableElement);
				if (result == null) result = caseEngineeringModelElement(bindableElement);
				if (result == null) result = caseSystem(bindableElement);
				if (result == null) result = caseModelElement(bindableElement);
				if (result == null) result = caseNamedElement(bindableElement);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case BindingsPackage.FEATURE_BINDING: {
				FeatureBinding featureBinding = (FeatureBinding)theEObject;
				Object result = caseFeatureBinding(featureBinding);
				if (result == null) result = caseInstantiatableElement(featureBinding);
				if (result == null) result = caseBindingSpecification(featureBinding);
				if (result == null) result = caseExtendableElement(featureBinding);
				if (result == null) result = caseGeneralizableElement(featureBinding);
				if (result == null) result = caseIntensionModelElement(featureBinding);
				if (result == null) result = caseEngineeringElement(featureBinding);
				if (result == null) result = caseAbstractSystem(featureBinding);
				if (result == null) result = caseExtensionType(featureBinding);
				if (result == null) result = caseEngineeringModelElement(featureBinding);
				if (result == null) result = caseSystem(featureBinding);
				if (result == null) result = caseModelElement(featureBinding);
				if (result == null) result = caseNamedElement(featureBinding);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case BindingsPackage.FEATURE_BINDING_TARGET: {
				FeatureBindingTarget featureBindingTarget = (FeatureBindingTarget)theEObject;
				Object result = caseFeatureBindingTarget(featureBindingTarget);
				if (result == null) result = caseBindingTarget(featureBindingTarget);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case BindingsPackage.PORT_BINDING: {
				PortBinding portBinding = (PortBinding)theEObject;
				Object result = casePortBinding(portBinding);
				if (result == null) result = casePropertyBinding(portBinding);
				if (result == null) result = caseInstantiatableElement(portBinding);
				if (result == null) result = caseBindingSpecification(portBinding);
				if (result == null) result = caseExtendableElement(portBinding);
				if (result == null) result = caseGeneralizableElement(portBinding);
				if (result == null) result = caseIntensionModelElement(portBinding);
				if (result == null) result = caseEngineeringElement(portBinding);
				if (result == null) result = caseAbstractSystem(portBinding);
				if (result == null) result = caseExtensionType(portBinding);
				if (result == null) result = caseEngineeringModelElement(portBinding);
				if (result == null) result = caseSystem(portBinding);
				if (result == null) result = caseModelElement(portBinding);
				if (result == null) result = caseNamedElement(portBinding);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case BindingsPackage.EXTRA_FUNCTIONAL_FEATURE_TARGET: {
				ExtraFunctionalFeatureTarget extraFunctionalFeatureTarget = (ExtraFunctionalFeatureTarget)theEObject;
				Object result = caseExtraFunctionalFeatureTarget(extraFunctionalFeatureTarget);
				if (result == null) result = caseFeatureBindingTarget(extraFunctionalFeatureTarget);
				if (result == null) result = caseBindingTarget(extraFunctionalFeatureTarget);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case BindingsPackage.COOPERATIVE_FEATURE_TARGET: {
				CooperativeFeatureTarget cooperativeFeatureTarget = (CooperativeFeatureTarget)theEObject;
				Object result = caseCooperativeFeatureTarget(cooperativeFeatureTarget);
				if (result == null) result = caseFeatureBindingTarget(cooperativeFeatureTarget);
				if (result == null) result = caseBindingTarget(cooperativeFeatureTarget);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case BindingsPackage.CONTRACTUAL_FEATURE_TARGET: {
				ContractualFeatureTarget contractualFeatureTarget = (ContractualFeatureTarget)theEObject;
				Object result = caseContractualFeatureTarget(contractualFeatureTarget);
				if (result == null) result = caseFeatureBindingTarget(contractualFeatureTarget);
				if (result == null) result = caseBindingTarget(contractualFeatureTarget);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case BindingsPackage.COOPERATIVE_PROPERTY_TARGET: {
				CooperativePropertyTarget cooperativePropertyTarget = (CooperativePropertyTarget)theEObject;
				Object result = caseCooperativePropertyTarget(cooperativePropertyTarget);
				if (result == null) result = casePropertyBindingTarget(cooperativePropertyTarget);
				if (result == null) result = caseBindingTarget(cooperativePropertyTarget);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case BindingsPackage.COOPERATIVE_FEATURE_BINDING: {
				CooperativeFeatureBinding cooperativeFeatureBinding = (CooperativeFeatureBinding)theEObject;
				Object result = caseCooperativeFeatureBinding(cooperativeFeatureBinding);
				if (result == null) result = caseFeatureBinding(cooperativeFeatureBinding);
				if (result == null) result = caseInstantiatableElement(cooperativeFeatureBinding);
				if (result == null) result = caseBindingSpecification(cooperativeFeatureBinding);
				if (result == null) result = caseExtendableElement(cooperativeFeatureBinding);
				if (result == null) result = caseGeneralizableElement(cooperativeFeatureBinding);
				if (result == null) result = caseIntensionModelElement(cooperativeFeatureBinding);
				if (result == null) result = caseEngineeringElement(cooperativeFeatureBinding);
				if (result == null) result = caseAbstractSystem(cooperativeFeatureBinding);
				if (result == null) result = caseExtensionType(cooperativeFeatureBinding);
				if (result == null) result = caseEngineeringModelElement(cooperativeFeatureBinding);
				if (result == null) result = caseSystem(cooperativeFeatureBinding);
				if (result == null) result = caseModelElement(cooperativeFeatureBinding);
				if (result == null) result = caseNamedElement(cooperativeFeatureBinding);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case BindingsPackage.EXTRA_FUNCTIONAL_FEATURE_BINDING: {
				ExtraFunctionalFeatureBinding extraFunctionalFeatureBinding = (ExtraFunctionalFeatureBinding)theEObject;
				Object result = caseExtraFunctionalFeatureBinding(extraFunctionalFeatureBinding);
				if (result == null) result = caseFeatureBinding(extraFunctionalFeatureBinding);
				if (result == null) result = caseInstantiatableElement(extraFunctionalFeatureBinding);
				if (result == null) result = caseBindingSpecification(extraFunctionalFeatureBinding);
				if (result == null) result = caseExtendableElement(extraFunctionalFeatureBinding);
				if (result == null) result = caseGeneralizableElement(extraFunctionalFeatureBinding);
				if (result == null) result = caseIntensionModelElement(extraFunctionalFeatureBinding);
				if (result == null) result = caseEngineeringElement(extraFunctionalFeatureBinding);
				if (result == null) result = caseAbstractSystem(extraFunctionalFeatureBinding);
				if (result == null) result = caseExtensionType(extraFunctionalFeatureBinding);
				if (result == null) result = caseEngineeringModelElement(extraFunctionalFeatureBinding);
				if (result == null) result = caseSystem(extraFunctionalFeatureBinding);
				if (result == null) result = caseModelElement(extraFunctionalFeatureBinding);
				if (result == null) result = caseNamedElement(extraFunctionalFeatureBinding);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case BindingsPackage.CONTRACTUAL_FEATURE_BINDING: {
				ContractualFeatureBinding contractualFeatureBinding = (ContractualFeatureBinding)theEObject;
				Object result = caseContractualFeatureBinding(contractualFeatureBinding);
				if (result == null) result = caseFeatureBinding(contractualFeatureBinding);
				if (result == null) result = caseInstantiatableElement(contractualFeatureBinding);
				if (result == null) result = caseBindingSpecification(contractualFeatureBinding);
				if (result == null) result = caseExtendableElement(contractualFeatureBinding);
				if (result == null) result = caseGeneralizableElement(contractualFeatureBinding);
				if (result == null) result = caseIntensionModelElement(contractualFeatureBinding);
				if (result == null) result = caseEngineeringElement(contractualFeatureBinding);
				if (result == null) result = caseAbstractSystem(contractualFeatureBinding);
				if (result == null) result = caseExtensionType(contractualFeatureBinding);
				if (result == null) result = caseEngineeringModelElement(contractualFeatureBinding);
				if (result == null) result = caseSystem(contractualFeatureBinding);
				if (result == null) result = caseModelElement(contractualFeatureBinding);
				if (result == null) result = caseNamedElement(contractualFeatureBinding);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case BindingsPackage.CONTRACTUAL_PROPERTY_TARGET: {
				ContractualPropertyTarget contractualPropertyTarget = (ContractualPropertyTarget)theEObject;
				Object result = caseContractualPropertyTarget(contractualPropertyTarget);
				if (result == null) result = casePropertyBindingTarget(contractualPropertyTarget);
				if (result == null) result = caseBindingTarget(contractualPropertyTarget);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case BindingsPackage.COOPERATIVE_PROPERTY_BINDING: {
				CooperativePropertyBinding cooperativePropertyBinding = (CooperativePropertyBinding)theEObject;
				Object result = caseCooperativePropertyBinding(cooperativePropertyBinding);
				if (result == null) result = casePropertyBinding(cooperativePropertyBinding);
				if (result == null) result = caseInstantiatableElement(cooperativePropertyBinding);
				if (result == null) result = caseBindingSpecification(cooperativePropertyBinding);
				if (result == null) result = caseExtendableElement(cooperativePropertyBinding);
				if (result == null) result = caseGeneralizableElement(cooperativePropertyBinding);
				if (result == null) result = caseIntensionModelElement(cooperativePropertyBinding);
				if (result == null) result = caseEngineeringElement(cooperativePropertyBinding);
				if (result == null) result = caseAbstractSystem(cooperativePropertyBinding);
				if (result == null) result = caseExtensionType(cooperativePropertyBinding);
				if (result == null) result = caseEngineeringModelElement(cooperativePropertyBinding);
				if (result == null) result = caseSystem(cooperativePropertyBinding);
				if (result == null) result = caseModelElement(cooperativePropertyBinding);
				if (result == null) result = caseNamedElement(cooperativePropertyBinding);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case BindingsPackage.CONTRACTUAL_PROPERTY_BINDING: {
				ContractualPropertyBinding contractualPropertyBinding = (ContractualPropertyBinding)theEObject;
				Object result = caseContractualPropertyBinding(contractualPropertyBinding);
				if (result == null) result = casePropertyBinding(contractualPropertyBinding);
				if (result == null) result = caseInstantiatableElement(contractualPropertyBinding);
				if (result == null) result = caseBindingSpecification(contractualPropertyBinding);
				if (result == null) result = caseExtendableElement(contractualPropertyBinding);
				if (result == null) result = caseGeneralizableElement(contractualPropertyBinding);
				if (result == null) result = caseIntensionModelElement(contractualPropertyBinding);
				if (result == null) result = caseEngineeringElement(contractualPropertyBinding);
				if (result == null) result = caseAbstractSystem(contractualPropertyBinding);
				if (result == null) result = caseExtensionType(contractualPropertyBinding);
				if (result == null) result = caseEngineeringModelElement(contractualPropertyBinding);
				if (result == null) result = caseSystem(contractualPropertyBinding);
				if (result == null) result = caseModelElement(contractualPropertyBinding);
				if (result == null) result = caseNamedElement(contractualPropertyBinding);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case BindingsPackage.BINDABLE_FEATURE: {
				BindableFeature bindableFeature = (BindableFeature)theEObject;
				Object result = caseBindableFeature(bindableFeature);
				if (result == null) result = caseBindableElement(bindableFeature);
				if (result == null) result = caseEngineeringElement(bindableFeature);
				if (result == null) result = caseAbstractSystem(bindableFeature);
				if (result == null) result = caseEngineeringModelElement(bindableFeature);
				if (result == null) result = caseSystem(bindableFeature);
				if (result == null) result = caseModelElement(bindableFeature);
				if (result == null) result = caseNamedElement(bindableFeature);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Property Binding</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Property Binding</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object casePropertyBinding(PropertyBinding object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Binding Specification</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Binding Specification</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBindingSpecification(BindingSpecification object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Property Binding Target</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Property Binding Target</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object casePropertyBindingTarget(PropertyBindingTarget object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Binding Target</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Binding Target</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBindingTarget(BindingTarget object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Bindable Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Bindable Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBindableProperty(BindableProperty object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Bindable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Bindable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBindableElement(BindableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Feature Binding</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Feature Binding</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseFeatureBinding(FeatureBinding object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Feature Binding Target</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Feature Binding Target</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseFeatureBindingTarget(FeatureBindingTarget object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Port Binding</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Port Binding</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object casePortBinding(PortBinding object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Extra Functional Feature Target</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Extra Functional Feature Target</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseExtraFunctionalFeatureTarget(ExtraFunctionalFeatureTarget object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Cooperative Feature Target</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Cooperative Feature Target</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCooperativeFeatureTarget(CooperativeFeatureTarget object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Contractual Feature Target</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Contractual Feature Target</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseContractualFeatureTarget(ContractualFeatureTarget object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Cooperative Property Target</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Cooperative Property Target</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCooperativePropertyTarget(CooperativePropertyTarget object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Cooperative Feature Binding</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Cooperative Feature Binding</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCooperativeFeatureBinding(CooperativeFeatureBinding object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Extra Functional Feature Binding</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Extra Functional Feature Binding</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseExtraFunctionalFeatureBinding(ExtraFunctionalFeatureBinding object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Contractual Feature Binding</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Contractual Feature Binding</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseContractualFeatureBinding(ContractualFeatureBinding object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Contractual Property Target</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Contractual Property Target</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseContractualPropertyTarget(ContractualPropertyTarget object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Cooperative Property Binding</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Cooperative Property Binding</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCooperativePropertyBinding(CooperativePropertyBinding object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Contractual Property Binding</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Contractual Property Binding</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseContractualPropertyBinding(ContractualPropertyBinding object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Bindable Feature</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Bindable Feature</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBindableFeature(BindableFeature object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>System</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>System</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseSystem(org.cinco.metamodel.ecosystem.foundations.systems.System object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Abstract System</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Abstract System</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseAbstractSystem(AbstractSystem object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Extension Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Extension Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseExtensionType(ExtensionType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Extendable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Extendable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseExtendableElement(ExtendableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Generalizable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Generalizable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseGeneralizableElement(GeneralizableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseNamedElement(NamedElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseModelElement(ModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Intension Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Intension Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseIntensionModelElement(IntensionModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Instantiatable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Instantiatable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseInstantiatableElement(InstantiatableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Engineering Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Engineering Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEngineeringModelElement(EngineeringModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Engineering Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Engineering Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEngineeringElement(EngineeringElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	public Object defaultCase(EObject object) {
		return null;
	}

} //BindingsSwitch
