/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.contractualfeatures.util;

import java.util.List;

import org.cinco.metamodel.ecosystem.domainontology.concepts.GeneralizableElement;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.ExtendableElement;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.ExtensionType;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.InstantiatableElement;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.IntensionModelElement;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.BindableElement;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.BindableFeature;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.Feature;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.QualitativeFeature;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.contractualfeatures.*;

import org.cinco.metamodel.ecosystem.engineeringmodel.EngineeringModelElement;

import org.cinco.metamodel.ecosystem.engineeringmodel.engineeringspace.EngineeringElement;
import org.cinco.metamodel.ecosystem.engineeringmodel.engineeringspace.ProductElement;

import org.cinco.metamodel.ecosystem.foundations.NamedElement;

import org.cinco.metamodel.ecosystem.foundations.models.ModelElement;

import org.cinco.metamodel.ecosystem.foundations.systems.AbstractSystem;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.contractualfeatures.ContractualfeaturesPackage
 * @generated
 */
public class ContractualfeaturesSwitch {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static ContractualfeaturesPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ContractualfeaturesSwitch() {
		if (modelPackage == null) {
			modelPackage = ContractualfeaturesPackage.eINSTANCE;
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	public Object doSwitch(EObject theEObject) {
		return doSwitch(theEObject.eClass(), theEObject);
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected Object doSwitch(EClass theEClass, EObject theEObject) {
		if (theEClass.eContainer() == modelPackage) {
			return doSwitch(theEClass.getClassifierID(), theEObject);
		}
		else {
			List eSuperTypes = theEClass.getESuperTypes();
			return
				eSuperTypes.isEmpty() ?
					defaultCase(theEObject) :
					doSwitch((EClass)eSuperTypes.get(0), theEObject);
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected Object doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case ContractualfeaturesPackage.SETTLEMENT_MODEL_KIND: {
				SettlementModelKind settlementModelKind = (SettlementModelKind)theEObject;
				Object result = caseSettlementModelKind(settlementModelKind);
				if (result == null) result = caseContractualFeature(settlementModelKind);
				if (result == null) result = caseQualitativeFeature(settlementModelKind);
				if (result == null) result = caseFeature(settlementModelKind);
				if (result == null) result = caseBindableFeature(settlementModelKind);
				if (result == null) result = caseInstantiatableElement(settlementModelKind);
				if (result == null) result = caseProductElement(settlementModelKind);
				if (result == null) result = caseBindableElement(settlementModelKind);
				if (result == null) result = caseExtendableElement(settlementModelKind);
				if (result == null) result = caseGeneralizableElement(settlementModelKind);
				if (result == null) result = caseIntensionModelElement(settlementModelKind);
				if (result == null) result = caseEngineeringElement(settlementModelKind);
				if (result == null) result = caseAbstractSystem(settlementModelKind);
				if (result == null) result = caseExtensionType(settlementModelKind);
				if (result == null) result = caseModelElement(settlementModelKind);
				if (result == null) result = caseEngineeringModelElement(settlementModelKind);
				if (result == null) result = caseSystem(settlementModelKind);
				if (result == null) result = caseNamedElement(settlementModelKind);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ContractualfeaturesPackage.CONTRACTUAL_FEATURE: {
				ContractualFeature contractualFeature = (ContractualFeature)theEObject;
				Object result = caseContractualFeature(contractualFeature);
				if (result == null) result = caseQualitativeFeature(contractualFeature);
				if (result == null) result = caseFeature(contractualFeature);
				if (result == null) result = caseBindableFeature(contractualFeature);
				if (result == null) result = caseInstantiatableElement(contractualFeature);
				if (result == null) result = caseProductElement(contractualFeature);
				if (result == null) result = caseBindableElement(contractualFeature);
				if (result == null) result = caseExtendableElement(contractualFeature);
				if (result == null) result = caseGeneralizableElement(contractualFeature);
				if (result == null) result = caseIntensionModelElement(contractualFeature);
				if (result == null) result = caseEngineeringElement(contractualFeature);
				if (result == null) result = caseAbstractSystem(contractualFeature);
				if (result == null) result = caseExtensionType(contractualFeature);
				if (result == null) result = caseModelElement(contractualFeature);
				if (result == null) result = caseEngineeringModelElement(contractualFeature);
				if (result == null) result = caseSystem(contractualFeature);
				if (result == null) result = caseNamedElement(contractualFeature);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ContractualfeaturesPackage.COMPENSATION_KIND: {
				CompensationKind compensationKind = (CompensationKind)theEObject;
				Object result = caseCompensationKind(compensationKind);
				if (result == null) result = caseCoordinationStructureKind(compensationKind);
				if (result == null) result = caseContractualFeature(compensationKind);
				if (result == null) result = caseQualitativeFeature(compensationKind);
				if (result == null) result = caseFeature(compensationKind);
				if (result == null) result = caseBindableFeature(compensationKind);
				if (result == null) result = caseInstantiatableElement(compensationKind);
				if (result == null) result = caseProductElement(compensationKind);
				if (result == null) result = caseBindableElement(compensationKind);
				if (result == null) result = caseExtendableElement(compensationKind);
				if (result == null) result = caseGeneralizableElement(compensationKind);
				if (result == null) result = caseIntensionModelElement(compensationKind);
				if (result == null) result = caseEngineeringElement(compensationKind);
				if (result == null) result = caseAbstractSystem(compensationKind);
				if (result == null) result = caseExtensionType(compensationKind);
				if (result == null) result = caseModelElement(compensationKind);
				if (result == null) result = caseEngineeringModelElement(compensationKind);
				if (result == null) result = caseSystem(compensationKind);
				if (result == null) result = caseNamedElement(compensationKind);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ContractualfeaturesPackage.COORDINATION_STRUCTURE_KIND: {
				CoordinationStructureKind coordinationStructureKind = (CoordinationStructureKind)theEObject;
				Object result = caseCoordinationStructureKind(coordinationStructureKind);
				if (result == null) result = caseContractualFeature(coordinationStructureKind);
				if (result == null) result = caseQualitativeFeature(coordinationStructureKind);
				if (result == null) result = caseFeature(coordinationStructureKind);
				if (result == null) result = caseBindableFeature(coordinationStructureKind);
				if (result == null) result = caseInstantiatableElement(coordinationStructureKind);
				if (result == null) result = caseProductElement(coordinationStructureKind);
				if (result == null) result = caseBindableElement(coordinationStructureKind);
				if (result == null) result = caseExtendableElement(coordinationStructureKind);
				if (result == null) result = caseGeneralizableElement(coordinationStructureKind);
				if (result == null) result = caseIntensionModelElement(coordinationStructureKind);
				if (result == null) result = caseEngineeringElement(coordinationStructureKind);
				if (result == null) result = caseAbstractSystem(coordinationStructureKind);
				if (result == null) result = caseExtensionType(coordinationStructureKind);
				if (result == null) result = caseModelElement(coordinationStructureKind);
				if (result == null) result = caseEngineeringModelElement(coordinationStructureKind);
				if (result == null) result = caseSystem(coordinationStructureKind);
				if (result == null) result = caseNamedElement(coordinationStructureKind);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ContractualfeaturesPackage.TRANSACTION_COORDINATION_KIND: {
				TransactionCoordinationKind transactionCoordinationKind = (TransactionCoordinationKind)theEObject;
				Object result = caseTransactionCoordinationKind(transactionCoordinationKind);
				if (result == null) result = caseCoordinationStructureKind(transactionCoordinationKind);
				if (result == null) result = caseContractualFeature(transactionCoordinationKind);
				if (result == null) result = caseQualitativeFeature(transactionCoordinationKind);
				if (result == null) result = caseFeature(transactionCoordinationKind);
				if (result == null) result = caseBindableFeature(transactionCoordinationKind);
				if (result == null) result = caseInstantiatableElement(transactionCoordinationKind);
				if (result == null) result = caseProductElement(transactionCoordinationKind);
				if (result == null) result = caseBindableElement(transactionCoordinationKind);
				if (result == null) result = caseExtendableElement(transactionCoordinationKind);
				if (result == null) result = caseGeneralizableElement(transactionCoordinationKind);
				if (result == null) result = caseIntensionModelElement(transactionCoordinationKind);
				if (result == null) result = caseEngineeringElement(transactionCoordinationKind);
				if (result == null) result = caseAbstractSystem(transactionCoordinationKind);
				if (result == null) result = caseExtensionType(transactionCoordinationKind);
				if (result == null) result = caseModelElement(transactionCoordinationKind);
				if (result == null) result = caseEngineeringModelElement(transactionCoordinationKind);
				if (result == null) result = caseSystem(transactionCoordinationKind);
				if (result == null) result = caseNamedElement(transactionCoordinationKind);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ContractualfeaturesPackage.CHARGING_STYLE: {
				ChargingStyle chargingStyle = (ChargingStyle)theEObject;
				Object result = caseChargingStyle(chargingStyle);
				if (result == null) result = caseContractualFeature(chargingStyle);
				if (result == null) result = caseQualitativeFeature(chargingStyle);
				if (result == null) result = caseFeature(chargingStyle);
				if (result == null) result = caseBindableFeature(chargingStyle);
				if (result == null) result = caseInstantiatableElement(chargingStyle);
				if (result == null) result = caseProductElement(chargingStyle);
				if (result == null) result = caseBindableElement(chargingStyle);
				if (result == null) result = caseExtendableElement(chargingStyle);
				if (result == null) result = caseGeneralizableElement(chargingStyle);
				if (result == null) result = caseIntensionModelElement(chargingStyle);
				if (result == null) result = caseEngineeringElement(chargingStyle);
				if (result == null) result = caseAbstractSystem(chargingStyle);
				if (result == null) result = caseExtensionType(chargingStyle);
				if (result == null) result = caseModelElement(chargingStyle);
				if (result == null) result = caseEngineeringModelElement(chargingStyle);
				if (result == null) result = caseSystem(chargingStyle);
				if (result == null) result = caseNamedElement(chargingStyle);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ContractualfeaturesPackage.TEMPORAL_AVAILABILITY_KIND: {
				TemporalAvailabilityKind temporalAvailabilityKind = (TemporalAvailabilityKind)theEObject;
				Object result = caseTemporalAvailabilityKind(temporalAvailabilityKind);
				if (result == null) result = caseAvailabilityKind(temporalAvailabilityKind);
				if (result == null) result = caseContractualFeature(temporalAvailabilityKind);
				if (result == null) result = caseQualitativeFeature(temporalAvailabilityKind);
				if (result == null) result = caseFeature(temporalAvailabilityKind);
				if (result == null) result = caseBindableFeature(temporalAvailabilityKind);
				if (result == null) result = caseInstantiatableElement(temporalAvailabilityKind);
				if (result == null) result = caseProductElement(temporalAvailabilityKind);
				if (result == null) result = caseBindableElement(temporalAvailabilityKind);
				if (result == null) result = caseExtendableElement(temporalAvailabilityKind);
				if (result == null) result = caseGeneralizableElement(temporalAvailabilityKind);
				if (result == null) result = caseIntensionModelElement(temporalAvailabilityKind);
				if (result == null) result = caseEngineeringElement(temporalAvailabilityKind);
				if (result == null) result = caseAbstractSystem(temporalAvailabilityKind);
				if (result == null) result = caseExtensionType(temporalAvailabilityKind);
				if (result == null) result = caseModelElement(temporalAvailabilityKind);
				if (result == null) result = caseEngineeringModelElement(temporalAvailabilityKind);
				if (result == null) result = caseSystem(temporalAvailabilityKind);
				if (result == null) result = caseNamedElement(temporalAvailabilityKind);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ContractualfeaturesPackage.AVAILABILITY_KIND: {
				AvailabilityKind availabilityKind = (AvailabilityKind)theEObject;
				Object result = caseAvailabilityKind(availabilityKind);
				if (result == null) result = caseContractualFeature(availabilityKind);
				if (result == null) result = caseQualitativeFeature(availabilityKind);
				if (result == null) result = caseFeature(availabilityKind);
				if (result == null) result = caseBindableFeature(availabilityKind);
				if (result == null) result = caseInstantiatableElement(availabilityKind);
				if (result == null) result = caseProductElement(availabilityKind);
				if (result == null) result = caseBindableElement(availabilityKind);
				if (result == null) result = caseExtendableElement(availabilityKind);
				if (result == null) result = caseGeneralizableElement(availabilityKind);
				if (result == null) result = caseIntensionModelElement(availabilityKind);
				if (result == null) result = caseEngineeringElement(availabilityKind);
				if (result == null) result = caseAbstractSystem(availabilityKind);
				if (result == null) result = caseExtensionType(availabilityKind);
				if (result == null) result = caseModelElement(availabilityKind);
				if (result == null) result = caseEngineeringModelElement(availabilityKind);
				if (result == null) result = caseSystem(availabilityKind);
				if (result == null) result = caseNamedElement(availabilityKind);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ContractualfeaturesPackage.SPATIAL_AVAILABILITY_KIND: {
				SpatialAvailabilityKind spatialAvailabilityKind = (SpatialAvailabilityKind)theEObject;
				Object result = caseSpatialAvailabilityKind(spatialAvailabilityKind);
				if (result == null) result = caseAvailabilityKind(spatialAvailabilityKind);
				if (result == null) result = caseContractualFeature(spatialAvailabilityKind);
				if (result == null) result = caseQualitativeFeature(spatialAvailabilityKind);
				if (result == null) result = caseFeature(spatialAvailabilityKind);
				if (result == null) result = caseBindableFeature(spatialAvailabilityKind);
				if (result == null) result = caseInstantiatableElement(spatialAvailabilityKind);
				if (result == null) result = caseProductElement(spatialAvailabilityKind);
				if (result == null) result = caseBindableElement(spatialAvailabilityKind);
				if (result == null) result = caseExtendableElement(spatialAvailabilityKind);
				if (result == null) result = caseGeneralizableElement(spatialAvailabilityKind);
				if (result == null) result = caseIntensionModelElement(spatialAvailabilityKind);
				if (result == null) result = caseEngineeringElement(spatialAvailabilityKind);
				if (result == null) result = caseAbstractSystem(spatialAvailabilityKind);
				if (result == null) result = caseExtensionType(spatialAvailabilityKind);
				if (result == null) result = caseModelElement(spatialAvailabilityKind);
				if (result == null) result = caseEngineeringModelElement(spatialAvailabilityKind);
				if (result == null) result = caseSystem(spatialAvailabilityKind);
				if (result == null) result = caseNamedElement(spatialAvailabilityKind);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Settlement Model Kind</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Settlement Model Kind</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseSettlementModelKind(SettlementModelKind object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Contractual Feature</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Contractual Feature</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseContractualFeature(ContractualFeature object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Compensation Kind</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Compensation Kind</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCompensationKind(CompensationKind object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Coordination Structure Kind</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Coordination Structure Kind</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCoordinationStructureKind(CoordinationStructureKind object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Transaction Coordination Kind</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Transaction Coordination Kind</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseTransactionCoordinationKind(TransactionCoordinationKind object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Charging Style</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Charging Style</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseChargingStyle(ChargingStyle object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Temporal Availability Kind</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Temporal Availability Kind</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseTemporalAvailabilityKind(TemporalAvailabilityKind object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Availability Kind</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Availability Kind</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseAvailabilityKind(AvailabilityKind object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Spatial Availability Kind</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Spatial Availability Kind</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseSpatialAvailabilityKind(SpatialAvailabilityKind object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>System</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>System</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseSystem(org.cinco.metamodel.ecosystem.foundations.systems.System object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Abstract System</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Abstract System</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseAbstractSystem(AbstractSystem object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Extension Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Extension Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseExtensionType(ExtensionType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Extendable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Extendable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseExtendableElement(ExtendableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Generalizable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Generalizable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseGeneralizableElement(GeneralizableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseNamedElement(NamedElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseModelElement(ModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Intension Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Intension Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseIntensionModelElement(IntensionModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Instantiatable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Instantiatable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseInstantiatableElement(InstantiatableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Engineering Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Engineering Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEngineeringModelElement(EngineeringModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Product Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Product Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseProductElement(ProductElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Feature</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Feature</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseFeature(Feature object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Engineering Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Engineering Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEngineeringElement(EngineeringElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Bindable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Bindable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBindableElement(BindableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Bindable Feature</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Bindable Feature</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBindableFeature(BindableFeature object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Qualitative Feature</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Qualitative Feature</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseQualitativeFeature(QualitativeFeature object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	public Object defaultCase(EObject object) {
		return null;
	}

} //ContractualfeaturesSwitch
