/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.cooperativefeatures.util;

import java.util.List;

import org.cinco.metamodel.ecosystem.domainontology.concepts.GeneralizableElement;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.ExtendableElement;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.ExtensionType;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.InstantiatableElement;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.IntensionModelElement;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.StructuralElement;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.BindableElement;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.BindableFeature;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.Feature;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.Rule;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.cooperativefeatures.*;

import org.cinco.metamodel.ecosystem.engineeringmodel.EngineeringModelElement;

import org.cinco.metamodel.ecosystem.engineeringmodel.engineeringspace.EngineeringElement;
import org.cinco.metamodel.ecosystem.engineeringmodel.engineeringspace.ProductElement;

import org.cinco.metamodel.ecosystem.foundations.NamedElement;

import org.cinco.metamodel.ecosystem.foundations.models.ModelElement;

import org.cinco.metamodel.ecosystem.foundations.systems.AbstractSystem;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.cooperativefeatures.CooperativefeaturesPackage
 * @generated
 */
public class CooperativefeaturesSwitch {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static CooperativefeaturesPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CooperativefeaturesSwitch() {
		if (modelPackage == null) {
			modelPackage = CooperativefeaturesPackage.eINSTANCE;
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	public Object doSwitch(EObject theEObject) {
		return doSwitch(theEObject.eClass(), theEObject);
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected Object doSwitch(EClass theEClass, EObject theEObject) {
		if (theEClass.eContainer() == modelPackage) {
			return doSwitch(theEClass.getClassifierID(), theEObject);
		}
		else {
			List eSuperTypes = theEClass.getESuperTypes();
			return
				eSuperTypes.isEmpty() ?
					defaultCase(theEObject) :
					doSwitch((EClass)eSuperTypes.get(0), theEObject);
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected Object doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case CooperativefeaturesPackage.POLICY_FRAMEWORK: {
				PolicyFramework policyFramework = (PolicyFramework)theEObject;
				Object result = casePolicyFramework(policyFramework);
				if (result == null) result = caseRuleBase(policyFramework);
				if (result == null) result = caseCooperativeFeature(policyFramework);
				if (result == null) result = caseFeature(policyFramework);
				if (result == null) result = caseBindableFeature(policyFramework);
				if (result == null) result = caseInstantiatableElement(policyFramework);
				if (result == null) result = caseProductElement(policyFramework);
				if (result == null) result = caseBindableElement(policyFramework);
				if (result == null) result = caseExtendableElement(policyFramework);
				if (result == null) result = caseGeneralizableElement(policyFramework);
				if (result == null) result = caseIntensionModelElement(policyFramework);
				if (result == null) result = caseEngineeringElement(policyFramework);
				if (result == null) result = caseAbstractSystem(policyFramework);
				if (result == null) result = caseExtensionType(policyFramework);
				if (result == null) result = caseModelElement(policyFramework);
				if (result == null) result = caseEngineeringModelElement(policyFramework);
				if (result == null) result = caseSystem(policyFramework);
				if (result == null) result = caseNamedElement(policyFramework);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case CooperativefeaturesPackage.RULE_BASE: {
				RuleBase ruleBase = (RuleBase)theEObject;
				Object result = caseRuleBase(ruleBase);
				if (result == null) result = caseCooperativeFeature(ruleBase);
				if (result == null) result = caseFeature(ruleBase);
				if (result == null) result = caseBindableFeature(ruleBase);
				if (result == null) result = caseInstantiatableElement(ruleBase);
				if (result == null) result = caseProductElement(ruleBase);
				if (result == null) result = caseBindableElement(ruleBase);
				if (result == null) result = caseExtendableElement(ruleBase);
				if (result == null) result = caseGeneralizableElement(ruleBase);
				if (result == null) result = caseIntensionModelElement(ruleBase);
				if (result == null) result = caseEngineeringElement(ruleBase);
				if (result == null) result = caseAbstractSystem(ruleBase);
				if (result == null) result = caseExtensionType(ruleBase);
				if (result == null) result = caseModelElement(ruleBase);
				if (result == null) result = caseEngineeringModelElement(ruleBase);
				if (result == null) result = caseSystem(ruleBase);
				if (result == null) result = caseNamedElement(ruleBase);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case CooperativefeaturesPackage.OPERATIONAL_POLICY: {
				OperationalPolicy operationalPolicy = (OperationalPolicy)theEObject;
				Object result = caseOperationalPolicy(operationalPolicy);
				if (result == null) result = caseRule(operationalPolicy);
				if (result == null) result = caseStructuralElement(operationalPolicy);
				if (result == null) result = caseInstantiatableElement(operationalPolicy);
				if (result == null) result = caseProductElement(operationalPolicy);
				if (result == null) result = caseExtendableElement(operationalPolicy);
				if (result == null) result = caseGeneralizableElement(operationalPolicy);
				if (result == null) result = caseIntensionModelElement(operationalPolicy);
				if (result == null) result = caseEngineeringModelElement(operationalPolicy);
				if (result == null) result = caseAbstractSystem(operationalPolicy);
				if (result == null) result = caseExtensionType(operationalPolicy);
				if (result == null) result = caseModelElement(operationalPolicy);
				if (result == null) result = caseSystem(operationalPolicy);
				if (result == null) result = caseNamedElement(operationalPolicy);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case CooperativefeaturesPackage.LEGISLATION: {
				Legislation legislation = (Legislation)theEObject;
				Object result = caseLegislation(legislation);
				if (result == null) result = caseRuleBase(legislation);
				if (result == null) result = caseCooperativeFeature(legislation);
				if (result == null) result = caseFeature(legislation);
				if (result == null) result = caseBindableFeature(legislation);
				if (result == null) result = caseInstantiatableElement(legislation);
				if (result == null) result = caseProductElement(legislation);
				if (result == null) result = caseBindableElement(legislation);
				if (result == null) result = caseExtendableElement(legislation);
				if (result == null) result = caseGeneralizableElement(legislation);
				if (result == null) result = caseIntensionModelElement(legislation);
				if (result == null) result = caseEngineeringElement(legislation);
				if (result == null) result = caseAbstractSystem(legislation);
				if (result == null) result = caseExtensionType(legislation);
				if (result == null) result = caseModelElement(legislation);
				if (result == null) result = caseEngineeringModelElement(legislation);
				if (result == null) result = caseSystem(legislation);
				if (result == null) result = caseNamedElement(legislation);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case CooperativefeaturesPackage.ACT: {
				Act act = (Act)theEObject;
				Object result = caseAct(act);
				if (result == null) result = caseRule(act);
				if (result == null) result = caseStructuralElement(act);
				if (result == null) result = caseInstantiatableElement(act);
				if (result == null) result = caseProductElement(act);
				if (result == null) result = caseExtendableElement(act);
				if (result == null) result = caseGeneralizableElement(act);
				if (result == null) result = caseIntensionModelElement(act);
				if (result == null) result = caseEngineeringModelElement(act);
				if (result == null) result = caseAbstractSystem(act);
				if (result == null) result = caseExtensionType(act);
				if (result == null) result = caseModelElement(act);
				if (result == null) result = caseSystem(act);
				if (result == null) result = caseNamedElement(act);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case CooperativefeaturesPackage.BUSINESS_RULE: {
				BusinessRule businessRule = (BusinessRule)theEObject;
				Object result = caseBusinessRule(businessRule);
				if (result == null) result = caseRule(businessRule);
				if (result == null) result = caseStructuralElement(businessRule);
				if (result == null) result = caseInstantiatableElement(businessRule);
				if (result == null) result = caseProductElement(businessRule);
				if (result == null) result = caseExtendableElement(businessRule);
				if (result == null) result = caseGeneralizableElement(businessRule);
				if (result == null) result = caseIntensionModelElement(businessRule);
				if (result == null) result = caseEngineeringModelElement(businessRule);
				if (result == null) result = caseAbstractSystem(businessRule);
				if (result == null) result = caseExtensionType(businessRule);
				if (result == null) result = caseModelElement(businessRule);
				if (result == null) result = caseSystem(businessRule);
				if (result == null) result = caseNamedElement(businessRule);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case CooperativefeaturesPackage.REPUTATION_KIND: {
				ReputationKind reputationKind = (ReputationKind)theEObject;
				Object result = caseReputationKind(reputationKind);
				if (result == null) result = caseCooperativeFeature(reputationKind);
				if (result == null) result = caseFeature(reputationKind);
				if (result == null) result = caseBindableFeature(reputationKind);
				if (result == null) result = caseInstantiatableElement(reputationKind);
				if (result == null) result = caseProductElement(reputationKind);
				if (result == null) result = caseBindableElement(reputationKind);
				if (result == null) result = caseExtendableElement(reputationKind);
				if (result == null) result = caseGeneralizableElement(reputationKind);
				if (result == null) result = caseIntensionModelElement(reputationKind);
				if (result == null) result = caseEngineeringElement(reputationKind);
				if (result == null) result = caseAbstractSystem(reputationKind);
				if (result == null) result = caseExtensionType(reputationKind);
				if (result == null) result = caseModelElement(reputationKind);
				if (result == null) result = caseEngineeringModelElement(reputationKind);
				if (result == null) result = caseSystem(reputationKind);
				if (result == null) result = caseNamedElement(reputationKind);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case CooperativefeaturesPackage.BUSINESS_MODEL: {
				BusinessModel businessModel = (BusinessModel)theEObject;
				Object result = caseBusinessModel(businessModel);
				if (result == null) result = caseRuleBase(businessModel);
				if (result == null) result = caseCooperativeFeature(businessModel);
				if (result == null) result = caseFeature(businessModel);
				if (result == null) result = caseBindableFeature(businessModel);
				if (result == null) result = caseInstantiatableElement(businessModel);
				if (result == null) result = caseProductElement(businessModel);
				if (result == null) result = caseBindableElement(businessModel);
				if (result == null) result = caseExtendableElement(businessModel);
				if (result == null) result = caseGeneralizableElement(businessModel);
				if (result == null) result = caseIntensionModelElement(businessModel);
				if (result == null) result = caseEngineeringElement(businessModel);
				if (result == null) result = caseAbstractSystem(businessModel);
				if (result == null) result = caseExtensionType(businessModel);
				if (result == null) result = caseModelElement(businessModel);
				if (result == null) result = caseEngineeringModelElement(businessModel);
				if (result == null) result = caseSystem(businessModel);
				if (result == null) result = caseNamedElement(businessModel);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case CooperativefeaturesPackage.COOPERATIVE_FEATURE: {
				CooperativeFeature cooperativeFeature = (CooperativeFeature)theEObject;
				Object result = caseCooperativeFeature(cooperativeFeature);
				if (result == null) result = caseFeature(cooperativeFeature);
				if (result == null) result = caseBindableFeature(cooperativeFeature);
				if (result == null) result = caseInstantiatableElement(cooperativeFeature);
				if (result == null) result = caseProductElement(cooperativeFeature);
				if (result == null) result = caseBindableElement(cooperativeFeature);
				if (result == null) result = caseExtendableElement(cooperativeFeature);
				if (result == null) result = caseGeneralizableElement(cooperativeFeature);
				if (result == null) result = caseIntensionModelElement(cooperativeFeature);
				if (result == null) result = caseEngineeringElement(cooperativeFeature);
				if (result == null) result = caseAbstractSystem(cooperativeFeature);
				if (result == null) result = caseExtensionType(cooperativeFeature);
				if (result == null) result = caseModelElement(cooperativeFeature);
				if (result == null) result = caseEngineeringModelElement(cooperativeFeature);
				if (result == null) result = caseSystem(cooperativeFeature);
				if (result == null) result = caseNamedElement(cooperativeFeature);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Policy Framework</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Policy Framework</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object casePolicyFramework(PolicyFramework object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Rule Base</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Rule Base</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseRuleBase(RuleBase object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Operational Policy</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Operational Policy</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseOperationalPolicy(OperationalPolicy object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Legislation</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Legislation</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseLegislation(Legislation object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Act</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Act</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseAct(Act object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Business Rule</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Business Rule</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBusinessRule(BusinessRule object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Reputation Kind</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Reputation Kind</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseReputationKind(ReputationKind object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Business Model</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Business Model</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBusinessModel(BusinessModel object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Cooperative Feature</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Cooperative Feature</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCooperativeFeature(CooperativeFeature object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>System</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>System</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseSystem(org.cinco.metamodel.ecosystem.foundations.systems.System object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Abstract System</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Abstract System</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseAbstractSystem(AbstractSystem object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Extension Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Extension Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseExtensionType(ExtensionType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Extendable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Extendable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseExtendableElement(ExtendableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Generalizable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Generalizable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseGeneralizableElement(GeneralizableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseNamedElement(NamedElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseModelElement(ModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Intension Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Intension Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseIntensionModelElement(IntensionModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Instantiatable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Instantiatable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseInstantiatableElement(InstantiatableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Engineering Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Engineering Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEngineeringModelElement(EngineeringModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Product Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Product Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseProductElement(ProductElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Feature</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Feature</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseFeature(Feature object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Engineering Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Engineering Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEngineeringElement(EngineeringElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Bindable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Bindable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBindableElement(BindableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Bindable Feature</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Bindable Feature</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBindableFeature(BindableFeature object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Structural Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Structural Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseStructuralElement(StructuralElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Rule</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Rule</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseRule(Rule object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	public Object defaultCase(EObject object) {
		return null;
	}

} //CooperativefeaturesSwitch
