/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.functionalfeatures.util;

import java.util.List;

import org.cinco.metamodel.ecosystem.domainontology.concepts.GeneralizableElement;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.ExtendableElement;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.ExtensionType;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.InstantiatableElement;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.IntensionModelElement;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.StructuralElement;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.Feature;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.functionalfeatures.*;

import org.cinco.metamodel.ecosystem.engineeringmodel.EngineeringModelElement;

import org.cinco.metamodel.ecosystem.engineeringmodel.engineeringspace.ProductElement;

import org.cinco.metamodel.ecosystem.foundations.NamedElement;

import org.cinco.metamodel.ecosystem.foundations.behaviour.ActivityKind;
import org.cinco.metamodel.ecosystem.foundations.behaviour.Behaviour;

import org.cinco.metamodel.ecosystem.foundations.models.ModelElement;

import org.cinco.metamodel.ecosystem.foundations.systems.AbstractSystem;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.functionalfeatures.FunctionalfeaturesPackage
 * @generated
 */
public class FunctionalfeaturesSwitch {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static FunctionalfeaturesPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public FunctionalfeaturesSwitch() {
		if (modelPackage == null) {
			modelPackage = FunctionalfeaturesPackage.eINSTANCE;
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	public Object doSwitch(EObject theEObject) {
		return doSwitch(theEObject.eClass(), theEObject);
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected Object doSwitch(EClass theEClass, EObject theEObject) {
		if (theEClass.eContainer() == modelPackage) {
			return doSwitch(theEClass.getClassifierID(), theEObject);
		}
		else {
			List eSuperTypes = theEClass.getESuperTypes();
			return
				eSuperTypes.isEmpty() ?
					defaultCase(theEObject) :
					doSwitch((EClass)eSuperTypes.get(0), theEObject);
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected Object doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case FunctionalfeaturesPackage.SERVICE_ACTIVITY_KIND: {
				ServiceActivityKind serviceActivityKind = (ServiceActivityKind)theEObject;
				Object result = caseServiceActivityKind(serviceActivityKind);
				if (result == null) result = caseActivityKind(serviceActivityKind);
				if (result == null) result = caseStructuralElement(serviceActivityKind);
				if (result == null) result = caseBehaviour(serviceActivityKind);
				if (result == null) result = caseInstantiatableElement(serviceActivityKind);
				if (result == null) result = caseProductElement(serviceActivityKind);
				if (result == null) result = caseExtendableElement(serviceActivityKind);
				if (result == null) result = caseGeneralizableElement(serviceActivityKind);
				if (result == null) result = caseIntensionModelElement(serviceActivityKind);
				if (result == null) result = caseEngineeringModelElement(serviceActivityKind);
				if (result == null) result = caseAbstractSystem(serviceActivityKind);
				if (result == null) result = caseExtensionType(serviceActivityKind);
				if (result == null) result = caseModelElement(serviceActivityKind);
				if (result == null) result = caseSystem(serviceActivityKind);
				if (result == null) result = caseNamedElement(serviceActivityKind);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case FunctionalfeaturesPackage.BUSINESS_DOCUMENT_TYPE: {
				BusinessDocumentType businessDocumentType = (BusinessDocumentType)theEObject;
				Object result = caseBusinessDocumentType(businessDocumentType);
				if (result == null) result = caseInformationFeature(businessDocumentType);
				if (result == null) result = caseFeature(businessDocumentType);
				if (result == null) result = caseInstantiatableElement(businessDocumentType);
				if (result == null) result = caseProductElement(businessDocumentType);
				if (result == null) result = caseExtendableElement(businessDocumentType);
				if (result == null) result = caseGeneralizableElement(businessDocumentType);
				if (result == null) result = caseIntensionModelElement(businessDocumentType);
				if (result == null) result = caseEngineeringModelElement(businessDocumentType);
				if (result == null) result = caseAbstractSystem(businessDocumentType);
				if (result == null) result = caseExtensionType(businessDocumentType);
				if (result == null) result = caseModelElement(businessDocumentType);
				if (result == null) result = caseSystem(businessDocumentType);
				if (result == null) result = caseNamedElement(businessDocumentType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case FunctionalfeaturesPackage.ENDPOINT_FEATURE: {
				EndpointFeature endpointFeature = (EndpointFeature)theEObject;
				Object result = caseEndpointFeature(endpointFeature);
				if (result == null) result = caseFeature(endpointFeature);
				if (result == null) result = caseInstantiatableElement(endpointFeature);
				if (result == null) result = caseProductElement(endpointFeature);
				if (result == null) result = caseExtendableElement(endpointFeature);
				if (result == null) result = caseGeneralizableElement(endpointFeature);
				if (result == null) result = caseIntensionModelElement(endpointFeature);
				if (result == null) result = caseEngineeringModelElement(endpointFeature);
				if (result == null) result = caseAbstractSystem(endpointFeature);
				if (result == null) result = caseExtensionType(endpointFeature);
				if (result == null) result = caseModelElement(endpointFeature);
				if (result == null) result = caseSystem(endpointFeature);
				if (result == null) result = caseNamedElement(endpointFeature);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case FunctionalfeaturesPackage.SERVICE_FEATURE: {
				ServiceFeature serviceFeature = (ServiceFeature)theEObject;
				Object result = caseServiceFeature(serviceFeature);
				if (result == null) result = caseFeature(serviceFeature);
				if (result == null) result = caseInstantiatableElement(serviceFeature);
				if (result == null) result = caseProductElement(serviceFeature);
				if (result == null) result = caseExtendableElement(serviceFeature);
				if (result == null) result = caseGeneralizableElement(serviceFeature);
				if (result == null) result = caseIntensionModelElement(serviceFeature);
				if (result == null) result = caseEngineeringModelElement(serviceFeature);
				if (result == null) result = caseAbstractSystem(serviceFeature);
				if (result == null) result = caseExtensionType(serviceFeature);
				if (result == null) result = caseModelElement(serviceFeature);
				if (result == null) result = caseSystem(serviceFeature);
				if (result == null) result = caseNamedElement(serviceFeature);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case FunctionalfeaturesPackage.COMPONENT_SERVICE_FEATURE: {
				ComponentServiceFeature componentServiceFeature = (ComponentServiceFeature)theEObject;
				Object result = caseComponentServiceFeature(componentServiceFeature);
				if (result == null) result = caseServiceFeature(componentServiceFeature);
				if (result == null) result = caseFeature(componentServiceFeature);
				if (result == null) result = caseInstantiatableElement(componentServiceFeature);
				if (result == null) result = caseProductElement(componentServiceFeature);
				if (result == null) result = caseExtendableElement(componentServiceFeature);
				if (result == null) result = caseGeneralizableElement(componentServiceFeature);
				if (result == null) result = caseIntensionModelElement(componentServiceFeature);
				if (result == null) result = caseEngineeringModelElement(componentServiceFeature);
				if (result == null) result = caseAbstractSystem(componentServiceFeature);
				if (result == null) result = caseExtensionType(componentServiceFeature);
				if (result == null) result = caseModelElement(componentServiceFeature);
				if (result == null) result = caseSystem(componentServiceFeature);
				if (result == null) result = caseNamedElement(componentServiceFeature);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case FunctionalfeaturesPackage.BUSINESS_SERVICE_FEATURE: {
				BusinessServiceFeature businessServiceFeature = (BusinessServiceFeature)theEObject;
				Object result = caseBusinessServiceFeature(businessServiceFeature);
				if (result == null) result = caseServiceFeature(businessServiceFeature);
				if (result == null) result = caseFeature(businessServiceFeature);
				if (result == null) result = caseInstantiatableElement(businessServiceFeature);
				if (result == null) result = caseProductElement(businessServiceFeature);
				if (result == null) result = caseExtendableElement(businessServiceFeature);
				if (result == null) result = caseGeneralizableElement(businessServiceFeature);
				if (result == null) result = caseIntensionModelElement(businessServiceFeature);
				if (result == null) result = caseEngineeringModelElement(businessServiceFeature);
				if (result == null) result = caseAbstractSystem(businessServiceFeature);
				if (result == null) result = caseExtensionType(businessServiceFeature);
				if (result == null) result = caseModelElement(businessServiceFeature);
				if (result == null) result = caseSystem(businessServiceFeature);
				if (result == null) result = caseNamedElement(businessServiceFeature);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case FunctionalfeaturesPackage.ENDPOINT_ADDRESS_KIND: {
				EndpointAddressKind endpointAddressKind = (EndpointAddressKind)theEObject;
				Object result = caseEndpointAddressKind(endpointAddressKind);
				if (result == null) result = caseEndpointFeature(endpointAddressKind);
				if (result == null) result = caseFeature(endpointAddressKind);
				if (result == null) result = caseInstantiatableElement(endpointAddressKind);
				if (result == null) result = caseProductElement(endpointAddressKind);
				if (result == null) result = caseExtendableElement(endpointAddressKind);
				if (result == null) result = caseGeneralizableElement(endpointAddressKind);
				if (result == null) result = caseIntensionModelElement(endpointAddressKind);
				if (result == null) result = caseEngineeringModelElement(endpointAddressKind);
				if (result == null) result = caseAbstractSystem(endpointAddressKind);
				if (result == null) result = caseExtensionType(endpointAddressKind);
				if (result == null) result = caseModelElement(endpointAddressKind);
				if (result == null) result = caseSystem(endpointAddressKind);
				if (result == null) result = caseNamedElement(endpointAddressKind);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case FunctionalfeaturesPackage.INFORMATION_FEATURE: {
				InformationFeature informationFeature = (InformationFeature)theEObject;
				Object result = caseInformationFeature(informationFeature);
				if (result == null) result = caseFeature(informationFeature);
				if (result == null) result = caseInstantiatableElement(informationFeature);
				if (result == null) result = caseProductElement(informationFeature);
				if (result == null) result = caseExtendableElement(informationFeature);
				if (result == null) result = caseGeneralizableElement(informationFeature);
				if (result == null) result = caseIntensionModelElement(informationFeature);
				if (result == null) result = caseEngineeringModelElement(informationFeature);
				if (result == null) result = caseAbstractSystem(informationFeature);
				if (result == null) result = caseExtensionType(informationFeature);
				if (result == null) result = caseModelElement(informationFeature);
				if (result == null) result = caseSystem(informationFeature);
				if (result == null) result = caseNamedElement(informationFeature);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Service Activity Kind</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Service Activity Kind</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseServiceActivityKind(ServiceActivityKind object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Business Document Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Business Document Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBusinessDocumentType(BusinessDocumentType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Endpoint Feature</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Endpoint Feature</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEndpointFeature(EndpointFeature object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Service Feature</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Service Feature</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseServiceFeature(ServiceFeature object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Component Service Feature</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Component Service Feature</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseComponentServiceFeature(ComponentServiceFeature object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Business Service Feature</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Business Service Feature</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBusinessServiceFeature(BusinessServiceFeature object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Endpoint Address Kind</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Endpoint Address Kind</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEndpointAddressKind(EndpointAddressKind object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Information Feature</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Information Feature</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseInformationFeature(InformationFeature object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>System</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>System</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseSystem(org.cinco.metamodel.ecosystem.foundations.systems.System object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Abstract System</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Abstract System</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseAbstractSystem(AbstractSystem object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Extension Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Extension Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseExtensionType(ExtensionType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Extendable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Extendable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseExtendableElement(ExtendableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Generalizable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Generalizable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseGeneralizableElement(GeneralizableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseNamedElement(NamedElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseModelElement(ModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Intension Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Intension Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseIntensionModelElement(IntensionModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Instantiatable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Instantiatable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseInstantiatableElement(InstantiatableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Engineering Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Engineering Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEngineeringModelElement(EngineeringModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Product Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Product Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseProductElement(ProductElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Structural Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Structural Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseStructuralElement(StructuralElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Behaviour</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Behaviour</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBehaviour(Behaviour object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Activity Kind</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Activity Kind</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseActivityKind(ActivityKind object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Feature</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Feature</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseFeature(Feature object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	public Object defaultCase(EObject object) {
		return null;
	}

} //FunctionalfeaturesSwitch
