/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.cinco.metamodel.ecosystem.ecosystemintensionmodel.impl;

import org.cinco.metamodel.ecosystem.domainontology.DomainontologyPackage;

import org.cinco.metamodel.ecosystem.domainontology.channels.ChannelsPackage;

import org.cinco.metamodel.ecosystem.domainontology.channels.impl.ChannelsPackageImpl;

import org.cinco.metamodel.ecosystem.domainontology.concepts.ConceptsPackage;

import org.cinco.metamodel.ecosystem.domainontology.concepts.impl.ConceptsPackageImpl;

import org.cinco.metamodel.ecosystem.domainontology.contracting.ContractingPackage;

import org.cinco.metamodel.ecosystem.domainontology.contracting.impl.ContractingPackageImpl;

import org.cinco.metamodel.ecosystem.domainontology.entities.EntitiesPackage;

import org.cinco.metamodel.ecosystem.domainontology.entities.impl.EntitiesPackageImpl;

import org.cinco.metamodel.ecosystem.domainontology.entitykinds.EntitykindsPackage;

import org.cinco.metamodel.ecosystem.domainontology.entitykinds.impl.EntitykindsPackageImpl;

import org.cinco.metamodel.ecosystem.domainontology.facilities.FacilitiesPackage;

import org.cinco.metamodel.ecosystem.domainontology.facilities.impl.FacilitiesPackageImpl;

import org.cinco.metamodel.ecosystem.domainontology.impl.DomainontologyPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.AssignCommitment;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.CancelCommitment;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.CommitmentOperation;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.DelegateCommitment;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.DischargeCommitment;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.EcosystemintensionmodelFactory;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.EcosystemintensionmodelPackage;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.ExtendableElement;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.ExtendableElementSet;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.Extension;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.ExtensionDefinition;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.ExtensionType;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.InstantiatableElement;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.IntensionModel;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.IntensionModelElement;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.PrimitiveType;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.Redefinition;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.ReleaseCommitment;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.ServiceLink;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.StructuralElement;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.SubsetDefinition;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.Undefinition;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.UserElement;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.BindingsPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.impl.BindingsPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.FeaturesPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.contractualfeatures.ContractualfeaturesPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.contractualfeatures.impl.ContractualfeaturesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.cooperativefeatures.CooperativefeaturesPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.cooperativefeatures.impl.CooperativefeaturesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.extrafunctionalfeatures.ExtrafunctionalfeaturesPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.extrafunctionalfeatures.impl.ExtrafunctionalfeaturesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.facilityfeatures.FacilityfeaturesPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.facilityfeatures.impl.FacilityfeaturesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.functionalfeatures.FunctionalfeaturesPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.functionalfeatures.impl.FunctionalfeaturesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.impl.FeaturesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.intensions.IntensionsPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.intensions.impl.IntensionsPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.PropertiesPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.contractualproperties.ContractualpropertiesPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.contractualproperties.impl.ContractualpropertiesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.cooperativeproperties.CooperativepropertiesPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.cooperativeproperties.impl.CooperativepropertiesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.facilityproperties.FacilitypropertiesPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.facilityproperties.impl.FacilitypropertiesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.functionalproperties.FunctionalpropertiesPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.functionalproperties.impl.FunctionalpropertiesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.impl.PropertiesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemmodel.EcosystemmodelPackage;

import org.cinco.metamodel.ecosystem.ecosystemmodel.choreographies.ChoreographiesPackage;

import org.cinco.metamodel.ecosystem.ecosystemmodel.choreographies.impl.ChoreographiesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemmodel.impl.EcosystemmodelPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemmodel.lifecycle.LifecyclePackage;

import org.cinco.metamodel.ecosystem.ecosystemmodel.lifecycle.impl.LifecyclePackageImpl;

import org.cinco.metamodel.ecosystem.engineeringmodel.EngineeringmodelPackage;

import org.cinco.metamodel.ecosystem.engineeringmodel.engineeringcapability.EngineeringcapabilityPackage;

import org.cinco.metamodel.ecosystem.engineeringmodel.engineeringcapability.impl.EngineeringcapabilityPackageImpl;

import org.cinco.metamodel.ecosystem.engineeringmodel.engineeringspace.EngineeringspacePackage;

import org.cinco.metamodel.ecosystem.engineeringmodel.engineeringspace.impl.EngineeringspacePackageImpl;

import org.cinco.metamodel.ecosystem.engineeringmodel.impl.EngineeringmodelPackageImpl;

import org.cinco.metamodel.ecosystem.foundations.FoundationsPackage;

import org.cinco.metamodel.ecosystem.foundations.behaviour.BehaviourPackage;

import org.cinco.metamodel.ecosystem.foundations.behaviour.impl.BehaviourPackageImpl;

import org.cinco.metamodel.ecosystem.foundations.impl.FoundationsPackageImpl;

import org.cinco.metamodel.ecosystem.foundations.models.ModelsPackage;

import org.cinco.metamodel.ecosystem.foundations.models.impl.ModelsPackageImpl;

import org.cinco.metamodel.ecosystem.foundations.modeltransformations.ModeltransformationsPackage;

import org.cinco.metamodel.ecosystem.foundations.modeltransformations.impl.ModeltransformationsPackageImpl;

import org.cinco.metamodel.ecosystem.foundations.relationships.RelationshipsPackage;

import org.cinco.metamodel.ecosystem.foundations.relationships.impl.RelationshipsPackageImpl;

import org.cinco.metamodel.ecosystem.foundations.systems.SystemsPackage;

import org.cinco.metamodel.ecosystem.foundations.systems.impl.SystemsPackageImpl;

import org.cinco.metamodel.ecosystem.knowledgemanagementmodel.KnowledgemanagementmodelPackage;

import org.cinco.metamodel.ecosystem.knowledgemanagementmodel.impl.KnowledgemanagementmodelPackageImpl;

import org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.RepositoriesPackage;

import org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.RepositoriesPackageImpl;

import org.cinco.metamodel.ecosystem.seadescription.SeadescriptionPackage;

import org.cinco.metamodel.ecosystem.seadescription.impl.SeadescriptionPackageImpl;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import org.eclipse.emf.ecore.impl.EPackageImpl;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Package</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class EcosystemintensionmodelPackageImpl extends EPackageImpl implements EcosystemintensionmodelPackage {
	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass instantiatableElementEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass extendableElementEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass extensionTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass extensionEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass extensionDefinitionEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass extendableElementSetEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass commitmentOperationEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass serviceLinkEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass intensionModelElementEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass userElementEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass intensionModelEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass redefinitionEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass undefinitionEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass cancelCommitmentEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass delegateCommitmentEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass dischargeCommitmentEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass releaseCommitmentEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass assignCommitmentEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass primitiveTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass subsetDefinitionEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass structuralElementEClass = null;

	/**
	 * Creates an instance of the model <b>Package</b>, registered with
	 * {@link org.eclipse.emf.ecore.EPackage.Registry EPackage.Registry} by the package
	 * package URI value.
	 * <p>Note: the correct way to create the package is via the static
	 * factory method {@link #init init()}, which also performs
	 * initialization of the package, or returns the registered package,
	 * if one already exists.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.emf.ecore.EPackage.Registry
	 * @see org.cinco.metamodel.ecosystem.ecosystemintensionmodel.EcosystemintensionmodelPackage#eNS_URI
	 * @see #init()
	 * @generated
	 */
	private EcosystemintensionmodelPackageImpl() {
		super(eNS_URI, EcosystemintensionmodelFactory.eINSTANCE);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static boolean isInited = false;

	/**
	 * Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.
	 * 
	 * <p>This method is used to initialize {@link EcosystemintensionmodelPackage#eINSTANCE} when that field is accessed.
	 * Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #eNS_URI
	 * @see #createPackageContents()
	 * @see #initializePackageContents()
	 * @generated
	 */
	public static EcosystemintensionmodelPackage init() {
		if (isInited) return (EcosystemintensionmodelPackage)EPackage.Registry.INSTANCE.getEPackage(EcosystemintensionmodelPackage.eNS_URI);

		// Obtain or create and register package
		EcosystemintensionmodelPackageImpl theEcosystemintensionmodelPackage = (EcosystemintensionmodelPackageImpl)(EPackage.Registry.INSTANCE.get(eNS_URI) instanceof EcosystemintensionmodelPackageImpl ? EPackage.Registry.INSTANCE.get(eNS_URI) : new EcosystemintensionmodelPackageImpl());

		isInited = true;

		// Obtain or create and register interdependencies
		EcosystemmodelPackageImpl theEcosystemmodelPackage = (EcosystemmodelPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(EcosystemmodelPackage.eNS_URI) instanceof EcosystemmodelPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(EcosystemmodelPackage.eNS_URI) : EcosystemmodelPackage.eINSTANCE);
		LifecyclePackageImpl theLifecyclePackage = (LifecyclePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(LifecyclePackage.eNS_URI) instanceof LifecyclePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(LifecyclePackage.eNS_URI) : LifecyclePackage.eINSTANCE);
		ChoreographiesPackageImpl theChoreographiesPackage = (ChoreographiesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ChoreographiesPackage.eNS_URI) instanceof ChoreographiesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ChoreographiesPackage.eNS_URI) : ChoreographiesPackage.eINSTANCE);
		FoundationsPackageImpl theFoundationsPackage = (FoundationsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FoundationsPackage.eNS_URI) instanceof FoundationsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FoundationsPackage.eNS_URI) : FoundationsPackage.eINSTANCE);
		RelationshipsPackageImpl theRelationshipsPackage = (RelationshipsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(RelationshipsPackage.eNS_URI) instanceof RelationshipsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(RelationshipsPackage.eNS_URI) : RelationshipsPackage.eINSTANCE);
		SystemsPackageImpl theSystemsPackage = (SystemsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SystemsPackage.eNS_URI) instanceof SystemsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SystemsPackage.eNS_URI) : SystemsPackage.eINSTANCE);
		ModeltransformationsPackageImpl theModeltransformationsPackage = (ModeltransformationsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ModeltransformationsPackage.eNS_URI) instanceof ModeltransformationsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ModeltransformationsPackage.eNS_URI) : ModeltransformationsPackage.eINSTANCE);
		BehaviourPackageImpl theBehaviourPackage = (BehaviourPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(BehaviourPackage.eNS_URI) instanceof BehaviourPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(BehaviourPackage.eNS_URI) : BehaviourPackage.eINSTANCE);
		ModelsPackageImpl theModelsPackage = (ModelsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ModelsPackage.eNS_URI) instanceof ModelsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ModelsPackage.eNS_URI) : ModelsPackage.eINSTANCE);
		FeaturesPackageImpl theFeaturesPackage = (FeaturesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FeaturesPackage.eNS_URI) instanceof FeaturesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FeaturesPackage.eNS_URI) : FeaturesPackage.eINSTANCE);
		ContractualfeaturesPackageImpl theContractualfeaturesPackage = (ContractualfeaturesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ContractualfeaturesPackage.eNS_URI) instanceof ContractualfeaturesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ContractualfeaturesPackage.eNS_URI) : ContractualfeaturesPackage.eINSTANCE);
		FunctionalfeaturesPackageImpl theFunctionalfeaturesPackage = (FunctionalfeaturesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FunctionalfeaturesPackage.eNS_URI) instanceof FunctionalfeaturesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FunctionalfeaturesPackage.eNS_URI) : FunctionalfeaturesPackage.eINSTANCE);
		CooperativefeaturesPackageImpl theCooperativefeaturesPackage = (CooperativefeaturesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(CooperativefeaturesPackage.eNS_URI) instanceof CooperativefeaturesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(CooperativefeaturesPackage.eNS_URI) : CooperativefeaturesPackage.eINSTANCE);
		FacilityfeaturesPackageImpl theFacilityfeaturesPackage = (FacilityfeaturesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FacilityfeaturesPackage.eNS_URI) instanceof FacilityfeaturesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FacilityfeaturesPackage.eNS_URI) : FacilityfeaturesPackage.eINSTANCE);
		ExtrafunctionalfeaturesPackageImpl theExtrafunctionalfeaturesPackage = (ExtrafunctionalfeaturesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ExtrafunctionalfeaturesPackage.eNS_URI) instanceof ExtrafunctionalfeaturesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ExtrafunctionalfeaturesPackage.eNS_URI) : ExtrafunctionalfeaturesPackage.eINSTANCE);
		IntensionsPackageImpl theIntensionsPackage = (IntensionsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(IntensionsPackage.eNS_URI) instanceof IntensionsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(IntensionsPackage.eNS_URI) : IntensionsPackage.eINSTANCE);
		BindingsPackageImpl theBindingsPackage = (BindingsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(BindingsPackage.eNS_URI) instanceof BindingsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(BindingsPackage.eNS_URI) : BindingsPackage.eINSTANCE);
		PropertiesPackageImpl thePropertiesPackage = (PropertiesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(PropertiesPackage.eNS_URI) instanceof PropertiesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(PropertiesPackage.eNS_URI) : PropertiesPackage.eINSTANCE);
		ContractualpropertiesPackageImpl theContractualpropertiesPackage = (ContractualpropertiesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ContractualpropertiesPackage.eNS_URI) instanceof ContractualpropertiesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ContractualpropertiesPackage.eNS_URI) : ContractualpropertiesPackage.eINSTANCE);
		CooperativepropertiesPackageImpl theCooperativepropertiesPackage = (CooperativepropertiesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(CooperativepropertiesPackage.eNS_URI) instanceof CooperativepropertiesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(CooperativepropertiesPackage.eNS_URI) : CooperativepropertiesPackage.eINSTANCE);
		FacilitypropertiesPackageImpl theFacilitypropertiesPackage = (FacilitypropertiesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FacilitypropertiesPackage.eNS_URI) instanceof FacilitypropertiesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FacilitypropertiesPackage.eNS_URI) : FacilitypropertiesPackage.eINSTANCE);
		FunctionalpropertiesPackageImpl theFunctionalpropertiesPackage = (FunctionalpropertiesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FunctionalpropertiesPackage.eNS_URI) instanceof FunctionalpropertiesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FunctionalpropertiesPackage.eNS_URI) : FunctionalpropertiesPackage.eINSTANCE);
		DomainontologyPackageImpl theDomainontologyPackage = (DomainontologyPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(DomainontologyPackage.eNS_URI) instanceof DomainontologyPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(DomainontologyPackage.eNS_URI) : DomainontologyPackage.eINSTANCE);
		ContractingPackageImpl theContractingPackage = (ContractingPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ContractingPackage.eNS_URI) instanceof ContractingPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ContractingPackage.eNS_URI) : ContractingPackage.eINSTANCE);
		EntitiesPackageImpl theEntitiesPackage = (EntitiesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(EntitiesPackage.eNS_URI) instanceof EntitiesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(EntitiesPackage.eNS_URI) : EntitiesPackage.eINSTANCE);
		EntitykindsPackageImpl theEntitykindsPackage = (EntitykindsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(EntitykindsPackage.eNS_URI) instanceof EntitykindsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(EntitykindsPackage.eNS_URI) : EntitykindsPackage.eINSTANCE);
		ChannelsPackageImpl theChannelsPackage = (ChannelsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ChannelsPackage.eNS_URI) instanceof ChannelsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ChannelsPackage.eNS_URI) : ChannelsPackage.eINSTANCE);
		FacilitiesPackageImpl theFacilitiesPackage = (FacilitiesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FacilitiesPackage.eNS_URI) instanceof FacilitiesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FacilitiesPackage.eNS_URI) : FacilitiesPackage.eINSTANCE);
		ConceptsPackageImpl theConceptsPackage = (ConceptsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ConceptsPackage.eNS_URI) instanceof ConceptsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ConceptsPackage.eNS_URI) : ConceptsPackage.eINSTANCE);
		KnowledgemanagementmodelPackageImpl theKnowledgemanagementmodelPackage = (KnowledgemanagementmodelPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(KnowledgemanagementmodelPackage.eNS_URI) instanceof KnowledgemanagementmodelPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(KnowledgemanagementmodelPackage.eNS_URI) : KnowledgemanagementmodelPackage.eINSTANCE);
		RepositoriesPackageImpl theRepositoriesPackage = (RepositoriesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(RepositoriesPackage.eNS_URI) instanceof RepositoriesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(RepositoriesPackage.eNS_URI) : RepositoriesPackage.eINSTANCE);
		EngineeringmodelPackageImpl theEngineeringmodelPackage = (EngineeringmodelPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(EngineeringmodelPackage.eNS_URI) instanceof EngineeringmodelPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(EngineeringmodelPackage.eNS_URI) : EngineeringmodelPackage.eINSTANCE);
		EngineeringcapabilityPackageImpl theEngineeringcapabilityPackage = (EngineeringcapabilityPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(EngineeringcapabilityPackage.eNS_URI) instanceof EngineeringcapabilityPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(EngineeringcapabilityPackage.eNS_URI) : EngineeringcapabilityPackage.eINSTANCE);
		EngineeringspacePackageImpl theEngineeringspacePackage = (EngineeringspacePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(EngineeringspacePackage.eNS_URI) instanceof EngineeringspacePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(EngineeringspacePackage.eNS_URI) : EngineeringspacePackage.eINSTANCE);
		SeadescriptionPackageImpl theSeadescriptionPackage = (SeadescriptionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SeadescriptionPackage.eNS_URI) instanceof SeadescriptionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SeadescriptionPackage.eNS_URI) : SeadescriptionPackage.eINSTANCE);

		// Create package meta-data objects
		theEcosystemintensionmodelPackage.createPackageContents();
		theEcosystemmodelPackage.createPackageContents();
		theLifecyclePackage.createPackageContents();
		theChoreographiesPackage.createPackageContents();
		theFoundationsPackage.createPackageContents();
		theRelationshipsPackage.createPackageContents();
		theSystemsPackage.createPackageContents();
		theModeltransformationsPackage.createPackageContents();
		theBehaviourPackage.createPackageContents();
		theModelsPackage.createPackageContents();
		theFeaturesPackage.createPackageContents();
		theContractualfeaturesPackage.createPackageContents();
		theFunctionalfeaturesPackage.createPackageContents();
		theCooperativefeaturesPackage.createPackageContents();
		theFacilityfeaturesPackage.createPackageContents();
		theExtrafunctionalfeaturesPackage.createPackageContents();
		theIntensionsPackage.createPackageContents();
		theBindingsPackage.createPackageContents();
		thePropertiesPackage.createPackageContents();
		theContractualpropertiesPackage.createPackageContents();
		theCooperativepropertiesPackage.createPackageContents();
		theFacilitypropertiesPackage.createPackageContents();
		theFunctionalpropertiesPackage.createPackageContents();
		theDomainontologyPackage.createPackageContents();
		theContractingPackage.createPackageContents();
		theEntitiesPackage.createPackageContents();
		theEntitykindsPackage.createPackageContents();
		theChannelsPackage.createPackageContents();
		theFacilitiesPackage.createPackageContents();
		theConceptsPackage.createPackageContents();
		theKnowledgemanagementmodelPackage.createPackageContents();
		theRepositoriesPackage.createPackageContents();
		theEngineeringmodelPackage.createPackageContents();
		theEngineeringcapabilityPackage.createPackageContents();
		theEngineeringspacePackage.createPackageContents();
		theSeadescriptionPackage.createPackageContents();

		// Initialize created meta-data
		theEcosystemintensionmodelPackage.initializePackageContents();
		theEcosystemmodelPackage.initializePackageContents();
		theLifecyclePackage.initializePackageContents();
		theChoreographiesPackage.initializePackageContents();
		theFoundationsPackage.initializePackageContents();
		theRelationshipsPackage.initializePackageContents();
		theSystemsPackage.initializePackageContents();
		theModeltransformationsPackage.initializePackageContents();
		theBehaviourPackage.initializePackageContents();
		theModelsPackage.initializePackageContents();
		theFeaturesPackage.initializePackageContents();
		theContractualfeaturesPackage.initializePackageContents();
		theFunctionalfeaturesPackage.initializePackageContents();
		theCooperativefeaturesPackage.initializePackageContents();
		theFacilityfeaturesPackage.initializePackageContents();
		theExtrafunctionalfeaturesPackage.initializePackageContents();
		theIntensionsPackage.initializePackageContents();
		theBindingsPackage.initializePackageContents();
		thePropertiesPackage.initializePackageContents();
		theContractualpropertiesPackage.initializePackageContents();
		theCooperativepropertiesPackage.initializePackageContents();
		theFacilitypropertiesPackage.initializePackageContents();
		theFunctionalpropertiesPackage.initializePackageContents();
		theDomainontologyPackage.initializePackageContents();
		theContractingPackage.initializePackageContents();
		theEntitiesPackage.initializePackageContents();
		theEntitykindsPackage.initializePackageContents();
		theChannelsPackage.initializePackageContents();
		theFacilitiesPackage.initializePackageContents();
		theConceptsPackage.initializePackageContents();
		theKnowledgemanagementmodelPackage.initializePackageContents();
		theRepositoriesPackage.initializePackageContents();
		theEngineeringmodelPackage.initializePackageContents();
		theEngineeringcapabilityPackage.initializePackageContents();
		theEngineeringspacePackage.initializePackageContents();
		theSeadescriptionPackage.initializePackageContents();

		// Mark meta-data to indicate it can't be changed
		theEcosystemintensionmodelPackage.freeze();

  
		// Update the registry and return the package
		EPackage.Registry.INSTANCE.put(EcosystemintensionmodelPackage.eNS_URI, theEcosystemintensionmodelPackage);
		return theEcosystemintensionmodelPackage;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getInstantiatableElement() {
		return instantiatableElementEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getInstantiatableElement_Potency() {
		return (EAttribute)instantiatableElementEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getExtendableElement() {
		return extendableElementEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getExtendableElement_Extensions() {
		return (EReference)extendableElementEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getExtensionType() {
		return extensionTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getExtension() {
		return extensionEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getExtension_Definition() {
		return (EReference)extensionEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getExtension_Element() {
		return (EReference)extensionEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getExtensionDefinition() {
		return extensionDefinitionEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getExtensionDefinition_Containment() {
		return (EAttribute)extensionDefinitionEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getExtensionDefinition_Lower() {
		return (EAttribute)extensionDefinitionEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getExtensionDefinition_Upper() {
		return (EAttribute)extensionDefinitionEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getExtensionDefinition_Valueset() {
		return (EReference)extensionDefinitionEClass.getEStructuralFeatures().get(3);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getExtensionDefinition_Type() {
		return (EReference)extensionDefinitionEClass.getEStructuralFeatures().get(4);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getExtendableElementSet() {
		return extendableElementSetEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getCommitmentOperation() {
		return commitmentOperationEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getCommitmentOperation_Businessaction() {
		return (EReference)commitmentOperationEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getServiceLink() {
		return serviceLinkEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getServiceLink_Servicerole() {
		return (EReference)serviceLinkEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getServiceLink_Port() {
		return (EReference)serviceLinkEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getServiceLink_Connection() {
		return (EReference)serviceLinkEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getIntensionModelElement() {
		return intensionModelElementEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getUserElement() {
		return userElementEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getIntensionModel() {
		return intensionModelEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getRedefinition() {
		return redefinitionEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getRedefinition_Redefines() {
		return (EAttribute)redefinitionEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getUndefinition() {
		return undefinitionEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getUndefinition_Undefines() {
		return (EAttribute)undefinitionEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getCancelCommitment() {
		return cancelCommitmentEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getDelegateCommitment() {
		return delegateCommitmentEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getDelegateCommitment_Debtor() {
		return (EReference)delegateCommitmentEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getDischargeCommitment() {
		return dischargeCommitmentEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getDischargeCommitment_Operation() {
		return (EReference)dischargeCommitmentEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getReleaseCommitment() {
		return releaseCommitmentEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getAssignCommitment() {
		return assignCommitmentEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getAssignCommitment_Creditor() {
		return (EReference)assignCommitmentEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getPrimitiveType() {
		return primitiveTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getSubsetDefinition() {
		return subsetDefinitionEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSubsetDefinition_Subsets() {
		return (EAttribute)subsetDefinitionEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getStructuralElement() {
		return structuralElementEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EcosystemintensionmodelFactory getEcosystemintensionmodelFactory() {
		return (EcosystemintensionmodelFactory)getEFactoryInstance();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private boolean isCreated = false;

	/**
	 * Creates the meta-model objects for the package.  This method is
	 * guarded to have no affect on any invocation but its first.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void createPackageContents() {
		if (isCreated) return;
		isCreated = true;

		// Create classes and their features
		instantiatableElementEClass = createEClass(INSTANTIATABLE_ELEMENT);
		createEAttribute(instantiatableElementEClass, INSTANTIATABLE_ELEMENT__POTENCY);

		extendableElementEClass = createEClass(EXTENDABLE_ELEMENT);
		createEReference(extendableElementEClass, EXTENDABLE_ELEMENT__EXTENSIONS);

		extensionTypeEClass = createEClass(EXTENSION_TYPE);

		extensionEClass = createEClass(EXTENSION);
		createEReference(extensionEClass, EXTENSION__DEFINITION);
		createEReference(extensionEClass, EXTENSION__ELEMENT);

		extensionDefinitionEClass = createEClass(EXTENSION_DEFINITION);
		createEAttribute(extensionDefinitionEClass, EXTENSION_DEFINITION__CONTAINMENT);
		createEAttribute(extensionDefinitionEClass, EXTENSION_DEFINITION__LOWER);
		createEAttribute(extensionDefinitionEClass, EXTENSION_DEFINITION__UPPER);
		createEReference(extensionDefinitionEClass, EXTENSION_DEFINITION__VALUESET);
		createEReference(extensionDefinitionEClass, EXTENSION_DEFINITION__TYPE);

		extendableElementSetEClass = createEClass(EXTENDABLE_ELEMENT_SET);

		commitmentOperationEClass = createEClass(COMMITMENT_OPERATION);
		createEReference(commitmentOperationEClass, COMMITMENT_OPERATION__BUSINESSACTION);

		serviceLinkEClass = createEClass(SERVICE_LINK);
		createEReference(serviceLinkEClass, SERVICE_LINK__SERVICEROLE);
		createEReference(serviceLinkEClass, SERVICE_LINK__PORT);
		createEReference(serviceLinkEClass, SERVICE_LINK__CONNECTION);

		intensionModelElementEClass = createEClass(INTENSION_MODEL_ELEMENT);

		userElementEClass = createEClass(USER_ELEMENT);

		intensionModelEClass = createEClass(INTENSION_MODEL);

		redefinitionEClass = createEClass(REDEFINITION);
		createEAttribute(redefinitionEClass, REDEFINITION__REDEFINES);

		undefinitionEClass = createEClass(UNDEFINITION);
		createEAttribute(undefinitionEClass, UNDEFINITION__UNDEFINES);

		cancelCommitmentEClass = createEClass(CANCEL_COMMITMENT);

		delegateCommitmentEClass = createEClass(DELEGATE_COMMITMENT);
		createEReference(delegateCommitmentEClass, DELEGATE_COMMITMENT__DEBTOR);

		dischargeCommitmentEClass = createEClass(DISCHARGE_COMMITMENT);
		createEReference(dischargeCommitmentEClass, DISCHARGE_COMMITMENT__OPERATION);

		releaseCommitmentEClass = createEClass(RELEASE_COMMITMENT);

		assignCommitmentEClass = createEClass(ASSIGN_COMMITMENT);
		createEReference(assignCommitmentEClass, ASSIGN_COMMITMENT__CREDITOR);

		primitiveTypeEClass = createEClass(PRIMITIVE_TYPE);

		subsetDefinitionEClass = createEClass(SUBSET_DEFINITION);
		createEAttribute(subsetDefinitionEClass, SUBSET_DEFINITION__SUBSETS);

		structuralElementEClass = createEClass(STRUCTURAL_ELEMENT);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private boolean isInitialized = false;

	/**
	 * Complete the initialization of the package and its meta-model.  This
	 * method is guarded to have no affect on any invocation but its first.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void initializePackageContents() {
		if (isInitialized) return;
		isInitialized = true;

		// Initialize package
		setName(eNAME);
		setNsPrefix(eNS_PREFIX);
		setNsURI(eNS_URI);

		// Obtain other dependent packages
		FeaturesPackage theFeaturesPackage = (FeaturesPackage)EPackage.Registry.INSTANCE.getEPackage(FeaturesPackage.eNS_URI);
		IntensionsPackage theIntensionsPackage = (IntensionsPackage)EPackage.Registry.INSTANCE.getEPackage(IntensionsPackage.eNS_URI);
		BindingsPackage theBindingsPackage = (BindingsPackage)EPackage.Registry.INSTANCE.getEPackage(BindingsPackage.eNS_URI);
		PropertiesPackage thePropertiesPackage = (PropertiesPackage)EPackage.Registry.INSTANCE.getEPackage(PropertiesPackage.eNS_URI);
		SystemsPackage theSystemsPackage = (SystemsPackage)EPackage.Registry.INSTANCE.getEPackage(SystemsPackage.eNS_URI);
		ConceptsPackage theConceptsPackage = (ConceptsPackage)EPackage.Registry.INSTANCE.getEPackage(ConceptsPackage.eNS_URI);
		FoundationsPackage theFoundationsPackage = (FoundationsPackage)EPackage.Registry.INSTANCE.getEPackage(FoundationsPackage.eNS_URI);
		BehaviourPackage theBehaviourPackage = (BehaviourPackage)EPackage.Registry.INSTANCE.getEPackage(BehaviourPackage.eNS_URI);
		ChoreographiesPackage theChoreographiesPackage = (ChoreographiesPackage)EPackage.Registry.INSTANCE.getEPackage(ChoreographiesPackage.eNS_URI);
		FacilitypropertiesPackage theFacilitypropertiesPackage = (FacilitypropertiesPackage)EPackage.Registry.INSTANCE.getEPackage(FacilitypropertiesPackage.eNS_URI);
		ModelsPackage theModelsPackage = (ModelsPackage)EPackage.Registry.INSTANCE.getEPackage(ModelsPackage.eNS_URI);
		SeadescriptionPackage theSeadescriptionPackage = (SeadescriptionPackage)EPackage.Registry.INSTANCE.getEPackage(SeadescriptionPackage.eNS_URI);
		EntitiesPackage theEntitiesPackage = (EntitiesPackage)EPackage.Registry.INSTANCE.getEPackage(EntitiesPackage.eNS_URI);
		EcosystemmodelPackage theEcosystemmodelPackage = (EcosystemmodelPackage)EPackage.Registry.INSTANCE.getEPackage(EcosystemmodelPackage.eNS_URI);
		EngineeringspacePackage theEngineeringspacePackage = (EngineeringspacePackage)EPackage.Registry.INSTANCE.getEPackage(EngineeringspacePackage.eNS_URI);

		// Add subpackages
		getESubpackages().add(theFeaturesPackage);
		getESubpackages().add(theIntensionsPackage);
		getESubpackages().add(theBindingsPackage);
		getESubpackages().add(thePropertiesPackage);

		// Add supertypes to classes
		instantiatableElementEClass.getESuperTypes().add(this.getExtendableElement());
		instantiatableElementEClass.getESuperTypes().add(theSystemsPackage.getAbstractSystem());
		instantiatableElementEClass.getESuperTypes().add(theConceptsPackage.getGeneralizableElement());
		instantiatableElementEClass.getESuperTypes().add(this.getIntensionModelElement());
		extendableElementEClass.getESuperTypes().add(theSystemsPackage.getAbstractSystem());
		extendableElementEClass.getESuperTypes().add(this.getExtensionType());
		extensionDefinitionEClass.getESuperTypes().add(theFoundationsPackage.getNamedElement());
		extendableElementSetEClass.getESuperTypes().add(theSystemsPackage.getSet());
		commitmentOperationEClass.getESuperTypes().add(this.getInstantiatableElement());
		commitmentOperationEClass.getESuperTypes().add(theBehaviourPackage.getEvent());
		serviceLinkEClass.getESuperTypes().add(this.getInstantiatableElement());
		intensionModelElementEClass.getESuperTypes().add(theModelsPackage.getModelElement());
		userElementEClass.getESuperTypes().add(this.getStructuralElement());
		intensionModelEClass.getESuperTypes().add(theModelsPackage.getModel());
		intensionModelEClass.getESuperTypes().add(theSeadescriptionPackage.getSEAModel());
		redefinitionEClass.getESuperTypes().add(this.getExtensionDefinition());
		undefinitionEClass.getESuperTypes().add(this.getExtensionDefinition());
		cancelCommitmentEClass.getESuperTypes().add(this.getCommitmentOperation());
		delegateCommitmentEClass.getESuperTypes().add(this.getCommitmentOperation());
		dischargeCommitmentEClass.getESuperTypes().add(this.getCommitmentOperation());
		releaseCommitmentEClass.getESuperTypes().add(this.getCommitmentOperation());
		assignCommitmentEClass.getESuperTypes().add(this.getCommitmentOperation());
		primitiveTypeEClass.getESuperTypes().add(this.getIntensionModelElement());
		primitiveTypeEClass.getESuperTypes().add(theFoundationsPackage.getNamedElement());
		primitiveTypeEClass.getESuperTypes().add(this.getExtensionType());
		subsetDefinitionEClass.getESuperTypes().add(this.getExtensionDefinition());
		structuralElementEClass.getESuperTypes().add(this.getInstantiatableElement());
		structuralElementEClass.getESuperTypes().add(theEngineeringspacePackage.getProductElement());

		// Initialize classes and features; add operations and parameters
		initEClass(instantiatableElementEClass, InstantiatableElement.class, "InstantiatableElement", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getInstantiatableElement_Potency(), ecorePackage.getEInt(), "potency", "1", 1, 1, InstantiatableElement.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);

		initEClass(extendableElementEClass, ExtendableElement.class, "ExtendableElement", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getExtendableElement_Extensions(), this.getExtension(), this.getExtension_Element(), "extensions", null, 0, -1, ExtendableElement.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);

		initEClass(extensionTypeEClass, ExtensionType.class, "ExtensionType", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

		initEClass(extensionEClass, Extension.class, "Extension", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getExtension_Definition(), this.getExtensionDefinition(), null, "definition", null, 1, 1, Extension.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
		initEReference(getExtension_Element(), this.getExtendableElement(), this.getExtendableElement_Extensions(), "element", null, 1, 1, Extension.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);

		initEClass(extensionDefinitionEClass, ExtensionDefinition.class, "ExtensionDefinition", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getExtensionDefinition_Containment(), ecorePackage.getEBoolean(), "containment", "true", 1, 1, ExtensionDefinition.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
		initEAttribute(getExtensionDefinition_Lower(), ecorePackage.getEInt(), "lower", "0", 1, 1, ExtensionDefinition.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
		initEAttribute(getExtensionDefinition_Upper(), ecorePackage.getEInt(), "upper", "1", 1, 1, ExtensionDefinition.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
		initEReference(getExtensionDefinition_Valueset(), this.getExtendableElementSet(), null, "valueset", null, 0, 1, ExtensionDefinition.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
		initEReference(getExtensionDefinition_Type(), this.getExtensionType(), null, "type", null, 0, 1, ExtensionDefinition.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);

		initEClass(extendableElementSetEClass, ExtendableElementSet.class, "ExtendableElementSet", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

		initEClass(commitmentOperationEClass, CommitmentOperation.class, "CommitmentOperation", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getCommitmentOperation_Businessaction(), theChoreographiesPackage.getBusinessAction(), null, "businessaction", null, 1, 1, CommitmentOperation.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);

		initEClass(serviceLinkEClass, ServiceLink.class, "ServiceLink", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getServiceLink_Servicerole(), theChoreographiesPackage.getServiceRole(), null, "servicerole", null, 1, 1, ServiceLink.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
		initEReference(getServiceLink_Port(), theFacilitypropertiesPackage.getBindingPort(), null, "port", null, 1, 1, ServiceLink.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
		initEReference(getServiceLink_Connection(), theChoreographiesPackage.getServiceConnection(), null, "connection", null, 1, 1, ServiceLink.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);

		initEClass(intensionModelElementEClass, IntensionModelElement.class, "IntensionModelElement", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

		initEClass(userElementEClass, UserElement.class, "UserElement", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

		initEClass(intensionModelEClass, IntensionModel.class, "IntensionModel", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

		initEClass(redefinitionEClass, Redefinition.class, "Redefinition", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getRedefinition_Redefines(), ecorePackage.getEString(), "redefines", null, 1, 1, Redefinition.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);

		initEClass(undefinitionEClass, Undefinition.class, "Undefinition", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getUndefinition_Undefines(), ecorePackage.getEString(), "undefines", null, 1, 1, Undefinition.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);

		initEClass(cancelCommitmentEClass, CancelCommitment.class, "CancelCommitment", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

		initEClass(delegateCommitmentEClass, DelegateCommitment.class, "DelegateCommitment", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getDelegateCommitment_Debtor(), theEntitiesPackage.getLegalEntity(), null, "debtor", null, 1, 1, DelegateCommitment.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);

		initEClass(dischargeCommitmentEClass, DischargeCommitment.class, "DischargeCommitment", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getDischargeCommitment_Operation(), theEcosystemmodelPackage.getServiceOperation(), null, "operation", null, 1, 1, DischargeCommitment.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);

		initEClass(releaseCommitmentEClass, ReleaseCommitment.class, "ReleaseCommitment", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

		initEClass(assignCommitmentEClass, AssignCommitment.class, "AssignCommitment", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getAssignCommitment_Creditor(), theEntitiesPackage.getLegalEntity(), null, "creditor", null, 1, 1, AssignCommitment.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);

		initEClass(primitiveTypeEClass, PrimitiveType.class, "PrimitiveType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

		initEClass(subsetDefinitionEClass, SubsetDefinition.class, "SubsetDefinition", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getSubsetDefinition_Subsets(), ecorePackage.getEString(), "subsets", null, 1, 1, SubsetDefinition.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);

		initEClass(structuralElementEClass, StructuralElement.class, "StructuralElement", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

		// Create resource
		createResource(eNS_URI);
	}

} //EcosystemintensionmodelPackageImpl
