/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.cinco.metamodel.ecosystem.ecosystemintensionmodel.intensions.util;

import java.util.List;

import org.cinco.metamodel.ecosystem.domainontology.DomainOntologyElement;

import org.cinco.metamodel.ecosystem.domainontology.concepts.GeneralizableElement;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.ExtendableElement;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.ExtensionType;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.InstantiatableElement;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.IntensionModelElement;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.StructuralElement;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.BindingSpecification;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.PropertyBinding;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.Feature;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.intensions.*;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.Property;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.functionalproperties.ComponentServiceProperty;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.functionalproperties.ServiceProperty;

import org.cinco.metamodel.ecosystem.engineeringmodel.EngineeringModelElement;

import org.cinco.metamodel.ecosystem.engineeringmodel.engineeringspace.EngineeringElement;
import org.cinco.metamodel.ecosystem.engineeringmodel.engineeringspace.ProductElement;

import org.cinco.metamodel.ecosystem.foundations.NamedElement;

import org.cinco.metamodel.ecosystem.foundations.models.ModelElement;

import org.cinco.metamodel.ecosystem.foundations.systems.AbstractSystem;
import org.cinco.metamodel.ecosystem.foundations.systems.IntensionalSystem;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see org.cinco.metamodel.ecosystem.ecosystemintensionmodel.intensions.IntensionsPackage
 * @generated
 */
public class IntensionsSwitch {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static IntensionsPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public IntensionsSwitch() {
		if (modelPackage == null) {
			modelPackage = IntensionsPackage.eINSTANCE;
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	public Object doSwitch(EObject theEObject) {
		return doSwitch(theEObject.eClass(), theEObject);
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected Object doSwitch(EClass theEClass, EObject theEObject) {
		if (theEClass.eContainer() == modelPackage) {
			return doSwitch(theEClass.getClassifierID(), theEObject);
		}
		else {
			List eSuperTypes = theEClass.getESuperTypes();
			return
				eSuperTypes.isEmpty() ?
					defaultCase(theEObject) :
					doSwitch((EClass)eSuperTypes.get(0), theEObject);
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected Object doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case IntensionsPackage.INFORMATION_ENTITY_KIND_INTENSION: {
				InformationEntityKindIntension informationEntityKindIntension = (InformationEntityKindIntension)theEObject;
				Object result = caseInformationEntityKindIntension(informationEntityKindIntension);
				if (result == null) result = caseEntityKindIntension(informationEntityKindIntension);
				if (result == null) result = caseConceptIntension(informationEntityKindIntension);
				if (result == null) result = caseDomainOntologyElement(informationEntityKindIntension);
				if (result == null) result = caseExtendableElement(informationEntityKindIntension);
				if (result == null) result = caseIntensionalSystem(informationEntityKindIntension);
				if (result == null) result = caseAbstractSystem(informationEntityKindIntension);
				if (result == null) result = caseModelElement(informationEntityKindIntension);
				if (result == null) result = caseExtensionType(informationEntityKindIntension);
				if (result == null) result = caseSystem(informationEntityKindIntension);
				if (result == null) result = caseNamedElement(informationEntityKindIntension);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case IntensionsPackage.ENTITY_KIND_INTENSION: {
				EntityKindIntension entityKindIntension = (EntityKindIntension)theEObject;
				Object result = caseEntityKindIntension(entityKindIntension);
				if (result == null) result = caseConceptIntension(entityKindIntension);
				if (result == null) result = caseDomainOntologyElement(entityKindIntension);
				if (result == null) result = caseExtendableElement(entityKindIntension);
				if (result == null) result = caseIntensionalSystem(entityKindIntension);
				if (result == null) result = caseAbstractSystem(entityKindIntension);
				if (result == null) result = caseModelElement(entityKindIntension);
				if (result == null) result = caseExtensionType(entityKindIntension);
				if (result == null) result = caseSystem(entityKindIntension);
				if (result == null) result = caseNamedElement(entityKindIntension);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case IntensionsPackage.CONCEPT_INTENSION: {
				ConceptIntension conceptIntension = (ConceptIntension)theEObject;
				Object result = caseConceptIntension(conceptIntension);
				if (result == null) result = caseDomainOntologyElement(conceptIntension);
				if (result == null) result = caseExtendableElement(conceptIntension);
				if (result == null) result = caseIntensionalSystem(conceptIntension);
				if (result == null) result = caseAbstractSystem(conceptIntension);
				if (result == null) result = caseModelElement(conceptIntension);
				if (result == null) result = caseExtensionType(conceptIntension);
				if (result == null) result = caseSystem(conceptIntension);
				if (result == null) result = caseNamedElement(conceptIntension);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case IntensionsPackage.BUSINESS_DOCUMENT_KIND_INTENSION: {
				BusinessDocumentKindIntension businessDocumentKindIntension = (BusinessDocumentKindIntension)theEObject;
				Object result = caseBusinessDocumentKindIntension(businessDocumentKindIntension);
				if (result == null) result = caseInformationEntityKindIntension(businessDocumentKindIntension);
				if (result == null) result = caseEntityKindIntension(businessDocumentKindIntension);
				if (result == null) result = caseConceptIntension(businessDocumentKindIntension);
				if (result == null) result = caseDomainOntologyElement(businessDocumentKindIntension);
				if (result == null) result = caseExtendableElement(businessDocumentKindIntension);
				if (result == null) result = caseIntensionalSystem(businessDocumentKindIntension);
				if (result == null) result = caseAbstractSystem(businessDocumentKindIntension);
				if (result == null) result = caseModelElement(businessDocumentKindIntension);
				if (result == null) result = caseExtensionType(businessDocumentKindIntension);
				if (result == null) result = caseSystem(businessDocumentKindIntension);
				if (result == null) result = caseNamedElement(businessDocumentKindIntension);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case IntensionsPackage.SERVICE_ENDPOINT_KIND_INTENSION: {
				ServiceEndpointKindIntension serviceEndpointKindIntension = (ServiceEndpointKindIntension)theEObject;
				Object result = caseServiceEndpointKindIntension(serviceEndpointKindIntension);
				if (result == null) result = caseEndpointKindIntension(serviceEndpointKindIntension);
				if (result == null) result = caseEntityKindIntension(serviceEndpointKindIntension);
				if (result == null) result = caseConceptIntension(serviceEndpointKindIntension);
				if (result == null) result = caseDomainOntologyElement(serviceEndpointKindIntension);
				if (result == null) result = caseExtendableElement(serviceEndpointKindIntension);
				if (result == null) result = caseIntensionalSystem(serviceEndpointKindIntension);
				if (result == null) result = caseAbstractSystem(serviceEndpointKindIntension);
				if (result == null) result = caseModelElement(serviceEndpointKindIntension);
				if (result == null) result = caseExtensionType(serviceEndpointKindIntension);
				if (result == null) result = caseSystem(serviceEndpointKindIntension);
				if (result == null) result = caseNamedElement(serviceEndpointKindIntension);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case IntensionsPackage.ENDPOINT_KIND_INTENSION: {
				EndpointKindIntension endpointKindIntension = (EndpointKindIntension)theEObject;
				Object result = caseEndpointKindIntension(endpointKindIntension);
				if (result == null) result = caseEntityKindIntension(endpointKindIntension);
				if (result == null) result = caseConceptIntension(endpointKindIntension);
				if (result == null) result = caseDomainOntologyElement(endpointKindIntension);
				if (result == null) result = caseExtendableElement(endpointKindIntension);
				if (result == null) result = caseIntensionalSystem(endpointKindIntension);
				if (result == null) result = caseAbstractSystem(endpointKindIntension);
				if (result == null) result = caseModelElement(endpointKindIntension);
				if (result == null) result = caseExtensionType(endpointKindIntension);
				if (result == null) result = caseSystem(endpointKindIntension);
				if (result == null) result = caseNamedElement(endpointKindIntension);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case IntensionsPackage.LEGAL_ENTITY_KIND_INTENSION: {
				LegalEntityKindIntension legalEntityKindIntension = (LegalEntityKindIntension)theEObject;
				Object result = caseLegalEntityKindIntension(legalEntityKindIntension);
				if (result == null) result = caseEntityKindIntension(legalEntityKindIntension);
				if (result == null) result = caseConceptIntension(legalEntityKindIntension);
				if (result == null) result = caseDomainOntologyElement(legalEntityKindIntension);
				if (result == null) result = caseExtendableElement(legalEntityKindIntension);
				if (result == null) result = caseIntensionalSystem(legalEntityKindIntension);
				if (result == null) result = caseAbstractSystem(legalEntityKindIntension);
				if (result == null) result = caseModelElement(legalEntityKindIntension);
				if (result == null) result = caseExtensionType(legalEntityKindIntension);
				if (result == null) result = caseSystem(legalEntityKindIntension);
				if (result == null) result = caseNamedElement(legalEntityKindIntension);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case IntensionsPackage.INFORMATION_ENTITY_INTENSION: {
				InformationEntityIntension informationEntityIntension = (InformationEntityIntension)theEObject;
				Object result = caseInformationEntityIntension(informationEntityIntension);
				if (result == null) result = caseEntityIntension(informationEntityIntension);
				if (result == null) result = caseConceptIntension(informationEntityIntension);
				if (result == null) result = caseDomainOntologyElement(informationEntityIntension);
				if (result == null) result = caseExtendableElement(informationEntityIntension);
				if (result == null) result = caseIntensionalSystem(informationEntityIntension);
				if (result == null) result = caseAbstractSystem(informationEntityIntension);
				if (result == null) result = caseModelElement(informationEntityIntension);
				if (result == null) result = caseExtensionType(informationEntityIntension);
				if (result == null) result = caseSystem(informationEntityIntension);
				if (result == null) result = caseNamedElement(informationEntityIntension);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case IntensionsPackage.ENTITY_INTENSION: {
				EntityIntension entityIntension = (EntityIntension)theEObject;
				Object result = caseEntityIntension(entityIntension);
				if (result == null) result = caseConceptIntension(entityIntension);
				if (result == null) result = caseDomainOntologyElement(entityIntension);
				if (result == null) result = caseExtendableElement(entityIntension);
				if (result == null) result = caseIntensionalSystem(entityIntension);
				if (result == null) result = caseAbstractSystem(entityIntension);
				if (result == null) result = caseModelElement(entityIntension);
				if (result == null) result = caseExtensionType(entityIntension);
				if (result == null) result = caseSystem(entityIntension);
				if (result == null) result = caseNamedElement(entityIntension);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case IntensionsPackage.LEGAL_ENTITY_INTENSION: {
				LegalEntityIntension legalEntityIntension = (LegalEntityIntension)theEObject;
				Object result = caseLegalEntityIntension(legalEntityIntension);
				if (result == null) result = caseEntityIntension(legalEntityIntension);
				if (result == null) result = caseConceptIntension(legalEntityIntension);
				if (result == null) result = caseDomainOntologyElement(legalEntityIntension);
				if (result == null) result = caseExtendableElement(legalEntityIntension);
				if (result == null) result = caseIntensionalSystem(legalEntityIntension);
				if (result == null) result = caseAbstractSystem(legalEntityIntension);
				if (result == null) result = caseModelElement(legalEntityIntension);
				if (result == null) result = caseExtensionType(legalEntityIntension);
				if (result == null) result = caseSystem(legalEntityIntension);
				if (result == null) result = caseNamedElement(legalEntityIntension);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case IntensionsPackage.BUSINESS_DOCUMENT_INTENSION: {
				BusinessDocumentIntension businessDocumentIntension = (BusinessDocumentIntension)theEObject;
				Object result = caseBusinessDocumentIntension(businessDocumentIntension);
				if (result == null) result = caseInformationEntityIntension(businessDocumentIntension);
				if (result == null) result = caseEntityIntension(businessDocumentIntension);
				if (result == null) result = caseConceptIntension(businessDocumentIntension);
				if (result == null) result = caseDomainOntologyElement(businessDocumentIntension);
				if (result == null) result = caseExtendableElement(businessDocumentIntension);
				if (result == null) result = caseIntensionalSystem(businessDocumentIntension);
				if (result == null) result = caseAbstractSystem(businessDocumentIntension);
				if (result == null) result = caseModelElement(businessDocumentIntension);
				if (result == null) result = caseExtensionType(businessDocumentIntension);
				if (result == null) result = caseSystem(businessDocumentIntension);
				if (result == null) result = caseNamedElement(businessDocumentIntension);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case IntensionsPackage.ENDPOINT_ENTITY_INTENSION: {
				EndpointEntityIntension endpointEntityIntension = (EndpointEntityIntension)theEObject;
				Object result = caseEndpointEntityIntension(endpointEntityIntension);
				if (result == null) result = caseEntityIntension(endpointEntityIntension);
				if (result == null) result = caseConceptIntension(endpointEntityIntension);
				if (result == null) result = caseDomainOntologyElement(endpointEntityIntension);
				if (result == null) result = caseExtendableElement(endpointEntityIntension);
				if (result == null) result = caseIntensionalSystem(endpointEntityIntension);
				if (result == null) result = caseAbstractSystem(endpointEntityIntension);
				if (result == null) result = caseModelElement(endpointEntityIntension);
				if (result == null) result = caseExtensionType(endpointEntityIntension);
				if (result == null) result = caseSystem(endpointEntityIntension);
				if (result == null) result = caseNamedElement(endpointEntityIntension);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case IntensionsPackage.SERVICE_INTENSION: {
				ServiceIntension serviceIntension = (ServiceIntension)theEObject;
				Object result = caseServiceIntension(serviceIntension);
				if (result == null) result = caseEntityIntension(serviceIntension);
				if (result == null) result = caseConceptIntension(serviceIntension);
				if (result == null) result = caseDomainOntologyElement(serviceIntension);
				if (result == null) result = caseExtendableElement(serviceIntension);
				if (result == null) result = caseIntensionalSystem(serviceIntension);
				if (result == null) result = caseAbstractSystem(serviceIntension);
				if (result == null) result = caseModelElement(serviceIntension);
				if (result == null) result = caseExtensionType(serviceIntension);
				if (result == null) result = caseSystem(serviceIntension);
				if (result == null) result = caseNamedElement(serviceIntension);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case IntensionsPackage.COMPONENT_SERVICE_INTENSION: {
				ComponentServiceIntension componentServiceIntension = (ComponentServiceIntension)theEObject;
				Object result = caseComponentServiceIntension(componentServiceIntension);
				if (result == null) result = caseServiceIntension(componentServiceIntension);
				if (result == null) result = caseEntityIntension(componentServiceIntension);
				if (result == null) result = caseConceptIntension(componentServiceIntension);
				if (result == null) result = caseDomainOntologyElement(componentServiceIntension);
				if (result == null) result = caseExtendableElement(componentServiceIntension);
				if (result == null) result = caseIntensionalSystem(componentServiceIntension);
				if (result == null) result = caseAbstractSystem(componentServiceIntension);
				if (result == null) result = caseModelElement(componentServiceIntension);
				if (result == null) result = caseExtensionType(componentServiceIntension);
				if (result == null) result = caseSystem(componentServiceIntension);
				if (result == null) result = caseNamedElement(componentServiceIntension);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case IntensionsPackage.MESSAGE_EXCHANGE: {
				MessageExchange messageExchange = (MessageExchange)theEObject;
				Object result = caseMessageExchange(messageExchange);
				if (result == null) result = caseComponentServiceProperty(messageExchange);
				if (result == null) result = caseServiceProperty(messageExchange);
				if (result == null) result = caseProperty(messageExchange);
				if (result == null) result = caseFeature(messageExchange);
				if (result == null) result = caseInstantiatableElement(messageExchange);
				if (result == null) result = caseProductElement(messageExchange);
				if (result == null) result = caseExtendableElement(messageExchange);
				if (result == null) result = caseGeneralizableElement(messageExchange);
				if (result == null) result = caseIntensionModelElement(messageExchange);
				if (result == null) result = caseEngineeringModelElement(messageExchange);
				if (result == null) result = caseAbstractSystem(messageExchange);
				if (result == null) result = caseExtensionType(messageExchange);
				if (result == null) result = caseModelElement(messageExchange);
				if (result == null) result = caseSystem(messageExchange);
				if (result == null) result = caseNamedElement(messageExchange);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case IntensionsPackage.SERVICE_ENDPOINT_INTENSION: {
				ServiceEndpointIntension serviceEndpointIntension = (ServiceEndpointIntension)theEObject;
				Object result = caseServiceEndpointIntension(serviceEndpointIntension);
				if (result == null) result = caseEndpointEntityIntension(serviceEndpointIntension);
				if (result == null) result = caseEntityIntension(serviceEndpointIntension);
				if (result == null) result = caseConceptIntension(serviceEndpointIntension);
				if (result == null) result = caseDomainOntologyElement(serviceEndpointIntension);
				if (result == null) result = caseExtendableElement(serviceEndpointIntension);
				if (result == null) result = caseIntensionalSystem(serviceEndpointIntension);
				if (result == null) result = caseAbstractSystem(serviceEndpointIntension);
				if (result == null) result = caseModelElement(serviceEndpointIntension);
				if (result == null) result = caseExtensionType(serviceEndpointIntension);
				if (result == null) result = caseSystem(serviceEndpointIntension);
				if (result == null) result = caseNamedElement(serviceEndpointIntension);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case IntensionsPackage.COMPONENT_SERVICE_KIND_INTENSION: {
				ComponentServiceKindIntension componentServiceKindIntension = (ComponentServiceKindIntension)theEObject;
				Object result = caseComponentServiceKindIntension(componentServiceKindIntension);
				if (result == null) result = caseServiceKindIntension(componentServiceKindIntension);
				if (result == null) result = caseEntityKindIntension(componentServiceKindIntension);
				if (result == null) result = caseConceptIntension(componentServiceKindIntension);
				if (result == null) result = caseDomainOntologyElement(componentServiceKindIntension);
				if (result == null) result = caseExtendableElement(componentServiceKindIntension);
				if (result == null) result = caseIntensionalSystem(componentServiceKindIntension);
				if (result == null) result = caseAbstractSystem(componentServiceKindIntension);
				if (result == null) result = caseModelElement(componentServiceKindIntension);
				if (result == null) result = caseExtensionType(componentServiceKindIntension);
				if (result == null) result = caseSystem(componentServiceKindIntension);
				if (result == null) result = caseNamedElement(componentServiceKindIntension);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case IntensionsPackage.SERVICE_OFFER_INTENSION: {
				ServiceOfferIntension serviceOfferIntension = (ServiceOfferIntension)theEObject;
				Object result = caseServiceOfferIntension(serviceOfferIntension);
				if (result == null) result = caseConceptIntension(serviceOfferIntension);
				if (result == null) result = caseDomainOntologyElement(serviceOfferIntension);
				if (result == null) result = caseExtendableElement(serviceOfferIntension);
				if (result == null) result = caseIntensionalSystem(serviceOfferIntension);
				if (result == null) result = caseAbstractSystem(serviceOfferIntension);
				if (result == null) result = caseModelElement(serviceOfferIntension);
				if (result == null) result = caseExtensionType(serviceOfferIntension);
				if (result == null) result = caseSystem(serviceOfferIntension);
				if (result == null) result = caseNamedElement(serviceOfferIntension);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case IntensionsPackage.SERVICE_CONTRACT_INTENSION: {
				ServiceContractIntension serviceContractIntension = (ServiceContractIntension)theEObject;
				Object result = caseServiceContractIntension(serviceContractIntension);
				if (result == null) result = caseConceptIntension(serviceContractIntension);
				if (result == null) result = caseDomainOntologyElement(serviceContractIntension);
				if (result == null) result = caseExtendableElement(serviceContractIntension);
				if (result == null) result = caseIntensionalSystem(serviceContractIntension);
				if (result == null) result = caseAbstractSystem(serviceContractIntension);
				if (result == null) result = caseModelElement(serviceContractIntension);
				if (result == null) result = caseExtensionType(serviceContractIntension);
				if (result == null) result = caseSystem(serviceContractIntension);
				if (result == null) result = caseNamedElement(serviceContractIntension);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case IntensionsPackage.BUSINESS_SERVICE_KIND_INTENSION: {
				BusinessServiceKindIntension businessServiceKindIntension = (BusinessServiceKindIntension)theEObject;
				Object result = caseBusinessServiceKindIntension(businessServiceKindIntension);
				if (result == null) result = caseServiceKindIntension(businessServiceKindIntension);
				if (result == null) result = caseEntityKindIntension(businessServiceKindIntension);
				if (result == null) result = caseConceptIntension(businessServiceKindIntension);
				if (result == null) result = caseDomainOntologyElement(businessServiceKindIntension);
				if (result == null) result = caseExtendableElement(businessServiceKindIntension);
				if (result == null) result = caseIntensionalSystem(businessServiceKindIntension);
				if (result == null) result = caseAbstractSystem(businessServiceKindIntension);
				if (result == null) result = caseModelElement(businessServiceKindIntension);
				if (result == null) result = caseExtensionType(businessServiceKindIntension);
				if (result == null) result = caseSystem(businessServiceKindIntension);
				if (result == null) result = caseNamedElement(businessServiceKindIntension);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case IntensionsPackage.COOPERATION_FACILITY_INTENSION: {
				CooperationFacilityIntension cooperationFacilityIntension = (CooperationFacilityIntension)theEObject;
				Object result = caseCooperationFacilityIntension(cooperationFacilityIntension);
				if (result == null) result = caseConceptIntension(cooperationFacilityIntension);
				if (result == null) result = caseDomainOntologyElement(cooperationFacilityIntension);
				if (result == null) result = caseExtendableElement(cooperationFacilityIntension);
				if (result == null) result = caseIntensionalSystem(cooperationFacilityIntension);
				if (result == null) result = caseAbstractSystem(cooperationFacilityIntension);
				if (result == null) result = caseModelElement(cooperationFacilityIntension);
				if (result == null) result = caseExtensionType(cooperationFacilityIntension);
				if (result == null) result = caseSystem(cooperationFacilityIntension);
				if (result == null) result = caseNamedElement(cooperationFacilityIntension);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case IntensionsPackage.BINDING_TYPE_INTENSION: {
				BindingTypeIntension bindingTypeIntension = (BindingTypeIntension)theEObject;
				Object result = caseBindingTypeIntension(bindingTypeIntension);
				if (result == null) result = caseCooperationFacilityIntension(bindingTypeIntension);
				if (result == null) result = caseConceptIntension(bindingTypeIntension);
				if (result == null) result = caseDomainOntologyElement(bindingTypeIntension);
				if (result == null) result = caseExtendableElement(bindingTypeIntension);
				if (result == null) result = caseIntensionalSystem(bindingTypeIntension);
				if (result == null) result = caseAbstractSystem(bindingTypeIntension);
				if (result == null) result = caseModelElement(bindingTypeIntension);
				if (result == null) result = caseExtensionType(bindingTypeIntension);
				if (result == null) result = caseSystem(bindingTypeIntension);
				if (result == null) result = caseNamedElement(bindingTypeIntension);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case IntensionsPackage.BUSINESS_SERVICE_INTENSION: {
				BusinessServiceIntension businessServiceIntension = (BusinessServiceIntension)theEObject;
				Object result = caseBusinessServiceIntension(businessServiceIntension);
				if (result == null) result = caseServiceIntension(businessServiceIntension);
				if (result == null) result = caseEntityIntension(businessServiceIntension);
				if (result == null) result = caseConceptIntension(businessServiceIntension);
				if (result == null) result = caseDomainOntologyElement(businessServiceIntension);
				if (result == null) result = caseExtendableElement(businessServiceIntension);
				if (result == null) result = caseIntensionalSystem(businessServiceIntension);
				if (result == null) result = caseAbstractSystem(businessServiceIntension);
				if (result == null) result = caseModelElement(businessServiceIntension);
				if (result == null) result = caseExtensionType(businessServiceIntension);
				if (result == null) result = caseSystem(businessServiceIntension);
				if (result == null) result = caseNamedElement(businessServiceIntension);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case IntensionsPackage.CHANNEL_TYPE_INTENSION: {
				ChannelTypeIntension channelTypeIntension = (ChannelTypeIntension)theEObject;
				Object result = caseChannelTypeIntension(channelTypeIntension);
				if (result == null) result = caseCooperationFacilityIntension(channelTypeIntension);
				if (result == null) result = caseConceptIntension(channelTypeIntension);
				if (result == null) result = caseDomainOntologyElement(channelTypeIntension);
				if (result == null) result = caseExtendableElement(channelTypeIntension);
				if (result == null) result = caseIntensionalSystem(channelTypeIntension);
				if (result == null) result = caseAbstractSystem(channelTypeIntension);
				if (result == null) result = caseModelElement(channelTypeIntension);
				if (result == null) result = caseExtensionType(channelTypeIntension);
				if (result == null) result = caseSystem(channelTypeIntension);
				if (result == null) result = caseNamedElement(channelTypeIntension);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case IntensionsPackage.SERVICE_LIAISON_INTENSION: {
				ServiceLiaisonIntension serviceLiaisonIntension = (ServiceLiaisonIntension)theEObject;
				Object result = caseServiceLiaisonIntension(serviceLiaisonIntension);
				if (result == null) result = caseConceptIntension(serviceLiaisonIntension);
				if (result == null) result = caseDomainOntologyElement(serviceLiaisonIntension);
				if (result == null) result = caseExtendableElement(serviceLiaisonIntension);
				if (result == null) result = caseIntensionalSystem(serviceLiaisonIntension);
				if (result == null) result = caseAbstractSystem(serviceLiaisonIntension);
				if (result == null) result = caseModelElement(serviceLiaisonIntension);
				if (result == null) result = caseExtensionType(serviceLiaisonIntension);
				if (result == null) result = caseSystem(serviceLiaisonIntension);
				if (result == null) result = caseNamedElement(serviceLiaisonIntension);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case IntensionsPackage.ENDPOINT_BINDING: {
				EndpointBinding endpointBinding = (EndpointBinding)theEObject;
				Object result = caseEndpointBinding(endpointBinding);
				if (result == null) result = casePropertyBinding(endpointBinding);
				if (result == null) result = caseInstantiatableElement(endpointBinding);
				if (result == null) result = caseBindingSpecification(endpointBinding);
				if (result == null) result = caseExtendableElement(endpointBinding);
				if (result == null) result = caseGeneralizableElement(endpointBinding);
				if (result == null) result = caseIntensionModelElement(endpointBinding);
				if (result == null) result = caseEngineeringElement(endpointBinding);
				if (result == null) result = caseAbstractSystem(endpointBinding);
				if (result == null) result = caseExtensionType(endpointBinding);
				if (result == null) result = caseEngineeringModelElement(endpointBinding);
				if (result == null) result = caseSystem(endpointBinding);
				if (result == null) result = caseModelElement(endpointBinding);
				if (result == null) result = caseNamedElement(endpointBinding);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case IntensionsPackage.SERVICE_INTERFACE: {
				ServiceInterface serviceInterface = (ServiceInterface)theEObject;
				Object result = caseServiceInterface(serviceInterface);
				if (result == null) result = caseStructuralElement(serviceInterface);
				if (result == null) result = caseInstantiatableElement(serviceInterface);
				if (result == null) result = caseProductElement(serviceInterface);
				if (result == null) result = caseExtendableElement(serviceInterface);
				if (result == null) result = caseGeneralizableElement(serviceInterface);
				if (result == null) result = caseIntensionModelElement(serviceInterface);
				if (result == null) result = caseEngineeringModelElement(serviceInterface);
				if (result == null) result = caseAbstractSystem(serviceInterface);
				if (result == null) result = caseExtensionType(serviceInterface);
				if (result == null) result = caseModelElement(serviceInterface);
				if (result == null) result = caseSystem(serviceInterface);
				if (result == null) result = caseNamedElement(serviceInterface);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case IntensionsPackage.DOMAIN_CONCEPT_INTENSION: {
				DomainConceptIntension domainConceptIntension = (DomainConceptIntension)theEObject;
				Object result = caseDomainConceptIntension(domainConceptIntension);
				if (result == null) result = caseConceptIntension(domainConceptIntension);
				if (result == null) result = caseDomainOntologyElement(domainConceptIntension);
				if (result == null) result = caseExtendableElement(domainConceptIntension);
				if (result == null) result = caseIntensionalSystem(domainConceptIntension);
				if (result == null) result = caseAbstractSystem(domainConceptIntension);
				if (result == null) result = caseModelElement(domainConceptIntension);
				if (result == null) result = caseExtensionType(domainConceptIntension);
				if (result == null) result = caseSystem(domainConceptIntension);
				if (result == null) result = caseNamedElement(domainConceptIntension);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case IntensionsPackage.SERVICE_CHANNEL_INTENSION: {
				ServiceChannelIntension serviceChannelIntension = (ServiceChannelIntension)theEObject;
				Object result = caseServiceChannelIntension(serviceChannelIntension);
				if (result == null) result = caseConceptIntension(serviceChannelIntension);
				if (result == null) result = caseDomainOntologyElement(serviceChannelIntension);
				if (result == null) result = caseExtendableElement(serviceChannelIntension);
				if (result == null) result = caseIntensionalSystem(serviceChannelIntension);
				if (result == null) result = caseAbstractSystem(serviceChannelIntension);
				if (result == null) result = caseModelElement(serviceChannelIntension);
				if (result == null) result = caseExtensionType(serviceChannelIntension);
				if (result == null) result = caseSystem(serviceChannelIntension);
				if (result == null) result = caseNamedElement(serviceChannelIntension);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case IntensionsPackage.SERVICE_KIND_INTENSION: {
				ServiceKindIntension serviceKindIntension = (ServiceKindIntension)theEObject;
				Object result = caseServiceKindIntension(serviceKindIntension);
				if (result == null) result = caseEntityKindIntension(serviceKindIntension);
				if (result == null) result = caseConceptIntension(serviceKindIntension);
				if (result == null) result = caseDomainOntologyElement(serviceKindIntension);
				if (result == null) result = caseExtendableElement(serviceKindIntension);
				if (result == null) result = caseIntensionalSystem(serviceKindIntension);
				if (result == null) result = caseAbstractSystem(serviceKindIntension);
				if (result == null) result = caseModelElement(serviceKindIntension);
				if (result == null) result = caseExtensionType(serviceKindIntension);
				if (result == null) result = caseSystem(serviceKindIntension);
				if (result == null) result = caseNamedElement(serviceKindIntension);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Information Entity Kind Intension</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Information Entity Kind Intension</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseInformationEntityKindIntension(InformationEntityKindIntension object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Entity Kind Intension</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Entity Kind Intension</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEntityKindIntension(EntityKindIntension object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Concept Intension</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Concept Intension</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseConceptIntension(ConceptIntension object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Business Document Kind Intension</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Business Document Kind Intension</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBusinessDocumentKindIntension(BusinessDocumentKindIntension object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Service Endpoint Kind Intension</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Service Endpoint Kind Intension</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseServiceEndpointKindIntension(ServiceEndpointKindIntension object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Endpoint Kind Intension</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Endpoint Kind Intension</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEndpointKindIntension(EndpointKindIntension object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Legal Entity Kind Intension</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Legal Entity Kind Intension</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseLegalEntityKindIntension(LegalEntityKindIntension object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Information Entity Intension</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Information Entity Intension</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseInformationEntityIntension(InformationEntityIntension object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Entity Intension</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Entity Intension</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEntityIntension(EntityIntension object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Legal Entity Intension</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Legal Entity Intension</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseLegalEntityIntension(LegalEntityIntension object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Business Document Intension</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Business Document Intension</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBusinessDocumentIntension(BusinessDocumentIntension object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Endpoint Entity Intension</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Endpoint Entity Intension</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEndpointEntityIntension(EndpointEntityIntension object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Service Intension</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Service Intension</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseServiceIntension(ServiceIntension object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Component Service Intension</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Component Service Intension</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseComponentServiceIntension(ComponentServiceIntension object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Message Exchange</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Message Exchange</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseMessageExchange(MessageExchange object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Service Endpoint Intension</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Service Endpoint Intension</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseServiceEndpointIntension(ServiceEndpointIntension object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Component Service Kind Intension</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Component Service Kind Intension</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseComponentServiceKindIntension(ComponentServiceKindIntension object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Service Offer Intension</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Service Offer Intension</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseServiceOfferIntension(ServiceOfferIntension object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Service Contract Intension</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Service Contract Intension</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseServiceContractIntension(ServiceContractIntension object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Business Service Kind Intension</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Business Service Kind Intension</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBusinessServiceKindIntension(BusinessServiceKindIntension object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Cooperation Facility Intension</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Cooperation Facility Intension</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCooperationFacilityIntension(CooperationFacilityIntension object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Binding Type Intension</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Binding Type Intension</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBindingTypeIntension(BindingTypeIntension object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Business Service Intension</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Business Service Intension</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBusinessServiceIntension(BusinessServiceIntension object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Channel Type Intension</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Channel Type Intension</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseChannelTypeIntension(ChannelTypeIntension object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Service Liaison Intension</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Service Liaison Intension</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseServiceLiaisonIntension(ServiceLiaisonIntension object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Endpoint Binding</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Endpoint Binding</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEndpointBinding(EndpointBinding object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Service Interface</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Service Interface</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseServiceInterface(ServiceInterface object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Domain Concept Intension</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Domain Concept Intension</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseDomainConceptIntension(DomainConceptIntension object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Service Channel Intension</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Service Channel Intension</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseServiceChannelIntension(ServiceChannelIntension object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Service Kind Intension</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Service Kind Intension</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseServiceKindIntension(ServiceKindIntension object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>System</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>System</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseSystem(org.cinco.metamodel.ecosystem.foundations.systems.System object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Abstract System</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Abstract System</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseAbstractSystem(AbstractSystem object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseNamedElement(NamedElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseModelElement(ModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Domain Ontology Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Domain Ontology Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseDomainOntologyElement(DomainOntologyElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Extension Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Extension Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseExtensionType(ExtensionType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Extendable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Extendable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseExtendableElement(ExtendableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Intensional System</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Intensional System</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseIntensionalSystem(IntensionalSystem object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Generalizable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Generalizable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseGeneralizableElement(GeneralizableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Intension Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Intension Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseIntensionModelElement(IntensionModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Instantiatable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Instantiatable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseInstantiatableElement(InstantiatableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Engineering Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Engineering Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEngineeringModelElement(EngineeringModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Product Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Product Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseProductElement(ProductElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Feature</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Feature</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseFeature(Feature object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseProperty(Property object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Service Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Service Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseServiceProperty(ServiceProperty object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Component Service Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Component Service Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseComponentServiceProperty(ComponentServiceProperty object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Engineering Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Engineering Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEngineeringElement(EngineeringElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Binding Specification</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Binding Specification</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBindingSpecification(BindingSpecification object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Property Binding</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Property Binding</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object casePropertyBinding(PropertyBinding object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Structural Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Structural Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseStructuralElement(StructuralElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	public Object defaultCase(EObject object) {
		return null;
	}

} //IntensionsSwitch
