/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.contractualproperties.util;

import java.util.List;

import org.cinco.metamodel.ecosystem.domainontology.concepts.GeneralizableElement;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.ExtendableElement;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.ExtensionType;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.InstantiatableElement;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.IntensionModelElement;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.BindableElement;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.BindableProperty;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.Feature;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.Property;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.contractualproperties.*;

import org.cinco.metamodel.ecosystem.engineeringmodel.EngineeringModelElement;

import org.cinco.metamodel.ecosystem.engineeringmodel.engineeringspace.EngineeringElement;
import org.cinco.metamodel.ecosystem.engineeringmodel.engineeringspace.ProductElement;

import org.cinco.metamodel.ecosystem.foundations.NamedElement;

import org.cinco.metamodel.ecosystem.foundations.models.ModelElement;

import org.cinco.metamodel.ecosystem.foundations.systems.AbstractSystem;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.contractualproperties.ContractualpropertiesPackage
 * @generated
 */
public class ContractualpropertiesSwitch {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static ContractualpropertiesPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ContractualpropertiesSwitch() {
		if (modelPackage == null) {
			modelPackage = ContractualpropertiesPackage.eINSTANCE;
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	public Object doSwitch(EObject theEObject) {
		return doSwitch(theEObject.eClass(), theEObject);
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected Object doSwitch(EClass theEClass, EObject theEObject) {
		if (theEClass.eContainer() == modelPackage) {
			return doSwitch(theEClass.getClassifierID(), theEObject);
		}
		else {
			List eSuperTypes = theEClass.getESuperTypes();
			return
				eSuperTypes.isEmpty() ?
					defaultCase(theEObject) :
					doSwitch((EClass)eSuperTypes.get(0), theEObject);
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected Object doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case ContractualpropertiesPackage.CONTRACTUAL_PROPERTY: {
				ContractualProperty contractualProperty = (ContractualProperty)theEObject;
				Object result = caseContractualProperty(contractualProperty);
				if (result == null) result = caseProperty(contractualProperty);
				if (result == null) result = caseBindableProperty(contractualProperty);
				if (result == null) result = caseFeature(contractualProperty);
				if (result == null) result = caseBindableElement(contractualProperty);
				if (result == null) result = caseInstantiatableElement(contractualProperty);
				if (result == null) result = caseProductElement(contractualProperty);
				if (result == null) result = caseEngineeringElement(contractualProperty);
				if (result == null) result = caseExtendableElement(contractualProperty);
				if (result == null) result = caseGeneralizableElement(contractualProperty);
				if (result == null) result = caseIntensionModelElement(contractualProperty);
				if (result == null) result = caseEngineeringModelElement(contractualProperty);
				if (result == null) result = caseAbstractSystem(contractualProperty);
				if (result == null) result = caseExtensionType(contractualProperty);
				if (result == null) result = caseModelElement(contractualProperty);
				if (result == null) result = caseSystem(contractualProperty);
				if (result == null) result = caseNamedElement(contractualProperty);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ContractualpropertiesPackage.COMPENSATION: {
				Compensation compensation = (Compensation)theEObject;
				Object result = caseCompensation(compensation);
				if (result == null) result = caseCoordinationStructure(compensation);
				if (result == null) result = caseContractualProperty(compensation);
				if (result == null) result = caseProperty(compensation);
				if (result == null) result = caseBindableProperty(compensation);
				if (result == null) result = caseFeature(compensation);
				if (result == null) result = caseBindableElement(compensation);
				if (result == null) result = caseInstantiatableElement(compensation);
				if (result == null) result = caseProductElement(compensation);
				if (result == null) result = caseEngineeringElement(compensation);
				if (result == null) result = caseExtendableElement(compensation);
				if (result == null) result = caseGeneralizableElement(compensation);
				if (result == null) result = caseIntensionModelElement(compensation);
				if (result == null) result = caseEngineeringModelElement(compensation);
				if (result == null) result = caseAbstractSystem(compensation);
				if (result == null) result = caseExtensionType(compensation);
				if (result == null) result = caseModelElement(compensation);
				if (result == null) result = caseSystem(compensation);
				if (result == null) result = caseNamedElement(compensation);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ContractualpropertiesPackage.COORDINATION_STRUCTURE: {
				CoordinationStructure coordinationStructure = (CoordinationStructure)theEObject;
				Object result = caseCoordinationStructure(coordinationStructure);
				if (result == null) result = caseContractualProperty(coordinationStructure);
				if (result == null) result = caseProperty(coordinationStructure);
				if (result == null) result = caseBindableProperty(coordinationStructure);
				if (result == null) result = caseFeature(coordinationStructure);
				if (result == null) result = caseBindableElement(coordinationStructure);
				if (result == null) result = caseInstantiatableElement(coordinationStructure);
				if (result == null) result = caseProductElement(coordinationStructure);
				if (result == null) result = caseEngineeringElement(coordinationStructure);
				if (result == null) result = caseExtendableElement(coordinationStructure);
				if (result == null) result = caseGeneralizableElement(coordinationStructure);
				if (result == null) result = caseIntensionModelElement(coordinationStructure);
				if (result == null) result = caseEngineeringModelElement(coordinationStructure);
				if (result == null) result = caseAbstractSystem(coordinationStructure);
				if (result == null) result = caseExtensionType(coordinationStructure);
				if (result == null) result = caseModelElement(coordinationStructure);
				if (result == null) result = caseSystem(coordinationStructure);
				if (result == null) result = caseNamedElement(coordinationStructure);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ContractualpropertiesPackage.TRANSACTION_COORDINATION: {
				TransactionCoordination transactionCoordination = (TransactionCoordination)theEObject;
				Object result = caseTransactionCoordination(transactionCoordination);
				if (result == null) result = caseCoordinationStructure(transactionCoordination);
				if (result == null) result = caseContractualProperty(transactionCoordination);
				if (result == null) result = caseProperty(transactionCoordination);
				if (result == null) result = caseBindableProperty(transactionCoordination);
				if (result == null) result = caseFeature(transactionCoordination);
				if (result == null) result = caseBindableElement(transactionCoordination);
				if (result == null) result = caseInstantiatableElement(transactionCoordination);
				if (result == null) result = caseProductElement(transactionCoordination);
				if (result == null) result = caseEngineeringElement(transactionCoordination);
				if (result == null) result = caseExtendableElement(transactionCoordination);
				if (result == null) result = caseGeneralizableElement(transactionCoordination);
				if (result == null) result = caseIntensionModelElement(transactionCoordination);
				if (result == null) result = caseEngineeringModelElement(transactionCoordination);
				if (result == null) result = caseAbstractSystem(transactionCoordination);
				if (result == null) result = caseExtensionType(transactionCoordination);
				if (result == null) result = caseModelElement(transactionCoordination);
				if (result == null) result = caseSystem(transactionCoordination);
				if (result == null) result = caseNamedElement(transactionCoordination);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ContractualpropertiesPackage.AVAILABILITY: {
				Availability availability = (Availability)theEObject;
				Object result = caseAvailability(availability);
				if (result == null) result = caseContractualProperty(availability);
				if (result == null) result = caseProperty(availability);
				if (result == null) result = caseBindableProperty(availability);
				if (result == null) result = caseFeature(availability);
				if (result == null) result = caseBindableElement(availability);
				if (result == null) result = caseInstantiatableElement(availability);
				if (result == null) result = caseProductElement(availability);
				if (result == null) result = caseEngineeringElement(availability);
				if (result == null) result = caseExtendableElement(availability);
				if (result == null) result = caseGeneralizableElement(availability);
				if (result == null) result = caseIntensionModelElement(availability);
				if (result == null) result = caseEngineeringModelElement(availability);
				if (result == null) result = caseAbstractSystem(availability);
				if (result == null) result = caseExtensionType(availability);
				if (result == null) result = caseModelElement(availability);
				if (result == null) result = caseSystem(availability);
				if (result == null) result = caseNamedElement(availability);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ContractualpropertiesPackage.CHARGING: {
				Charging charging = (Charging)theEObject;
				Object result = caseCharging(charging);
				if (result == null) result = caseContractualProperty(charging);
				if (result == null) result = caseProperty(charging);
				if (result == null) result = caseBindableProperty(charging);
				if (result == null) result = caseFeature(charging);
				if (result == null) result = caseBindableElement(charging);
				if (result == null) result = caseInstantiatableElement(charging);
				if (result == null) result = caseProductElement(charging);
				if (result == null) result = caseEngineeringElement(charging);
				if (result == null) result = caseExtendableElement(charging);
				if (result == null) result = caseGeneralizableElement(charging);
				if (result == null) result = caseIntensionModelElement(charging);
				if (result == null) result = caseEngineeringModelElement(charging);
				if (result == null) result = caseAbstractSystem(charging);
				if (result == null) result = caseExtensionType(charging);
				if (result == null) result = caseModelElement(charging);
				if (result == null) result = caseSystem(charging);
				if (result == null) result = caseNamedElement(charging);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ContractualpropertiesPackage.SETTLEMENT_MODEL: {
				SettlementModel settlementModel = (SettlementModel)theEObject;
				Object result = caseSettlementModel(settlementModel);
				if (result == null) result = caseContractualProperty(settlementModel);
				if (result == null) result = caseProperty(settlementModel);
				if (result == null) result = caseBindableProperty(settlementModel);
				if (result == null) result = caseFeature(settlementModel);
				if (result == null) result = caseBindableElement(settlementModel);
				if (result == null) result = caseInstantiatableElement(settlementModel);
				if (result == null) result = caseProductElement(settlementModel);
				if (result == null) result = caseEngineeringElement(settlementModel);
				if (result == null) result = caseExtendableElement(settlementModel);
				if (result == null) result = caseGeneralizableElement(settlementModel);
				if (result == null) result = caseIntensionModelElement(settlementModel);
				if (result == null) result = caseEngineeringModelElement(settlementModel);
				if (result == null) result = caseAbstractSystem(settlementModel);
				if (result == null) result = caseExtensionType(settlementModel);
				if (result == null) result = caseModelElement(settlementModel);
				if (result == null) result = caseSystem(settlementModel);
				if (result == null) result = caseNamedElement(settlementModel);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ContractualpropertiesPackage.TEMPORAL_AVAILABILITY: {
				TemporalAvailability temporalAvailability = (TemporalAvailability)theEObject;
				Object result = caseTemporalAvailability(temporalAvailability);
				if (result == null) result = caseAvailability(temporalAvailability);
				if (result == null) result = caseContractualProperty(temporalAvailability);
				if (result == null) result = caseProperty(temporalAvailability);
				if (result == null) result = caseBindableProperty(temporalAvailability);
				if (result == null) result = caseFeature(temporalAvailability);
				if (result == null) result = caseBindableElement(temporalAvailability);
				if (result == null) result = caseInstantiatableElement(temporalAvailability);
				if (result == null) result = caseProductElement(temporalAvailability);
				if (result == null) result = caseEngineeringElement(temporalAvailability);
				if (result == null) result = caseExtendableElement(temporalAvailability);
				if (result == null) result = caseGeneralizableElement(temporalAvailability);
				if (result == null) result = caseIntensionModelElement(temporalAvailability);
				if (result == null) result = caseEngineeringModelElement(temporalAvailability);
				if (result == null) result = caseAbstractSystem(temporalAvailability);
				if (result == null) result = caseExtensionType(temporalAvailability);
				if (result == null) result = caseModelElement(temporalAvailability);
				if (result == null) result = caseSystem(temporalAvailability);
				if (result == null) result = caseNamedElement(temporalAvailability);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ContractualpropertiesPackage.SPATIAL_AVAILABILITY: {
				SpatialAvailability spatialAvailability = (SpatialAvailability)theEObject;
				Object result = caseSpatialAvailability(spatialAvailability);
				if (result == null) result = caseAvailability(spatialAvailability);
				if (result == null) result = caseContractualProperty(spatialAvailability);
				if (result == null) result = caseProperty(spatialAvailability);
				if (result == null) result = caseBindableProperty(spatialAvailability);
				if (result == null) result = caseFeature(spatialAvailability);
				if (result == null) result = caseBindableElement(spatialAvailability);
				if (result == null) result = caseInstantiatableElement(spatialAvailability);
				if (result == null) result = caseProductElement(spatialAvailability);
				if (result == null) result = caseEngineeringElement(spatialAvailability);
				if (result == null) result = caseExtendableElement(spatialAvailability);
				if (result == null) result = caseGeneralizableElement(spatialAvailability);
				if (result == null) result = caseIntensionModelElement(spatialAvailability);
				if (result == null) result = caseEngineeringModelElement(spatialAvailability);
				if (result == null) result = caseAbstractSystem(spatialAvailability);
				if (result == null) result = caseExtensionType(spatialAvailability);
				if (result == null) result = caseModelElement(spatialAvailability);
				if (result == null) result = caseSystem(spatialAvailability);
				if (result == null) result = caseNamedElement(spatialAvailability);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Contractual Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Contractual Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseContractualProperty(ContractualProperty object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Compensation</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Compensation</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCompensation(Compensation object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Coordination Structure</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Coordination Structure</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCoordinationStructure(CoordinationStructure object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Transaction Coordination</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Transaction Coordination</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseTransactionCoordination(TransactionCoordination object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Availability</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Availability</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseAvailability(Availability object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Charging</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Charging</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCharging(Charging object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Settlement Model</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Settlement Model</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseSettlementModel(SettlementModel object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Temporal Availability</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Temporal Availability</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseTemporalAvailability(TemporalAvailability object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Spatial Availability</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Spatial Availability</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseSpatialAvailability(SpatialAvailability object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>System</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>System</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseSystem(org.cinco.metamodel.ecosystem.foundations.systems.System object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Abstract System</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Abstract System</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseAbstractSystem(AbstractSystem object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Extension Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Extension Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseExtensionType(ExtensionType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Extendable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Extendable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseExtendableElement(ExtendableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Generalizable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Generalizable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseGeneralizableElement(GeneralizableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseNamedElement(NamedElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseModelElement(ModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Intension Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Intension Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseIntensionModelElement(IntensionModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Instantiatable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Instantiatable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseInstantiatableElement(InstantiatableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Engineering Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Engineering Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEngineeringModelElement(EngineeringModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Product Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Product Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseProductElement(ProductElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Feature</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Feature</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseFeature(Feature object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseProperty(Property object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Engineering Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Engineering Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEngineeringElement(EngineeringElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Bindable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Bindable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBindableElement(BindableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Bindable Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Bindable Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBindableProperty(BindableProperty object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	public Object defaultCase(EObject object) {
		return null;
	}

} //ContractualpropertiesSwitch
