/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.cooperativeproperties.util;

import java.util.List;

import org.cinco.metamodel.ecosystem.domainontology.concepts.GeneralizableElement;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.ExtendableElement;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.ExtensionType;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.InstantiatableElement;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.IntensionModelElement;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.BindableElement;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.BindableProperty;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.Feature;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.Property;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.cooperativeproperties.*;

import org.cinco.metamodel.ecosystem.engineeringmodel.EngineeringModelElement;

import org.cinco.metamodel.ecosystem.engineeringmodel.engineeringspace.EngineeringElement;
import org.cinco.metamodel.ecosystem.engineeringmodel.engineeringspace.ProductElement;

import org.cinco.metamodel.ecosystem.foundations.NamedElement;

import org.cinco.metamodel.ecosystem.foundations.models.ModelElement;

import org.cinco.metamodel.ecosystem.foundations.systems.AbstractSystem;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.cooperativeproperties.CooperativepropertiesPackage
 * @generated
 */
public class CooperativepropertiesSwitch {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static CooperativepropertiesPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CooperativepropertiesSwitch() {
		if (modelPackage == null) {
			modelPackage = CooperativepropertiesPackage.eINSTANCE;
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	public Object doSwitch(EObject theEObject) {
		return doSwitch(theEObject.eClass(), theEObject);
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected Object doSwitch(EClass theEClass, EObject theEObject) {
		if (theEClass.eContainer() == modelPackage) {
			return doSwitch(theEClass.getClassifierID(), theEObject);
		}
		else {
			List eSuperTypes = theEClass.getESuperTypes();
			return
				eSuperTypes.isEmpty() ?
					defaultCase(theEObject) :
					doSwitch((EClass)eSuperTypes.get(0), theEObject);
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected Object doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case CooperativepropertiesPackage.CONFORMANCE_POINT: {
				ConformancePoint conformancePoint = (ConformancePoint)theEObject;
				Object result = caseConformancePoint(conformancePoint);
				if (result == null) result = caseCooperativeProperty(conformancePoint);
				if (result == null) result = caseProperty(conformancePoint);
				if (result == null) result = caseBindableProperty(conformancePoint);
				if (result == null) result = caseFeature(conformancePoint);
				if (result == null) result = caseBindableElement(conformancePoint);
				if (result == null) result = caseInstantiatableElement(conformancePoint);
				if (result == null) result = caseProductElement(conformancePoint);
				if (result == null) result = caseEngineeringElement(conformancePoint);
				if (result == null) result = caseExtendableElement(conformancePoint);
				if (result == null) result = caseGeneralizableElement(conformancePoint);
				if (result == null) result = caseIntensionModelElement(conformancePoint);
				if (result == null) result = caseEngineeringModelElement(conformancePoint);
				if (result == null) result = caseAbstractSystem(conformancePoint);
				if (result == null) result = caseExtensionType(conformancePoint);
				if (result == null) result = caseModelElement(conformancePoint);
				if (result == null) result = caseSystem(conformancePoint);
				if (result == null) result = caseNamedElement(conformancePoint);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case CooperativepropertiesPackage.COOPERATIVE_PROPERTY: {
				CooperativeProperty cooperativeProperty = (CooperativeProperty)theEObject;
				Object result = caseCooperativeProperty(cooperativeProperty);
				if (result == null) result = caseProperty(cooperativeProperty);
				if (result == null) result = caseBindableProperty(cooperativeProperty);
				if (result == null) result = caseFeature(cooperativeProperty);
				if (result == null) result = caseBindableElement(cooperativeProperty);
				if (result == null) result = caseInstantiatableElement(cooperativeProperty);
				if (result == null) result = caseProductElement(cooperativeProperty);
				if (result == null) result = caseEngineeringElement(cooperativeProperty);
				if (result == null) result = caseExtendableElement(cooperativeProperty);
				if (result == null) result = caseGeneralizableElement(cooperativeProperty);
				if (result == null) result = caseIntensionModelElement(cooperativeProperty);
				if (result == null) result = caseEngineeringModelElement(cooperativeProperty);
				if (result == null) result = caseAbstractSystem(cooperativeProperty);
				if (result == null) result = caseExtensionType(cooperativeProperty);
				if (result == null) result = caseModelElement(cooperativeProperty);
				if (result == null) result = caseSystem(cooperativeProperty);
				if (result == null) result = caseNamedElement(cooperativeProperty);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case CooperativepropertiesPackage.ENTITY_REPUTATION: {
				EntityReputation entityReputation = (EntityReputation)theEObject;
				Object result = caseEntityReputation(entityReputation);
				if (result == null) result = caseCooperativeProperty(entityReputation);
				if (result == null) result = caseProperty(entityReputation);
				if (result == null) result = caseBindableProperty(entityReputation);
				if (result == null) result = caseFeature(entityReputation);
				if (result == null) result = caseBindableElement(entityReputation);
				if (result == null) result = caseInstantiatableElement(entityReputation);
				if (result == null) result = caseProductElement(entityReputation);
				if (result == null) result = caseEngineeringElement(entityReputation);
				if (result == null) result = caseExtendableElement(entityReputation);
				if (result == null) result = caseGeneralizableElement(entityReputation);
				if (result == null) result = caseIntensionModelElement(entityReputation);
				if (result == null) result = caseEngineeringModelElement(entityReputation);
				if (result == null) result = caseAbstractSystem(entityReputation);
				if (result == null) result = caseExtensionType(entityReputation);
				if (result == null) result = caseModelElement(entityReputation);
				if (result == null) result = caseSystem(entityReputation);
				if (result == null) result = caseNamedElement(entityReputation);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Conformance Point</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Conformance Point</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseConformancePoint(ConformancePoint object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Cooperative Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Cooperative Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCooperativeProperty(CooperativeProperty object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Entity Reputation</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Entity Reputation</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEntityReputation(EntityReputation object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>System</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>System</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseSystem(org.cinco.metamodel.ecosystem.foundations.systems.System object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Abstract System</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Abstract System</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseAbstractSystem(AbstractSystem object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Extension Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Extension Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseExtensionType(ExtensionType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Extendable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Extendable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseExtendableElement(ExtendableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Generalizable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Generalizable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseGeneralizableElement(GeneralizableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseNamedElement(NamedElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseModelElement(ModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Intension Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Intension Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseIntensionModelElement(IntensionModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Instantiatable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Instantiatable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseInstantiatableElement(InstantiatableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Engineering Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Engineering Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEngineeringModelElement(EngineeringModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Product Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Product Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseProductElement(ProductElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Feature</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Feature</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseFeature(Feature object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseProperty(Property object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Engineering Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Engineering Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEngineeringElement(EngineeringElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Bindable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Bindable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBindableElement(BindableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Bindable Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Bindable Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBindableProperty(BindableProperty object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	public Object defaultCase(EObject object) {
		return null;
	}

} //CooperativepropertiesSwitch
