/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.facilityproperties.util;

import org.cinco.metamodel.ecosystem.domainontology.concepts.GeneralizableElement;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.ExtendableElement;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.ExtensionType;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.InstantiatableElement;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.IntensionModelElement;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.BindableElement;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.BindableProperty;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.BindingTarget;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.PropertyBindingTarget;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.Feature;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.Property;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.facilityproperties.*;

import org.cinco.metamodel.ecosystem.engineeringmodel.EngineeringModelElement;

import org.cinco.metamodel.ecosystem.engineeringmodel.engineeringspace.EngineeringElement;
import org.cinco.metamodel.ecosystem.engineeringmodel.engineeringspace.ProductElement;

import org.cinco.metamodel.ecosystem.foundations.NamedElement;

import org.cinco.metamodel.ecosystem.foundations.behaviour.Event;
import org.cinco.metamodel.ecosystem.foundations.behaviour.Phase;

import org.cinco.metamodel.ecosystem.foundations.models.ModelElement;

import org.cinco.metamodel.ecosystem.foundations.systems.AbstractSystem;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.facilityproperties.FacilitypropertiesPackage
 * @generated
 */
public class FacilitypropertiesAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static FacilitypropertiesPackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public FacilitypropertiesAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = FacilitypropertiesPackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected FacilitypropertiesSwitch modelSwitch =
		new FacilitypropertiesSwitch() {
			public Object caseBindingPort(BindingPort object) {
				return createBindingPortAdapter();
			}
			public Object caseFacilityProperty(FacilityProperty object) {
				return createFacilityPropertyAdapter();
			}
			public Object caseChannelPhase(ChannelPhase object) {
				return createChannelPhaseAdapter();
			}
			public Object caseSystem(org.cinco.metamodel.ecosystem.foundations.systems.System object) {
				return createSystemAdapter();
			}
			public Object caseAbstractSystem(AbstractSystem object) {
				return createAbstractSystemAdapter();
			}
			public Object caseExtensionType(ExtensionType object) {
				return createExtensionTypeAdapter();
			}
			public Object caseExtendableElement(ExtendableElement object) {
				return createExtendableElementAdapter();
			}
			public Object caseGeneralizableElement(GeneralizableElement object) {
				return createGeneralizableElementAdapter();
			}
			public Object caseNamedElement(NamedElement object) {
				return createNamedElementAdapter();
			}
			public Object caseModelElement(ModelElement object) {
				return createModelElementAdapter();
			}
			public Object caseIntensionModelElement(IntensionModelElement object) {
				return createIntensionModelElementAdapter();
			}
			public Object caseInstantiatableElement(InstantiatableElement object) {
				return createInstantiatableElementAdapter();
			}
			public Object caseEngineeringModelElement(EngineeringModelElement object) {
				return createEngineeringModelElementAdapter();
			}
			public Object caseProductElement(ProductElement object) {
				return createProductElementAdapter();
			}
			public Object caseFeature(Feature object) {
				return createFeatureAdapter();
			}
			public Object caseProperty(Property object) {
				return createPropertyAdapter();
			}
			public Object caseEngineeringElement(EngineeringElement object) {
				return createEngineeringElementAdapter();
			}
			public Object caseBindableElement(BindableElement object) {
				return createBindableElementAdapter();
			}
			public Object caseBindableProperty(BindableProperty object) {
				return createBindablePropertyAdapter();
			}
			public Object caseBindingTarget(BindingTarget object) {
				return createBindingTargetAdapter();
			}
			public Object casePropertyBindingTarget(PropertyBindingTarget object) {
				return createPropertyBindingTargetAdapter();
			}
			public Object caseEvent(Event object) {
				return createEventAdapter();
			}
			public Object casePhase(Phase object) {
				return createPhaseAdapter();
			}
			public Object defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	public Adapter createAdapter(Notifier target) {
		return (Adapter)modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.facilityproperties.BindingPort <em>Binding Port</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.facilityproperties.BindingPort
	 * @generated
	 */
	public Adapter createBindingPortAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.facilityproperties.FacilityProperty <em>Facility Property</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.facilityproperties.FacilityProperty
	 * @generated
	 */
	public Adapter createFacilityPropertyAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.facilityproperties.ChannelPhase <em>Channel Phase</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.facilityproperties.ChannelPhase
	 * @generated
	 */
	public Adapter createChannelPhaseAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.foundations.systems.System <em>System</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.foundations.systems.System
	 * @generated
	 */
	public Adapter createSystemAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.foundations.systems.AbstractSystem <em>Abstract System</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.foundations.systems.AbstractSystem
	 * @generated
	 */
	public Adapter createAbstractSystemAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.ecosystemintensionmodel.ExtensionType <em>Extension Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.ecosystemintensionmodel.ExtensionType
	 * @generated
	 */
	public Adapter createExtensionTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.ecosystemintensionmodel.ExtendableElement <em>Extendable Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.ecosystemintensionmodel.ExtendableElement
	 * @generated
	 */
	public Adapter createExtendableElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.domainontology.concepts.GeneralizableElement <em>Generalizable Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.domainontology.concepts.GeneralizableElement
	 * @generated
	 */
	public Adapter createGeneralizableElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.foundations.NamedElement <em>Named Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.foundations.NamedElement
	 * @generated
	 */
	public Adapter createNamedElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.foundations.models.ModelElement <em>Model Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.foundations.models.ModelElement
	 * @generated
	 */
	public Adapter createModelElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.ecosystemintensionmodel.IntensionModelElement <em>Intension Model Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.ecosystemintensionmodel.IntensionModelElement
	 * @generated
	 */
	public Adapter createIntensionModelElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.ecosystemintensionmodel.InstantiatableElement <em>Instantiatable Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.ecosystemintensionmodel.InstantiatableElement
	 * @generated
	 */
	public Adapter createInstantiatableElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.engineeringmodel.EngineeringModelElement <em>Engineering Model Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.engineeringmodel.EngineeringModelElement
	 * @generated
	 */
	public Adapter createEngineeringModelElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.engineeringmodel.engineeringspace.ProductElement <em>Product Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.engineeringmodel.engineeringspace.ProductElement
	 * @generated
	 */
	public Adapter createProductElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.Feature <em>Feature</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.Feature
	 * @generated
	 */
	public Adapter createFeatureAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.Property <em>Property</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.Property
	 * @generated
	 */
	public Adapter createPropertyAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.engineeringmodel.engineeringspace.EngineeringElement <em>Engineering Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.engineeringmodel.engineeringspace.EngineeringElement
	 * @generated
	 */
	public Adapter createEngineeringElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.BindableElement <em>Bindable Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.BindableElement
	 * @generated
	 */
	public Adapter createBindableElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.BindableProperty <em>Bindable Property</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.BindableProperty
	 * @generated
	 */
	public Adapter createBindablePropertyAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.BindingTarget <em>Binding Target</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.BindingTarget
	 * @generated
	 */
	public Adapter createBindingTargetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.PropertyBindingTarget <em>Property Binding Target</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.PropertyBindingTarget
	 * @generated
	 */
	public Adapter createPropertyBindingTargetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.foundations.behaviour.Event <em>Event</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.foundations.behaviour.Event
	 * @generated
	 */
	public Adapter createEventAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.foundations.behaviour.Phase <em>Phase</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.foundations.behaviour.Phase
	 * @generated
	 */
	public Adapter createPhaseAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //FacilitypropertiesAdapterFactory
