/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.functionalproperties.util;

import java.util.List;

import org.cinco.metamodel.ecosystem.domainontology.concepts.GeneralizableElement;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.ExtendableElement;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.ExtensionType;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.InstantiatableElement;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.IntensionModelElement;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.BindableElement;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.BindableProperty;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.Feature;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.Property;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.functionalproperties.*;

import org.cinco.metamodel.ecosystem.engineeringmodel.EngineeringModelElement;

import org.cinco.metamodel.ecosystem.engineeringmodel.engineeringspace.EngineeringElement;
import org.cinco.metamodel.ecosystem.engineeringmodel.engineeringspace.ProductElement;

import org.cinco.metamodel.ecosystem.foundations.NamedElement;

import org.cinco.metamodel.ecosystem.foundations.models.ModelElement;

import org.cinco.metamodel.ecosystem.foundations.systems.AbstractSystem;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.functionalproperties.FunctionalpropertiesPackage
 * @generated
 */
public class FunctionalpropertiesSwitch {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static FunctionalpropertiesPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public FunctionalpropertiesSwitch() {
		if (modelPackage == null) {
			modelPackage = FunctionalpropertiesPackage.eINSTANCE;
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	public Object doSwitch(EObject theEObject) {
		return doSwitch(theEObject.eClass(), theEObject);
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected Object doSwitch(EClass theEClass, EObject theEObject) {
		if (theEClass.eContainer() == modelPackage) {
			return doSwitch(theEClass.getClassifierID(), theEObject);
		}
		else {
			List eSuperTypes = theEClass.getESuperTypes();
			return
				eSuperTypes.isEmpty() ?
					defaultCase(theEObject) :
					doSwitch((EClass)eSuperTypes.get(0), theEObject);
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected Object doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case FunctionalpropertiesPackage.BUSINESS_DOCUMENT_ELEMENT: {
				BusinessDocumentElement businessDocumentElement = (BusinessDocumentElement)theEObject;
				Object result = caseBusinessDocumentElement(businessDocumentElement);
				if (result == null) result = caseInformationProperty(businessDocumentElement);
				if (result == null) result = caseProperty(businessDocumentElement);
				if (result == null) result = caseFeature(businessDocumentElement);
				if (result == null) result = caseInstantiatableElement(businessDocumentElement);
				if (result == null) result = caseProductElement(businessDocumentElement);
				if (result == null) result = caseExtendableElement(businessDocumentElement);
				if (result == null) result = caseGeneralizableElement(businessDocumentElement);
				if (result == null) result = caseIntensionModelElement(businessDocumentElement);
				if (result == null) result = caseEngineeringModelElement(businessDocumentElement);
				if (result == null) result = caseAbstractSystem(businessDocumentElement);
				if (result == null) result = caseExtensionType(businessDocumentElement);
				if (result == null) result = caseModelElement(businessDocumentElement);
				if (result == null) result = caseSystem(businessDocumentElement);
				if (result == null) result = caseNamedElement(businessDocumentElement);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case FunctionalpropertiesPackage.INFORMATION_PROPERTY: {
				InformationProperty informationProperty = (InformationProperty)theEObject;
				Object result = caseInformationProperty(informationProperty);
				if (result == null) result = caseProperty(informationProperty);
				if (result == null) result = caseFeature(informationProperty);
				if (result == null) result = caseInstantiatableElement(informationProperty);
				if (result == null) result = caseProductElement(informationProperty);
				if (result == null) result = caseExtendableElement(informationProperty);
				if (result == null) result = caseGeneralizableElement(informationProperty);
				if (result == null) result = caseIntensionModelElement(informationProperty);
				if (result == null) result = caseEngineeringModelElement(informationProperty);
				if (result == null) result = caseAbstractSystem(informationProperty);
				if (result == null) result = caseExtensionType(informationProperty);
				if (result == null) result = caseModelElement(informationProperty);
				if (result == null) result = caseSystem(informationProperty);
				if (result == null) result = caseNamedElement(informationProperty);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case FunctionalpropertiesPackage.BUSINESS_SERVICE_PROPERTY: {
				BusinessServiceProperty businessServiceProperty = (BusinessServiceProperty)theEObject;
				Object result = caseBusinessServiceProperty(businessServiceProperty);
				if (result == null) result = caseServiceProperty(businessServiceProperty);
				if (result == null) result = caseProperty(businessServiceProperty);
				if (result == null) result = caseFeature(businessServiceProperty);
				if (result == null) result = caseInstantiatableElement(businessServiceProperty);
				if (result == null) result = caseProductElement(businessServiceProperty);
				if (result == null) result = caseExtendableElement(businessServiceProperty);
				if (result == null) result = caseGeneralizableElement(businessServiceProperty);
				if (result == null) result = caseIntensionModelElement(businessServiceProperty);
				if (result == null) result = caseEngineeringModelElement(businessServiceProperty);
				if (result == null) result = caseAbstractSystem(businessServiceProperty);
				if (result == null) result = caseExtensionType(businessServiceProperty);
				if (result == null) result = caseModelElement(businessServiceProperty);
				if (result == null) result = caseSystem(businessServiceProperty);
				if (result == null) result = caseNamedElement(businessServiceProperty);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case FunctionalpropertiesPackage.SERVICE_PROPERTY: {
				ServiceProperty serviceProperty = (ServiceProperty)theEObject;
				Object result = caseServiceProperty(serviceProperty);
				if (result == null) result = caseProperty(serviceProperty);
				if (result == null) result = caseFeature(serviceProperty);
				if (result == null) result = caseInstantiatableElement(serviceProperty);
				if (result == null) result = caseProductElement(serviceProperty);
				if (result == null) result = caseExtendableElement(serviceProperty);
				if (result == null) result = caseGeneralizableElement(serviceProperty);
				if (result == null) result = caseIntensionModelElement(serviceProperty);
				if (result == null) result = caseEngineeringModelElement(serviceProperty);
				if (result == null) result = caseAbstractSystem(serviceProperty);
				if (result == null) result = caseExtensionType(serviceProperty);
				if (result == null) result = caseModelElement(serviceProperty);
				if (result == null) result = caseSystem(serviceProperty);
				if (result == null) result = caseNamedElement(serviceProperty);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case FunctionalpropertiesPackage.COMPONENT_SERVICE_PROPERTY: {
				ComponentServiceProperty componentServiceProperty = (ComponentServiceProperty)theEObject;
				Object result = caseComponentServiceProperty(componentServiceProperty);
				if (result == null) result = caseServiceProperty(componentServiceProperty);
				if (result == null) result = caseProperty(componentServiceProperty);
				if (result == null) result = caseFeature(componentServiceProperty);
				if (result == null) result = caseInstantiatableElement(componentServiceProperty);
				if (result == null) result = caseProductElement(componentServiceProperty);
				if (result == null) result = caseExtendableElement(componentServiceProperty);
				if (result == null) result = caseGeneralizableElement(componentServiceProperty);
				if (result == null) result = caseIntensionModelElement(componentServiceProperty);
				if (result == null) result = caseEngineeringModelElement(componentServiceProperty);
				if (result == null) result = caseAbstractSystem(componentServiceProperty);
				if (result == null) result = caseExtensionType(componentServiceProperty);
				if (result == null) result = caseModelElement(componentServiceProperty);
				if (result == null) result = caseSystem(componentServiceProperty);
				if (result == null) result = caseNamedElement(componentServiceProperty);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case FunctionalpropertiesPackage.ENDPOINT_ADDRESS: {
				EndpointAddress endpointAddress = (EndpointAddress)theEObject;
				Object result = caseEndpointAddress(endpointAddress);
				if (result == null) result = caseEndpointProperty(endpointAddress);
				if (result == null) result = caseBindableProperty(endpointAddress);
				if (result == null) result = caseProperty(endpointAddress);
				if (result == null) result = caseBindableElement(endpointAddress);
				if (result == null) result = caseFeature(endpointAddress);
				if (result == null) result = caseEngineeringElement(endpointAddress);
				if (result == null) result = caseInstantiatableElement(endpointAddress);
				if (result == null) result = caseProductElement(endpointAddress);
				if (result == null) result = caseExtendableElement(endpointAddress);
				if (result == null) result = caseGeneralizableElement(endpointAddress);
				if (result == null) result = caseIntensionModelElement(endpointAddress);
				if (result == null) result = caseEngineeringModelElement(endpointAddress);
				if (result == null) result = caseAbstractSystem(endpointAddress);
				if (result == null) result = caseExtensionType(endpointAddress);
				if (result == null) result = caseModelElement(endpointAddress);
				if (result == null) result = caseSystem(endpointAddress);
				if (result == null) result = caseNamedElement(endpointAddress);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case FunctionalpropertiesPackage.ENDPOINT_PROPERTY: {
				EndpointProperty endpointProperty = (EndpointProperty)theEObject;
				Object result = caseEndpointProperty(endpointProperty);
				if (result == null) result = caseProperty(endpointProperty);
				if (result == null) result = caseFeature(endpointProperty);
				if (result == null) result = caseInstantiatableElement(endpointProperty);
				if (result == null) result = caseProductElement(endpointProperty);
				if (result == null) result = caseExtendableElement(endpointProperty);
				if (result == null) result = caseGeneralizableElement(endpointProperty);
				if (result == null) result = caseIntensionModelElement(endpointProperty);
				if (result == null) result = caseEngineeringModelElement(endpointProperty);
				if (result == null) result = caseAbstractSystem(endpointProperty);
				if (result == null) result = caseExtensionType(endpointProperty);
				if (result == null) result = caseModelElement(endpointProperty);
				if (result == null) result = caseSystem(endpointProperty);
				if (result == null) result = caseNamedElement(endpointProperty);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Business Document Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Business Document Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBusinessDocumentElement(BusinessDocumentElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Information Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Information Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseInformationProperty(InformationProperty object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Business Service Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Business Service Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBusinessServiceProperty(BusinessServiceProperty object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Service Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Service Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseServiceProperty(ServiceProperty object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Component Service Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Component Service Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseComponentServiceProperty(ComponentServiceProperty object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Endpoint Address</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Endpoint Address</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEndpointAddress(EndpointAddress object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Endpoint Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Endpoint Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEndpointProperty(EndpointProperty object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>System</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>System</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseSystem(org.cinco.metamodel.ecosystem.foundations.systems.System object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Abstract System</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Abstract System</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseAbstractSystem(AbstractSystem object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Extension Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Extension Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseExtensionType(ExtensionType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Extendable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Extendable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseExtendableElement(ExtendableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Generalizable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Generalizable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseGeneralizableElement(GeneralizableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseNamedElement(NamedElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseModelElement(ModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Intension Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Intension Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseIntensionModelElement(IntensionModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Instantiatable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Instantiatable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseInstantiatableElement(InstantiatableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Engineering Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Engineering Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEngineeringModelElement(EngineeringModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Product Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Product Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseProductElement(ProductElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Feature</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Feature</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseFeature(Feature object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseProperty(Property object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Engineering Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Engineering Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEngineeringElement(EngineeringElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Bindable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Bindable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBindableElement(BindableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Bindable Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Bindable Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBindableProperty(BindableProperty object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	public Object defaultCase(EObject object) {
		return null;
	}

} //FunctionalpropertiesSwitch
