/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.cinco.metamodel.ecosystem.ecosystemintensionmodel.util;

import java.util.List;

import org.cinco.metamodel.ecosystem.domainontology.concepts.GeneralizableElement;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.*;

import org.cinco.metamodel.ecosystem.engineeringmodel.EngineeringModelElement;

import org.cinco.metamodel.ecosystem.engineeringmodel.engineeringspace.ProductElement;

import org.cinco.metamodel.ecosystem.foundations.NamedElement;

import org.cinco.metamodel.ecosystem.foundations.behaviour.Event;

import org.cinco.metamodel.ecosystem.foundations.models.Model;
import org.cinco.metamodel.ecosystem.foundations.models.ModelElement;

import org.cinco.metamodel.ecosystem.foundations.systems.AbstractSystem;
import org.cinco.metamodel.ecosystem.foundations.systems.Set;

import org.cinco.metamodel.ecosystem.seadescription.SEAModel;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see org.cinco.metamodel.ecosystem.ecosystemintensionmodel.EcosystemintensionmodelPackage
 * @generated
 */
public class EcosystemintensionmodelSwitch {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static EcosystemintensionmodelPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EcosystemintensionmodelSwitch() {
		if (modelPackage == null) {
			modelPackage = EcosystemintensionmodelPackage.eINSTANCE;
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	public Object doSwitch(EObject theEObject) {
		return doSwitch(theEObject.eClass(), theEObject);
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected Object doSwitch(EClass theEClass, EObject theEObject) {
		if (theEClass.eContainer() == modelPackage) {
			return doSwitch(theEClass.getClassifierID(), theEObject);
		}
		else {
			List eSuperTypes = theEClass.getESuperTypes();
			return
				eSuperTypes.isEmpty() ?
					defaultCase(theEObject) :
					doSwitch((EClass)eSuperTypes.get(0), theEObject);
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected Object doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case EcosystemintensionmodelPackage.INSTANTIATABLE_ELEMENT: {
				InstantiatableElement instantiatableElement = (InstantiatableElement)theEObject;
				Object result = caseInstantiatableElement(instantiatableElement);
				if (result == null) result = caseExtendableElement(instantiatableElement);
				if (result == null) result = caseGeneralizableElement(instantiatableElement);
				if (result == null) result = caseIntensionModelElement(instantiatableElement);
				if (result == null) result = caseAbstractSystem(instantiatableElement);
				if (result == null) result = caseExtensionType(instantiatableElement);
				if (result == null) result = caseModelElement(instantiatableElement);
				if (result == null) result = caseSystem(instantiatableElement);
				if (result == null) result = caseNamedElement(instantiatableElement);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcosystemintensionmodelPackage.EXTENDABLE_ELEMENT: {
				ExtendableElement extendableElement = (ExtendableElement)theEObject;
				Object result = caseExtendableElement(extendableElement);
				if (result == null) result = caseAbstractSystem(extendableElement);
				if (result == null) result = caseExtensionType(extendableElement);
				if (result == null) result = caseSystem(extendableElement);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcosystemintensionmodelPackage.EXTENSION_TYPE: {
				ExtensionType extensionType = (ExtensionType)theEObject;
				Object result = caseExtensionType(extensionType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcosystemintensionmodelPackage.EXTENSION: {
				Extension extension = (Extension)theEObject;
				Object result = caseExtension(extension);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcosystemintensionmodelPackage.EXTENSION_DEFINITION: {
				ExtensionDefinition extensionDefinition = (ExtensionDefinition)theEObject;
				Object result = caseExtensionDefinition(extensionDefinition);
				if (result == null) result = caseNamedElement(extensionDefinition);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcosystemintensionmodelPackage.EXTENDABLE_ELEMENT_SET: {
				ExtendableElementSet extendableElementSet = (ExtendableElementSet)theEObject;
				Object result = caseExtendableElementSet(extendableElementSet);
				if (result == null) result = caseSet(extendableElementSet);
				if (result == null) result = caseAbstractSystem(extendableElementSet);
				if (result == null) result = caseSystem(extendableElementSet);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcosystemintensionmodelPackage.COMMITMENT_OPERATION: {
				CommitmentOperation commitmentOperation = (CommitmentOperation)theEObject;
				Object result = caseCommitmentOperation(commitmentOperation);
				if (result == null) result = caseInstantiatableElement(commitmentOperation);
				if (result == null) result = caseEvent(commitmentOperation);
				if (result == null) result = caseExtendableElement(commitmentOperation);
				if (result == null) result = caseGeneralizableElement(commitmentOperation);
				if (result == null) result = caseIntensionModelElement(commitmentOperation);
				if (result == null) result = caseAbstractSystem(commitmentOperation);
				if (result == null) result = caseExtensionType(commitmentOperation);
				if (result == null) result = caseModelElement(commitmentOperation);
				if (result == null) result = caseSystem(commitmentOperation);
				if (result == null) result = caseNamedElement(commitmentOperation);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcosystemintensionmodelPackage.SERVICE_LINK: {
				ServiceLink serviceLink = (ServiceLink)theEObject;
				Object result = caseServiceLink(serviceLink);
				if (result == null) result = caseInstantiatableElement(serviceLink);
				if (result == null) result = caseExtendableElement(serviceLink);
				if (result == null) result = caseGeneralizableElement(serviceLink);
				if (result == null) result = caseIntensionModelElement(serviceLink);
				if (result == null) result = caseAbstractSystem(serviceLink);
				if (result == null) result = caseExtensionType(serviceLink);
				if (result == null) result = caseModelElement(serviceLink);
				if (result == null) result = caseSystem(serviceLink);
				if (result == null) result = caseNamedElement(serviceLink);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcosystemintensionmodelPackage.INTENSION_MODEL_ELEMENT: {
				IntensionModelElement intensionModelElement = (IntensionModelElement)theEObject;
				Object result = caseIntensionModelElement(intensionModelElement);
				if (result == null) result = caseModelElement(intensionModelElement);
				if (result == null) result = caseNamedElement(intensionModelElement);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcosystemintensionmodelPackage.USER_ELEMENT: {
				UserElement userElement = (UserElement)theEObject;
				Object result = caseUserElement(userElement);
				if (result == null) result = caseStructuralElement(userElement);
				if (result == null) result = caseInstantiatableElement(userElement);
				if (result == null) result = caseProductElement(userElement);
				if (result == null) result = caseExtendableElement(userElement);
				if (result == null) result = caseGeneralizableElement(userElement);
				if (result == null) result = caseIntensionModelElement(userElement);
				if (result == null) result = caseEngineeringModelElement(userElement);
				if (result == null) result = caseAbstractSystem(userElement);
				if (result == null) result = caseExtensionType(userElement);
				if (result == null) result = caseModelElement(userElement);
				if (result == null) result = caseSystem(userElement);
				if (result == null) result = caseNamedElement(userElement);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcosystemintensionmodelPackage.INTENSION_MODEL: {
				IntensionModel intensionModel = (IntensionModel)theEObject;
				Object result = caseIntensionModel(intensionModel);
				if (result == null) result = caseModel(intensionModel);
				if (result == null) result = caseSEAModel(intensionModel);
				if (result == null) result = caseAbstractSystem(intensionModel);
				if (result == null) result = caseNamedElement(intensionModel);
				if (result == null) result = caseSystem(intensionModel);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcosystemintensionmodelPackage.REDEFINITION: {
				Redefinition redefinition = (Redefinition)theEObject;
				Object result = caseRedefinition(redefinition);
				if (result == null) result = caseExtensionDefinition(redefinition);
				if (result == null) result = caseNamedElement(redefinition);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcosystemintensionmodelPackage.UNDEFINITION: {
				Undefinition undefinition = (Undefinition)theEObject;
				Object result = caseUndefinition(undefinition);
				if (result == null) result = caseExtensionDefinition(undefinition);
				if (result == null) result = caseNamedElement(undefinition);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcosystemintensionmodelPackage.CANCEL_COMMITMENT: {
				CancelCommitment cancelCommitment = (CancelCommitment)theEObject;
				Object result = caseCancelCommitment(cancelCommitment);
				if (result == null) result = caseCommitmentOperation(cancelCommitment);
				if (result == null) result = caseInstantiatableElement(cancelCommitment);
				if (result == null) result = caseEvent(cancelCommitment);
				if (result == null) result = caseExtendableElement(cancelCommitment);
				if (result == null) result = caseGeneralizableElement(cancelCommitment);
				if (result == null) result = caseIntensionModelElement(cancelCommitment);
				if (result == null) result = caseAbstractSystem(cancelCommitment);
				if (result == null) result = caseExtensionType(cancelCommitment);
				if (result == null) result = caseModelElement(cancelCommitment);
				if (result == null) result = caseSystem(cancelCommitment);
				if (result == null) result = caseNamedElement(cancelCommitment);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcosystemintensionmodelPackage.DELEGATE_COMMITMENT: {
				DelegateCommitment delegateCommitment = (DelegateCommitment)theEObject;
				Object result = caseDelegateCommitment(delegateCommitment);
				if (result == null) result = caseCommitmentOperation(delegateCommitment);
				if (result == null) result = caseInstantiatableElement(delegateCommitment);
				if (result == null) result = caseEvent(delegateCommitment);
				if (result == null) result = caseExtendableElement(delegateCommitment);
				if (result == null) result = caseGeneralizableElement(delegateCommitment);
				if (result == null) result = caseIntensionModelElement(delegateCommitment);
				if (result == null) result = caseAbstractSystem(delegateCommitment);
				if (result == null) result = caseExtensionType(delegateCommitment);
				if (result == null) result = caseModelElement(delegateCommitment);
				if (result == null) result = caseSystem(delegateCommitment);
				if (result == null) result = caseNamedElement(delegateCommitment);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcosystemintensionmodelPackage.DISCHARGE_COMMITMENT: {
				DischargeCommitment dischargeCommitment = (DischargeCommitment)theEObject;
				Object result = caseDischargeCommitment(dischargeCommitment);
				if (result == null) result = caseCommitmentOperation(dischargeCommitment);
				if (result == null) result = caseInstantiatableElement(dischargeCommitment);
				if (result == null) result = caseEvent(dischargeCommitment);
				if (result == null) result = caseExtendableElement(dischargeCommitment);
				if (result == null) result = caseGeneralizableElement(dischargeCommitment);
				if (result == null) result = caseIntensionModelElement(dischargeCommitment);
				if (result == null) result = caseAbstractSystem(dischargeCommitment);
				if (result == null) result = caseExtensionType(dischargeCommitment);
				if (result == null) result = caseModelElement(dischargeCommitment);
				if (result == null) result = caseSystem(dischargeCommitment);
				if (result == null) result = caseNamedElement(dischargeCommitment);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcosystemintensionmodelPackage.RELEASE_COMMITMENT: {
				ReleaseCommitment releaseCommitment = (ReleaseCommitment)theEObject;
				Object result = caseReleaseCommitment(releaseCommitment);
				if (result == null) result = caseCommitmentOperation(releaseCommitment);
				if (result == null) result = caseInstantiatableElement(releaseCommitment);
				if (result == null) result = caseEvent(releaseCommitment);
				if (result == null) result = caseExtendableElement(releaseCommitment);
				if (result == null) result = caseGeneralizableElement(releaseCommitment);
				if (result == null) result = caseIntensionModelElement(releaseCommitment);
				if (result == null) result = caseAbstractSystem(releaseCommitment);
				if (result == null) result = caseExtensionType(releaseCommitment);
				if (result == null) result = caseModelElement(releaseCommitment);
				if (result == null) result = caseSystem(releaseCommitment);
				if (result == null) result = caseNamedElement(releaseCommitment);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcosystemintensionmodelPackage.ASSIGN_COMMITMENT: {
				AssignCommitment assignCommitment = (AssignCommitment)theEObject;
				Object result = caseAssignCommitment(assignCommitment);
				if (result == null) result = caseCommitmentOperation(assignCommitment);
				if (result == null) result = caseInstantiatableElement(assignCommitment);
				if (result == null) result = caseEvent(assignCommitment);
				if (result == null) result = caseExtendableElement(assignCommitment);
				if (result == null) result = caseGeneralizableElement(assignCommitment);
				if (result == null) result = caseIntensionModelElement(assignCommitment);
				if (result == null) result = caseAbstractSystem(assignCommitment);
				if (result == null) result = caseExtensionType(assignCommitment);
				if (result == null) result = caseModelElement(assignCommitment);
				if (result == null) result = caseSystem(assignCommitment);
				if (result == null) result = caseNamedElement(assignCommitment);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcosystemintensionmodelPackage.PRIMITIVE_TYPE: {
				PrimitiveType primitiveType = (PrimitiveType)theEObject;
				Object result = casePrimitiveType(primitiveType);
				if (result == null) result = caseIntensionModelElement(primitiveType);
				if (result == null) result = caseExtensionType(primitiveType);
				if (result == null) result = caseModelElement(primitiveType);
				if (result == null) result = caseNamedElement(primitiveType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcosystemintensionmodelPackage.SUBSET_DEFINITION: {
				SubsetDefinition subsetDefinition = (SubsetDefinition)theEObject;
				Object result = caseSubsetDefinition(subsetDefinition);
				if (result == null) result = caseExtensionDefinition(subsetDefinition);
				if (result == null) result = caseNamedElement(subsetDefinition);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcosystemintensionmodelPackage.STRUCTURAL_ELEMENT: {
				StructuralElement structuralElement = (StructuralElement)theEObject;
				Object result = caseStructuralElement(structuralElement);
				if (result == null) result = caseInstantiatableElement(structuralElement);
				if (result == null) result = caseProductElement(structuralElement);
				if (result == null) result = caseExtendableElement(structuralElement);
				if (result == null) result = caseGeneralizableElement(structuralElement);
				if (result == null) result = caseIntensionModelElement(structuralElement);
				if (result == null) result = caseEngineeringModelElement(structuralElement);
				if (result == null) result = caseAbstractSystem(structuralElement);
				if (result == null) result = caseExtensionType(structuralElement);
				if (result == null) result = caseModelElement(structuralElement);
				if (result == null) result = caseSystem(structuralElement);
				if (result == null) result = caseNamedElement(structuralElement);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Instantiatable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Instantiatable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseInstantiatableElement(InstantiatableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Extendable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Extendable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseExtendableElement(ExtendableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Extension Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Extension Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseExtensionType(ExtensionType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Extension</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Extension</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseExtension(Extension object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Extension Definition</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Extension Definition</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseExtensionDefinition(ExtensionDefinition object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Extendable Element Set</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Extendable Element Set</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseExtendableElementSet(ExtendableElementSet object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Commitment Operation</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Commitment Operation</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCommitmentOperation(CommitmentOperation object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Service Link</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Service Link</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseServiceLink(ServiceLink object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Intension Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Intension Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseIntensionModelElement(IntensionModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>User Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>User Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseUserElement(UserElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Intension Model</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Intension Model</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseIntensionModel(IntensionModel object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Redefinition</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Redefinition</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseRedefinition(Redefinition object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Undefinition</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Undefinition</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseUndefinition(Undefinition object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Cancel Commitment</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Cancel Commitment</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCancelCommitment(CancelCommitment object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Delegate Commitment</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Delegate Commitment</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseDelegateCommitment(DelegateCommitment object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Discharge Commitment</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Discharge Commitment</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseDischargeCommitment(DischargeCommitment object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Release Commitment</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Release Commitment</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseReleaseCommitment(ReleaseCommitment object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Assign Commitment</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Assign Commitment</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseAssignCommitment(AssignCommitment object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Primitive Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Primitive Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object casePrimitiveType(PrimitiveType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Subset Definition</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Subset Definition</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseSubsetDefinition(SubsetDefinition object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Structural Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Structural Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseStructuralElement(StructuralElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>System</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>System</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseSystem(org.cinco.metamodel.ecosystem.foundations.systems.System object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Abstract System</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Abstract System</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseAbstractSystem(AbstractSystem object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Generalizable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Generalizable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseGeneralizableElement(GeneralizableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseNamedElement(NamedElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseModelElement(ModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Set</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Set</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseSet(Set object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Event</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Event</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEvent(Event object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Engineering Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Engineering Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEngineeringModelElement(EngineeringModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Product Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Product Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseProductElement(ProductElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Model</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Model</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseModel(Model object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>SEA Model</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>SEA Model</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseSEAModel(SEAModel object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	public Object defaultCase(EObject object) {
		return null;
	}

} //EcosystemintensionmodelSwitch
