/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.cinco.metamodel.ecosystem.ecosystemmodel.choreographies.impl;

import org.cinco.metamodel.ecosystem.domainontology.DomainontologyPackage;

import org.cinco.metamodel.ecosystem.domainontology.channels.ChannelsPackage;

import org.cinco.metamodel.ecosystem.domainontology.channels.impl.ChannelsPackageImpl;

import org.cinco.metamodel.ecosystem.domainontology.concepts.ConceptsPackage;

import org.cinco.metamodel.ecosystem.domainontology.concepts.impl.ConceptsPackageImpl;

import org.cinco.metamodel.ecosystem.domainontology.contracting.ContractingPackage;

import org.cinco.metamodel.ecosystem.domainontology.contracting.impl.ContractingPackageImpl;

import org.cinco.metamodel.ecosystem.domainontology.entities.EntitiesPackage;

import org.cinco.metamodel.ecosystem.domainontology.entities.impl.EntitiesPackageImpl;

import org.cinco.metamodel.ecosystem.domainontology.entitykinds.EntitykindsPackage;

import org.cinco.metamodel.ecosystem.domainontology.entitykinds.impl.EntitykindsPackageImpl;

import org.cinco.metamodel.ecosystem.domainontology.facilities.FacilitiesPackage;

import org.cinco.metamodel.ecosystem.domainontology.facilities.impl.FacilitiesPackageImpl;

import org.cinco.metamodel.ecosystem.domainontology.impl.DomainontologyPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.EcosystemintensionmodelPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.BindingsPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.impl.BindingsPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.FeaturesPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.contractualfeatures.ContractualfeaturesPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.contractualfeatures.impl.ContractualfeaturesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.cooperativefeatures.CooperativefeaturesPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.cooperativefeatures.impl.CooperativefeaturesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.extrafunctionalfeatures.ExtrafunctionalfeaturesPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.extrafunctionalfeatures.impl.ExtrafunctionalfeaturesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.facilityfeatures.FacilityfeaturesPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.facilityfeatures.impl.FacilityfeaturesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.functionalfeatures.FunctionalfeaturesPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.functionalfeatures.impl.FunctionalfeaturesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.impl.FeaturesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.impl.EcosystemintensionmodelPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.intensions.IntensionsPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.intensions.impl.IntensionsPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.PropertiesPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.contractualproperties.ContractualpropertiesPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.contractualproperties.impl.ContractualpropertiesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.cooperativeproperties.CooperativepropertiesPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.cooperativeproperties.impl.CooperativepropertiesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.facilityproperties.FacilitypropertiesPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.facilityproperties.impl.FacilitypropertiesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.functionalproperties.FunctionalpropertiesPackage;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.functionalproperties.impl.FunctionalpropertiesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.properties.impl.PropertiesPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemmodel.EcosystemmodelPackage;

import org.cinco.metamodel.ecosystem.ecosystemmodel.choreographies.BusinessAction;
import org.cinco.metamodel.ecosystem.ecosystemmodel.choreographies.BusinessTransaction;
import org.cinco.metamodel.ecosystem.ecosystemmodel.choreographies.ChoreographiesFactory;
import org.cinco.metamodel.ecosystem.ecosystemmodel.choreographies.ChoreographiesPackage;
import org.cinco.metamodel.ecosystem.ecosystemmodel.choreographies.ServiceChoreography;
import org.cinco.metamodel.ecosystem.ecosystemmodel.choreographies.ServiceCommitment;
import org.cinco.metamodel.ecosystem.ecosystemmodel.choreographies.ServiceConnection;
import org.cinco.metamodel.ecosystem.ecosystemmodel.choreographies.ServiceRole;

import org.cinco.metamodel.ecosystem.ecosystemmodel.impl.EcosystemmodelPackageImpl;

import org.cinco.metamodel.ecosystem.ecosystemmodel.lifecycle.LifecyclePackage;

import org.cinco.metamodel.ecosystem.ecosystemmodel.lifecycle.impl.LifecyclePackageImpl;

import org.cinco.metamodel.ecosystem.engineeringmodel.EngineeringmodelPackage;

import org.cinco.metamodel.ecosystem.engineeringmodel.engineeringcapability.EngineeringcapabilityPackage;

import org.cinco.metamodel.ecosystem.engineeringmodel.engineeringcapability.impl.EngineeringcapabilityPackageImpl;

import org.cinco.metamodel.ecosystem.engineeringmodel.engineeringspace.EngineeringspacePackage;

import org.cinco.metamodel.ecosystem.engineeringmodel.engineeringspace.impl.EngineeringspacePackageImpl;

import org.cinco.metamodel.ecosystem.engineeringmodel.impl.EngineeringmodelPackageImpl;

import org.cinco.metamodel.ecosystem.foundations.FoundationsPackage;

import org.cinco.metamodel.ecosystem.foundations.behaviour.BehaviourPackage;

import org.cinco.metamodel.ecosystem.foundations.behaviour.impl.BehaviourPackageImpl;

import org.cinco.metamodel.ecosystem.foundations.impl.FoundationsPackageImpl;

import org.cinco.metamodel.ecosystem.foundations.models.ModelsPackage;

import org.cinco.metamodel.ecosystem.foundations.models.impl.ModelsPackageImpl;

import org.cinco.metamodel.ecosystem.foundations.modeltransformations.ModeltransformationsPackage;

import org.cinco.metamodel.ecosystem.foundations.modeltransformations.impl.ModeltransformationsPackageImpl;

import org.cinco.metamodel.ecosystem.foundations.relationships.RelationshipsPackage;

import org.cinco.metamodel.ecosystem.foundations.relationships.impl.RelationshipsPackageImpl;

import org.cinco.metamodel.ecosystem.foundations.systems.SystemsPackage;

import org.cinco.metamodel.ecosystem.foundations.systems.impl.SystemsPackageImpl;

import org.cinco.metamodel.ecosystem.knowledgemanagementmodel.KnowledgemanagementmodelPackage;

import org.cinco.metamodel.ecosystem.knowledgemanagementmodel.impl.KnowledgemanagementmodelPackageImpl;

import org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.RepositoriesPackage;

import org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.RepositoriesPackageImpl;

import org.cinco.metamodel.ecosystem.seadescription.SeadescriptionPackage;

import org.cinco.metamodel.ecosystem.seadescription.impl.SeadescriptionPackageImpl;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import org.eclipse.emf.ecore.impl.EPackageImpl;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Package</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class ChoreographiesPackageImpl extends EPackageImpl implements ChoreographiesPackage {
	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass serviceConnectionEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass serviceRoleEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass serviceCommitmentEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass serviceChoreographyEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass businessTransactionEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass businessActionEClass = null;

	/**
	 * Creates an instance of the model <b>Package</b>, registered with
	 * {@link org.eclipse.emf.ecore.EPackage.Registry EPackage.Registry} by the package
	 * package URI value.
	 * <p>Note: the correct way to create the package is via the static
	 * factory method {@link #init init()}, which also performs
	 * initialization of the package, or returns the registered package,
	 * if one already exists.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.emf.ecore.EPackage.Registry
	 * @see org.cinco.metamodel.ecosystem.ecosystemmodel.choreographies.ChoreographiesPackage#eNS_URI
	 * @see #init()
	 * @generated
	 */
	private ChoreographiesPackageImpl() {
		super(eNS_URI, ChoreographiesFactory.eINSTANCE);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static boolean isInited = false;

	/**
	 * Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.
	 * 
	 * <p>This method is used to initialize {@link ChoreographiesPackage#eINSTANCE} when that field is accessed.
	 * Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #eNS_URI
	 * @see #createPackageContents()
	 * @see #initializePackageContents()
	 * @generated
	 */
	public static ChoreographiesPackage init() {
		if (isInited) return (ChoreographiesPackage)EPackage.Registry.INSTANCE.getEPackage(ChoreographiesPackage.eNS_URI);

		// Obtain or create and register package
		ChoreographiesPackageImpl theChoreographiesPackage = (ChoreographiesPackageImpl)(EPackage.Registry.INSTANCE.get(eNS_URI) instanceof ChoreographiesPackageImpl ? EPackage.Registry.INSTANCE.get(eNS_URI) : new ChoreographiesPackageImpl());

		isInited = true;

		// Obtain or create and register interdependencies
		EcosystemmodelPackageImpl theEcosystemmodelPackage = (EcosystemmodelPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(EcosystemmodelPackage.eNS_URI) instanceof EcosystemmodelPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(EcosystemmodelPackage.eNS_URI) : EcosystemmodelPackage.eINSTANCE);
		LifecyclePackageImpl theLifecyclePackage = (LifecyclePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(LifecyclePackage.eNS_URI) instanceof LifecyclePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(LifecyclePackage.eNS_URI) : LifecyclePackage.eINSTANCE);
		FoundationsPackageImpl theFoundationsPackage = (FoundationsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FoundationsPackage.eNS_URI) instanceof FoundationsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FoundationsPackage.eNS_URI) : FoundationsPackage.eINSTANCE);
		RelationshipsPackageImpl theRelationshipsPackage = (RelationshipsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(RelationshipsPackage.eNS_URI) instanceof RelationshipsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(RelationshipsPackage.eNS_URI) : RelationshipsPackage.eINSTANCE);
		SystemsPackageImpl theSystemsPackage = (SystemsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SystemsPackage.eNS_URI) instanceof SystemsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SystemsPackage.eNS_URI) : SystemsPackage.eINSTANCE);
		ModeltransformationsPackageImpl theModeltransformationsPackage = (ModeltransformationsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ModeltransformationsPackage.eNS_URI) instanceof ModeltransformationsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ModeltransformationsPackage.eNS_URI) : ModeltransformationsPackage.eINSTANCE);
		BehaviourPackageImpl theBehaviourPackage = (BehaviourPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(BehaviourPackage.eNS_URI) instanceof BehaviourPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(BehaviourPackage.eNS_URI) : BehaviourPackage.eINSTANCE);
		ModelsPackageImpl theModelsPackage = (ModelsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ModelsPackage.eNS_URI) instanceof ModelsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ModelsPackage.eNS_URI) : ModelsPackage.eINSTANCE);
		EcosystemintensionmodelPackageImpl theEcosystemintensionmodelPackage = (EcosystemintensionmodelPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(EcosystemintensionmodelPackage.eNS_URI) instanceof EcosystemintensionmodelPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(EcosystemintensionmodelPackage.eNS_URI) : EcosystemintensionmodelPackage.eINSTANCE);
		FeaturesPackageImpl theFeaturesPackage = (FeaturesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FeaturesPackage.eNS_URI) instanceof FeaturesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FeaturesPackage.eNS_URI) : FeaturesPackage.eINSTANCE);
		ContractualfeaturesPackageImpl theContractualfeaturesPackage = (ContractualfeaturesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ContractualfeaturesPackage.eNS_URI) instanceof ContractualfeaturesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ContractualfeaturesPackage.eNS_URI) : ContractualfeaturesPackage.eINSTANCE);
		FunctionalfeaturesPackageImpl theFunctionalfeaturesPackage = (FunctionalfeaturesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FunctionalfeaturesPackage.eNS_URI) instanceof FunctionalfeaturesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FunctionalfeaturesPackage.eNS_URI) : FunctionalfeaturesPackage.eINSTANCE);
		CooperativefeaturesPackageImpl theCooperativefeaturesPackage = (CooperativefeaturesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(CooperativefeaturesPackage.eNS_URI) instanceof CooperativefeaturesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(CooperativefeaturesPackage.eNS_URI) : CooperativefeaturesPackage.eINSTANCE);
		FacilityfeaturesPackageImpl theFacilityfeaturesPackage = (FacilityfeaturesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FacilityfeaturesPackage.eNS_URI) instanceof FacilityfeaturesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FacilityfeaturesPackage.eNS_URI) : FacilityfeaturesPackage.eINSTANCE);
		ExtrafunctionalfeaturesPackageImpl theExtrafunctionalfeaturesPackage = (ExtrafunctionalfeaturesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ExtrafunctionalfeaturesPackage.eNS_URI) instanceof ExtrafunctionalfeaturesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ExtrafunctionalfeaturesPackage.eNS_URI) : ExtrafunctionalfeaturesPackage.eINSTANCE);
		IntensionsPackageImpl theIntensionsPackage = (IntensionsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(IntensionsPackage.eNS_URI) instanceof IntensionsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(IntensionsPackage.eNS_URI) : IntensionsPackage.eINSTANCE);
		BindingsPackageImpl theBindingsPackage = (BindingsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(BindingsPackage.eNS_URI) instanceof BindingsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(BindingsPackage.eNS_URI) : BindingsPackage.eINSTANCE);
		PropertiesPackageImpl thePropertiesPackage = (PropertiesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(PropertiesPackage.eNS_URI) instanceof PropertiesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(PropertiesPackage.eNS_URI) : PropertiesPackage.eINSTANCE);
		ContractualpropertiesPackageImpl theContractualpropertiesPackage = (ContractualpropertiesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ContractualpropertiesPackage.eNS_URI) instanceof ContractualpropertiesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ContractualpropertiesPackage.eNS_URI) : ContractualpropertiesPackage.eINSTANCE);
		CooperativepropertiesPackageImpl theCooperativepropertiesPackage = (CooperativepropertiesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(CooperativepropertiesPackage.eNS_URI) instanceof CooperativepropertiesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(CooperativepropertiesPackage.eNS_URI) : CooperativepropertiesPackage.eINSTANCE);
		FacilitypropertiesPackageImpl theFacilitypropertiesPackage = (FacilitypropertiesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FacilitypropertiesPackage.eNS_URI) instanceof FacilitypropertiesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FacilitypropertiesPackage.eNS_URI) : FacilitypropertiesPackage.eINSTANCE);
		FunctionalpropertiesPackageImpl theFunctionalpropertiesPackage = (FunctionalpropertiesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FunctionalpropertiesPackage.eNS_URI) instanceof FunctionalpropertiesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FunctionalpropertiesPackage.eNS_URI) : FunctionalpropertiesPackage.eINSTANCE);
		DomainontologyPackageImpl theDomainontologyPackage = (DomainontologyPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(DomainontologyPackage.eNS_URI) instanceof DomainontologyPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(DomainontologyPackage.eNS_URI) : DomainontologyPackage.eINSTANCE);
		ContractingPackageImpl theContractingPackage = (ContractingPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ContractingPackage.eNS_URI) instanceof ContractingPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ContractingPackage.eNS_URI) : ContractingPackage.eINSTANCE);
		EntitiesPackageImpl theEntitiesPackage = (EntitiesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(EntitiesPackage.eNS_URI) instanceof EntitiesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(EntitiesPackage.eNS_URI) : EntitiesPackage.eINSTANCE);
		EntitykindsPackageImpl theEntitykindsPackage = (EntitykindsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(EntitykindsPackage.eNS_URI) instanceof EntitykindsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(EntitykindsPackage.eNS_URI) : EntitykindsPackage.eINSTANCE);
		ChannelsPackageImpl theChannelsPackage = (ChannelsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ChannelsPackage.eNS_URI) instanceof ChannelsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ChannelsPackage.eNS_URI) : ChannelsPackage.eINSTANCE);
		FacilitiesPackageImpl theFacilitiesPackage = (FacilitiesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FacilitiesPackage.eNS_URI) instanceof FacilitiesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FacilitiesPackage.eNS_URI) : FacilitiesPackage.eINSTANCE);
		ConceptsPackageImpl theConceptsPackage = (ConceptsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ConceptsPackage.eNS_URI) instanceof ConceptsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ConceptsPackage.eNS_URI) : ConceptsPackage.eINSTANCE);
		KnowledgemanagementmodelPackageImpl theKnowledgemanagementmodelPackage = (KnowledgemanagementmodelPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(KnowledgemanagementmodelPackage.eNS_URI) instanceof KnowledgemanagementmodelPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(KnowledgemanagementmodelPackage.eNS_URI) : KnowledgemanagementmodelPackage.eINSTANCE);
		RepositoriesPackageImpl theRepositoriesPackage = (RepositoriesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(RepositoriesPackage.eNS_URI) instanceof RepositoriesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(RepositoriesPackage.eNS_URI) : RepositoriesPackage.eINSTANCE);
		EngineeringmodelPackageImpl theEngineeringmodelPackage = (EngineeringmodelPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(EngineeringmodelPackage.eNS_URI) instanceof EngineeringmodelPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(EngineeringmodelPackage.eNS_URI) : EngineeringmodelPackage.eINSTANCE);
		EngineeringcapabilityPackageImpl theEngineeringcapabilityPackage = (EngineeringcapabilityPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(EngineeringcapabilityPackage.eNS_URI) instanceof EngineeringcapabilityPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(EngineeringcapabilityPackage.eNS_URI) : EngineeringcapabilityPackage.eINSTANCE);
		EngineeringspacePackageImpl theEngineeringspacePackage = (EngineeringspacePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(EngineeringspacePackage.eNS_URI) instanceof EngineeringspacePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(EngineeringspacePackage.eNS_URI) : EngineeringspacePackage.eINSTANCE);
		SeadescriptionPackageImpl theSeadescriptionPackage = (SeadescriptionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SeadescriptionPackage.eNS_URI) instanceof SeadescriptionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SeadescriptionPackage.eNS_URI) : SeadescriptionPackage.eINSTANCE);

		// Create package meta-data objects
		theChoreographiesPackage.createPackageContents();
		theEcosystemmodelPackage.createPackageContents();
		theLifecyclePackage.createPackageContents();
		theFoundationsPackage.createPackageContents();
		theRelationshipsPackage.createPackageContents();
		theSystemsPackage.createPackageContents();
		theModeltransformationsPackage.createPackageContents();
		theBehaviourPackage.createPackageContents();
		theModelsPackage.createPackageContents();
		theEcosystemintensionmodelPackage.createPackageContents();
		theFeaturesPackage.createPackageContents();
		theContractualfeaturesPackage.createPackageContents();
		theFunctionalfeaturesPackage.createPackageContents();
		theCooperativefeaturesPackage.createPackageContents();
		theFacilityfeaturesPackage.createPackageContents();
		theExtrafunctionalfeaturesPackage.createPackageContents();
		theIntensionsPackage.createPackageContents();
		theBindingsPackage.createPackageContents();
		thePropertiesPackage.createPackageContents();
		theContractualpropertiesPackage.createPackageContents();
		theCooperativepropertiesPackage.createPackageContents();
		theFacilitypropertiesPackage.createPackageContents();
		theFunctionalpropertiesPackage.createPackageContents();
		theDomainontologyPackage.createPackageContents();
		theContractingPackage.createPackageContents();
		theEntitiesPackage.createPackageContents();
		theEntitykindsPackage.createPackageContents();
		theChannelsPackage.createPackageContents();
		theFacilitiesPackage.createPackageContents();
		theConceptsPackage.createPackageContents();
		theKnowledgemanagementmodelPackage.createPackageContents();
		theRepositoriesPackage.createPackageContents();
		theEngineeringmodelPackage.createPackageContents();
		theEngineeringcapabilityPackage.createPackageContents();
		theEngineeringspacePackage.createPackageContents();
		theSeadescriptionPackage.createPackageContents();

		// Initialize created meta-data
		theChoreographiesPackage.initializePackageContents();
		theEcosystemmodelPackage.initializePackageContents();
		theLifecyclePackage.initializePackageContents();
		theFoundationsPackage.initializePackageContents();
		theRelationshipsPackage.initializePackageContents();
		theSystemsPackage.initializePackageContents();
		theModeltransformationsPackage.initializePackageContents();
		theBehaviourPackage.initializePackageContents();
		theModelsPackage.initializePackageContents();
		theEcosystemintensionmodelPackage.initializePackageContents();
		theFeaturesPackage.initializePackageContents();
		theContractualfeaturesPackage.initializePackageContents();
		theFunctionalfeaturesPackage.initializePackageContents();
		theCooperativefeaturesPackage.initializePackageContents();
		theFacilityfeaturesPackage.initializePackageContents();
		theExtrafunctionalfeaturesPackage.initializePackageContents();
		theIntensionsPackage.initializePackageContents();
		theBindingsPackage.initializePackageContents();
		thePropertiesPackage.initializePackageContents();
		theContractualpropertiesPackage.initializePackageContents();
		theCooperativepropertiesPackage.initializePackageContents();
		theFacilitypropertiesPackage.initializePackageContents();
		theFunctionalpropertiesPackage.initializePackageContents();
		theDomainontologyPackage.initializePackageContents();
		theContractingPackage.initializePackageContents();
		theEntitiesPackage.initializePackageContents();
		theEntitykindsPackage.initializePackageContents();
		theChannelsPackage.initializePackageContents();
		theFacilitiesPackage.initializePackageContents();
		theConceptsPackage.initializePackageContents();
		theKnowledgemanagementmodelPackage.initializePackageContents();
		theRepositoriesPackage.initializePackageContents();
		theEngineeringmodelPackage.initializePackageContents();
		theEngineeringcapabilityPackage.initializePackageContents();
		theEngineeringspacePackage.initializePackageContents();
		theSeadescriptionPackage.initializePackageContents();

		// Mark meta-data to indicate it can't be changed
		theChoreographiesPackage.freeze();

  
		// Update the registry and return the package
		EPackage.Registry.INSTANCE.put(ChoreographiesPackage.eNS_URI, theChoreographiesPackage);
		return theChoreographiesPackage;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getServiceConnection() {
		return serviceConnectionEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getServiceConnection_Servicerole() {
		return (EReference)serviceConnectionEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getServiceRole() {
		return serviceRoleEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getServiceRole_Actor() {
		return (EReference)serviceRoleEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getServiceCommitment() {
		return serviceCommitmentEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getServiceCommitment_Connection() {
		return (EReference)serviceCommitmentEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getServiceCommitment_Product() {
		return (EReference)serviceCommitmentEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getServiceChoreography() {
		return serviceChoreographyEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getServiceChoreography_Actions() {
		return (EReference)serviceChoreographyEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getServiceChoreography_Connections() {
		return (EReference)serviceChoreographyEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getServiceChoreography_Transactions() {
		return (EReference)serviceChoreographyEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getBusinessTransaction() {
		return businessTransactionEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getBusinessTransaction_Action() {
		return (EReference)businessTransactionEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getBusinessAction() {
		return businessActionEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getBusinessAction_Transaction() {
		return (EReference)businessActionEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getBusinessAction_Commitment() {
		return (EReference)businessActionEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ChoreographiesFactory getChoreographiesFactory() {
		return (ChoreographiesFactory)getEFactoryInstance();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private boolean isCreated = false;

	/**
	 * Creates the meta-model objects for the package.  This method is
	 * guarded to have no affect on any invocation but its first.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void createPackageContents() {
		if (isCreated) return;
		isCreated = true;

		// Create classes and their features
		serviceConnectionEClass = createEClass(SERVICE_CONNECTION);
		createEReference(serviceConnectionEClass, SERVICE_CONNECTION__SERVICEROLE);

		serviceRoleEClass = createEClass(SERVICE_ROLE);
		createEReference(serviceRoleEClass, SERVICE_ROLE__ACTOR);

		serviceCommitmentEClass = createEClass(SERVICE_COMMITMENT);
		createEReference(serviceCommitmentEClass, SERVICE_COMMITMENT__CONNECTION);
		createEReference(serviceCommitmentEClass, SERVICE_COMMITMENT__PRODUCT);

		serviceChoreographyEClass = createEClass(SERVICE_CHOREOGRAPHY);
		createEReference(serviceChoreographyEClass, SERVICE_CHOREOGRAPHY__ACTIONS);
		createEReference(serviceChoreographyEClass, SERVICE_CHOREOGRAPHY__CONNECTIONS);
		createEReference(serviceChoreographyEClass, SERVICE_CHOREOGRAPHY__TRANSACTIONS);

		businessTransactionEClass = createEClass(BUSINESS_TRANSACTION);
		createEReference(businessTransactionEClass, BUSINESS_TRANSACTION__ACTION);

		businessActionEClass = createEClass(BUSINESS_ACTION);
		createEReference(businessActionEClass, BUSINESS_ACTION__TRANSACTION);
		createEReference(businessActionEClass, BUSINESS_ACTION__COMMITMENT);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private boolean isInitialized = false;

	/**
	 * Complete the initialization of the package and its meta-model.  This
	 * method is guarded to have no affect on any invocation but its first.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void initializePackageContents() {
		if (isInitialized) return;
		isInitialized = true;

		// Initialize package
		setName(eNAME);
		setNsPrefix(eNS_PREFIX);
		setNsURI(eNS_URI);

		// Obtain other dependent packages
		EcosystemintensionmodelPackage theEcosystemintensionmodelPackage = (EcosystemintensionmodelPackage)EPackage.Registry.INSTANCE.getEPackage(EcosystemintensionmodelPackage.eNS_URI);
		BindingsPackage theBindingsPackage = (BindingsPackage)EPackage.Registry.INSTANCE.getEPackage(BindingsPackage.eNS_URI);
		BehaviourPackage theBehaviourPackage = (BehaviourPackage)EPackage.Registry.INSTANCE.getEPackage(BehaviourPackage.eNS_URI);
		LifecyclePackage theLifecyclePackage = (LifecyclePackage)EPackage.Registry.INSTANCE.getEPackage(LifecyclePackage.eNS_URI);
		EcosystemmodelPackage theEcosystemmodelPackage = (EcosystemmodelPackage)EPackage.Registry.INSTANCE.getEPackage(EcosystemmodelPackage.eNS_URI);
		FoundationsPackage theFoundationsPackage = (FoundationsPackage)EPackage.Registry.INSTANCE.getEPackage(FoundationsPackage.eNS_URI);

		// Add supertypes to classes
		serviceConnectionEClass.getESuperTypes().add(theEcosystemintensionmodelPackage.getStructuralElement());
		serviceConnectionEClass.getESuperTypes().add(theBindingsPackage.getExtraFunctionalFeatureTarget());
		serviceRoleEClass.getESuperTypes().add(theEcosystemintensionmodelPackage.getStructuralElement());
		serviceRoleEClass.getESuperTypes().add(theBehaviourPackage.getChoreographyRole());
		serviceRoleEClass.getESuperTypes().add(theBindingsPackage.getCooperativeFeatureTarget());
		serviceCommitmentEClass.getESuperTypes().add(theBehaviourPackage.getCommitment());
		serviceCommitmentEClass.getESuperTypes().add(theEcosystemintensionmodelPackage.getStructuralElement());
		serviceChoreographyEClass.getESuperTypes().add(theEcosystemintensionmodelPackage.getInstantiatableElement());
		serviceChoreographyEClass.getESuperTypes().add(theBehaviourPackage.getChoreography());
		businessTransactionEClass.getESuperTypes().add(theEcosystemmodelPackage.getBehaviouralCapability());
		businessTransactionEClass.getESuperTypes().add(theFoundationsPackage.getNamedElement());
		businessTransactionEClass.getESuperTypes().add(theBindingsPackage.getContractualFeatureTarget());
		businessActionEClass.getESuperTypes().add(theEcosystemintensionmodelPackage.getStructuralElement());
		businessActionEClass.getESuperTypes().add(theBehaviourPackage.getChoreographyStage());

		// Initialize classes and features; add operations and parameters
		initEClass(serviceConnectionEClass, ServiceConnection.class, "ServiceConnection", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getServiceConnection_Servicerole(), this.getServiceRole(), null, "servicerole", null, 1, -1, ServiceConnection.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);

		initEClass(serviceRoleEClass, ServiceRole.class, "ServiceRole", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getServiceRole_Actor(), theLifecyclePackage.getActor(), null, "actor", null, 1, 1, ServiceRole.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);

		initEClass(serviceCommitmentEClass, ServiceCommitment.class, "ServiceCommitment", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getServiceCommitment_Connection(), this.getServiceConnection(), null, "connection", null, 1, 1, ServiceCommitment.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
		initEReference(getServiceCommitment_Product(), theLifecyclePackage.getLifeCycleProduct(), null, "product", null, 0, 1, ServiceCommitment.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);

		initEClass(serviceChoreographyEClass, ServiceChoreography.class, "ServiceChoreography", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getServiceChoreography_Actions(), this.getBusinessAction(), null, "actions", null, 1, -1, ServiceChoreography.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
		initEReference(getServiceChoreography_Connections(), this.getServiceConnection(), null, "connections", null, 1, -1, ServiceChoreography.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
		initEReference(getServiceChoreography_Transactions(), this.getBusinessTransaction(), null, "transactions", null, 1, -1, ServiceChoreography.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);

		initEClass(businessTransactionEClass, BusinessTransaction.class, "BusinessTransaction", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getBusinessTransaction_Action(), this.getBusinessAction(), this.getBusinessAction_Transaction(), "action", null, 1, -1, BusinessTransaction.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);

		initEClass(businessActionEClass, BusinessAction.class, "BusinessAction", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getBusinessAction_Transaction(), this.getBusinessTransaction(), this.getBusinessTransaction_Action(), "transaction", null, 1, -1, BusinessAction.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
		initEReference(getBusinessAction_Commitment(), this.getServiceCommitment(), null, "commitment", null, 1, 1, BusinessAction.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
	}

} //ChoreographiesPackageImpl
