/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.cinco.metamodel.ecosystem.ecosystemmodel.lifecycle;

import org.cinco.metamodel.ecosystem.domainontology.contracting.ServiceLiaison;

import org.cinco.metamodel.ecosystem.ecosystemmodel.EcosystemElement;

import org.cinco.metamodel.ecosystem.foundations.behaviour.Phase;

import org.eclipse.emf.common.util.EList;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Life Cycle Phase</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link org.cinco.metamodel.ecosystem.ecosystemmodel.lifecycle.LifeCyclePhase#getOutput <em>Output</em>}</li>
 *   <li>{@link org.cinco.metamodel.ecosystem.ecosystemmodel.lifecycle.LifeCyclePhase#getInput <em>Input</em>}</li>
 *   <li>{@link org.cinco.metamodel.ecosystem.ecosystemmodel.lifecycle.LifeCyclePhase#getActor <em>Actor</em>}</li>
 *   <li>{@link org.cinco.metamodel.ecosystem.ecosystemmodel.lifecycle.LifeCyclePhase#getLiaison <em>Liaison</em>}</li>
 * </ul>
 * </p>
 *
 * @see org.cinco.metamodel.ecosystem.ecosystemmodel.lifecycle.LifecyclePackage#getLifeCyclePhase()
 * @model
 * @generated
 */
public interface LifeCyclePhase extends EcosystemElement, Phase {
	/**
	 * Returns the value of the '<em><b>Output</b></em>' reference list.
	 * The list contents are of type {@link org.cinco.metamodel.ecosystem.ecosystemmodel.lifecycle.LifeCycleProduct}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Output</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Output</em>' reference list.
	 * @see org.cinco.metamodel.ecosystem.ecosystemmodel.lifecycle.LifecyclePackage#getLifeCyclePhase_Output()
	 * @model type="org.cinco.metamodel.ecosystem.ecosystemmodel.lifecycle.LifeCycleProduct" ordered="false"
	 * @generated
	 */
	EList getOutput();

	/**
	 * Returns the value of the '<em><b>Input</b></em>' reference list.
	 * The list contents are of type {@link org.cinco.metamodel.ecosystem.ecosystemmodel.lifecycle.LifeCycleProduct}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Input</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Input</em>' reference list.
	 * @see org.cinco.metamodel.ecosystem.ecosystemmodel.lifecycle.LifecyclePackage#getLifeCyclePhase_Input()
	 * @model type="org.cinco.metamodel.ecosystem.ecosystemmodel.lifecycle.LifeCycleProduct" ordered="false"
	 * @generated
	 */
	EList getInput();

	/**
	 * Returns the value of the '<em><b>Actor</b></em>' reference list.
	 * The list contents are of type {@link org.cinco.metamodel.ecosystem.ecosystemmodel.lifecycle.Actor}.
	 * It is bidirectional and its opposite is '{@link org.cinco.metamodel.ecosystem.ecosystemmodel.lifecycle.Actor#getParticipates <em>Participates</em>}'.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Actor</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Actor</em>' reference list.
	 * @see org.cinco.metamodel.ecosystem.ecosystemmodel.lifecycle.LifecyclePackage#getLifeCyclePhase_Actor()
	 * @see org.cinco.metamodel.ecosystem.ecosystemmodel.lifecycle.Actor#getParticipates
	 * @model type="org.cinco.metamodel.ecosystem.ecosystemmodel.lifecycle.Actor" opposite="participates" required="true" ordered="false"
	 * @generated
	 */
	EList getActor();

	/**
	 * Returns the value of the '<em><b>Liaison</b></em>' reference.
	 * It is bidirectional and its opposite is '{@link org.cinco.metamodel.ecosystem.domainontology.contracting.ServiceLiaison#getPhase <em>Phase</em>}'.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Liaison</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Liaison</em>' reference.
	 * @see #setLiaison(ServiceLiaison)
	 * @see org.cinco.metamodel.ecosystem.ecosystemmodel.lifecycle.LifecyclePackage#getLifeCyclePhase_Liaison()
	 * @see org.cinco.metamodel.ecosystem.domainontology.contracting.ServiceLiaison#getPhase
	 * @model opposite="phase" required="true" ordered="false"
	 * @generated
	 */
	ServiceLiaison getLiaison();

	/**
	 * Sets the value of the '{@link org.cinco.metamodel.ecosystem.ecosystemmodel.lifecycle.LifeCyclePhase#getLiaison <em>Liaison</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Liaison</em>' reference.
	 * @see #getLiaison()
	 * @generated
	 */
	void setLiaison(ServiceLiaison value);

} // LifeCyclePhase
