/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.cinco.metamodel.ecosystem.ecosystemmodel.util;

import java.util.List;

import org.cinco.metamodel.ecosystem.domainontology.concepts.GeneralizableElement;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.ExtendableElement;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.ExtensionType;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.InstantiatableElement;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.IntensionModelElement;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.StructuralElement;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.BindingTarget;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.bindings.PropertyBindingTarget;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.Feature;

import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.functionalfeatures.ComponentServiceFeature;
import org.cinco.metamodel.ecosystem.ecosystemintensionmodel.features.functionalfeatures.ServiceFeature;

import org.cinco.metamodel.ecosystem.ecosystemmodel.*;

import org.cinco.metamodel.ecosystem.ecosystemmodel.lifecycle.Actor;

import org.cinco.metamodel.ecosystem.engineeringmodel.EngineeringModelElement;

import org.cinco.metamodel.ecosystem.engineeringmodel.engineeringspace.ProductElement;

import org.cinco.metamodel.ecosystem.foundations.NamedElement;
import org.cinco.metamodel.ecosystem.foundations.Role;

import org.cinco.metamodel.ecosystem.foundations.behaviour.Action;
import org.cinco.metamodel.ecosystem.foundations.behaviour.BehaviouralPattern;
import org.cinco.metamodel.ecosystem.foundations.behaviour.Event;

import org.cinco.metamodel.ecosystem.foundations.models.Model;
import org.cinco.metamodel.ecosystem.foundations.models.ModelElement;

import org.cinco.metamodel.ecosystem.foundations.systems.AbstractSystem;

import org.cinco.metamodel.ecosystem.seadescription.SEAModel;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see org.cinco.metamodel.ecosystem.ecosystemmodel.EcosystemmodelPackage
 * @generated
 */
public class EcosystemmodelSwitch {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static EcosystemmodelPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EcosystemmodelSwitch() {
		if (modelPackage == null) {
			modelPackage = EcosystemmodelPackage.eINSTANCE;
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	public Object doSwitch(EObject theEObject) {
		return doSwitch(theEObject.eClass(), theEObject);
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected Object doSwitch(EClass theEClass, EObject theEObject) {
		if (theEClass.eContainer() == modelPackage) {
			return doSwitch(theEClass.getClassifierID(), theEObject);
		}
		else {
			List eSuperTypes = theEClass.getESuperTypes();
			return
				eSuperTypes.isEmpty() ?
					defaultCase(theEObject) :
					doSwitch((EClass)eSuperTypes.get(0), theEObject);
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected Object doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case EcosystemmodelPackage.ECOSYSTEM_ELEMENT: {
				EcosystemElement ecosystemElement = (EcosystemElement)theEObject;
				Object result = caseEcosystemElement(ecosystemElement);
				if (result == null) result = caseAbstractSystem(ecosystemElement);
				if (result == null) result = caseModelElement(ecosystemElement);
				if (result == null) result = caseSystem(ecosystemElement);
				if (result == null) result = caseNamedElement(ecosystemElement);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcosystemmodelPackage.CAPABILITY: {
				Capability capability = (Capability)theEObject;
				Object result = caseCapability(capability);
				if (result == null) result = caseAbstractSystem(capability);
				if (result == null) result = caseSystem(capability);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcosystemmodelPackage.INFRASTRUCTURE_SERVICE: {
				InfrastructureService infrastructureService = (InfrastructureService)theEObject;
				Object result = caseInfrastructureService(infrastructureService);
				if (result == null) result = caseActor(infrastructureService);
				if (result == null) result = caseService(infrastructureService);
				if (result == null) result = caseEcosystemElement(infrastructureService);
				if (result == null) result = caseRole(infrastructureService);
				if (result == null) result = caseAbstractSystem(infrastructureService);
				if (result == null) result = caseModelElement(infrastructureService);
				if (result == null) result = caseSystem(infrastructureService);
				if (result == null) result = caseNamedElement(infrastructureService);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcosystemmodelPackage.SERVICE: {
				Service service = (Service)theEObject;
				Object result = caseService(service);
				if (result == null) result = caseAbstractSystem(service);
				if (result == null) result = caseSystem(service);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcosystemmodelPackage.ECOSYSTEM_CAPABILITY: {
				EcosystemCapability ecosystemCapability = (EcosystemCapability)theEObject;
				Object result = caseEcosystemCapability(ecosystemCapability);
				if (result == null) result = caseCapability(ecosystemCapability);
				if (result == null) result = caseEcosystemElement(ecosystemCapability);
				if (result == null) result = caseAbstractSystem(ecosystemCapability);
				if (result == null) result = caseModelElement(ecosystemCapability);
				if (result == null) result = caseSystem(ecosystemCapability);
				if (result == null) result = caseNamedElement(ecosystemCapability);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcosystemmodelPackage.SERVICE_OPERATION: {
				ServiceOperation serviceOperation = (ServiceOperation)theEObject;
				Object result = caseServiceOperation(serviceOperation);
				if (result == null) result = caseStructuralElement(serviceOperation);
				if (result == null) result = casePropertyBindingTarget(serviceOperation);
				if (result == null) result = caseInstantiatableElement(serviceOperation);
				if (result == null) result = caseProductElement(serviceOperation);
				if (result == null) result = caseBindingTarget(serviceOperation);
				if (result == null) result = caseExtendableElement(serviceOperation);
				if (result == null) result = caseGeneralizableElement(serviceOperation);
				if (result == null) result = caseIntensionModelElement(serviceOperation);
				if (result == null) result = caseEngineeringModelElement(serviceOperation);
				if (result == null) result = caseAbstractSystem(serviceOperation);
				if (result == null) result = caseExtensionType(serviceOperation);
				if (result == null) result = caseModelElement(serviceOperation);
				if (result == null) result = caseSystem(serviceOperation);
				if (result == null) result = caseNamedElement(serviceOperation);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcosystemmodelPackage.CONVERSATION_STAGE: {
				ConversationStage conversationStage = (ConversationStage)theEObject;
				Object result = caseConversationStage(conversationStage);
				if (result == null) result = caseStructuralElement(conversationStage);
				if (result == null) result = caseAction(conversationStage);
				if (result == null) result = caseInstantiatableElement(conversationStage);
				if (result == null) result = caseProductElement(conversationStage);
				if (result == null) result = caseEvent(conversationStage);
				if (result == null) result = caseExtendableElement(conversationStage);
				if (result == null) result = caseGeneralizableElement(conversationStage);
				if (result == null) result = caseIntensionModelElement(conversationStage);
				if (result == null) result = caseEngineeringModelElement(conversationStage);
				if (result == null) result = caseAbstractSystem(conversationStage);
				if (result == null) result = caseExtensionType(conversationStage);
				if (result == null) result = caseModelElement(conversationStage);
				if (result == null) result = caseSystem(conversationStage);
				if (result == null) result = caseNamedElement(conversationStage);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcosystemmodelPackage.BEHAVIOURAL_CAPABILITY: {
				BehaviouralCapability behaviouralCapability = (BehaviouralCapability)theEObject;
				Object result = caseBehaviouralCapability(behaviouralCapability);
				if (result == null) result = caseCapability(behaviouralCapability);
				if (result == null) result = caseAbstractSystem(behaviouralCapability);
				if (result == null) result = caseSystem(behaviouralCapability);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcosystemmodelPackage.INTERACTION_SCHEME: {
				InteractionScheme interactionScheme = (InteractionScheme)theEObject;
				Object result = caseInteractionScheme(interactionScheme);
				if (result == null) result = caseBehaviouralCapability(interactionScheme);
				if (result == null) result = caseCapability(interactionScheme);
				if (result == null) result = caseAbstractSystem(interactionScheme);
				if (result == null) result = caseSystem(interactionScheme);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcosystemmodelPackage.SERVICE_CONVERSATION: {
				ServiceConversation serviceConversation = (ServiceConversation)theEObject;
				Object result = caseServiceConversation(serviceConversation);
				if (result == null) result = caseComponentServiceFeature(serviceConversation);
				if (result == null) result = caseBehaviouralPattern(serviceConversation);
				if (result == null) result = caseServiceFeature(serviceConversation);
				if (result == null) result = caseFeature(serviceConversation);
				if (result == null) result = caseInstantiatableElement(serviceConversation);
				if (result == null) result = caseProductElement(serviceConversation);
				if (result == null) result = caseExtendableElement(serviceConversation);
				if (result == null) result = caseGeneralizableElement(serviceConversation);
				if (result == null) result = caseIntensionModelElement(serviceConversation);
				if (result == null) result = caseEngineeringModelElement(serviceConversation);
				if (result == null) result = caseAbstractSystem(serviceConversation);
				if (result == null) result = caseExtensionType(serviceConversation);
				if (result == null) result = caseModelElement(serviceConversation);
				if (result == null) result = caseSystem(serviceConversation);
				if (result == null) result = caseNamedElement(serviceConversation);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcosystemmodelPackage.SERVICE_PROTOCOL: {
				ServiceProtocol serviceProtocol = (ServiceProtocol)theEObject;
				Object result = caseServiceProtocol(serviceProtocol);
				if (result == null) result = caseBehaviouralCapability(serviceProtocol);
				if (result == null) result = caseCapability(serviceProtocol);
				if (result == null) result = caseAbstractSystem(serviceProtocol);
				if (result == null) result = caseSystem(serviceProtocol);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcosystemmodelPackage.KNOWLEDGE_BASE: {
				KnowledgeBase knowledgeBase = (KnowledgeBase)theEObject;
				Object result = caseKnowledgeBase(knowledgeBase);
				if (result == null) result = caseEcosystemCapability(knowledgeBase);
				if (result == null) result = caseCapability(knowledgeBase);
				if (result == null) result = caseEcosystemElement(knowledgeBase);
				if (result == null) result = caseAbstractSystem(knowledgeBase);
				if (result == null) result = caseModelElement(knowledgeBase);
				if (result == null) result = caseSystem(knowledgeBase);
				if (result == null) result = caseNamedElement(knowledgeBase);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcosystemmodelPackage.QUALITATIVE_CAPABILITY: {
				QualitativeCapability qualitativeCapability = (QualitativeCapability)theEObject;
				Object result = caseQualitativeCapability(qualitativeCapability);
				if (result == null) result = caseEcosystemCapability(qualitativeCapability);
				if (result == null) result = caseCapability(qualitativeCapability);
				if (result == null) result = caseEcosystemElement(qualitativeCapability);
				if (result == null) result = caseAbstractSystem(qualitativeCapability);
				if (result == null) result = caseModelElement(qualitativeCapability);
				if (result == null) result = caseSystem(qualitativeCapability);
				if (result == null) result = caseNamedElement(qualitativeCapability);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcosystemmodelPackage.ECOSYSTEM_MODEL: {
				EcosystemModel ecosystemModel = (EcosystemModel)theEObject;
				Object result = caseEcosystemModel(ecosystemModel);
				if (result == null) result = caseModel(ecosystemModel);
				if (result == null) result = caseSEAModel(ecosystemModel);
				if (result == null) result = caseAbstractSystem(ecosystemModel);
				if (result == null) result = caseNamedElement(ecosystemModel);
				if (result == null) result = caseSystem(ecosystemModel);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcosystemmodelPackage.FUNCTIONAL_CAPABILITY: {
				FunctionalCapability functionalCapability = (FunctionalCapability)theEObject;
				Object result = caseFunctionalCapability(functionalCapability);
				if (result == null) result = caseEcosystemCapability(functionalCapability);
				if (result == null) result = caseCapability(functionalCapability);
				if (result == null) result = caseEcosystemElement(functionalCapability);
				if (result == null) result = caseAbstractSystem(functionalCapability);
				if (result == null) result = caseModelElement(functionalCapability);
				if (result == null) result = caseSystem(functionalCapability);
				if (result == null) result = caseNamedElement(functionalCapability);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcosystemmodelPackage.ECOSYSTEM_DOMAIN: {
				EcosystemDomain ecosystemDomain = (EcosystemDomain)theEObject;
				Object result = caseEcosystemDomain(ecosystemDomain);
				if (result == null) result = caseEcosystemModel(ecosystemDomain);
				if (result == null) result = caseEcosystemElement(ecosystemDomain);
				if (result == null) result = caseModel(ecosystemDomain);
				if (result == null) result = caseSEAModel(ecosystemDomain);
				if (result == null) result = caseModelElement(ecosystemDomain);
				if (result == null) result = caseAbstractSystem(ecosystemDomain);
				if (result == null) result = caseNamedElement(ecosystemDomain);
				if (result == null) result = caseSystem(ecosystemDomain);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Ecosystem Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Ecosystem Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEcosystemElement(EcosystemElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Capability</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Capability</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCapability(Capability object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Infrastructure Service</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Infrastructure Service</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseInfrastructureService(InfrastructureService object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Service</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Service</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseService(Service object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Ecosystem Capability</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Ecosystem Capability</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEcosystemCapability(EcosystemCapability object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Service Operation</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Service Operation</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseServiceOperation(ServiceOperation object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Conversation Stage</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Conversation Stage</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseConversationStage(ConversationStage object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Behavioural Capability</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Behavioural Capability</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBehaviouralCapability(BehaviouralCapability object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Interaction Scheme</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Interaction Scheme</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseInteractionScheme(InteractionScheme object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Service Conversation</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Service Conversation</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseServiceConversation(ServiceConversation object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Service Protocol</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Service Protocol</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseServiceProtocol(ServiceProtocol object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Knowledge Base</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Knowledge Base</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseKnowledgeBase(KnowledgeBase object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Qualitative Capability</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Qualitative Capability</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseQualitativeCapability(QualitativeCapability object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Ecosystem Model</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Ecosystem Model</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEcosystemModel(EcosystemModel object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Functional Capability</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Functional Capability</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseFunctionalCapability(FunctionalCapability object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Ecosystem Domain</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Ecosystem Domain</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEcosystemDomain(EcosystemDomain object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>System</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>System</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseSystem(org.cinco.metamodel.ecosystem.foundations.systems.System object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Abstract System</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Abstract System</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseAbstractSystem(AbstractSystem object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseNamedElement(NamedElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseModelElement(ModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Role</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Role</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseRole(Role object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Actor</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Actor</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseActor(Actor object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Extension Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Extension Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseExtensionType(ExtensionType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Extendable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Extendable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseExtendableElement(ExtendableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Generalizable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Generalizable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseGeneralizableElement(GeneralizableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Intension Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Intension Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseIntensionModelElement(IntensionModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Instantiatable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Instantiatable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseInstantiatableElement(InstantiatableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Engineering Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Engineering Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEngineeringModelElement(EngineeringModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Product Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Product Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseProductElement(ProductElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Structural Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Structural Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseStructuralElement(StructuralElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Binding Target</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Binding Target</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBindingTarget(BindingTarget object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Property Binding Target</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Property Binding Target</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object casePropertyBindingTarget(PropertyBindingTarget object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Event</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Event</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEvent(Event object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Action</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Action</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseAction(Action object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Feature</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Feature</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseFeature(Feature object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Service Feature</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Service Feature</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseServiceFeature(ServiceFeature object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Component Service Feature</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Component Service Feature</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseComponentServiceFeature(ComponentServiceFeature object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Behavioural Pattern</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Behavioural Pattern</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBehaviouralPattern(BehaviouralPattern object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Model</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Model</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseModel(Model object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>SEA Model</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>SEA Model</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseSEAModel(SEAModel object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	public Object defaultCase(EObject object) {
		return null;
	}

} //EcosystemmodelSwitch
