/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.cinco.metamodel.ecosystem.foundations.behaviour;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Behavioural Pattern</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * <html>
 *   <head>
 * 		<style>
 * 			p {padding:0px; margin:0px;}
 * 		</style>
 * 	</head>
 *   <body>
 *     <p>
 * A <i>BehaviouralPattern</i> describes the behaviour of a behavioural entity. The
 *     </p>
 * 
 *     <p>
 * features associated with endpoint entities are classified further to
 *     </p>
 * 
 *     <p>
 * transmission and messaging related features. Behavioural patterns are used for
 *     </p>
 * 
 *     <p>
 * expressing sequential behaviour with finitely many distinguishable
 *     </p>
 * 
 *     <p>
 * activities.
 * 
 *     </p>
 * 
 *   </body>
 * </html>
 * 
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link org.cinco.metamodel.ecosystem.foundations.behaviour.BehaviouralPattern#getStages <em>Stages</em>}</li>
 * </ul>
 * </p>
 *
 * @see org.cinco.metamodel.ecosystem.foundations.behaviour.BehaviourPackage#getBehaviouralPattern()
 * @model abstract="true"
 * @generated
 */
public interface BehaviouralPattern extends EObject {
	/**
	 * Returns the value of the '<em><b>Stages</b></em>' containment reference list.
	 * The list contents are of type {@link org.cinco.metamodel.ecosystem.foundations.behaviour.Action}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Stages</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Stages</em>' containment reference list.
	 * @see org.cinco.metamodel.ecosystem.foundations.behaviour.BehaviourPackage#getBehaviouralPattern_Stages()
	 * @model type="org.cinco.metamodel.ecosystem.foundations.behaviour.Action" containment="true" required="true" ordered="false"
	 * @generated
	 */
	EList getStages();

} // BehaviouralPattern
