/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.cinco.metamodel.ecosystem.foundations.systems;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see org.cinco.metamodel.ecosystem.foundations.systems.SystemsFactory
 * @model kind="package"
 * @generated
 */
public interface SystemsPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "systems";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http:///ecosystem/foundations/systems.ecore";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "ecosystem.foundations.systems";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	SystemsPackage eINSTANCE = org.cinco.metamodel.ecosystem.foundations.systems.impl.SystemsPackageImpl.init();

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.foundations.systems.impl.SystemImpl <em>System</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.foundations.systems.impl.SystemImpl
	 * @see org.cinco.metamodel.ecosystem.foundations.systems.impl.SystemsPackageImpl#getSystem()
	 * @generated
	 */
	int SYSTEM = 1;

	/**
	 * The feature id for the '<em><b>Conforms To</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYSTEM__CONFORMS_TO = 0;

	/**
	 * The feature id for the '<em><b>Representation Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYSTEM__REPRESENTATION_OF = 1;

	/**
	 * The feature id for the '<em><b>Element Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYSTEM__ELEMENT_OF = 2;

	/**
	 * The number of structural features of the '<em>System</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYSTEM_FEATURE_COUNT = 3;

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.foundations.systems.impl.PhysicalSystemImpl <em>Physical System</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.foundations.systems.impl.PhysicalSystemImpl
	 * @see org.cinco.metamodel.ecosystem.foundations.systems.impl.SystemsPackageImpl#getPhysicalSystem()
	 * @generated
	 */
	int PHYSICAL_SYSTEM = 0;

	/**
	 * The feature id for the '<em><b>Conforms To</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SYSTEM__CONFORMS_TO = SYSTEM__CONFORMS_TO;

	/**
	 * The feature id for the '<em><b>Representation Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SYSTEM__REPRESENTATION_OF = SYSTEM__REPRESENTATION_OF;

	/**
	 * The feature id for the '<em><b>Element Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SYSTEM__ELEMENT_OF = SYSTEM__ELEMENT_OF;

	/**
	 * The number of structural features of the '<em>Physical System</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SYSTEM_FEATURE_COUNT = SYSTEM_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.foundations.systems.impl.AbstractSystemImpl <em>Abstract System</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.foundations.systems.impl.AbstractSystemImpl
	 * @see org.cinco.metamodel.ecosystem.foundations.systems.impl.SystemsPackageImpl#getAbstractSystem()
	 * @generated
	 */
	int ABSTRACT_SYSTEM = 5;

	/**
	 * The feature id for the '<em><b>Conforms To</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_SYSTEM__CONFORMS_TO = SYSTEM__CONFORMS_TO;

	/**
	 * The feature id for the '<em><b>Representation Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_SYSTEM__REPRESENTATION_OF = SYSTEM__REPRESENTATION_OF;

	/**
	 * The feature id for the '<em><b>Element Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_SYSTEM__ELEMENT_OF = SYSTEM__ELEMENT_OF;

	/**
	 * The feature id for the '<em><b>Intension</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_SYSTEM__INTENSION = SYSTEM_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Extension</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_SYSTEM__EXTENSION = SYSTEM_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Abstract System</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_SYSTEM_FEATURE_COUNT = SYSTEM_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.foundations.systems.impl.SetImpl <em>Set</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.foundations.systems.impl.SetImpl
	 * @see org.cinco.metamodel.ecosystem.foundations.systems.impl.SystemsPackageImpl#getSet()
	 * @generated
	 */
	int SET = 2;

	/**
	 * The feature id for the '<em><b>Conforms To</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET__CONFORMS_TO = ABSTRACT_SYSTEM__CONFORMS_TO;

	/**
	 * The feature id for the '<em><b>Representation Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET__REPRESENTATION_OF = ABSTRACT_SYSTEM__REPRESENTATION_OF;

	/**
	 * The feature id for the '<em><b>Element Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET__ELEMENT_OF = ABSTRACT_SYSTEM__ELEMENT_OF;

	/**
	 * The feature id for the '<em><b>Intension</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET__INTENSION = ABSTRACT_SYSTEM__INTENSION;

	/**
	 * The feature id for the '<em><b>Extension</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET__EXTENSION = ABSTRACT_SYSTEM__EXTENSION;

	/**
	 * The feature id for the '<em><b>Included In</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET__INCLUDED_IN = ABSTRACT_SYSTEM_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET__ELEMENT = ABSTRACT_SYSTEM_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Set</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET_FEATURE_COUNT = ABSTRACT_SYSTEM_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.foundations.systems.impl.DigitalSystemImpl <em>Digital System</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.foundations.systems.impl.DigitalSystemImpl
	 * @see org.cinco.metamodel.ecosystem.foundations.systems.impl.SystemsPackageImpl#getDigitalSystem()
	 * @generated
	 */
	int DIGITAL_SYSTEM = 3;

	/**
	 * The feature id for the '<em><b>Conforms To</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DIGITAL_SYSTEM__CONFORMS_TO = SYSTEM__CONFORMS_TO;

	/**
	 * The feature id for the '<em><b>Representation Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DIGITAL_SYSTEM__REPRESENTATION_OF = SYSTEM__REPRESENTATION_OF;

	/**
	 * The feature id for the '<em><b>Element Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DIGITAL_SYSTEM__ELEMENT_OF = SYSTEM__ELEMENT_OF;

	/**
	 * The number of structural features of the '<em>Digital System</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DIGITAL_SYSTEM_FEATURE_COUNT = SYSTEM_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.foundations.systems.impl.IntensionalSystemImpl <em>Intensional System</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.foundations.systems.impl.IntensionalSystemImpl
	 * @see org.cinco.metamodel.ecosystem.foundations.systems.impl.SystemsPackageImpl#getIntensionalSystem()
	 * @generated
	 */
	int INTENSIONAL_SYSTEM = 4;

	/**
	 * The feature id for the '<em><b>Conforms To</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTENSIONAL_SYSTEM__CONFORMS_TO = ABSTRACT_SYSTEM__CONFORMS_TO;

	/**
	 * The feature id for the '<em><b>Representation Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTENSIONAL_SYSTEM__REPRESENTATION_OF = ABSTRACT_SYSTEM__REPRESENTATION_OF;

	/**
	 * The feature id for the '<em><b>Element Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTENSIONAL_SYSTEM__ELEMENT_OF = ABSTRACT_SYSTEM__ELEMENT_OF;

	/**
	 * The feature id for the '<em><b>Intension</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTENSIONAL_SYSTEM__INTENSION = ABSTRACT_SYSTEM__INTENSION;

	/**
	 * The feature id for the '<em><b>Extension</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTENSIONAL_SYSTEM__EXTENSION = ABSTRACT_SYSTEM__EXTENSION;

	/**
	 * The number of structural features of the '<em>Intensional System</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTENSIONAL_SYSTEM_FEATURE_COUNT = ABSTRACT_SYSTEM_FEATURE_COUNT + 0;


	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.foundations.systems.PhysicalSystem <em>Physical System</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Physical System</em>'.
	 * @see org.cinco.metamodel.ecosystem.foundations.systems.PhysicalSystem
	 * @generated
	 */
	EClass getPhysicalSystem();

	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.foundations.systems.System <em>System</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>System</em>'.
	 * @see org.cinco.metamodel.ecosystem.foundations.systems.System
	 * @generated
	 */
	EClass getSystem();

	/**
	 * Returns the meta object for the reference '{@link org.cinco.metamodel.ecosystem.foundations.systems.System#getConformsTo <em>Conforms To</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Conforms To</em>'.
	 * @see org.cinco.metamodel.ecosystem.foundations.systems.System#getConformsTo()
	 * @see #getSystem()
	 * @generated
	 */
	EReference getSystem_ConformsTo();

	/**
	 * Returns the meta object for the reference list '{@link org.cinco.metamodel.ecosystem.foundations.systems.System#getRepresentationOf <em>Representation Of</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Representation Of</em>'.
	 * @see org.cinco.metamodel.ecosystem.foundations.systems.System#getRepresentationOf()
	 * @see #getSystem()
	 * @generated
	 */
	EReference getSystem_RepresentationOf();

	/**
	 * Returns the meta object for the reference list '{@link org.cinco.metamodel.ecosystem.foundations.systems.System#getElementOf <em>Element Of</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Element Of</em>'.
	 * @see org.cinco.metamodel.ecosystem.foundations.systems.System#getElementOf()
	 * @see #getSystem()
	 * @generated
	 */
	EReference getSystem_ElementOf();

	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.foundations.systems.Set <em>Set</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Set</em>'.
	 * @see org.cinco.metamodel.ecosystem.foundations.systems.Set
	 * @generated
	 */
	EClass getSet();

	/**
	 * Returns the meta object for the reference list '{@link org.cinco.metamodel.ecosystem.foundations.systems.Set#getIncludedIn <em>Included In</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Included In</em>'.
	 * @see org.cinco.metamodel.ecosystem.foundations.systems.Set#getIncludedIn()
	 * @see #getSet()
	 * @generated
	 */
	EReference getSet_IncludedIn();

	/**
	 * Returns the meta object for the reference list '{@link org.cinco.metamodel.ecosystem.foundations.systems.Set#getElement <em>Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Element</em>'.
	 * @see org.cinco.metamodel.ecosystem.foundations.systems.Set#getElement()
	 * @see #getSet()
	 * @generated
	 */
	EReference getSet_Element();

	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.foundations.systems.DigitalSystem <em>Digital System</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Digital System</em>'.
	 * @see org.cinco.metamodel.ecosystem.foundations.systems.DigitalSystem
	 * @generated
	 */
	EClass getDigitalSystem();

	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.foundations.systems.IntensionalSystem <em>Intensional System</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Intensional System</em>'.
	 * @see org.cinco.metamodel.ecosystem.foundations.systems.IntensionalSystem
	 * @generated
	 */
	EClass getIntensionalSystem();

	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.foundations.systems.AbstractSystem <em>Abstract System</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Abstract System</em>'.
	 * @see org.cinco.metamodel.ecosystem.foundations.systems.AbstractSystem
	 * @generated
	 */
	EClass getAbstractSystem();

	/**
	 * Returns the meta object for the containment reference '{@link org.cinco.metamodel.ecosystem.foundations.systems.AbstractSystem#getIntension <em>Intension</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Intension</em>'.
	 * @see org.cinco.metamodel.ecosystem.foundations.systems.AbstractSystem#getIntension()
	 * @see #getAbstractSystem()
	 * @generated
	 */
	EReference getAbstractSystem_Intension();

	/**
	 * Returns the meta object for the reference '{@link org.cinco.metamodel.ecosystem.foundations.systems.AbstractSystem#getExtension <em>Extension</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Extension</em>'.
	 * @see org.cinco.metamodel.ecosystem.foundations.systems.AbstractSystem#getExtension()
	 * @see #getAbstractSystem()
	 * @generated
	 */
	EReference getAbstractSystem_Extension();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	SystemsFactory getSystemsFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.foundations.systems.impl.PhysicalSystemImpl <em>Physical System</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.foundations.systems.impl.PhysicalSystemImpl
		 * @see org.cinco.metamodel.ecosystem.foundations.systems.impl.SystemsPackageImpl#getPhysicalSystem()
		 * @generated
		 */
		EClass PHYSICAL_SYSTEM = eINSTANCE.getPhysicalSystem();

		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.foundations.systems.impl.SystemImpl <em>System</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.foundations.systems.impl.SystemImpl
		 * @see org.cinco.metamodel.ecosystem.foundations.systems.impl.SystemsPackageImpl#getSystem()
		 * @generated
		 */
		EClass SYSTEM = eINSTANCE.getSystem();

		/**
		 * The meta object literal for the '<em><b>Conforms To</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SYSTEM__CONFORMS_TO = eINSTANCE.getSystem_ConformsTo();

		/**
		 * The meta object literal for the '<em><b>Representation Of</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SYSTEM__REPRESENTATION_OF = eINSTANCE.getSystem_RepresentationOf();

		/**
		 * The meta object literal for the '<em><b>Element Of</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SYSTEM__ELEMENT_OF = eINSTANCE.getSystem_ElementOf();

		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.foundations.systems.impl.SetImpl <em>Set</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.foundations.systems.impl.SetImpl
		 * @see org.cinco.metamodel.ecosystem.foundations.systems.impl.SystemsPackageImpl#getSet()
		 * @generated
		 */
		EClass SET = eINSTANCE.getSet();

		/**
		 * The meta object literal for the '<em><b>Included In</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SET__INCLUDED_IN = eINSTANCE.getSet_IncludedIn();

		/**
		 * The meta object literal for the '<em><b>Element</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SET__ELEMENT = eINSTANCE.getSet_Element();

		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.foundations.systems.impl.DigitalSystemImpl <em>Digital System</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.foundations.systems.impl.DigitalSystemImpl
		 * @see org.cinco.metamodel.ecosystem.foundations.systems.impl.SystemsPackageImpl#getDigitalSystem()
		 * @generated
		 */
		EClass DIGITAL_SYSTEM = eINSTANCE.getDigitalSystem();

		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.foundations.systems.impl.IntensionalSystemImpl <em>Intensional System</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.foundations.systems.impl.IntensionalSystemImpl
		 * @see org.cinco.metamodel.ecosystem.foundations.systems.impl.SystemsPackageImpl#getIntensionalSystem()
		 * @generated
		 */
		EClass INTENSIONAL_SYSTEM = eINSTANCE.getIntensionalSystem();

		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.foundations.systems.impl.AbstractSystemImpl <em>Abstract System</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.foundations.systems.impl.AbstractSystemImpl
		 * @see org.cinco.metamodel.ecosystem.foundations.systems.impl.SystemsPackageImpl#getAbstractSystem()
		 * @generated
		 */
		EClass ABSTRACT_SYSTEM = eINSTANCE.getAbstractSystem();

		/**
		 * The meta object literal for the '<em><b>Intension</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ABSTRACT_SYSTEM__INTENSION = eINSTANCE.getAbstractSystem_Intension();

		/**
		 * The meta object literal for the '<em><b>Extension</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ABSTRACT_SYSTEM__EXTENSION = eINSTANCE.getAbstractSystem_Extension();

	}

} //SystemsPackage
