/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories;

import org.cinco.metamodel.ecosystem.ecosystemmodel.EcosystemmodelPackage;

import org.cinco.metamodel.ecosystem.foundations.models.ModelsPackage;

import org.cinco.metamodel.ecosystem.foundations.modeltransformations.ModeltransformationsPackage;

import org.cinco.metamodel.ecosystem.foundations.systems.SystemsPackage;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.RepositoriesFactory
 * @model kind="package"
 * @generated
 */
public interface RepositoriesPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "repositories";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http:///ecosystem/knowledgemanagementmodel/repositories.ecore";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "ecosystem.knowledgemanagementmodel.repositories";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	RepositoriesPackage eINSTANCE = org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.RepositoriesPackageImpl.init();

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.KnowledgeRelationshipImpl <em>Knowledge Relationship</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.KnowledgeRelationshipImpl
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.RepositoriesPackageImpl#getKnowledgeRelationship()
	 * @generated
	 */
	int KNOWLEDGE_RELATIONSHIP = 0;

	/**
	 * The feature id for the '<em><b>Conforms To</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_RELATIONSHIP__CONFORMS_TO = ModeltransformationsPackage.MODEL_RELATIONSHIP__CONFORMS_TO;

	/**
	 * The feature id for the '<em><b>Representation Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_RELATIONSHIP__REPRESENTATION_OF = ModeltransformationsPackage.MODEL_RELATIONSHIP__REPRESENTATION_OF;

	/**
	 * The feature id for the '<em><b>Element Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_RELATIONSHIP__ELEMENT_OF = ModeltransformationsPackage.MODEL_RELATIONSHIP__ELEMENT_OF;

	/**
	 * The feature id for the '<em><b>Intension</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_RELATIONSHIP__INTENSION = ModeltransformationsPackage.MODEL_RELATIONSHIP__INTENSION;

	/**
	 * The feature id for the '<em><b>Extension</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_RELATIONSHIP__EXTENSION = ModeltransformationsPackage.MODEL_RELATIONSHIP__EXTENSION;

	/**
	 * The feature id for the '<em><b>Target</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_RELATIONSHIP__TARGET = ModeltransformationsPackage.MODEL_RELATIONSHIP__TARGET;

	/**
	 * The feature id for the '<em><b>Source</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_RELATIONSHIP__SOURCE = ModeltransformationsPackage.MODEL_RELATIONSHIP__SOURCE;

	/**
	 * The number of structural features of the '<em>Knowledge Relationship</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_RELATIONSHIP_FEATURE_COUNT = ModeltransformationsPackage.MODEL_RELATIONSHIP_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.KnowledgeRelationshipTypeImpl <em>Knowledge Relationship Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.KnowledgeRelationshipTypeImpl
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.RepositoriesPackageImpl#getKnowledgeRelationshipType()
	 * @generated
	 */
	int KNOWLEDGE_RELATIONSHIP_TYPE = 1;

	/**
	 * The feature id for the '<em><b>Conforms To</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_RELATIONSHIP_TYPE__CONFORMS_TO = ModeltransformationsPackage.MODEL_RELATIONSHIP__CONFORMS_TO;

	/**
	 * The feature id for the '<em><b>Representation Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_RELATIONSHIP_TYPE__REPRESENTATION_OF = ModeltransformationsPackage.MODEL_RELATIONSHIP__REPRESENTATION_OF;

	/**
	 * The feature id for the '<em><b>Element Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_RELATIONSHIP_TYPE__ELEMENT_OF = ModeltransformationsPackage.MODEL_RELATIONSHIP__ELEMENT_OF;

	/**
	 * The feature id for the '<em><b>Intension</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_RELATIONSHIP_TYPE__INTENSION = ModeltransformationsPackage.MODEL_RELATIONSHIP__INTENSION;

	/**
	 * The feature id for the '<em><b>Extension</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_RELATIONSHIP_TYPE__EXTENSION = ModeltransformationsPackage.MODEL_RELATIONSHIP__EXTENSION;

	/**
	 * The feature id for the '<em><b>Target</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_RELATIONSHIP_TYPE__TARGET = ModeltransformationsPackage.MODEL_RELATIONSHIP__TARGET;

	/**
	 * The feature id for the '<em><b>Source</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_RELATIONSHIP_TYPE__SOURCE = ModeltransformationsPackage.MODEL_RELATIONSHIP__SOURCE;

	/**
	 * The feature id for the '<em><b>Identifier</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_RELATIONSHIP_TYPE__IDENTIFIER = ModeltransformationsPackage.MODEL_RELATIONSHIP_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_RELATIONSHIP_TYPE__NAME = ModeltransformationsPackage.MODEL_RELATIONSHIP_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Knowledge Relationship Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_RELATIONSHIP_TYPE_FEATURE_COUNT = ModeltransformationsPackage.MODEL_RELATIONSHIP_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.KnowledgeItemTypeImpl <em>Knowledge Item Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.KnowledgeItemTypeImpl
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.RepositoriesPackageImpl#getKnowledgeItemType()
	 * @generated
	 */
	int KNOWLEDGE_ITEM_TYPE = 2;

	/**
	 * The feature id for the '<em><b>Conforms To</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_ITEM_TYPE__CONFORMS_TO = ModelsPackage.REFERENCE_MODEL__CONFORMS_TO;

	/**
	 * The feature id for the '<em><b>Representation Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_ITEM_TYPE__REPRESENTATION_OF = ModelsPackage.REFERENCE_MODEL__REPRESENTATION_OF;

	/**
	 * The feature id for the '<em><b>Element Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_ITEM_TYPE__ELEMENT_OF = ModelsPackage.REFERENCE_MODEL__ELEMENT_OF;

	/**
	 * The feature id for the '<em><b>Intension</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_ITEM_TYPE__INTENSION = ModelsPackage.REFERENCE_MODEL__INTENSION;

	/**
	 * The feature id for the '<em><b>Extension</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_ITEM_TYPE__EXTENSION = ModelsPackage.REFERENCE_MODEL__EXTENSION;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_ITEM_TYPE__NAME = ModelsPackage.REFERENCE_MODEL__NAME;

	/**
	 * The feature id for the '<em><b>Elements</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_ITEM_TYPE__ELEMENTS = ModelsPackage.REFERENCE_MODEL__ELEMENTS;

	/**
	 * The feature id for the '<em><b>Identifier</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_ITEM_TYPE__IDENTIFIER = ModelsPackage.REFERENCE_MODEL_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Knowledge Item Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_ITEM_TYPE_FEATURE_COUNT = ModelsPackage.REFERENCE_MODEL_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.ModelRepositoryImpl <em>Model Repository</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.ModelRepositoryImpl
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.RepositoriesPackageImpl#getModelRepository()
	 * @generated
	 */
	int MODEL_REPOSITORY = 3;

	/**
	 * The feature id for the '<em><b>Conforms To</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODEL_REPOSITORY__CONFORMS_TO = SystemsPackage.DIGITAL_SYSTEM__CONFORMS_TO;

	/**
	 * The feature id for the '<em><b>Representation Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODEL_REPOSITORY__REPRESENTATION_OF = SystemsPackage.DIGITAL_SYSTEM__REPRESENTATION_OF;

	/**
	 * The feature id for the '<em><b>Element Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODEL_REPOSITORY__ELEMENT_OF = SystemsPackage.DIGITAL_SYSTEM__ELEMENT_OF;

	/**
	 * The feature id for the '<em><b>Modeltype</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODEL_REPOSITORY__MODELTYPE = SystemsPackage.DIGITAL_SYSTEM_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Container</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODEL_REPOSITORY__CONTAINER = SystemsPackage.DIGITAL_SYSTEM_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Model Repository</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODEL_REPOSITORY_FEATURE_COUNT = SystemsPackage.DIGITAL_SYSTEM_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.ModelContainerImpl <em>Model Container</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.ModelContainerImpl
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.RepositoriesPackageImpl#getModelContainer()
	 * @generated
	 */
	int MODEL_CONTAINER = 4;

	/**
	 * The feature id for the '<em><b>Models</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODEL_CONTAINER__MODELS = 0;

	/**
	 * The number of structural features of the '<em>Model Container</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODEL_CONTAINER_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.KnowledgeRepositoryImpl <em>Knowledge Repository</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.KnowledgeRepositoryImpl
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.RepositoriesPackageImpl#getKnowledgeRepository()
	 * @generated
	 */
	int KNOWLEDGE_REPOSITORY = 5;

	/**
	 * The feature id for the '<em><b>Conforms To</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_REPOSITORY__CONFORMS_TO = EcosystemmodelPackage.INFRASTRUCTURE_SERVICE__CONFORMS_TO;

	/**
	 * The feature id for the '<em><b>Representation Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_REPOSITORY__REPRESENTATION_OF = EcosystemmodelPackage.INFRASTRUCTURE_SERVICE__REPRESENTATION_OF;

	/**
	 * The feature id for the '<em><b>Element Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_REPOSITORY__ELEMENT_OF = EcosystemmodelPackage.INFRASTRUCTURE_SERVICE__ELEMENT_OF;

	/**
	 * The feature id for the '<em><b>Intension</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_REPOSITORY__INTENSION = EcosystemmodelPackage.INFRASTRUCTURE_SERVICE__INTENSION;

	/**
	 * The feature id for the '<em><b>Extension</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_REPOSITORY__EXTENSION = EcosystemmodelPackage.INFRASTRUCTURE_SERVICE__EXTENSION;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_REPOSITORY__NAME = EcosystemmodelPackage.INFRASTRUCTURE_SERVICE__NAME;

	/**
	 * The feature id for the '<em><b>Participates</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_REPOSITORY__PARTICIPATES = EcosystemmodelPackage.INFRASTRUCTURE_SERVICE__PARTICIPATES;

	/**
	 * The feature id for the '<em><b>Capability</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_REPOSITORY__CAPABILITY = EcosystemmodelPackage.INFRASTRUCTURE_SERVICE__CAPABILITY;

	/**
	 * The feature id for the '<em><b>Ecosystemcapability</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_REPOSITORY__ECOSYSTEMCAPABILITY = EcosystemmodelPackage.INFRASTRUCTURE_SERVICE__ECOSYSTEMCAPABILITY;

	/**
	 * The feature id for the '<em><b>Modeltype</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_REPOSITORY__MODELTYPE = EcosystemmodelPackage.INFRASTRUCTURE_SERVICE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Container</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_REPOSITORY__CONTAINER = EcosystemmodelPackage.INFRASTRUCTURE_SERVICE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Identifier</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_REPOSITORY__IDENTIFIER = EcosystemmodelPackage.INFRASTRUCTURE_SERVICE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Relationship</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_REPOSITORY__RELATIONSHIP = EcosystemmodelPackage.INFRASTRUCTURE_SERVICE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Itemsets</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_REPOSITORY__ITEMSETS = EcosystemmodelPackage.INFRASTRUCTURE_SERVICE_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Engineeringspace</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_REPOSITORY__ENGINEERINGSPACE = EcosystemmodelPackage.INFRASTRUCTURE_SERVICE_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Knowledgebase</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_REPOSITORY__KNOWLEDGEBASE = EcosystemmodelPackage.INFRASTRUCTURE_SERVICE_FEATURE_COUNT + 6;

	/**
	 * The number of structural features of the '<em>Knowledge Repository</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_REPOSITORY_FEATURE_COUNT = EcosystemmodelPackage.INFRASTRUCTURE_SERVICE_FEATURE_COUNT + 7;

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.KnowledgeItemContainerImpl <em>Knowledge Item Container</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.KnowledgeItemContainerImpl
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.RepositoriesPackageImpl#getKnowledgeItemContainer()
	 * @generated
	 */
	int KNOWLEDGE_ITEM_CONTAINER = 6;

	/**
	 * The feature id for the '<em><b>Models</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_ITEM_CONTAINER__MODELS = MODEL_CONTAINER__MODELS;

	/**
	 * The feature id for the '<em><b>Relationships</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_ITEM_CONTAINER__RELATIONSHIPS = MODEL_CONTAINER_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Knowledge Item Container</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_ITEM_CONTAINER_FEATURE_COUNT = MODEL_CONTAINER_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.KnowledgeItemImpl <em>Knowledge Item</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.KnowledgeItemImpl
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.RepositoriesPackageImpl#getKnowledgeItem()
	 * @generated
	 */
	int KNOWLEDGE_ITEM = 7;

	/**
	 * The feature id for the '<em><b>Conforms To</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_ITEM__CONFORMS_TO = ModelsPackage.MODEL__CONFORMS_TO;

	/**
	 * The feature id for the '<em><b>Representation Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_ITEM__REPRESENTATION_OF = ModelsPackage.MODEL__REPRESENTATION_OF;

	/**
	 * The feature id for the '<em><b>Element Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_ITEM__ELEMENT_OF = ModelsPackage.MODEL__ELEMENT_OF;

	/**
	 * The feature id for the '<em><b>Intension</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_ITEM__INTENSION = ModelsPackage.MODEL__INTENSION;

	/**
	 * The feature id for the '<em><b>Extension</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_ITEM__EXTENSION = ModelsPackage.MODEL__EXTENSION;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_ITEM__NAME = ModelsPackage.MODEL__NAME;

	/**
	 * The feature id for the '<em><b>Elements</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_ITEM__ELEMENTS = ModelsPackage.MODEL__ELEMENTS;

	/**
	 * The feature id for the '<em><b>Supplier</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_ITEM__SUPPLIER = ModelsPackage.MODEL_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Knowledge Item</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_ITEM_FEATURE_COUNT = ModelsPackage.MODEL_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.KnowledgeItemSetImpl <em>Knowledge Item Set</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.KnowledgeItemSetImpl
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.RepositoriesPackageImpl#getKnowledgeItemSet()
	 * @generated
	 */
	int KNOWLEDGE_ITEM_SET = 8;

	/**
	 * The feature id for the '<em><b>Conforms To</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_ITEM_SET__CONFORMS_TO = SystemsPackage.SET__CONFORMS_TO;

	/**
	 * The feature id for the '<em><b>Representation Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_ITEM_SET__REPRESENTATION_OF = SystemsPackage.SET__REPRESENTATION_OF;

	/**
	 * The feature id for the '<em><b>Element Of</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_ITEM_SET__ELEMENT_OF = SystemsPackage.SET__ELEMENT_OF;

	/**
	 * The feature id for the '<em><b>Intension</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_ITEM_SET__INTENSION = SystemsPackage.SET__INTENSION;

	/**
	 * The feature id for the '<em><b>Extension</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_ITEM_SET__EXTENSION = SystemsPackage.SET__EXTENSION;

	/**
	 * The feature id for the '<em><b>Included In</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_ITEM_SET__INCLUDED_IN = SystemsPackage.SET__INCLUDED_IN;

	/**
	 * The feature id for the '<em><b>Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_ITEM_SET__ELEMENT = SystemsPackage.SET__ELEMENT;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_ITEM_SET__NAME = SystemsPackage.SET_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Knowledge Item Set</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KNOWLEDGE_ITEM_SET_FEATURE_COUNT = SystemsPackage.SET_FEATURE_COUNT + 1;


	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.KnowledgeRelationship <em>Knowledge Relationship</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Knowledge Relationship</em>'.
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.KnowledgeRelationship
	 * @generated
	 */
	EClass getKnowledgeRelationship();

	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.KnowledgeRelationshipType <em>Knowledge Relationship Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Knowledge Relationship Type</em>'.
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.KnowledgeRelationshipType
	 * @generated
	 */
	EClass getKnowledgeRelationshipType();

	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.KnowledgeItemType <em>Knowledge Item Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Knowledge Item Type</em>'.
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.KnowledgeItemType
	 * @generated
	 */
	EClass getKnowledgeItemType();

	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.ModelRepository <em>Model Repository</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Model Repository</em>'.
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.ModelRepository
	 * @generated
	 */
	EClass getModelRepository();

	/**
	 * Returns the meta object for the reference '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.ModelRepository#getModeltype <em>Modeltype</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Modeltype</em>'.
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.ModelRepository#getModeltype()
	 * @see #getModelRepository()
	 * @generated
	 */
	EReference getModelRepository_Modeltype();

	/**
	 * Returns the meta object for the containment reference '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.ModelRepository#getContainer <em>Container</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Container</em>'.
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.ModelRepository#getContainer()
	 * @see #getModelRepository()
	 * @generated
	 */
	EReference getModelRepository_Container();

	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.ModelContainer <em>Model Container</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Model Container</em>'.
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.ModelContainer
	 * @generated
	 */
	EClass getModelContainer();

	/**
	 * Returns the meta object for the containment reference list '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.ModelContainer#getModels <em>Models</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Models</em>'.
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.ModelContainer#getModels()
	 * @see #getModelContainer()
	 * @generated
	 */
	EReference getModelContainer_Models();

	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.KnowledgeRepository <em>Knowledge Repository</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Knowledge Repository</em>'.
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.KnowledgeRepository
	 * @generated
	 */
	EClass getKnowledgeRepository();

	/**
	 * Returns the meta object for the reference list '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.KnowledgeRepository#getRelationship <em>Relationship</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Relationship</em>'.
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.KnowledgeRepository#getRelationship()
	 * @see #getKnowledgeRepository()
	 * @generated
	 */
	EReference getKnowledgeRepository_Relationship();

	/**
	 * Returns the meta object for the containment reference list '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.KnowledgeRepository#getItemsets <em>Itemsets</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Itemsets</em>'.
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.KnowledgeRepository#getItemsets()
	 * @see #getKnowledgeRepository()
	 * @generated
	 */
	EReference getKnowledgeRepository_Itemsets();

	/**
	 * Returns the meta object for the reference '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.KnowledgeRepository#getEngineeringspace <em>Engineeringspace</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Engineeringspace</em>'.
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.KnowledgeRepository#getEngineeringspace()
	 * @see #getKnowledgeRepository()
	 * @generated
	 */
	EReference getKnowledgeRepository_Engineeringspace();

	/**
	 * Returns the meta object for the reference '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.KnowledgeRepository#getKnowledgebase <em>Knowledgebase</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Knowledgebase</em>'.
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.KnowledgeRepository#getKnowledgebase()
	 * @see #getKnowledgeRepository()
	 * @generated
	 */
	EReference getKnowledgeRepository_Knowledgebase();

	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.KnowledgeItemContainer <em>Knowledge Item Container</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Knowledge Item Container</em>'.
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.KnowledgeItemContainer
	 * @generated
	 */
	EClass getKnowledgeItemContainer();

	/**
	 * Returns the meta object for the containment reference list '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.KnowledgeItemContainer#getRelationships <em>Relationships</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Relationships</em>'.
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.KnowledgeItemContainer#getRelationships()
	 * @see #getKnowledgeItemContainer()
	 * @generated
	 */
	EReference getKnowledgeItemContainer_Relationships();

	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.KnowledgeItem <em>Knowledge Item</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Knowledge Item</em>'.
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.KnowledgeItem
	 * @generated
	 */
	EClass getKnowledgeItem();

	/**
	 * Returns the meta object for the reference '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.KnowledgeItem#getSupplier <em>Supplier</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Supplier</em>'.
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.KnowledgeItem#getSupplier()
	 * @see #getKnowledgeItem()
	 * @generated
	 */
	EReference getKnowledgeItem_Supplier();

	/**
	 * Returns the meta object for class '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.KnowledgeItemSet <em>Knowledge Item Set</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Knowledge Item Set</em>'.
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.KnowledgeItemSet
	 * @generated
	 */
	EClass getKnowledgeItemSet();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	RepositoriesFactory getRepositoriesFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.KnowledgeRelationshipImpl <em>Knowledge Relationship</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.KnowledgeRelationshipImpl
		 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.RepositoriesPackageImpl#getKnowledgeRelationship()
		 * @generated
		 */
		EClass KNOWLEDGE_RELATIONSHIP = eINSTANCE.getKnowledgeRelationship();

		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.KnowledgeRelationshipTypeImpl <em>Knowledge Relationship Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.KnowledgeRelationshipTypeImpl
		 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.RepositoriesPackageImpl#getKnowledgeRelationshipType()
		 * @generated
		 */
		EClass KNOWLEDGE_RELATIONSHIP_TYPE = eINSTANCE.getKnowledgeRelationshipType();

		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.KnowledgeItemTypeImpl <em>Knowledge Item Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.KnowledgeItemTypeImpl
		 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.RepositoriesPackageImpl#getKnowledgeItemType()
		 * @generated
		 */
		EClass KNOWLEDGE_ITEM_TYPE = eINSTANCE.getKnowledgeItemType();

		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.ModelRepositoryImpl <em>Model Repository</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.ModelRepositoryImpl
		 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.RepositoriesPackageImpl#getModelRepository()
		 * @generated
		 */
		EClass MODEL_REPOSITORY = eINSTANCE.getModelRepository();

		/**
		 * The meta object literal for the '<em><b>Modeltype</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference MODEL_REPOSITORY__MODELTYPE = eINSTANCE.getModelRepository_Modeltype();

		/**
		 * The meta object literal for the '<em><b>Container</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference MODEL_REPOSITORY__CONTAINER = eINSTANCE.getModelRepository_Container();

		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.ModelContainerImpl <em>Model Container</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.ModelContainerImpl
		 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.RepositoriesPackageImpl#getModelContainer()
		 * @generated
		 */
		EClass MODEL_CONTAINER = eINSTANCE.getModelContainer();

		/**
		 * The meta object literal for the '<em><b>Models</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference MODEL_CONTAINER__MODELS = eINSTANCE.getModelContainer_Models();

		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.KnowledgeRepositoryImpl <em>Knowledge Repository</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.KnowledgeRepositoryImpl
		 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.RepositoriesPackageImpl#getKnowledgeRepository()
		 * @generated
		 */
		EClass KNOWLEDGE_REPOSITORY = eINSTANCE.getKnowledgeRepository();

		/**
		 * The meta object literal for the '<em><b>Relationship</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference KNOWLEDGE_REPOSITORY__RELATIONSHIP = eINSTANCE.getKnowledgeRepository_Relationship();

		/**
		 * The meta object literal for the '<em><b>Itemsets</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference KNOWLEDGE_REPOSITORY__ITEMSETS = eINSTANCE.getKnowledgeRepository_Itemsets();

		/**
		 * The meta object literal for the '<em><b>Engineeringspace</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference KNOWLEDGE_REPOSITORY__ENGINEERINGSPACE = eINSTANCE.getKnowledgeRepository_Engineeringspace();

		/**
		 * The meta object literal for the '<em><b>Knowledgebase</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference KNOWLEDGE_REPOSITORY__KNOWLEDGEBASE = eINSTANCE.getKnowledgeRepository_Knowledgebase();

		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.KnowledgeItemContainerImpl <em>Knowledge Item Container</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.KnowledgeItemContainerImpl
		 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.RepositoriesPackageImpl#getKnowledgeItemContainer()
		 * @generated
		 */
		EClass KNOWLEDGE_ITEM_CONTAINER = eINSTANCE.getKnowledgeItemContainer();

		/**
		 * The meta object literal for the '<em><b>Relationships</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference KNOWLEDGE_ITEM_CONTAINER__RELATIONSHIPS = eINSTANCE.getKnowledgeItemContainer_Relationships();

		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.KnowledgeItemImpl <em>Knowledge Item</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.KnowledgeItemImpl
		 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.RepositoriesPackageImpl#getKnowledgeItem()
		 * @generated
		 */
		EClass KNOWLEDGE_ITEM = eINSTANCE.getKnowledgeItem();

		/**
		 * The meta object literal for the '<em><b>Supplier</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference KNOWLEDGE_ITEM__SUPPLIER = eINSTANCE.getKnowledgeItem_Supplier();

		/**
		 * The meta object literal for the '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.KnowledgeItemSetImpl <em>Knowledge Item Set</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.KnowledgeItemSetImpl
		 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.impl.RepositoriesPackageImpl#getKnowledgeItemSet()
		 * @generated
		 */
		EClass KNOWLEDGE_ITEM_SET = eINSTANCE.getKnowledgeItemSet();

	}

} //RepositoriesPackage
