/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.util;

import java.util.List;

import org.cinco.metamodel.ecosystem.domainontology.IdentifiedElement;

import org.cinco.metamodel.ecosystem.ecosystemmodel.EcosystemElement;
import org.cinco.metamodel.ecosystem.ecosystemmodel.InfrastructureService;
import org.cinco.metamodel.ecosystem.ecosystemmodel.Service;

import org.cinco.metamodel.ecosystem.ecosystemmodel.lifecycle.Actor;

import org.cinco.metamodel.ecosystem.foundations.NamedElement;
import org.cinco.metamodel.ecosystem.foundations.Role;

import org.cinco.metamodel.ecosystem.foundations.models.Model;
import org.cinco.metamodel.ecosystem.foundations.models.ModelElement;
import org.cinco.metamodel.ecosystem.foundations.models.ReferenceModel;

import org.cinco.metamodel.ecosystem.foundations.modeltransformations.ModelRelationship;

import org.cinco.metamodel.ecosystem.foundations.relationships.Relationship;

import org.cinco.metamodel.ecosystem.foundations.systems.AbstractSystem;
import org.cinco.metamodel.ecosystem.foundations.systems.DigitalSystem;
import org.cinco.metamodel.ecosystem.foundations.systems.Set;

import org.cinco.metamodel.ecosystem.knowledgemanagementmodel.KnowledgeManagementElement;

import org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.*;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.repositories.RepositoriesPackage
 * @generated
 */
public class RepositoriesSwitch {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static RepositoriesPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RepositoriesSwitch() {
		if (modelPackage == null) {
			modelPackage = RepositoriesPackage.eINSTANCE;
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	public Object doSwitch(EObject theEObject) {
		return doSwitch(theEObject.eClass(), theEObject);
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected Object doSwitch(EClass theEClass, EObject theEObject) {
		if (theEClass.eContainer() == modelPackage) {
			return doSwitch(theEClass.getClassifierID(), theEObject);
		}
		else {
			List eSuperTypes = theEClass.getESuperTypes();
			return
				eSuperTypes.isEmpty() ?
					defaultCase(theEObject) :
					doSwitch((EClass)eSuperTypes.get(0), theEObject);
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected Object doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case RepositoriesPackage.KNOWLEDGE_RELATIONSHIP: {
				KnowledgeRelationship knowledgeRelationship = (KnowledgeRelationship)theEObject;
				Object result = caseKnowledgeRelationship(knowledgeRelationship);
				if (result == null) result = caseModelRelationship(knowledgeRelationship);
				if (result == null) result = caseRelationship(knowledgeRelationship);
				if (result == null) result = caseAbstractSystem(knowledgeRelationship);
				if (result == null) result = caseSystem(knowledgeRelationship);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case RepositoriesPackage.KNOWLEDGE_RELATIONSHIP_TYPE: {
				KnowledgeRelationshipType knowledgeRelationshipType = (KnowledgeRelationshipType)theEObject;
				Object result = caseKnowledgeRelationshipType(knowledgeRelationshipType);
				if (result == null) result = caseModelRelationship(knowledgeRelationshipType);
				if (result == null) result = caseKnowledgeManagementElement(knowledgeRelationshipType);
				if (result == null) result = caseRelationship(knowledgeRelationshipType);
				if (result == null) result = caseIdentifiedElement(knowledgeRelationshipType);
				if (result == null) result = caseModelElement(knowledgeRelationshipType);
				if (result == null) result = caseAbstractSystem(knowledgeRelationshipType);
				if (result == null) result = caseNamedElement(knowledgeRelationshipType);
				if (result == null) result = caseSystem(knowledgeRelationshipType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case RepositoriesPackage.KNOWLEDGE_ITEM_TYPE: {
				KnowledgeItemType knowledgeItemType = (KnowledgeItemType)theEObject;
				Object result = caseKnowledgeItemType(knowledgeItemType);
				if (result == null) result = caseReferenceModel(knowledgeItemType);
				if (result == null) result = caseKnowledgeManagementElement(knowledgeItemType);
				if (result == null) result = caseModel(knowledgeItemType);
				if (result == null) result = caseIdentifiedElement(knowledgeItemType);
				if (result == null) result = caseModelElement(knowledgeItemType);
				if (result == null) result = caseAbstractSystem(knowledgeItemType);
				if (result == null) result = caseNamedElement(knowledgeItemType);
				if (result == null) result = caseSystem(knowledgeItemType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case RepositoriesPackage.MODEL_REPOSITORY: {
				ModelRepository modelRepository = (ModelRepository)theEObject;
				Object result = caseModelRepository(modelRepository);
				if (result == null) result = caseDigitalSystem(modelRepository);
				if (result == null) result = caseSystem(modelRepository);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case RepositoriesPackage.MODEL_CONTAINER: {
				ModelContainer modelContainer = (ModelContainer)theEObject;
				Object result = caseModelContainer(modelContainer);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case RepositoriesPackage.KNOWLEDGE_REPOSITORY: {
				KnowledgeRepository knowledgeRepository = (KnowledgeRepository)theEObject;
				Object result = caseKnowledgeRepository(knowledgeRepository);
				if (result == null) result = caseInfrastructureService(knowledgeRepository);
				if (result == null) result = caseModelRepository(knowledgeRepository);
				if (result == null) result = caseKnowledgeManagementElement(knowledgeRepository);
				if (result == null) result = caseActor(knowledgeRepository);
				if (result == null) result = caseService(knowledgeRepository);
				if (result == null) result = caseDigitalSystem(knowledgeRepository);
				if (result == null) result = caseIdentifiedElement(knowledgeRepository);
				if (result == null) result = caseEcosystemElement(knowledgeRepository);
				if (result == null) result = caseRole(knowledgeRepository);
				if (result == null) result = caseAbstractSystem(knowledgeRepository);
				if (result == null) result = caseModelElement(knowledgeRepository);
				if (result == null) result = caseSystem(knowledgeRepository);
				if (result == null) result = caseNamedElement(knowledgeRepository);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case RepositoriesPackage.KNOWLEDGE_ITEM_CONTAINER: {
				KnowledgeItemContainer knowledgeItemContainer = (KnowledgeItemContainer)theEObject;
				Object result = caseKnowledgeItemContainer(knowledgeItemContainer);
				if (result == null) result = caseModelContainer(knowledgeItemContainer);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case RepositoriesPackage.KNOWLEDGE_ITEM: {
				KnowledgeItem knowledgeItem = (KnowledgeItem)theEObject;
				Object result = caseKnowledgeItem(knowledgeItem);
				if (result == null) result = caseModel(knowledgeItem);
				if (result == null) result = caseAbstractSystem(knowledgeItem);
				if (result == null) result = caseNamedElement(knowledgeItem);
				if (result == null) result = caseSystem(knowledgeItem);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case RepositoriesPackage.KNOWLEDGE_ITEM_SET: {
				KnowledgeItemSet knowledgeItemSet = (KnowledgeItemSet)theEObject;
				Object result = caseKnowledgeItemSet(knowledgeItemSet);
				if (result == null) result = caseSet(knowledgeItemSet);
				if (result == null) result = caseNamedElement(knowledgeItemSet);
				if (result == null) result = caseAbstractSystem(knowledgeItemSet);
				if (result == null) result = caseSystem(knowledgeItemSet);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Knowledge Relationship</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Knowledge Relationship</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseKnowledgeRelationship(KnowledgeRelationship object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Knowledge Relationship Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Knowledge Relationship Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseKnowledgeRelationshipType(KnowledgeRelationshipType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Knowledge Item Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Knowledge Item Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseKnowledgeItemType(KnowledgeItemType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Model Repository</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Model Repository</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseModelRepository(ModelRepository object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Model Container</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Model Container</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseModelContainer(ModelContainer object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Knowledge Repository</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Knowledge Repository</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseKnowledgeRepository(KnowledgeRepository object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Knowledge Item Container</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Knowledge Item Container</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseKnowledgeItemContainer(KnowledgeItemContainer object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Knowledge Item</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Knowledge Item</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseKnowledgeItem(KnowledgeItem object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Knowledge Item Set</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Knowledge Item Set</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseKnowledgeItemSet(KnowledgeItemSet object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>System</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>System</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseSystem(org.cinco.metamodel.ecosystem.foundations.systems.System object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Abstract System</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Abstract System</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseAbstractSystem(AbstractSystem object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Relationship</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Relationship</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseRelationship(Relationship object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Model Relationship</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Model Relationship</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseModelRelationship(ModelRelationship object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Identified Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Identified Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseIdentifiedElement(IdentifiedElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseNamedElement(NamedElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseModelElement(ModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Knowledge Management Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Knowledge Management Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseKnowledgeManagementElement(KnowledgeManagementElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Model</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Model</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseModel(Model object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Reference Model</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Reference Model</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseReferenceModel(ReferenceModel object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Digital System</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Digital System</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseDigitalSystem(DigitalSystem object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Ecosystem Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Ecosystem Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEcosystemElement(EcosystemElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Role</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Role</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseRole(Role object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Actor</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Actor</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseActor(Actor object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Service</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Service</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseService(Service object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Infrastructure Service</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Infrastructure Service</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseInfrastructureService(InfrastructureService object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Set</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Set</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseSet(Set object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	public Object defaultCase(EObject object) {
		return null;
	}

} //RepositoriesSwitch
