/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.cinco.metamodel.ecosystem.knowledgemanagementmodel.util;

import org.cinco.metamodel.ecosystem.domainontology.IdentifiedElement;

import org.cinco.metamodel.ecosystem.engineeringmodel.EngineeringModelElement;

import org.cinco.metamodel.ecosystem.engineeringmodel.engineeringspace.EngineeringElement;

import org.cinco.metamodel.ecosystem.foundations.NamedElement;

import org.cinco.metamodel.ecosystem.foundations.models.Model;
import org.cinco.metamodel.ecosystem.foundations.models.ModelElement;

import org.cinco.metamodel.ecosystem.foundations.systems.AbstractSystem;

import org.cinco.metamodel.ecosystem.knowledgemanagementmodel.*;

import org.cinco.metamodel.ecosystem.seadescription.SEAModel;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.KnowledgemanagementmodelPackage
 * @generated
 */
public class KnowledgemanagementmodelAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static KnowledgemanagementmodelPackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public KnowledgemanagementmodelAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = KnowledgemanagementmodelPackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected KnowledgemanagementmodelSwitch modelSwitch =
		new KnowledgemanagementmodelSwitch() {
			public Object caseKnowledgeManagementElement(KnowledgeManagementElement object) {
				return createKnowledgeManagementElementAdapter();
			}
			public Object caseKnowledgeManagementModel(KnowledgeManagementModel object) {
				return createKnowledgeManagementModelAdapter();
			}
			public Object caseIdentifierType(IdentifierType object) {
				return createIdentifierTypeAdapter();
			}
			public Object caseIdentifiedElement(IdentifiedElement object) {
				return createIdentifiedElementAdapter();
			}
			public Object caseNamedElement(NamedElement object) {
				return createNamedElementAdapter();
			}
			public Object caseModelElement(ModelElement object) {
				return createModelElementAdapter();
			}
			public Object caseSystem(org.cinco.metamodel.ecosystem.foundations.systems.System object) {
				return createSystemAdapter();
			}
			public Object caseAbstractSystem(AbstractSystem object) {
				return createAbstractSystemAdapter();
			}
			public Object caseModel(Model object) {
				return createModelAdapter();
			}
			public Object caseSEAModel(SEAModel object) {
				return createSEAModelAdapter();
			}
			public Object caseEngineeringModelElement(EngineeringModelElement object) {
				return createEngineeringModelElementAdapter();
			}
			public Object caseEngineeringElement(EngineeringElement object) {
				return createEngineeringElementAdapter();
			}
			public Object defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	public Adapter createAdapter(Notifier target) {
		return (Adapter)modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.KnowledgeManagementElement <em>Knowledge Management Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.KnowledgeManagementElement
	 * @generated
	 */
	public Adapter createKnowledgeManagementElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.KnowledgeManagementModel <em>Knowledge Management Model</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.KnowledgeManagementModel
	 * @generated
	 */
	public Adapter createKnowledgeManagementModelAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.knowledgemanagementmodel.IdentifierType <em>Identifier Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.knowledgemanagementmodel.IdentifierType
	 * @generated
	 */
	public Adapter createIdentifierTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.domainontology.IdentifiedElement <em>Identified Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.domainontology.IdentifiedElement
	 * @generated
	 */
	public Adapter createIdentifiedElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.foundations.NamedElement <em>Named Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.foundations.NamedElement
	 * @generated
	 */
	public Adapter createNamedElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.foundations.models.ModelElement <em>Model Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.foundations.models.ModelElement
	 * @generated
	 */
	public Adapter createModelElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.foundations.systems.System <em>System</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.foundations.systems.System
	 * @generated
	 */
	public Adapter createSystemAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.foundations.systems.AbstractSystem <em>Abstract System</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.foundations.systems.AbstractSystem
	 * @generated
	 */
	public Adapter createAbstractSystemAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.foundations.models.Model <em>Model</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.foundations.models.Model
	 * @generated
	 */
	public Adapter createModelAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.seadescription.SEAModel <em>SEA Model</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.seadescription.SEAModel
	 * @generated
	 */
	public Adapter createSEAModelAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.engineeringmodel.EngineeringModelElement <em>Engineering Model Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.engineeringmodel.EngineeringModelElement
	 * @generated
	 */
	public Adapter createEngineeringModelElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.metamodel.ecosystem.engineeringmodel.engineeringspace.EngineeringElement <em>Engineering Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.metamodel.ecosystem.engineeringmodel.engineeringspace.EngineeringElement
	 * @generated
	 */
	public Adapter createEngineeringElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //KnowledgemanagementmodelAdapterFactory
