/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.osgi.xmlns.scr.v1._2;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * <!-- begin-model-doc -->
 * 
 * 			This is the XML Schema for component descriptions used by
 * 			the Service Component Runtime (SCR). Component description
 * 			documents may be embedded in other XML documents. SCR will
 * 			process all XML documents listed in the Service-Component
 * 			manifest header of a bundle. XML documents containing
 * 			component descriptions may contain a single, root component
 * 			element or one or more component elements embedded in a
 * 			larger document. Use of the namespace for component 
 * 			descriptions is mandatory. The attributes and subelements 
 * 			of a component element are always unqualified.
 * 		
 * <!-- end-model-doc -->
 * @see org.osgi.xmlns.scr.v1._2.scrFactory
 * @model kind="package"
 * @generated
 */
public interface scrPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "_2";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://www.osgi.org/xmlns/scr/v1.2.0";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "_2";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	scrPackage eINSTANCE = org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl.init();

	/**
	 * The meta object id for the '{@link org.osgi.xmlns.scr.v1._2.impl.DocumentRootImpl <em>Document Root</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.osgi.xmlns.scr.v1._2.impl.DocumentRootImpl
	 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getDocumentRoot()
	 * @generated
	 */
	int DOCUMENT_ROOT = 0;

	/**
	 * The feature id for the '<em><b>Mixed</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOCUMENT_ROOT__MIXED = 0;

	/**
	 * The feature id for the '<em><b>XMLNS Prefix Map</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOCUMENT_ROOT__XMLNS_PREFIX_MAP = 1;

	/**
	 * The feature id for the '<em><b>XSI Schema Location</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOCUMENT_ROOT__XSI_SCHEMA_LOCATION = 2;

	/**
	 * The feature id for the '<em><b>Component</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOCUMENT_ROOT__COMPONENT = 3;

	/**
	 * The feature id for the '<em><b>Must Understand</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOCUMENT_ROOT__MUST_UNDERSTAND = 4;

	/**
	 * The number of structural features of the '<em>Document Root</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOCUMENT_ROOT_FEATURE_COUNT = 5;

	/**
	 * The meta object id for the '{@link org.osgi.xmlns.scr.v1._2.impl.TcomponentImpl <em>Tcomponent</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.osgi.xmlns.scr.v1._2.impl.TcomponentImpl
	 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getTcomponent()
	 * @generated
	 */
	int TCOMPONENT = 1;

	/**
	 * The feature id for the '<em><b>Group</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TCOMPONENT__GROUP = 0;

	/**
	 * The feature id for the '<em><b>Property</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TCOMPONENT__PROPERTY = 1;

	/**
	 * The feature id for the '<em><b>Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TCOMPONENT__PROPERTIES = 2;

	/**
	 * The feature id for the '<em><b>Service</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TCOMPONENT__SERVICE = 3;

	/**
	 * The feature id for the '<em><b>Reference</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TCOMPONENT__REFERENCE = 4;

	/**
	 * The feature id for the '<em><b>Implementation</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TCOMPONENT__IMPLEMENTATION = 5;

	/**
	 * The feature id for the '<em><b>Any</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TCOMPONENT__ANY = 6;

	/**
	 * The feature id for the '<em><b>Activate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TCOMPONENT__ACTIVATE = 7;

	/**
	 * The feature id for the '<em><b>Configuration Pid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TCOMPONENT__CONFIGURATION_PID = 8;

	/**
	 * The feature id for the '<em><b>Configuration Policy</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TCOMPONENT__CONFIGURATION_POLICY = 9;

	/**
	 * The feature id for the '<em><b>Deactivate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TCOMPONENT__DEACTIVATE = 10;

	/**
	 * The feature id for the '<em><b>Enabled</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TCOMPONENT__ENABLED = 11;

	/**
	 * The feature id for the '<em><b>Factory</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TCOMPONENT__FACTORY = 12;

	/**
	 * The feature id for the '<em><b>Immediate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TCOMPONENT__IMMEDIATE = 13;

	/**
	 * The feature id for the '<em><b>Modified</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TCOMPONENT__MODIFIED = 14;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TCOMPONENT__NAME = 15;

	/**
	 * The feature id for the '<em><b>Any Attribute</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TCOMPONENT__ANY_ATTRIBUTE = 16;

	/**
	 * The number of structural features of the '<em>Tcomponent</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TCOMPONENT_FEATURE_COUNT = 17;

	/**
	 * The meta object id for the '{@link org.osgi.xmlns.scr.v1._2.impl.TimplementationImpl <em>Timplementation</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.osgi.xmlns.scr.v1._2.impl.TimplementationImpl
	 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getTimplementation()
	 * @generated
	 */
	int TIMPLEMENTATION = 2;

	/**
	 * The feature id for the '<em><b>Any</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIMPLEMENTATION__ANY = 0;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIMPLEMENTATION__CLASS = 1;

	/**
	 * The feature id for the '<em><b>Any Attribute</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIMPLEMENTATION__ANY_ATTRIBUTE = 2;

	/**
	 * The number of structural features of the '<em>Timplementation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIMPLEMENTATION_FEATURE_COUNT = 3;

	/**
	 * The meta object id for the '{@link org.osgi.xmlns.scr.v1._2.impl.TpropertiesImpl <em>Tproperties</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.osgi.xmlns.scr.v1._2.impl.TpropertiesImpl
	 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getTproperties()
	 * @generated
	 */
	int TPROPERTIES = 3;

	/**
	 * The feature id for the '<em><b>Any</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TPROPERTIES__ANY = 0;

	/**
	 * The feature id for the '<em><b>Entry</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TPROPERTIES__ENTRY = 1;

	/**
	 * The feature id for the '<em><b>Any Attribute</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TPROPERTIES__ANY_ATTRIBUTE = 2;

	/**
	 * The number of structural features of the '<em>Tproperties</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TPROPERTIES_FEATURE_COUNT = 3;

	/**
	 * The meta object id for the '{@link org.osgi.xmlns.scr.v1._2.impl.TpropertyImpl <em>Tproperty</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.osgi.xmlns.scr.v1._2.impl.TpropertyImpl
	 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getTproperty()
	 * @generated
	 */
	int TPROPERTY = 4;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TPROPERTY__VALUE = 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TPROPERTY__NAME = 1;

	/**
	 * The feature id for the '<em><b>Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TPROPERTY__TYPE = 2;

	/**
	 * The feature id for the '<em><b>Value1</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TPROPERTY__VALUE1 = 3;

	/**
	 * The feature id for the '<em><b>Any Attribute</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TPROPERTY__ANY_ATTRIBUTE = 4;

	/**
	 * The number of structural features of the '<em>Tproperty</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TPROPERTY_FEATURE_COUNT = 5;

	/**
	 * The meta object id for the '{@link org.osgi.xmlns.scr.v1._2.impl.TprovideImpl <em>Tprovide</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.osgi.xmlns.scr.v1._2.impl.TprovideImpl
	 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getTprovide()
	 * @generated
	 */
	int TPROVIDE = 5;

	/**
	 * The feature id for the '<em><b>Any</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TPROVIDE__ANY = 0;

	/**
	 * The feature id for the '<em><b>Interface</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TPROVIDE__INTERFACE = 1;

	/**
	 * The feature id for the '<em><b>Any Attribute</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TPROVIDE__ANY_ATTRIBUTE = 2;

	/**
	 * The number of structural features of the '<em>Tprovide</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TPROVIDE_FEATURE_COUNT = 3;

	/**
	 * The meta object id for the '{@link org.osgi.xmlns.scr.v1._2.impl.TreferenceImpl <em>Treference</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.osgi.xmlns.scr.v1._2.impl.TreferenceImpl
	 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getTreference()
	 * @generated
	 */
	int TREFERENCE = 6;

	/**
	 * The feature id for the '<em><b>Any</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TREFERENCE__ANY = 0;

	/**
	 * The feature id for the '<em><b>Bind</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TREFERENCE__BIND = 1;

	/**
	 * The feature id for the '<em><b>Cardinality</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TREFERENCE__CARDINALITY = 2;

	/**
	 * The feature id for the '<em><b>Interface</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TREFERENCE__INTERFACE = 3;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TREFERENCE__NAME = 4;

	/**
	 * The feature id for the '<em><b>Policy</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TREFERENCE__POLICY = 5;

	/**
	 * The feature id for the '<em><b>Policy Option</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TREFERENCE__POLICY_OPTION = 6;

	/**
	 * The feature id for the '<em><b>Target</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TREFERENCE__TARGET = 7;

	/**
	 * The feature id for the '<em><b>Unbind</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TREFERENCE__UNBIND = 8;

	/**
	 * The feature id for the '<em><b>Updated</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TREFERENCE__UPDATED = 9;

	/**
	 * The feature id for the '<em><b>Any Attribute</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TREFERENCE__ANY_ATTRIBUTE = 10;

	/**
	 * The number of structural features of the '<em>Treference</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TREFERENCE_FEATURE_COUNT = 11;

	/**
	 * The meta object id for the '{@link org.osgi.xmlns.scr.v1._2.impl.TserviceImpl <em>Tservice</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.osgi.xmlns.scr.v1._2.impl.TserviceImpl
	 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getTservice()
	 * @generated
	 */
	int TSERVICE = 7;

	/**
	 * The feature id for the '<em><b>Provide</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TSERVICE__PROVIDE = 0;

	/**
	 * The feature id for the '<em><b>Any</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TSERVICE__ANY = 1;

	/**
	 * The feature id for the '<em><b>Servicefactory</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TSERVICE__SERVICEFACTORY = 2;

	/**
	 * The feature id for the '<em><b>Any Attribute</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TSERVICE__ANY_ATTRIBUTE = 3;

	/**
	 * The number of structural features of the '<em>Tservice</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TSERVICE_FEATURE_COUNT = 4;

	/**
	 * The meta object id for the '{@link org.osgi.xmlns.scr.v1._2.Tcardinality <em>Tcardinality</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.osgi.xmlns.scr.v1._2.Tcardinality
	 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getTcardinality()
	 * @generated
	 */
	int TCARDINALITY = 8;

	/**
	 * The meta object id for the '{@link org.osgi.xmlns.scr.v1._2.TconfigurationPolicy <em>Tconfiguration Policy</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.osgi.xmlns.scr.v1._2.TconfigurationPolicy
	 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getTconfigurationPolicy()
	 * @generated
	 */
	int TCONFIGURATION_POLICY = 9;

	/**
	 * The meta object id for the '{@link org.osgi.xmlns.scr.v1._2.TjavaTypes <em>Tjava Types</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.osgi.xmlns.scr.v1._2.TjavaTypes
	 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getTjavaTypes()
	 * @generated
	 */
	int TJAVA_TYPES = 10;

	/**
	 * The meta object id for the '{@link org.osgi.xmlns.scr.v1._2.Tpolicy <em>Tpolicy</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.osgi.xmlns.scr.v1._2.Tpolicy
	 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getTpolicy()
	 * @generated
	 */
	int TPOLICY = 11;

	/**
	 * The meta object id for the '{@link org.osgi.xmlns.scr.v1._2.TpolicyOption <em>Tpolicy Option</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.osgi.xmlns.scr.v1._2.TpolicyOption
	 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getTpolicyOption()
	 * @generated
	 */
	int TPOLICY_OPTION = 12;

	/**
	 * The meta object id for the '<em>Tcardinality Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.osgi.xmlns.scr.v1._2.Tcardinality
	 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getTcardinalityObject()
	 * @generated
	 */
	int TCARDINALITY_OBJECT = 13;

	/**
	 * The meta object id for the '<em>Tconfiguration Policy Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.osgi.xmlns.scr.v1._2.TconfigurationPolicy
	 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getTconfigurationPolicyObject()
	 * @generated
	 */
	int TCONFIGURATION_POLICY_OBJECT = 14;

	/**
	 * The meta object id for the '<em>Tjava Types Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.osgi.xmlns.scr.v1._2.TjavaTypes
	 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getTjavaTypesObject()
	 * @generated
	 */
	int TJAVA_TYPES_OBJECT = 15;

	/**
	 * The meta object id for the '<em>Tpolicy Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.osgi.xmlns.scr.v1._2.Tpolicy
	 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getTpolicyObject()
	 * @generated
	 */
	int TPOLICY_OBJECT = 16;

	/**
	 * The meta object id for the '<em>Tpolicy Option Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.osgi.xmlns.scr.v1._2.TpolicyOption
	 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getTpolicyOptionObject()
	 * @generated
	 */
	int TPOLICY_OPTION_OBJECT = 17;


	/**
	 * Returns the meta object for class '{@link org.osgi.xmlns.scr.v1._2.DocumentRoot <em>Document Root</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Document Root</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.DocumentRoot
	 * @generated
	 */
	EClass getDocumentRoot();

	/**
	 * Returns the meta object for the attribute list '{@link org.osgi.xmlns.scr.v1._2.DocumentRoot#getMixed <em>Mixed</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Mixed</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.DocumentRoot#getMixed()
	 * @see #getDocumentRoot()
	 * @generated
	 */
	EAttribute getDocumentRoot_Mixed();

	/**
	 * Returns the meta object for the map '{@link org.osgi.xmlns.scr.v1._2.DocumentRoot#getXMLNSPrefixMap <em>XMLNS Prefix Map</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the map '<em>XMLNS Prefix Map</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.DocumentRoot#getXMLNSPrefixMap()
	 * @see #getDocumentRoot()
	 * @generated
	 */
	EReference getDocumentRoot_XMLNSPrefixMap();

	/**
	 * Returns the meta object for the map '{@link org.osgi.xmlns.scr.v1._2.DocumentRoot#getXSISchemaLocation <em>XSI Schema Location</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the map '<em>XSI Schema Location</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.DocumentRoot#getXSISchemaLocation()
	 * @see #getDocumentRoot()
	 * @generated
	 */
	EReference getDocumentRoot_XSISchemaLocation();

	/**
	 * Returns the meta object for the containment reference '{@link org.osgi.xmlns.scr.v1._2.DocumentRoot#getComponent <em>Component</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Component</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.DocumentRoot#getComponent()
	 * @see #getDocumentRoot()
	 * @generated
	 */
	EReference getDocumentRoot_Component();

	/**
	 * Returns the meta object for the attribute '{@link org.osgi.xmlns.scr.v1._2.DocumentRoot#isMustUnderstand <em>Must Understand</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Must Understand</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.DocumentRoot#isMustUnderstand()
	 * @see #getDocumentRoot()
	 * @generated
	 */
	EAttribute getDocumentRoot_MustUnderstand();

	/**
	 * Returns the meta object for class '{@link org.osgi.xmlns.scr.v1._2.Tcomponent <em>Tcomponent</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Tcomponent</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tcomponent
	 * @generated
	 */
	EClass getTcomponent();

	/**
	 * Returns the meta object for the attribute list '{@link org.osgi.xmlns.scr.v1._2.Tcomponent#getGroup <em>Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Group</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tcomponent#getGroup()
	 * @see #getTcomponent()
	 * @generated
	 */
	EAttribute getTcomponent_Group();

	/**
	 * Returns the meta object for the containment reference list '{@link org.osgi.xmlns.scr.v1._2.Tcomponent#getProperty <em>Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Property</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tcomponent#getProperty()
	 * @see #getTcomponent()
	 * @generated
	 */
	EReference getTcomponent_Property();

	/**
	 * Returns the meta object for the containment reference list '{@link org.osgi.xmlns.scr.v1._2.Tcomponent#getProperties <em>Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Properties</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tcomponent#getProperties()
	 * @see #getTcomponent()
	 * @generated
	 */
	EReference getTcomponent_Properties();

	/**
	 * Returns the meta object for the containment reference '{@link org.osgi.xmlns.scr.v1._2.Tcomponent#getService <em>Service</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Service</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tcomponent#getService()
	 * @see #getTcomponent()
	 * @generated
	 */
	EReference getTcomponent_Service();

	/**
	 * Returns the meta object for the containment reference list '{@link org.osgi.xmlns.scr.v1._2.Tcomponent#getReference <em>Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Reference</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tcomponent#getReference()
	 * @see #getTcomponent()
	 * @generated
	 */
	EReference getTcomponent_Reference();

	/**
	 * Returns the meta object for the containment reference '{@link org.osgi.xmlns.scr.v1._2.Tcomponent#getImplementation <em>Implementation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Implementation</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tcomponent#getImplementation()
	 * @see #getTcomponent()
	 * @generated
	 */
	EReference getTcomponent_Implementation();

	/**
	 * Returns the meta object for the attribute list '{@link org.osgi.xmlns.scr.v1._2.Tcomponent#getAny <em>Any</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Any</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tcomponent#getAny()
	 * @see #getTcomponent()
	 * @generated
	 */
	EAttribute getTcomponent_Any();

	/**
	 * Returns the meta object for the attribute '{@link org.osgi.xmlns.scr.v1._2.Tcomponent#getActivate <em>Activate</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Activate</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tcomponent#getActivate()
	 * @see #getTcomponent()
	 * @generated
	 */
	EAttribute getTcomponent_Activate();

	/**
	 * Returns the meta object for the attribute '{@link org.osgi.xmlns.scr.v1._2.Tcomponent#getConfigurationPid <em>Configuration Pid</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Configuration Pid</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tcomponent#getConfigurationPid()
	 * @see #getTcomponent()
	 * @generated
	 */
	EAttribute getTcomponent_ConfigurationPid();

	/**
	 * Returns the meta object for the attribute '{@link org.osgi.xmlns.scr.v1._2.Tcomponent#getConfigurationPolicy <em>Configuration Policy</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Configuration Policy</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tcomponent#getConfigurationPolicy()
	 * @see #getTcomponent()
	 * @generated
	 */
	EAttribute getTcomponent_ConfigurationPolicy();

	/**
	 * Returns the meta object for the attribute '{@link org.osgi.xmlns.scr.v1._2.Tcomponent#getDeactivate <em>Deactivate</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Deactivate</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tcomponent#getDeactivate()
	 * @see #getTcomponent()
	 * @generated
	 */
	EAttribute getTcomponent_Deactivate();

	/**
	 * Returns the meta object for the attribute '{@link org.osgi.xmlns.scr.v1._2.Tcomponent#isEnabled <em>Enabled</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Enabled</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tcomponent#isEnabled()
	 * @see #getTcomponent()
	 * @generated
	 */
	EAttribute getTcomponent_Enabled();

	/**
	 * Returns the meta object for the attribute '{@link org.osgi.xmlns.scr.v1._2.Tcomponent#getFactory <em>Factory</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Factory</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tcomponent#getFactory()
	 * @see #getTcomponent()
	 * @generated
	 */
	EAttribute getTcomponent_Factory();

	/**
	 * Returns the meta object for the attribute '{@link org.osgi.xmlns.scr.v1._2.Tcomponent#isImmediate <em>Immediate</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Immediate</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tcomponent#isImmediate()
	 * @see #getTcomponent()
	 * @generated
	 */
	EAttribute getTcomponent_Immediate();

	/**
	 * Returns the meta object for the attribute '{@link org.osgi.xmlns.scr.v1._2.Tcomponent#getModified <em>Modified</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Modified</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tcomponent#getModified()
	 * @see #getTcomponent()
	 * @generated
	 */
	EAttribute getTcomponent_Modified();

	/**
	 * Returns the meta object for the attribute '{@link org.osgi.xmlns.scr.v1._2.Tcomponent#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tcomponent#getName()
	 * @see #getTcomponent()
	 * @generated
	 */
	EAttribute getTcomponent_Name();

	/**
	 * Returns the meta object for the attribute list '{@link org.osgi.xmlns.scr.v1._2.Tcomponent#getAnyAttribute <em>Any Attribute</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Any Attribute</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tcomponent#getAnyAttribute()
	 * @see #getTcomponent()
	 * @generated
	 */
	EAttribute getTcomponent_AnyAttribute();

	/**
	 * Returns the meta object for class '{@link org.osgi.xmlns.scr.v1._2.Timplementation <em>Timplementation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Timplementation</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Timplementation
	 * @generated
	 */
	EClass getTimplementation();

	/**
	 * Returns the meta object for the attribute list '{@link org.osgi.xmlns.scr.v1._2.Timplementation#getAny <em>Any</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Any</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Timplementation#getAny()
	 * @see #getTimplementation()
	 * @generated
	 */
	EAttribute getTimplementation_Any();

	/**
	 * Returns the meta object for the attribute '{@link org.osgi.xmlns.scr.v1._2.Timplementation#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Timplementation#getClass_()
	 * @see #getTimplementation()
	 * @generated
	 */
	EAttribute getTimplementation_Class();

	/**
	 * Returns the meta object for the attribute list '{@link org.osgi.xmlns.scr.v1._2.Timplementation#getAnyAttribute <em>Any Attribute</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Any Attribute</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Timplementation#getAnyAttribute()
	 * @see #getTimplementation()
	 * @generated
	 */
	EAttribute getTimplementation_AnyAttribute();

	/**
	 * Returns the meta object for class '{@link org.osgi.xmlns.scr.v1._2.Tproperties <em>Tproperties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Tproperties</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tproperties
	 * @generated
	 */
	EClass getTproperties();

	/**
	 * Returns the meta object for the attribute list '{@link org.osgi.xmlns.scr.v1._2.Tproperties#getAny <em>Any</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Any</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tproperties#getAny()
	 * @see #getTproperties()
	 * @generated
	 */
	EAttribute getTproperties_Any();

	/**
	 * Returns the meta object for the attribute '{@link org.osgi.xmlns.scr.v1._2.Tproperties#getEntry <em>Entry</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Entry</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tproperties#getEntry()
	 * @see #getTproperties()
	 * @generated
	 */
	EAttribute getTproperties_Entry();

	/**
	 * Returns the meta object for the attribute list '{@link org.osgi.xmlns.scr.v1._2.Tproperties#getAnyAttribute <em>Any Attribute</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Any Attribute</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tproperties#getAnyAttribute()
	 * @see #getTproperties()
	 * @generated
	 */
	EAttribute getTproperties_AnyAttribute();

	/**
	 * Returns the meta object for class '{@link org.osgi.xmlns.scr.v1._2.Tproperty <em>Tproperty</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Tproperty</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tproperty
	 * @generated
	 */
	EClass getTproperty();

	/**
	 * Returns the meta object for the attribute '{@link org.osgi.xmlns.scr.v1._2.Tproperty#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tproperty#getValue()
	 * @see #getTproperty()
	 * @generated
	 */
	EAttribute getTproperty_Value();

	/**
	 * Returns the meta object for the attribute '{@link org.osgi.xmlns.scr.v1._2.Tproperty#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tproperty#getName()
	 * @see #getTproperty()
	 * @generated
	 */
	EAttribute getTproperty_Name();

	/**
	 * Returns the meta object for the attribute '{@link org.osgi.xmlns.scr.v1._2.Tproperty#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Type</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tproperty#getType()
	 * @see #getTproperty()
	 * @generated
	 */
	EAttribute getTproperty_Type();

	/**
	 * Returns the meta object for the attribute '{@link org.osgi.xmlns.scr.v1._2.Tproperty#getValue1 <em>Value1</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value1</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tproperty#getValue1()
	 * @see #getTproperty()
	 * @generated
	 */
	EAttribute getTproperty_Value1();

	/**
	 * Returns the meta object for the attribute list '{@link org.osgi.xmlns.scr.v1._2.Tproperty#getAnyAttribute <em>Any Attribute</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Any Attribute</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tproperty#getAnyAttribute()
	 * @see #getTproperty()
	 * @generated
	 */
	EAttribute getTproperty_AnyAttribute();

	/**
	 * Returns the meta object for class '{@link org.osgi.xmlns.scr.v1._2.Tprovide <em>Tprovide</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Tprovide</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tprovide
	 * @generated
	 */
	EClass getTprovide();

	/**
	 * Returns the meta object for the attribute list '{@link org.osgi.xmlns.scr.v1._2.Tprovide#getAny <em>Any</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Any</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tprovide#getAny()
	 * @see #getTprovide()
	 * @generated
	 */
	EAttribute getTprovide_Any();

	/**
	 * Returns the meta object for the attribute '{@link org.osgi.xmlns.scr.v1._2.Tprovide#getInterface <em>Interface</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Interface</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tprovide#getInterface()
	 * @see #getTprovide()
	 * @generated
	 */
	EAttribute getTprovide_Interface();

	/**
	 * Returns the meta object for the attribute list '{@link org.osgi.xmlns.scr.v1._2.Tprovide#getAnyAttribute <em>Any Attribute</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Any Attribute</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tprovide#getAnyAttribute()
	 * @see #getTprovide()
	 * @generated
	 */
	EAttribute getTprovide_AnyAttribute();

	/**
	 * Returns the meta object for class '{@link org.osgi.xmlns.scr.v1._2.Treference <em>Treference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Treference</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Treference
	 * @generated
	 */
	EClass getTreference();

	/**
	 * Returns the meta object for the attribute list '{@link org.osgi.xmlns.scr.v1._2.Treference#getAny <em>Any</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Any</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Treference#getAny()
	 * @see #getTreference()
	 * @generated
	 */
	EAttribute getTreference_Any();

	/**
	 * Returns the meta object for the attribute '{@link org.osgi.xmlns.scr.v1._2.Treference#getBind <em>Bind</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Bind</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Treference#getBind()
	 * @see #getTreference()
	 * @generated
	 */
	EAttribute getTreference_Bind();

	/**
	 * Returns the meta object for the attribute '{@link org.osgi.xmlns.scr.v1._2.Treference#getCardinality <em>Cardinality</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Cardinality</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Treference#getCardinality()
	 * @see #getTreference()
	 * @generated
	 */
	EAttribute getTreference_Cardinality();

	/**
	 * Returns the meta object for the attribute '{@link org.osgi.xmlns.scr.v1._2.Treference#getInterface <em>Interface</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Interface</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Treference#getInterface()
	 * @see #getTreference()
	 * @generated
	 */
	EAttribute getTreference_Interface();

	/**
	 * Returns the meta object for the attribute '{@link org.osgi.xmlns.scr.v1._2.Treference#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Treference#getName()
	 * @see #getTreference()
	 * @generated
	 */
	EAttribute getTreference_Name();

	/**
	 * Returns the meta object for the attribute '{@link org.osgi.xmlns.scr.v1._2.Treference#getPolicy <em>Policy</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Policy</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Treference#getPolicy()
	 * @see #getTreference()
	 * @generated
	 */
	EAttribute getTreference_Policy();

	/**
	 * Returns the meta object for the attribute '{@link org.osgi.xmlns.scr.v1._2.Treference#getPolicyOption <em>Policy Option</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Policy Option</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Treference#getPolicyOption()
	 * @see #getTreference()
	 * @generated
	 */
	EAttribute getTreference_PolicyOption();

	/**
	 * Returns the meta object for the attribute '{@link org.osgi.xmlns.scr.v1._2.Treference#getTarget <em>Target</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Target</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Treference#getTarget()
	 * @see #getTreference()
	 * @generated
	 */
	EAttribute getTreference_Target();

	/**
	 * Returns the meta object for the attribute '{@link org.osgi.xmlns.scr.v1._2.Treference#getUnbind <em>Unbind</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Unbind</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Treference#getUnbind()
	 * @see #getTreference()
	 * @generated
	 */
	EAttribute getTreference_Unbind();

	/**
	 * Returns the meta object for the attribute '{@link org.osgi.xmlns.scr.v1._2.Treference#getUpdated <em>Updated</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Updated</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Treference#getUpdated()
	 * @see #getTreference()
	 * @generated
	 */
	EAttribute getTreference_Updated();

	/**
	 * Returns the meta object for the attribute list '{@link org.osgi.xmlns.scr.v1._2.Treference#getAnyAttribute <em>Any Attribute</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Any Attribute</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Treference#getAnyAttribute()
	 * @see #getTreference()
	 * @generated
	 */
	EAttribute getTreference_AnyAttribute();

	/**
	 * Returns the meta object for class '{@link org.osgi.xmlns.scr.v1._2.Tservice <em>Tservice</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Tservice</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tservice
	 * @generated
	 */
	EClass getTservice();

	/**
	 * Returns the meta object for the containment reference list '{@link org.osgi.xmlns.scr.v1._2.Tservice#getProvide <em>Provide</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Provide</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tservice#getProvide()
	 * @see #getTservice()
	 * @generated
	 */
	EReference getTservice_Provide();

	/**
	 * Returns the meta object for the attribute list '{@link org.osgi.xmlns.scr.v1._2.Tservice#getAny <em>Any</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Any</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tservice#getAny()
	 * @see #getTservice()
	 * @generated
	 */
	EAttribute getTservice_Any();

	/**
	 * Returns the meta object for the attribute '{@link org.osgi.xmlns.scr.v1._2.Tservice#isServicefactory <em>Servicefactory</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Servicefactory</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tservice#isServicefactory()
	 * @see #getTservice()
	 * @generated
	 */
	EAttribute getTservice_Servicefactory();

	/**
	 * Returns the meta object for the attribute list '{@link org.osgi.xmlns.scr.v1._2.Tservice#getAnyAttribute <em>Any Attribute</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Any Attribute</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tservice#getAnyAttribute()
	 * @see #getTservice()
	 * @generated
	 */
	EAttribute getTservice_AnyAttribute();

	/**
	 * Returns the meta object for enum '{@link org.osgi.xmlns.scr.v1._2.Tcardinality <em>Tcardinality</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Tcardinality</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tcardinality
	 * @generated
	 */
	EEnum getTcardinality();

	/**
	 * Returns the meta object for enum '{@link org.osgi.xmlns.scr.v1._2.TconfigurationPolicy <em>Tconfiguration Policy</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Tconfiguration Policy</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.TconfigurationPolicy
	 * @generated
	 */
	EEnum getTconfigurationPolicy();

	/**
	 * Returns the meta object for enum '{@link org.osgi.xmlns.scr.v1._2.TjavaTypes <em>Tjava Types</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Tjava Types</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.TjavaTypes
	 * @generated
	 */
	EEnum getTjavaTypes();

	/**
	 * Returns the meta object for enum '{@link org.osgi.xmlns.scr.v1._2.Tpolicy <em>Tpolicy</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Tpolicy</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tpolicy
	 * @generated
	 */
	EEnum getTpolicy();

	/**
	 * Returns the meta object for enum '{@link org.osgi.xmlns.scr.v1._2.TpolicyOption <em>Tpolicy Option</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Tpolicy Option</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.TpolicyOption
	 * @generated
	 */
	EEnum getTpolicyOption();

	/**
	 * Returns the meta object for data type '{@link org.osgi.xmlns.scr.v1._2.Tcardinality <em>Tcardinality Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Tcardinality Object</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tcardinality
	 * @model instanceClass="org.osgi.xmlns.scr.v1._2.Tcardinality"
	 *        extendedMetaData="name='Tcardinality:Object' baseType='Tcardinality'"
	 * @generated
	 */
	EDataType getTcardinalityObject();

	/**
	 * Returns the meta object for data type '{@link org.osgi.xmlns.scr.v1._2.TconfigurationPolicy <em>Tconfiguration Policy Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Tconfiguration Policy Object</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.TconfigurationPolicy
	 * @model instanceClass="org.osgi.xmlns.scr.v1._2.TconfigurationPolicy"
	 *        extendedMetaData="name='Tconfiguration-policy:Object' baseType='Tconfiguration-policy'"
	 * @generated
	 */
	EDataType getTconfigurationPolicyObject();

	/**
	 * Returns the meta object for data type '{@link org.osgi.xmlns.scr.v1._2.TjavaTypes <em>Tjava Types Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Tjava Types Object</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.TjavaTypes
	 * @model instanceClass="org.osgi.xmlns.scr.v1._2.TjavaTypes"
	 *        extendedMetaData="name='Tjava-types:Object' baseType='Tjava-types'"
	 * @generated
	 */
	EDataType getTjavaTypesObject();

	/**
	 * Returns the meta object for data type '{@link org.osgi.xmlns.scr.v1._2.Tpolicy <em>Tpolicy Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Tpolicy Object</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.Tpolicy
	 * @model instanceClass="org.osgi.xmlns.scr.v1._2.Tpolicy"
	 *        extendedMetaData="name='Tpolicy:Object' baseType='Tpolicy'"
	 * @generated
	 */
	EDataType getTpolicyObject();

	/**
	 * Returns the meta object for data type '{@link org.osgi.xmlns.scr.v1._2.TpolicyOption <em>Tpolicy Option Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Tpolicy Option Object</em>'.
	 * @see org.osgi.xmlns.scr.v1._2.TpolicyOption
	 * @model instanceClass="org.osgi.xmlns.scr.v1._2.TpolicyOption"
	 *        extendedMetaData="name='Tpolicy-option:Object' baseType='Tpolicy-option'"
	 * @generated
	 */
	EDataType getTpolicyOptionObject();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	scrFactory getscrFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link org.osgi.xmlns.scr.v1._2.impl.DocumentRootImpl <em>Document Root</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.osgi.xmlns.scr.v1._2.impl.DocumentRootImpl
		 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getDocumentRoot()
		 * @generated
		 */
		EClass DOCUMENT_ROOT = eINSTANCE.getDocumentRoot();

		/**
		 * The meta object literal for the '<em><b>Mixed</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute DOCUMENT_ROOT__MIXED = eINSTANCE.getDocumentRoot_Mixed();

		/**
		 * The meta object literal for the '<em><b>XMLNS Prefix Map</b></em>' map feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DOCUMENT_ROOT__XMLNS_PREFIX_MAP = eINSTANCE.getDocumentRoot_XMLNSPrefixMap();

		/**
		 * The meta object literal for the '<em><b>XSI Schema Location</b></em>' map feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DOCUMENT_ROOT__XSI_SCHEMA_LOCATION = eINSTANCE.getDocumentRoot_XSISchemaLocation();

		/**
		 * The meta object literal for the '<em><b>Component</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DOCUMENT_ROOT__COMPONENT = eINSTANCE.getDocumentRoot_Component();

		/**
		 * The meta object literal for the '<em><b>Must Understand</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute DOCUMENT_ROOT__MUST_UNDERSTAND = eINSTANCE.getDocumentRoot_MustUnderstand();

		/**
		 * The meta object literal for the '{@link org.osgi.xmlns.scr.v1._2.impl.TcomponentImpl <em>Tcomponent</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.osgi.xmlns.scr.v1._2.impl.TcomponentImpl
		 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getTcomponent()
		 * @generated
		 */
		EClass TCOMPONENT = eINSTANCE.getTcomponent();

		/**
		 * The meta object literal for the '<em><b>Group</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TCOMPONENT__GROUP = eINSTANCE.getTcomponent_Group();

		/**
		 * The meta object literal for the '<em><b>Property</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TCOMPONENT__PROPERTY = eINSTANCE.getTcomponent_Property();

		/**
		 * The meta object literal for the '<em><b>Properties</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TCOMPONENT__PROPERTIES = eINSTANCE.getTcomponent_Properties();

		/**
		 * The meta object literal for the '<em><b>Service</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TCOMPONENT__SERVICE = eINSTANCE.getTcomponent_Service();

		/**
		 * The meta object literal for the '<em><b>Reference</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TCOMPONENT__REFERENCE = eINSTANCE.getTcomponent_Reference();

		/**
		 * The meta object literal for the '<em><b>Implementation</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TCOMPONENT__IMPLEMENTATION = eINSTANCE.getTcomponent_Implementation();

		/**
		 * The meta object literal for the '<em><b>Any</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TCOMPONENT__ANY = eINSTANCE.getTcomponent_Any();

		/**
		 * The meta object literal for the '<em><b>Activate</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TCOMPONENT__ACTIVATE = eINSTANCE.getTcomponent_Activate();

		/**
		 * The meta object literal for the '<em><b>Configuration Pid</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TCOMPONENT__CONFIGURATION_PID = eINSTANCE.getTcomponent_ConfigurationPid();

		/**
		 * The meta object literal for the '<em><b>Configuration Policy</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TCOMPONENT__CONFIGURATION_POLICY = eINSTANCE.getTcomponent_ConfigurationPolicy();

		/**
		 * The meta object literal for the '<em><b>Deactivate</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TCOMPONENT__DEACTIVATE = eINSTANCE.getTcomponent_Deactivate();

		/**
		 * The meta object literal for the '<em><b>Enabled</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TCOMPONENT__ENABLED = eINSTANCE.getTcomponent_Enabled();

		/**
		 * The meta object literal for the '<em><b>Factory</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TCOMPONENT__FACTORY = eINSTANCE.getTcomponent_Factory();

		/**
		 * The meta object literal for the '<em><b>Immediate</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TCOMPONENT__IMMEDIATE = eINSTANCE.getTcomponent_Immediate();

		/**
		 * The meta object literal for the '<em><b>Modified</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TCOMPONENT__MODIFIED = eINSTANCE.getTcomponent_Modified();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TCOMPONENT__NAME = eINSTANCE.getTcomponent_Name();

		/**
		 * The meta object literal for the '<em><b>Any Attribute</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TCOMPONENT__ANY_ATTRIBUTE = eINSTANCE.getTcomponent_AnyAttribute();

		/**
		 * The meta object literal for the '{@link org.osgi.xmlns.scr.v1._2.impl.TimplementationImpl <em>Timplementation</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.osgi.xmlns.scr.v1._2.impl.TimplementationImpl
		 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getTimplementation()
		 * @generated
		 */
		EClass TIMPLEMENTATION = eINSTANCE.getTimplementation();

		/**
		 * The meta object literal for the '<em><b>Any</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TIMPLEMENTATION__ANY = eINSTANCE.getTimplementation_Any();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TIMPLEMENTATION__CLASS = eINSTANCE.getTimplementation_Class();

		/**
		 * The meta object literal for the '<em><b>Any Attribute</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TIMPLEMENTATION__ANY_ATTRIBUTE = eINSTANCE.getTimplementation_AnyAttribute();

		/**
		 * The meta object literal for the '{@link org.osgi.xmlns.scr.v1._2.impl.TpropertiesImpl <em>Tproperties</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.osgi.xmlns.scr.v1._2.impl.TpropertiesImpl
		 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getTproperties()
		 * @generated
		 */
		EClass TPROPERTIES = eINSTANCE.getTproperties();

		/**
		 * The meta object literal for the '<em><b>Any</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TPROPERTIES__ANY = eINSTANCE.getTproperties_Any();

		/**
		 * The meta object literal for the '<em><b>Entry</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TPROPERTIES__ENTRY = eINSTANCE.getTproperties_Entry();

		/**
		 * The meta object literal for the '<em><b>Any Attribute</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TPROPERTIES__ANY_ATTRIBUTE = eINSTANCE.getTproperties_AnyAttribute();

		/**
		 * The meta object literal for the '{@link org.osgi.xmlns.scr.v1._2.impl.TpropertyImpl <em>Tproperty</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.osgi.xmlns.scr.v1._2.impl.TpropertyImpl
		 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getTproperty()
		 * @generated
		 */
		EClass TPROPERTY = eINSTANCE.getTproperty();

		/**
		 * The meta object literal for the '<em><b>Value</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TPROPERTY__VALUE = eINSTANCE.getTproperty_Value();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TPROPERTY__NAME = eINSTANCE.getTproperty_Name();

		/**
		 * The meta object literal for the '<em><b>Type</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TPROPERTY__TYPE = eINSTANCE.getTproperty_Type();

		/**
		 * The meta object literal for the '<em><b>Value1</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TPROPERTY__VALUE1 = eINSTANCE.getTproperty_Value1();

		/**
		 * The meta object literal for the '<em><b>Any Attribute</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TPROPERTY__ANY_ATTRIBUTE = eINSTANCE.getTproperty_AnyAttribute();

		/**
		 * The meta object literal for the '{@link org.osgi.xmlns.scr.v1._2.impl.TprovideImpl <em>Tprovide</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.osgi.xmlns.scr.v1._2.impl.TprovideImpl
		 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getTprovide()
		 * @generated
		 */
		EClass TPROVIDE = eINSTANCE.getTprovide();

		/**
		 * The meta object literal for the '<em><b>Any</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TPROVIDE__ANY = eINSTANCE.getTprovide_Any();

		/**
		 * The meta object literal for the '<em><b>Interface</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TPROVIDE__INTERFACE = eINSTANCE.getTprovide_Interface();

		/**
		 * The meta object literal for the '<em><b>Any Attribute</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TPROVIDE__ANY_ATTRIBUTE = eINSTANCE.getTprovide_AnyAttribute();

		/**
		 * The meta object literal for the '{@link org.osgi.xmlns.scr.v1._2.impl.TreferenceImpl <em>Treference</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.osgi.xmlns.scr.v1._2.impl.TreferenceImpl
		 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getTreference()
		 * @generated
		 */
		EClass TREFERENCE = eINSTANCE.getTreference();

		/**
		 * The meta object literal for the '<em><b>Any</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TREFERENCE__ANY = eINSTANCE.getTreference_Any();

		/**
		 * The meta object literal for the '<em><b>Bind</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TREFERENCE__BIND = eINSTANCE.getTreference_Bind();

		/**
		 * The meta object literal for the '<em><b>Cardinality</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TREFERENCE__CARDINALITY = eINSTANCE.getTreference_Cardinality();

		/**
		 * The meta object literal for the '<em><b>Interface</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TREFERENCE__INTERFACE = eINSTANCE.getTreference_Interface();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TREFERENCE__NAME = eINSTANCE.getTreference_Name();

		/**
		 * The meta object literal for the '<em><b>Policy</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TREFERENCE__POLICY = eINSTANCE.getTreference_Policy();

		/**
		 * The meta object literal for the '<em><b>Policy Option</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TREFERENCE__POLICY_OPTION = eINSTANCE.getTreference_PolicyOption();

		/**
		 * The meta object literal for the '<em><b>Target</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TREFERENCE__TARGET = eINSTANCE.getTreference_Target();

		/**
		 * The meta object literal for the '<em><b>Unbind</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TREFERENCE__UNBIND = eINSTANCE.getTreference_Unbind();

		/**
		 * The meta object literal for the '<em><b>Updated</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TREFERENCE__UPDATED = eINSTANCE.getTreference_Updated();

		/**
		 * The meta object literal for the '<em><b>Any Attribute</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TREFERENCE__ANY_ATTRIBUTE = eINSTANCE.getTreference_AnyAttribute();

		/**
		 * The meta object literal for the '{@link org.osgi.xmlns.scr.v1._2.impl.TserviceImpl <em>Tservice</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.osgi.xmlns.scr.v1._2.impl.TserviceImpl
		 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getTservice()
		 * @generated
		 */
		EClass TSERVICE = eINSTANCE.getTservice();

		/**
		 * The meta object literal for the '<em><b>Provide</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TSERVICE__PROVIDE = eINSTANCE.getTservice_Provide();

		/**
		 * The meta object literal for the '<em><b>Any</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TSERVICE__ANY = eINSTANCE.getTservice_Any();

		/**
		 * The meta object literal for the '<em><b>Servicefactory</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TSERVICE__SERVICEFACTORY = eINSTANCE.getTservice_Servicefactory();

		/**
		 * The meta object literal for the '<em><b>Any Attribute</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TSERVICE__ANY_ATTRIBUTE = eINSTANCE.getTservice_AnyAttribute();

		/**
		 * The meta object literal for the '{@link org.osgi.xmlns.scr.v1._2.Tcardinality <em>Tcardinality</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.osgi.xmlns.scr.v1._2.Tcardinality
		 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getTcardinality()
		 * @generated
		 */
		EEnum TCARDINALITY = eINSTANCE.getTcardinality();

		/**
		 * The meta object literal for the '{@link org.osgi.xmlns.scr.v1._2.TconfigurationPolicy <em>Tconfiguration Policy</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.osgi.xmlns.scr.v1._2.TconfigurationPolicy
		 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getTconfigurationPolicy()
		 * @generated
		 */
		EEnum TCONFIGURATION_POLICY = eINSTANCE.getTconfigurationPolicy();

		/**
		 * The meta object literal for the '{@link org.osgi.xmlns.scr.v1._2.TjavaTypes <em>Tjava Types</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.osgi.xmlns.scr.v1._2.TjavaTypes
		 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getTjavaTypes()
		 * @generated
		 */
		EEnum TJAVA_TYPES = eINSTANCE.getTjavaTypes();

		/**
		 * The meta object literal for the '{@link org.osgi.xmlns.scr.v1._2.Tpolicy <em>Tpolicy</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.osgi.xmlns.scr.v1._2.Tpolicy
		 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getTpolicy()
		 * @generated
		 */
		EEnum TPOLICY = eINSTANCE.getTpolicy();

		/**
		 * The meta object literal for the '{@link org.osgi.xmlns.scr.v1._2.TpolicyOption <em>Tpolicy Option</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.osgi.xmlns.scr.v1._2.TpolicyOption
		 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getTpolicyOption()
		 * @generated
		 */
		EEnum TPOLICY_OPTION = eINSTANCE.getTpolicyOption();

		/**
		 * The meta object literal for the '<em>Tcardinality Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.osgi.xmlns.scr.v1._2.Tcardinality
		 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getTcardinalityObject()
		 * @generated
		 */
		EDataType TCARDINALITY_OBJECT = eINSTANCE.getTcardinalityObject();

		/**
		 * The meta object literal for the '<em>Tconfiguration Policy Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.osgi.xmlns.scr.v1._2.TconfigurationPolicy
		 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getTconfigurationPolicyObject()
		 * @generated
		 */
		EDataType TCONFIGURATION_POLICY_OBJECT = eINSTANCE.getTconfigurationPolicyObject();

		/**
		 * The meta object literal for the '<em>Tjava Types Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.osgi.xmlns.scr.v1._2.TjavaTypes
		 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getTjavaTypesObject()
		 * @generated
		 */
		EDataType TJAVA_TYPES_OBJECT = eINSTANCE.getTjavaTypesObject();

		/**
		 * The meta object literal for the '<em>Tpolicy Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.osgi.xmlns.scr.v1._2.Tpolicy
		 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getTpolicyObject()
		 * @generated
		 */
		EDataType TPOLICY_OBJECT = eINSTANCE.getTpolicyObject();

		/**
		 * The meta object literal for the '<em>Tpolicy Option Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.osgi.xmlns.scr.v1._2.TpolicyOption
		 * @see org.osgi.xmlns.scr.v1._2.impl.scrPackageImpl#getTpolicyOptionObject()
		 * @generated
		 */
		EDataType TPOLICY_OPTION_OBJECT = eINSTANCE.getTpolicyOptionObject();

	}

} //scrPackage
